DROP TABLE IF EXISTS BETRIEB;

CREATE TABLE BETRIEB
(
   ID             NUMBER(10, 0) IDENTITY PRIMARY KEY,
   BETRIEBSNUMMER NUMBER(10) NOT NULL,
   LAND		  	  NUMBER(10) NOT NULL,
   BUCHSTELLE	  NUMBER(10) NOT NULL,
   BETRIEBSART	  NUMBER(10) NOT NULL,
   RECHTSFORM	  NUMBER(10) NOT NULL,
   WALDBESITZART  NUMBER(10) NOT NULL,
   DATEN		  CLOB,
   CONSTRAINT BETRIEB_SCHLUESSEL UNIQUE (BETRIEBSNUMMER,LAND,BUCHSTELLE,BETRIEBSART,RECHTSFORM,WALDBESITZART)
);

COMMENT ON TABLE BETRIEB IS 'Betrieb mit Metadaten';
COMMENT ON COLUMN BETRIEB.BETRIEBSNUMMER IS 'Betriebsnummer bei der Buchstelle';
COMMENT ON COLUMN BETRIEB.LAND IS 'Land';
COMMENT ON COLUMN BETRIEB.BUCHSTELLE IS 'Buchstelle';
COMMENT ON COLUMN BETRIEB.DATEN IS 'Serialisierte Betriebsdaten';

--CREATE UNIQUE INDEX IDX_SCHLUESSEL ON BETRIEB(BETRIEBSNUMMER, LAND, BUCHSTELLE, BETRIEBSART, RECHTSFORM, WALDBESITZART);
