m LDWP00A
k              Plausibilitaetspruefprogramm (BMEL-Plausi)
k                            fuer den
k                 NOVELLIERTEN BMEL-JAHRESABSCHLUSS MIT WERTEN IN EURO
k
k            (Stand: 06.05.2020, Version 2020-a, plau20a.c, mit Luxemburg = 90)
k
k  /* Achtung: Ergibt ca. 150 DIN A4 Seiten (bei Courier8 und 12pt ZeAbst)
k
k  /* LDWP00A ist ein Vormodul, z.Z. ohne eigentliche Abfragen. */
k  /*           Hier werden interne aber globale Variablen berechnet.  */
k  /*           Interne Variablen existieren nur innerhalb der Plausi. */
k
a 01 **** Hinweise zur Schreibweise im Regelwerk *****
k   ABS( x )     Absoluter Wert (Betrag) einer Zahl
k                z.B. ABS( -3 ) = 3
k   MOD(x,y)     Rest aus der Division von x mit dem Divisor y
k                z.B. MOD( 112 , 10 ) = 2
k   &&           Logische UND-Verknuepfung
k   ||           Logische ODER-Verknuepfung (Inclusives ODER)
k   !            Logisches NICHT
k   ==           Vergleichsoperator: Gleich
k   !=           Vergleichsoperator: Ungleich
k   <            Vergleichsoperator: Kleiner als
k   <=           Vergleichsoperator: Kleiner als oder gleich
k   >            Vergleichsoperator: Groesser als
k   >=           Vergleichsoperator: Groesser als oder gleich
k   5E0          Definition einer floating point Konstanten, z.B. 5.0
k   { }          Begrenzer fuer einen programmlogischen Block
k   #IN          Wert >= linke und <= rechte Grenze
k   #EQ(n)       Gleichheit zweier Werte mit Abweichung von n
k
k
a 02 ERSATZWEISE, VEREINFACHTE EINSCHAETZUNG DER BETRIEBSWIRTSCHAFTLICHEN AUSRICHTUNG
k    aehnlich: frueheres Feld Testbetriebsnetz
k
k                                   /* Landwirtschaft allgemein                  */
z          V9801 = 1E0;
k                                   /* Kleine Kuesten- Hochseefischerei*/
s V2312S05 >= ( V2339S05 ) * 0.5
z          V9801 = 5E0;
k                                   /* Gartenbau                       */
s V2269S05 >= ( V2339S05 ) * 0.5
z          V9801 = 3E0;
k                                   /* Weinbau                         */
s V2299S05 >= ( V2339S05 ) * 0.5
z          V9801 = 2E0;
k                                   /* Obstbau                         */
s V2209S05 >= ( V2339S05 ) * 0.5
z         V9801 = 1E0;    
k                    		    /* Handelsbetriebe */
s V2337S05 >= ( V2339S05 ) * 0.5
z          V9801 = 4E0;
k                    		    /* Ackerbaubetrieb */
s V2099S05 >= ( V2339S05 ) * 0.75
z          V9801 = 1.5E0;
k                    		    /* Betrieb mit Viehhaltung */
s V2199S05 >= ( V2339S05 ) * 0.5
z          V9801 = 1.6E0;
k
z BetrTyp  = V9801 ;
k
k    	
k
k
a 03 ABSCHLUSSMONAT UND JAHR, CODE 0024
k
k
k                                            /* Abschluss Monat       */
z TagMonat = V0024S02 / 10000E0;
k
z         V9803 =  MOD( TagMonat, 100 );
k                                            /* Abschluss Jahr        */
z AbschlJahr = MOD( V0024S02 , 10000 );
k
k                                            /* AbschlJahr 4 stellig */
z 	  V9804 =  AbschlJahr;
k
k
k
m LDWP00B
a 0.0.1 TEIL 0.0: DECKBLATT KONTROLLFRAGEN
a 0.0.1.01 BUCHSTELLENNUMMER
k
f 0001.100(***+) P(V00)
t Buchstelle ist falsch codiert
b V0001S02 #IN(0E0, 999E0)
f 0001.200(***) P(V00)
s V0003S02 < 11e0
t Betrieb aus dem frueheren Bundesgebiet, aber keine Buchstellennummer (Deckblatt) eingetragen
b V0001S02 #IN(1E0, 999E0)
k
a 0.0.1.02 BETRIEBSNUMMER BEI DER BUCHSTELLE
k
f 0002.000(***+) P(V00)
t Betriebsnummer bei der Buchstelle ist falsch codiert
b V0002S02 #IN(1E0, 999999E0)
k
a 0.0.1.03 LAND
k
f 0003.000(***+) P(V00)
s v0003s02 != 90E0
t Bundesland ist falsch codiert                          ? ? ?
b V0003S02 #IN(1E0, 16E0)
f 0003.001(***+) P(V00)
t Bundesland ist falsch codiert (ist nicht ganzzahlig)
b (int) V0003S02 == V0003S02
k
a 0.0.1.04 REGIERUNGSBEZIRK
k
f 0004.001(***+) P(V00)
s V0003S02 ==  1E0
t Schluessel fuer Regierungsbezirk in SCHL.- HOLSTEIN ist nicht = 0
b V0004S02 ==  0E0
k
f 0004.002(***+) P(V00)
s V0003S02 ==  2E0
t Schluessel fuer Regierungsbezirk in HAMBURG ist nicht = 0
b V0004S02 ==  0E0
k
f 0004.003(***+) P(V00)
s V0003S02 ==  3E0
t Schluessel fuer Regierungsbezirk in NIEDERSACHSEN ist nicht = 1 2 3 4
b V0004S02 ==  1E0 || V0004S02 ==  2E0 || V0004S02 ==  3E0 || V0004S02 ==  4E0
k
f 0004.004(***+) P(V00)
s V0003S02 ==  4E0
t Schluessel fuer Regierungsbezirk in BREMEN ist nicht = 0
b V0004S02 ==  0E0
k
f 0004.005(***+) P(V00)
s V0003S02 ==  5E0
t Schluessel fuer Regierungsbezirk in NORDRHEIN - WESTFALEN ist
t nicht = 1 3 5 7 9
b V0004S02 ==  1E0 || V0004S02 ==  3E0 || V0004S02 ==  5E0 || V0004S02 ==  7E0 ||
b V0004S02 ==  9E0
k
f 0004.006(***+) P(V00)
s V0003S02 ==  6E0
t Schluessel fuer Regierungsbezirk in HESSEN ist nicht = 4 5 6
b V0004S02 ==  4E0 || V0004S02 ==  5E0 || V0004S02 ==  6E0
k
f 0004.007(***+) P(V00)
s V0003S02 ==  7E0
t Schluessel fuer Regierungsbezirk in RHEINL.- PFALZ ist nicht = 1 2 3
b V0004S02 ==  1E0 || V0004S02 ==  2E0 || V0004S02 ==  3E0
k
f 0004.008(***+) P(V00)
s V0003S02 ==  8E0
t Schluessel fuer Regierungsbezirk in BADEN - WUERTTEMBERG ist
t nicht = 1 2 3 4
b V0004S02 ==  1E0 || V0004S02 ==  2E0 || V0004S02 ==  3E0 || V0004S02 ==  4E0
k
f 0004.009(***+) P(V00)
s V0003S02 ==  9E0
t Schluessel fuer Regierungsbezirk in BAYERN ist nicht = 1 2 3 4 5 6 7
b V0004S02 ==  1E0 || V0004S02 ==  2E0 || V0004S02 ==  3E0 || V0004S02 ==  4E0 ||
b V0004S02 ==  5E0 || V0004S02 ==  6E0 || V0004S02 ==  7E0
k
f 0004.010(***+) P(V00)
s V0003S02 ==  10E0
t Schluessel fuer Regierungsbezirk im SAARLAND ist nicht = 0
b V0004S02 ==  0E0
k
f 0004.011(***+) P(V00)
s V0003S02 ==  11E0
t Schluessel fuer Regierungsbezirk in BERLIN ist nicht = 1 2
b V0004S02 ==  1E0 || V0004S02 ==  2E0
k
f 0004.012(***+) P(V00)
s V0003S02 ==  12E0
t Schluessel fuer Regierungsbezirk in BRANDENBURG ist nicht = 0
b V0004S02 ==  0E0
k
f 0004.013(***+) P(V00)
s V0003S02 ==  13E0
t Schluessel fuer Regierungsbezirk in MECKL.- VORPOMMERN ist nicht = 0
b V0004S02 ==  0E0
k
f 0004.014(***+) P(V00)
s V0003S02 ==  14E0
t Schluessel fuer Regierungsbezirk in SACHSEN ist nicht = 5, 6 oder7
b V0004S02 ==  5E0 || V0004S02 ==  6E0 || V0004S02 ==  7E0
k
f 0004.015(***+) P(V00)
s V0003S02 ==  15E0
t Schluessel fuer Regierungsbezirk in SACHSEN - ANHALT ist nicht = 0
b V0004S02 ==  0
k
f 0004.016(***+) P(V00)
s V0003S02 ==  16E0
t Schluessel fuer Regierungsbezirk in THUERINGEN ist nicht = 0
b V0004S02 ==  0
a 0.0.1.05 LANDKREIS BZW. KREISFREIE STADT
k
f 0005.010(***+) P(V00)
s V0003S02 ==  1E0
t Kreiscode in SH ist nicht im Bereich von 1-4, 51 oder 53-62
b ( V0005S02 > 0 && V0005S02 < 5E0 ) || V0005S02 ==  51E0 || ( V0005S02 > 52E0 &&
b V0005S02 < 63E0 )
k
f 0005.020(***+) P(V00)
s V0003S02 ==  2E0
t Kreiscode fuer HAMBURG ist nicht = 0
b V0005S02 ==  0E0
k
f 0005.031(***+) P(V00)
s V0003S02 ==  3E0
s    V0004S02 ==  1E0
t Kreiscode in NS, Reg.bezirk BRAUNSCHWEIG ist nicht im Bereich von 1-3
t oder 51-58
b ( V0005S02 > 0 && V0005S02 < 4E0 ) || ( V0005S02 >50E0 && V0005S02 < 59E0 )
k
f 0005.032(***+) P(V00)
s V0003S02 ==  3E0
s    V0004S02 ==  2E0
t Kreiscode in NS, Reg.bezirk HANNOVER ist nicht = 1 oder im Bereich
t von 51-57
b V0005S02 ==  1E0 || ( V0005S02 > 50E0 && V0005S02 < 58E0 )
k
f 0005.033(***+) P(V00)
s V0003S02 ==  3E0
s    V0004S02 ==  3E0
t Kreiscode in NS, Reg.bezirk LUENEBURG ist nicht im Bereich von 51-61
b ( V0005S02 > 50E0 && V0005S02 < 62E0 )
k
f 0005.034(***+) P(V00)
s V0003S02 ==  3E0
s    V0004S02 ==  4E0
t Kreiscode in NS, Reg.bezirk WESER - EMS ist nicht im Bereich von 1-5
t oder 51-62
b ( V0005S02 > 0 && V0005S02 < 6E0 ) || ( V0005S02 > 50E0 && V0005S02 < 63E0 )
k
k
f 0005.040(***+) P(V00)
s V0003S02 ==  4E0
t Kreiscode in BREMEN ist nicht = 11 oder 12
b V0005S02 ==  11E0 || V0005S02 ==  12E0
k
f 0005.051(***+) P(V00)
s V0003S02 ==  5E0
s    V0004S02 ==  1E0
t Kreiscode V0005S02 in NRW, Reg.bezirk DUESSELDORF ist nicht im Bereich
t von 11-14 oder = 16 17 19 20 22 24 54 58 62 66 70
b ( V0005S02 > 10E0 && V0005S02 < 15E0 ) || V0005S02 ==  16E0 || V0005S02 ==  17E0 ||
b V0005S02 ==  19E0 || V0005S02 ==  20E0 || V0005S02 ==  22E0 || V0005S02 ==  24E0 ||
b V0005S02 ==  54E0 || V0005S02 ==  58E0 || V0005S02 ==  62E0 || V0005S02 ==  66E0 ||
b V0005S02 ==  70E0
k
f 0005.053(***+) P(V00)
s V0003S02 ==  5E0
s    V0004S02 ==  3E0
t Kreiscode V0005S02 in NRW, Reg.bezirk KOELN ist nicht im Bereich von
t 14-16 oder = 34 54 58 62 66 70 74 78 82
b ( V0005S02 > 13E0 && V0005S02 < 17E0 ) || V0005S02 ==  34E0 || V0005S02 ==  54E0 ||
b V0005S02 ==  58E0 || V0005S02 ==  62E0 || V0005S02 ==  66E0 || V0005S02 ==  70E0 || V0005S02 ==  74E0 ||
b V0005S02 ==  78E0 || V0005S02 ==  82E0
k
k
f 0005.055(***+) P(V00)
s V0003S02 ==  5E0
s    V0004S02 ==  5E0
t Kreiscode in NRW, Reg.bezirk MUENSTER ist nicht = 12 13 15 54 58 62
t 66 70
b V0005S02 ==  12E0 || V0005S02 ==  13E0 || V0005S02 ==  15E0 || V0005S02 ==  54E0 ||
b V0005S02 ==  58E0 || V0005S02 ==  62E0 || V0005S02 ==  66E0 || V0005S02 ==  70E0
k
f 0005.057(***+) P(V00)
s V0003S02 ==  5E0
s    V0004S02 ==  7E0
t Kreiscode in NRW, Reg.bezirk DETMOLD ist nicht = 11 54 58 62 66 70 74
b V0005S02 ==  11E0 || V0005S02 ==  54E0 || V0005S02 ==  58E0 || V0005S02 ==  62E0 ||
b V0005S02 ==  66E0 || V0005S02 ==  70E0 || V0005S02 ==  74E0
k
f 0005.059(***+) P(V00)
s V0003S02 ==  5E0
s    V0004S02 ==  9E0
t Kreiscode in NRW, Reg.bezirk ARNSBERG ist nicht = 11, im Bereich von
t 13-16 oder = 54 58 62 66 70 74 78
b V0005S02 ==  11E0 || ( V0005S02 > 12E0 && V0005S02 < 17E0 ) || V0005S02 ==  54E0 ||
b V0005S02 ==  58E0 || V0005S02 ==  62E0 || V0005S02 ==  66E0 || V0005S02 ==  70E0 ||
b V0005S02 ==  74E0 || V0005S02 ==  78E0
k
f 0005.064(***+) P(V00)
s V0003S02 ==  6E0
s    V0004S02 ==  4E0
t Kreiscode in HESSEN, Reg.bezirk DARMSTADT ist nicht im Bereich von
t 11-14 oder 31-40
b ( V0005S02 > 10E0 && V0005S02 < 15E0 ) || ( V0005S02 > 30E0 && V0005S02 < 41E0 )
f 0005.065(***+) P(V00)
s V0003S02 ==  6E0
s    V0004S02 ==  5E0
t Kreiscode in HESSEN, Reg.bezirk GIESSEN ist nicht im Bereich
t von 31-35
b ( V0005S02 > 30E0 && V0005S02 < 36E0 )
k
f 0005.066(***+) P(V00)
s V0003S02 ==  6E0
s    V0004S02 ==  6E0
t Kreiscode in HESSEN, Reg.bezirk KASSEL ist nicht = 11 oder im Bereich
t von 31-36
b V0005S02 ==  11E0 || ( V0005S02 > 30E0 && V0005S02 < 37E0 )
k
f 0005.071(***+) P(V00)
s V0003S02 ==  7E0
s    V0004S02 ==  1E0
t Kreiscode in RHEINL.- PFALZ, Reg.bezirk KOBLENZ ist nicht = 11, im
t Bereich von 31-35 oder = 37 38 40 41 43
b V0005S02 ==  11E0 || ( V0005S02 > 30E0 && V0005S02 < 36E0 ) || V0005S02 ==  37E0 ||
b V0005S02 ==  38E0 || V0005S02 ==  40E0 || V0005S02 ==  41E0 || V0005S02 ==  43E0
k
f 0005.072(***+) P(V00)
s V0003S02 ==  7E0
s    V0004S02 ==  2E0
t Kreiscode in RHEINL.- PFALZ, Reg.bezirk TRIER ist nicht = 11, im
t Bereich von 31-33 oder = 35
b V0005S02 ==  11E0 || ( V0005S02 > 30E0 && V0005S02 < 34E0 ) || V0005S02 ==  35E0
k
f 0005.073(***+) P(V00)
s V0003S02 ==  7E0
s    V0004S02 ==  3E0
t Kreiscode in RHEINL.- PFALZ, Reg.bezirk RHEINHESSEN - PFALZ ist nicht
t im Bereich von 11-20 oder 31-40
b ( V0005S02 > 10E0 && V0005S02 < 21E0 ) || ( V0005S02 > 30E0 && V0005S02 < 41E0 )
k
k
f 0005.081(***+) P(V00)
s V0003S02 ==  8E0
s    V0004S02 ==  1E0
t Kreiscode in B.- WUERTTEMBERG, Reg. bezirk STUTTGART ist nicht = 11,
t im Bereich von 15-19, 21, im Breich von 25-28 oder = 35 36
b V0005S02 ==  11E0 || ( V0005S02 > 14E0 && V0005S02 < 20E0 ) || V0005S02 ==  21E0 ||
b ( V0005S02 > 24E0 && V0005S02 < 29E0 ) || V0005S02 ==  35E0 || V0005S02 ==  36E0
k
f 0005.082(***+) P(V00)
s V0003S02 ==  8E0
s    V0004S02 ==  2E0
t Kreiscode in B.- WUERTTEMBERG, Reg. bezirk KARLSRUHE ist nicht = 11
t 12 15 16 21 22 25 26 31 oder im Breich von 35-37
b V0005S02 ==  11E0 || V0005S02 ==  12E0 || V0005S02 ==  15E0 || V0005S02 ==  16E0 ||
b V0005S02 ==  21E0 || V0005S02 ==  22E0 || V0005S02 ==  25E0 || V0005S02 ==  26E0 ||
b V0005S02 ==  31E0 || ( V0005S02 > 34E0 && V0005S02 < 38E0 )
k
f 0005.083(***+) P(V00)
s V0003S02 ==  8E0
s    V0004S02 ==  3E0
t Kreiscode in B.- WUERTTEMBERG, Reg. bezirk FREIBURG ist nicht = 11,
t im Bereich von 15-17, 25-27 oder 35-37
b V0005S02 ==  11E0 || ( V0005S02 > 14E0 && V0005S02 < 18E0 ) || ( V0005S02 > 24E0 &&
b V0005S02 < 28E0 ) || ( V0005S02 > 34E0 && V0005S02 < 38E0 )
k
f 0005.084(***+) P(V00)
s V0003S02 ==  8E0
s    V0004S02 ==  4E0
t Kreiscode in B.- WUERTTEMBERG, Reg. bezirk TUEBINGEN ist nicht im
t Bereich von 15-17, nicht = 21 25 26 oder im Breich von 35-37
b ( V0005S02 > 14E0 && V0005S02 < 18E0 ) || V0005S02 ==  21E0 || V0005S02 ==  25E0 ||
b V0005S02 ==  26E0 || ( V0005S02 > 34E0 && V0005S02 < 38E0 )
k
f 0005.091(***+) P(V00)
s V0003S02 ==  9E0
s    V0004S02 ==  1E0
t Kreiscode in BAYERN, Reg.bezirk OBERBAYERN ist nicht im Bereich
t von 61-63 oder 71-90
b ( V0005S02 > 60E0 && V0005S02 < 64E0 ) || ( V0005S02 > 70E0 && V0005S02 < 91E0 )
k
f 0005.092(***+) P(V00)
s V0003S02 ==  9E0
s    V0004S02 ==  2E0
t Kreiscode in BAYERN, Reg.bezirk NIEDERBAYERN ist nicht im Bereich
t von 61-63 oder 71-79
b ( V0005S02 > 60E0 && V0005S02 < 64E0 ) || ( V0005S02 > 70E0 && V0005S02 < 80E0 )
k
f 0005.093(***+) P(V00)
s V0003S02 ==  9E0
s    V0004S02 ==  3E0
t Kreiscode in BAYERN, Reg.bezirk OBERPFALZ ist nicht im Bereich
t von 61-63 oder 71-77
b ( V0005S02 > 60E0 && V0005S02 < 64E0 ) || ( V0005S02 > 70E0 && V0005S02 < 78E0 )
k
f 0005.094(***+) P(V00)
s V0003S02 ==  9E0
s    V0004S02 ==  4E0
t Kreiscode in BAYERN, Reg.bezirk OBERFRANKEN ist nicht im Bereich
t von 61-64 oder 71-79
b ( V0005S02 > 60E0 && V0005S02 < 65E0 ) || ( V0005S02 > 70E0 && V0005S02 < 80E0 )
k
f 0005.095(***+) P(V00)
s V0003S02 ==  9E0
s    V0004S02 ==  5E0
t Kreiscode in BAYERN, Reg.bezirk MITTELFRANKEN ist nicht im Bereich
t von 61-65 oder 71-77
b ( V0005S02 > 60E0 && V0005S02 < 66E0 ) || ( V0005S02 > 70E0 && V0005S02 < 78E0 )
k
f 0005.096(***+) P(V00)
s V0003S02 ==  9E0
s    V0004S02 ==  6E0
t Kreiscode in BAYERN, Reg.bezirk UNTERFRANKEN ist nicht im Bereich
t von 61-63 oder 71-79
b ( V0005S02 > 60E0 && V0005S02 < 64E0 ) || ( V0005S02 > 70E0 && V0005S02 < 80E0 )
k
f 0005.097(***+) P(V00)
s V0003S02 ==  9E0
s    V0004S02 ==  7E0
t Kreiscode in BAYERN, Reg.bezirk SCHWABEN ist nicht im Bereich
t von 61-64 oder 71-80
b ( V0005S02 > 60E0 && V0005S02 < 65E0 ) || ( V0005S02 > 70E0 && V0005S02 < 81E0 )
k
f 0005.100(***+) P(V00)
s V0003S02 ==  10E0
t Kreiscode im SAARLAND ist nicht im Bereich von 41-46
b V0005S02 #IN(41, 46 )
k
f 0005.111(***+) P(V00)
s V0003S02 ==  11E0
t Kreiscode in BERLIN ist nicht = 0
b V0005S02 ==  0E0
k
f 0005.120(***+) P(V00)
s V0003S02 ==  12E0
t Kreiscode in BRANDENBURG ist nicht im Bereich von 51-54 oder 60-73
b ( V0005S02 > 50E0 && V0005S02 < 55E0 ) || ( V0005S02 > 59E0 && V0005S02 < 74E0 )
k
f 0005.130(***+) P(V00)
s V0003S02 ==  13E0
t Kreiscode in MECKL.- VORPOMMERN ist nicht im Bereich von 03-04  oder 71-76
b ( V0005S02 > 2E0 && V0005S02 < 5E0 ) || ( V0005S02 > 70E0 && V0005S02 < 77E0 )
k
f 0005.141(***+) P(V00)
s V0003S02 ==  14E0
s    V0004S02 ==  5E0
t Kreiscode in SACHSEN, Reg.bezirk CHEMNITZ ist nicht = 11,21,22,23 oder 24
b V0005S02 ==  11E0 || V0005S02 ==  21E0 || V0005S02 ==  22E0 || V0005S02 ==  23E0 ||
b V0005S02 ==  24E0
k
f 0005.142(***+) P(V00)
s V0003S02 ==  14E0
s    V0004S02 ==  6E0
t Kreiscode in SACHSEN, Reg.bezirk DRESDEN ist nicht = 12,25,26,27 oder 28
b V0005S02 ==  12E0 || V0005S02 ==  25E0 || V0005S02 ==  26E0 || V0005S02 ==  27E0 ||
b V0005S02 ==  28E0
k
f 0005.143(***+) P(V00)
s V0003S02 ==  14E0
s    V0004S02 ==  7E0
t Kreiscode in SACHSEN, Reg.bezirk LEIPZIG ist nicht = 13,29 oder 30
b V0005S02 ==  13E0 || V0005S02 ==  29E0 || V0005S02 ==  30E0
f 0005.151(***+) P(V00)
s V0003S02 ==  15E0
t Kreiscode V0005S02 in SACHSEN - ANHALT ist nicht 01,02,03 oder im Bereich von 81 bis 91
b ( V0005S02 > 0 && V0005S02 < 4E0 ) || ( V0005S02 > 80E0 && V0005S02 < 92E0 )
k
f 0005.160(***+) P(V00)
s V0003S02 ==  16E0
t Kreiscode in THUERINGEN ist nicht im Bereich von 51-56 oder 61-77
b ( V0005S02 > 50.0 && V0005S02 < 57.0) ||
b ( V0005S02 > 60.0 && V0005S02 < 78.0 )
k
k
a 0.0.1.06 GEMEINDENUMMER
k
f 0006.011(***+) P(V00)
s V0003S02 ==  1E0
t Kreisfreie Stadt in Schleswig-Holstein, aber Gemeindenummer nicht 0
b V0005S02 > 4E0 || V0006S02 ==  0
k
f 0006.012(***+) P(V00)
s V0003S02 ==  1E0
t Landkreis in Schleswig-Holstein, aber Gemeindenummer ist   0
b V0005S02 < 5E0 || V0006S02 > 0
f 0006.021(***+) P(V00)
s V0003S02 ==  2E0
t Gemeindenummer in HAMBURG ist nicht = 0
b V0006S02 ==  0
k
f 0006.031(***+) P(V00)
s V0003S02 ==  3E0
t Kreisfreie Stadt in Niedersachsen, aber Gemeindenummer nicht 0
b V0005S02 > 3E0 || V0006S02 ==  0
k
f 0006.032(***+) P(V00)
s V0003S02 ==  3E0
t Landkreis in Niedersachsen, aber Gemeindenummer ist   0
b V0005S02 < 6E0 || V0006S02 > 0

f 0006.041(***+) P(V00)
s V0003S02 ==  4E0
t Gemeindenummer in BREMEN ist nicht = 0
b V0006S02 ==  0
k
f 0006.051(***+) P(V00)
s V0003S02 ==  5E0
t Kreisfreie Stadt in Nordrh.-Westfalen, aber Gemeindenummer nicht 0
b V0005S02 > 24E0 || V0006S02 ==  0
k
f 0006.052(***+) P(V00)
s V0003S02 ==  5E0
t Landkreis in Nordrh.-Westfalen, aber Gemeindenummer ist   0
b V0005S02 < 25E0 || V0006S02 > 0
k
f 0006.061(***+) P(V00)
s V0003S02 ==  6E0
t Kreisfreie Stadt in Hessen, aber Gemeindenummer nicht 0
b V0005S02 > 14E0 || V0006S02 ==  0
k
f 0006.062(***+) P(V00)
s V0003S02 ==  6E0
t Landkreis in Hessen, aber Gemeindenummer ist   0
b V0005S02 < 15E0 || V0006S02 > 0
k
f 0006.071(***+) P(V00)
s V0003S02 ==  7E0
t Kreisfreie Stadt in Rheinland-Pfalz, aber Gemeindenummer nicht 0
b V0005S02 > 20E0 || V0006S02 ==  0
k
f 0006.072(***+) P(V00)
s V0003S02 ==  7E0
t Landkreis in Rheinland-Pfalz, aber Gemeindenummer ist   0
b V0005S02 < 21E0 || V0006S02 > 0
k
f 0006.081(***+) P(V00)
s V0003S02 ==  8E0
s    MOD( V0005S02 ,10 ) < 3E0
t Kreisfreie Stadt (Code 11,12,21,22 oder 31) in Bad.-Wuerttemberg,
t aber Gemeindenummer ist nicht  0
b V0006S02 ==  0
f 0006.082(***+) P(V00)
s V0003S02 ==  8E0
s    MOD( V0005S02 ,10 ) > 2E0
t Landkreis in Baden-Wuerttemberg, aber Gemeindenummer ist   0
b V0006S02 > 0
k
f 0006.091(***+) P(V00)
s V0003S02 ==  9E0
t Kreisfreie Stadt in Bayern, aber Gemeindenummer nicht 0
b V0005S02 > 65E0 || V0006S02 ==  0
k
f 0006.092(***+) P(V00)
s V0003S02 ==  9E0
t Landkreis in Bayern, aber Gemeindenummer ist   0
b V0005S02 < 66E0 || V0006S02 > 0
k
f 0006.101(***+) P(V00)
s V0003S02 ==  10E0
t Gemeindenummer im SAARLAND ist  = 0
b V0006S02 > 0
k
f 0006.111(***+) P(V00)
s V0003S02 ==  11E0
t Gemeindenummer in BERLIN ist nicht = 0
b V0006S02 ==  0
k
f 0006.121(***+) P(V00)
s V0003S02 ==  12E0
t Kreisfreie Stadt in Brandenburg, aber Gemeindenummer nicht 0
b V0005S02 > 59E0 || V0006S02 ==  0
k
f 0006.122(***+) P(V00)
s V0003S02 ==  12E0
t Landkreis in Brandenburg, aber Gemeindenummer ist   0
b V0005S02 < 60E0 || V0006S02 > 0
k
f 0006.131(***+) P(V00)
s V0003S02 ==  13E0
t Kreisfreie Stadt in Mecklenbg.-Vorpommern, aber Gemeindenummer nicht 0
b V0005S02 >  4E0 || V0006S02 ==  0
k
f 0006.132(***+) P(V00)
s V0003S02 ==  13E0
t Landkreis in Mecklenburg-Vorpommern, aber Gemeindenummer ist   0
b V0005S02 < 5E0 || V0006S02 > 0
k
f 0006.141(***+) P(V00)
s V0003S02 ==  14E0
t Kreisfreie Stadt in Sachsen, aber Gemeindenummer nicht 0
b V0005S02 >  13E0 || V0006S02 ==  0
k
f 0006.142(***+) P(V00)
s V0003S02 ==  14E0
t Landkreis in Sachsen, aber Gemeindenummer ist   0
b V0005S02 < 14E0 || V0006S02 > 0
					 
k
f 0006.151(***+) P(V00)
s V0003S02 ==  15E0
t Kreisfreie Stadt in Sachsen-Anhalt, aber Gemeindenummer nicht 0
b V0005S02 >  3E0 || V0006S02 ==  0
k
					
f 0006.152(***+) P(V00)
s V0003S02 ==  15E0
t Landkreis in Sachsen-Anhalt, aber Gemeindenummer ist   0
b V0005S02 < 10E0 || V0006S02 > 0
k
f 0006.161(***+) P(V00)
s V0003S02 ==  16E0
t Kreisfreie Stadt in Thueringen, aber Gemeindenummer nicht 0
b V0005S02 > 56E0 || V0006S02 ==  0
k
f 0006.162(***+) P(V00)
s V0003S02 ==  16E0
t Landkreis in Thueringen, aber Gemeindenummer ist   0
b V0005S02 < 57E0 || V0006S02 > 0

f 0008.000(***) P(V00)
s V0003S02 != 9E0
t DECKBLATT, Die Angabe der EU- ORDNUNGSNUMMER ist fuer alle Betriebe 
t mit Ausnahme von Nebenerwerbsbetrieben und Betrieben der Kleinen Hochsee-
t und Kuestenfischerei zwingend erforderlich. Die Vergabe erfolgt ueber
t die zustaendigen Landwirtschaftsbehoerden der Laender
b V0008S02 > 0E0 || V0018S02 == 2E0 || V0019S02 > 4E0
k
f 0010.000(***+) P(V00)
s BetrTyp == 5 
s WJ > 1999E0
t DECKBLATT, Die Angabe der BETRIEBSNUMMER in der Fischereifahrzeugkartei ist 
t fuer Betriebe der KLEINEN HOCHSEE- UND KUESTENFISCHEREI zwingend erforderlich 
b V0010S02 > 0E0
k
f 0012.100(***+) P(V00)
t DECKBLATT, Die Angabe zur Gewinnermittlung nach Handels-, bzw. Steuerrecht ist  
t in Code 0012 zwingend erforderlich 
b V0012S02 == 1E0 || V0012S02 == 2E0
k
f 0012.200(***+) P(V00)
s V0012S02 ==  2E0
t DECKBLATT, Gewinnermittlung nach Steuerrecht (Code 0012 = 2) angegeben, aber   
t Eintragungen bei latenten Steuern (Code 1567 bzw. 1202) 
b V1567S02 == 0E0 && V1202S02 == 0E0
k
f 0014.000(***+) P(V00)
t DECKBLATT, Konsolidierte Bilanz/Jahresabschluss (Code 0014 ) nicht korrekt angegeben,
t ausserhalb der Schluesselzahlen 1 oder 2
b V0014S02 <= 2E0 

f 0018.000(***+) P(V00)
s V0020S02 ==  11E0
t Sozialoekonomischer Betriebstyp nicht 1 (HE) oder 2 (NE)
b V0018S02 == 1E0 || V0018S02 == 2E0
k
f 0018.100(***+) P(V00)
s V0020S02 ==  11E0
t Sozialoekonomischer Betriebstyp, Verschluesselung als Haupterwerbsbetrieb
t in Code 0018 aber weniger als 0.75 AK im Betrieb
b V0018S02 == 2E0 || V7099S03 >= 0.75
k
f 0018.200(***+) P(V00)
s V0020S02 ==  11E0
t Sozialoekonomischer Betriebstyp, Verschluesselung als Nebenerwerbsbetrieb
t in Code 0018 aber mehr als 1,5 AK im Betrieb
b V0018S02 == 1E0 || V7099S03 <= 1.5
k
f 0019.000(***+) P(V00)
t Betriebsart nicht 1 (Ldw), 2 (Wb), 3 (Gb), 4 (Ob) oder 5 (Fis)
b V0019S02 >= 1E0 && V0019S02 <= 5E0
k
a 0.0.1.07 RECHTSFORM DES UNTERNEHMENS
k
f 0020.001(***+) P(V00)
t Rechtsform V0020S02 des Unternehmens ist nicht
t 11,12,13 bis 17, 61 bis 64, 66
b V0020S02 >= 11E0 && V0020S02 <= 17E0 ||
b V0020S02 >= 61E0 && V0020S02 <= 64E0 || V0020S02 ==  66E0
k
f 0020.002(*  ) P(V00)
t Ist Verschluesselung als SONSTIGE RECHTSFORM wirklich zutreffend?
t Rechtsform des Unternehmens: der Schluessel 66 steht fuer sonstige
t Rechtsformen (z.B. Stiftungen). Eine Erbengemeinschaft ist i.d.R. eine
t GbR(=13), falls sie nicht in einer anderen Rechtsform eingetragen ist.
b V0020S02 !=  66E0
k
a 0.0.1.08 GEBIETSZUGEHOERIGKEIT ZU BENACHTEILIGTEN GEBIET
k 
f 0021.000(***+) P(V00)
s V0025S02 < 8E0
s V9801 < 5.0
t Schluessel fuer Gebietszugehoerigkeit liegt nicht im Bereich von 0-3
b V0021S02 ==  0 || V0021S02 ==  1E0 || V0021S02 ==  2E0 || V0021S02 ==  3E0
k
a 0.0.1.09 WEINBAUGEBIET
k
f 0022.060(***+) P(V00)
s V6116S07 >= 1.0
s    V0003S02 ==  6E0
t Schluessel fuer WEINBAUGEBIET in HESSEN ist nicht 7 oder 8
b V0022S02 ==  7E0 || V0022S02 ==  8E0
k
f 0022.070(***+) P(V00)
s V6116S07 >= 1.0
s    V0003S02 ==  7E0
t Schluessel fuer WEINBAUGEBIET in RHEINL.- PFALZ ist nicht im Bereich
t von 1-6
b V0022S02 #IN(1, 6)
k
f 0022.080(***+) P(V00)
s V6116S07 >= 1.0
s    V0003S02 ==  8E0
t Schluessel fuer WEINBAUGEBIET in B.-WUERTTEMBERG ist nicht 9 oder 10
b V0022S02 ==  9E0|| V0022S02 ==  10E0
k
f 0022.090(***+) P(V00)
s V6116S07 >= 1.0
s    V0003S02 ==  9E0
t Schluessel fuer WEINBAUGEBIET in BAYERN ist nicht = 11
b V0022S02 ==  11E0
k
f 0022.140(***+) P(V00)
s V6116S07 >= 1.0
s    V0003S02 ==  14E0
t Schluessel fuer WEINBAUGEBIET in SACHSEN ist nicht = 13
b V0022S02 ==  13E0
k
f 0022.150(***+) P(V00)
s V6116S07 >= 1.0
s   ( V0003S02 ==  15E0 || V0003S02 ==  16E0)
t Schluessel fuer WEINBAUGEBIET in SACHSEN-ANHALT oder THUERINGEN ist
t nicht = 12
b V0022S02 ==  12E0
k
a 0.0.1.10 BEWIRTSCHAFTUNGSFORM
k
f 0023.000(***+) P(V00)
s V9801 < 5.0
t Schluessel fuer BEWIRTSCHAFTUNGSFORM ist nicht 1 (konventionell),
t 2 (oekologisch in Umstellung) oder 3 (oekologisch nach erf. Umstellg.)
b V0023S02 ==  1E0 || V0023S02 ==  2E0 || V0023S02 ==  3E0
k
a 0.0.1.11 ABSCHLUSZSTICHTAG   9903S01 = mod (v 0024 s 02....
k
z AbschlMonat = V9803 ;
z AbschlJahr  = V9804 ;
k
f 0024.000(***+) P(V00)
t Abschluszstichtag V0024S02 (Ende Wirtschaftsjahr).
t Monat nicht 4, 5, 6, 8 oder 12.
b AbschlMonat ==  4E0 || AbschlMonat == 5E0 || AbschlMonat ==  6E0 ||
b AbschlMonat ==  8E0 || AbschlMonat ==  12E0
k
f 0024.001(***+) P(V00)
t Abschluszstichtag V0024S02 (Ende Wirtschaftsjahr) nicht korrekt eingetragen 
b v0024s02 #IN(30000000E0, 32000000E0)
k
f 0024.002(***) P(V00)
s V0020S02 == 11 || V0020S02 == 12|| V0020S02 == 13
t Wirtschaftsjahr vom 1.9. bis 31.8. ist nur fuer reine Weinbaubetriebe
t zulaessig: hier sind weniger als 80% der LF weinbaulich genutzt
b AbschlMonat != 8E0 || V6116S07 >= V6119S07 * 0.8
k
f 0024.003(*  ) P(V00)
s V0020S02 < 17E0
s V0003S02 < 17E0
s    V6122S07 < V6129S07 * 0.7  &&  V2312S05 ==  0
t Kalenderjahr als Wirtschaftsjahr ist bei landw. und weinbl. Betrieben
t in der Rechtsform von Einzelunternehmen bzw GbR nicht moeglich
b AbschlMonat != 12E0 || V2209,69S05 + V2330,31S05 >= V2339S05 * 0.4
k
f 0024.004(***) P(V00)
s V2312S05 > 0
t Wirtschaftsjahr in der kleinen Kuesten- und Hochseefischerei ist
t nicht das Kalenderjahr
b AbschlMonat ==  12E0
k
f 0024.101(***) P(V00)
s V0003S02 < 17E0
s AbschlMonat ==  12E0
t Kalenderjahresbetrieb mit falschem Abschlussjahr V0024S02   ? ? ?
b AbschlJahr == WJ - 1E0
k
f 0024.102(***) P(V00)
s AbschlMonat !=  12E0
t Betrieb mit falschem Abschlussjahr V0024S02                 ? ? ?
b AbschlJahr == WJ
k
f 0024.201(*  ) P(V00)
t Stellenfehler im Feld Abschlussjahr V0024S02. Jahr 4 stellig eingeben.
b V0024S02 > 311299e0
k
a 0.0.1.12 GEBUEHRENERSTATTUNG DURCH BML
k
f 0025.000(***+) P(V00)
t Gebuehrenerstattung durch BML ist nicht 1 (Erstattung der Buchfuehr.-
t Gebuehren) oder 2 (keine Erstattung der Buchfuehrungs-Gebuehren) oder 7
t (besondere Kennung fuer Bayern) oder 8 ( kein Testbetrieb)
b V0025S02 ==  1E0 || V0025S02 ==  2E0 || (V0003S02 == 9E0 && V0025S02 == 7E0 )
b || V0025S02 ==  8E0
a 0.0.1.13 ART DER BUCHFUEHRUNG
k
f 0026.000(***+) P(V00)
t Schluessel fuer Art der BUCHFUEHRUNG V0026S02 ist nicht 1 bis 4 oder 7
b V0026S02 ==  1E0 || V0026S02 ==  2E0 || V0026S02 ==  3E0 ||
b V0026S02 ==  4E0 || V0026S02 ==  7E0
f 0026.001(***+) P(V00)
t Schluessel fuer Art der BUCHFUEHRUNG V0026S02 oder Gebuehrenerstattung durch
t BML ist nicht 1 
b V0025S02 ==  1E0 && V0026S02 ==  1E0 ||
b V0026S02 >  1E0 && V0025S02 >  1E0
k
a 0.0.1.14 VERBUCHUNG DER GESCHAEFTSVORFAELLE
k
f 0027.001(***+) P(V00)
t Schluessel fuer VERBUCHUNG der GESCHAEFTSVORFAELLE (hinsichtlich der
t Umsatzsteuer) ist nicht 1 (BRUTTO) oder 2 (NETTO)
b V0027S02 ==  1E0 || V0027S02 ==  2E0
k
k
a 0.0.1.15 UMSATZSTEUERSYSTEM
k
f 0028.001(***+) P(V00)
t Schluessel fuer UMSATZSTEUERSYSTEM liegt nicht im Bereich von 1-3
b V0028S02 ==  1E0 || V0028S02 ==  2E0 || V0028S02 ==  3E0
k
f 0028.002(***+) P(V00)
s V9801 < 5.0
t Bruttoverbuchung (0027=1) ist nur fuer pauschalierende Betriebe
t (0028=1) und fuer Kleinunternehmer im Sinne 19 UStG (0028=3) zulaessig
b V0027S02 == 2E0 || V0028S02 == 1E0 || V0028S02 == 3E0
k
k
f 0028.004(***+) P(V81)
t Bei Pauschalierung der Umsatzsteuer sind keine Eintragungen in den
t Codes 8120 bis 8128 (Umsatzsteuer bei Regelbesteuerung) zulaessig
b V0028S02 == 2E0 || V8120,24,28S02 ==  0.0
k
f 0028.005(***+) P(V2 )
s V0028S02 ==  1E0 && V0027S02 ==  2E0
t Pauschalierender nettoverbuchender Betrieb muss  vereinnahmte
t Umsatzsteuer eintragen (Code 2327 und Code 2495)
b V2327S05 > 0.0 || V2495S05 > 0.0
k
f 0028.006(***+) P(V2 )
s V0028S02 ==  1E0 && V0027S02 ==  2E0
t Pauschalierender nettoverbuchender Betrieb muss verausgabte
t Umsatzsteuer (Vorsteuer) eintragen (Code 2867 und Code 2894)
b V2867S05 * (-1E0) > 0.0 || V2894S05 * (-1E0) > 0.0
k
f 0028.007(***+) P(V00)
s V0028S02 ==  2E0
t Optierender Betrieb (Code 0028 = 2) muss Geschaeftsvorfaelle
t netto verbuchen (Code 0027 Sp.02 = 2)
b V0027S02 ==  2E0
k
f 0028.010(***+) P(V2  V81)
s V9801 < 5.0
s V0028S02 ==  2E0
t Optierender Betrieb (Code 0028 = 2) muss verausgabte Umsatzsteuer
t (Vorsteuer) in Abschn. 8 (Code 8124 bzw. 8128) eintragen
b V8124,28S02 > 0.0
k
f 0028.020(***+) P(V81)
s V9801 < 5.0
s V0028S02 ==  2E0
t Optierender Betrieb (Code 0028 = 2) muss vereinnahmte Umsatzsteuer
t in Abschn. 8 (Code 8120) eintragen
b V8120S02 > 0.0
k
f 0035.000 (***) P(V00 V21 V40 V60 V80) 
s V0003S02 < 17E0
s V0019S02 < 5E0
s V0023s02 < 2E0 
s V2361s02 > 0 
s V6100s07 >= 15 
s V6100s07 * 0.75 >= V4020,21,22,23,27,33,56,73,75,98s02  
s V6119s07 * 0.75 >= V4073,75,76,77s02 
t Betrieb hat weder kologische Vorrangflchen in Code V8060-71s02 
t noch InVeKoS-Nummer in Code V0035s02 angegeben 
t unterliegt aber keiner offensichtlichen Ausnahmeregelung 
b V8060-71s02 > 0.0 || V0035s02 > 0.0 
k
k
f 0035.001 (***) P(V00)
s V0003s02 == 1E0 
s V0035s02 > 0.0 
t InVeKoS-Nummer in Code V0035s02 beginnt nicht mit 1 und/oder ist nicht 11-stellig
t obwohl der Betrieb in Schleswig-Holstein liegt  
t (aufgrund fehlender fhrender Nullen im TBN wird die InVeKoS-Nummer in Lndern mit einstelligen 
t Lnderschlsseln (01-09) 11-stellig nicht 12-stellig erfasst)
b V0035s02 #IN (10000000000.0, 19999999999.0) 
k
f 0035.002 (***) P(V00)
s V0003s02 == 2E0 
s V0035s02 > 0.0  
t InVeKoS-Nummer in Code V0035s02 beginnt nicht mit 2 und/oder ist nicht 11-stellig 
t obwohl Betrieb in Hamburg liegt
t (aufgrund fehlender fhrender Nullen im TBN wird die InVeKoS-Nummer in Lndern mit einstelligen 
t Lnderschlsseln (01-09) 11-stellig nicht 12-stellig erfasst)
b V0035s02 #IN (20000000000.0, 29999999999.0) 
k
f 0035.003 (***) P(V00)
s V0003s02 == 3E0 
s V0035s02 > 0.0 
t InVeKoS-Nummer in Code V0035s02 beginnt nicht mit 3 und/oder ist nicht 11-stellig
t obwohl der Betrieb in Niedersachsen liegt  
t (aufgrund fehlender fhrender Nullen im TBN wird die InVeKoS-Nummer in Lndern mit einstelligen 
t Lnderschlsseln (01-09) 11-stellig nicht 12-stellig erfasst)
b V0035s02 #IN (30000000000.0, 39999999999.0) 
k
f 0035.004 (***) P(V00)
s V0003s02 == 4E0 
s V0035s02 > 0.0 
t InVeKoS-Nummer in Code V0035s02 beginnt nicht mit 4 und/oder ist nicht 11-stellig
t obwohl der Betrieb in Bremen liegt  
t (aufgrund fehlender fhrender Nullen im TBN wird die InVeKoS-Nummer in Lndern mit einstelligen 
t Lnderschlsseln (01-09) 11-stellig nicht 12-stellig erfasst)
b V0035s02 #IN (40000000000.0, 49999999999.0) 
k
f 0035.005 (***) P(V00)
s V0003s02 == 5E0 
s V0035s02 > 0.0 
t InVeKoS-Nummer in Code V0035s02 beginnt nicht mit 5 und/oder ist nicht 11-stellig
t obwohl der Betrieb in Nordrhein-Westfalen liegt  
t (aufgrund fehlender fhrender Nullen im TBN wird die InVeKoS-Nummer in Lndern mit einstelligen 
t Lnderschlsseln (01-09) 11-stellig nicht 12-stellig erfasst)
b V0035s02 #IN (50000000000.0, 59999999999.0) 
k
f 0035.006 (***) P(V00)
s V0003s02 == 6E0 
s V0035s02 > 0.0 
t InVeKoS-Nummer in Code V0035s02 beginnt nicht mit 6 und/oder ist nicht 11-stellig
t obwohl der Betrieb in Hessen liegt  
t (aufgrund fehlender fhrender Nullen im TBN wird die InVeKoS-Nummer in Lndern mit einstelligen 
t Lnderschlsseln (01-09) 11-stellig nicht 12-stellig erfasst)
b V0035s02 #IN (60000000000.0, 69999999999.0) 
k
f 0035.007 (***) P(V00)
s V0003s02 == 7E0 
s V0035s02 > 0.0 
t InVeKoS-Nummer in Code V0035s02 beginnt nicht mit 7 und/oder ist nicht 11-stellig
t obwohl der Betrieb in Rheinland-Pfalz liegt  
t (aufgrund fehlender fhrender Nullen im TBN wird die InVeKoS-Nummer in Lndern mit einstelligen 
t Lnderschlsseln (01-09) 11-stellig nicht 12-stellig erfasst)
b V0035s02 #IN (70000000000.0, 79999999999.0) 
k
f 0035.008 (***) P(V00)
s V0003s02 == 8E0 
s V0035s02 > 0.0 
t InVeKoS-Nummer in Code V0035s02 beginnt nicht mit 8 und/oder ist nicht 11-stellig
t obwohl der Betrieb in Baden-Wrttemberg liegt  
t (aufgrund fehlender fhrender Nullen im TBN wird die InVeKoS-Nummer in Lndern mit einstelligen 
t Lnderschlsseln (01-09) 11-stellig nicht 12-stellig erfasst)
b V0035s02 #IN (80000000000.0, 89999999999.0) 
k
f 0035.009 (***) P(V00)
s V0003s02 == 9E0 
s V0035s02 > 0.0 
t InVeKoS-Nummer in Code V0035s02 beginnt nicht mit 9 und/oder ist nicht 11-stellig
t obwohl der Betrieb in Bayern liegt  
t (aufgrund fehlender fhrender Nullen im TBN wird die InVeKoS-Nummer in Lndern mit einstelligen 
t Lnderschlsseln (01-09) 11-stellig nicht 12-stellig erfasst)
b V0035s02 #IN (90000000000.0, 99999999999.0)
k
f 0035.010 (***) P(V00)
s V0003s02 == 10E0 
s V0035s02 > 0.0 
t InVeKoS-Nummer in Code V0035s02 beginnt nicht mit 10 und/oder ist nicht 12-stellig
t obwohl der Betrieb im Saarland liegt  
b V0035s02 #IN (100000000000.0, 109999999999.0) 
k
f 0035.011 (***) P(V00)
s V0003s02 == 11E0 
s V0035s02 > 0.0 
t InVeKoS-Nummer in Code V0035s02 beginnt nicht mit 11 und/oder ist nicht 12-stellig
t obwohl der Betrieb in Berlin liegt  
b V0035s02 #IN (110000000000.0, 119999999999.0) 
k
f 0035.012 (***) P(V00)
s V0003s02 == 12E0 
s V0035s02 > 0.0 
t InVeKoS-Nummer in Code V0035s02 beginnt nicht mit 12 und/oder ist nicht 12-stellig
t obwohl der Betrieb in Brandenburg liegt  
b V0035s02 #IN (120000000000.0, 129999999999.0) 
k
f 0035.013 (***) P(V00)
s V0003s02 == 13E0 
s V0035s02 > 0.0 
t InVeKoS-Nummer in Code V0035s02 beginnt nicht mit 13 und/oder ist nicht 12-stellig
t obwohl der Betrieb in Mecklenburg-Vorpommern liegt  
b V0035s02 #IN (130000000000.0, 139999999999.0) 
k
f 0035.014 (***) P(V00)
s V0003s02 == 14E0 
s V0035s02 > 0.0 
t InVeKoS-Nummer in Code V0035s02 beginnt nicht mit 14 und/oder ist nicht 12-stellig
t obwohl der Betrieb in Sachsen liegt  
b V0035s02 #IN (140000000000.0, 149999999999.0)
k
f 0035.015 (***) P(V00)
s V0003s02 == 15E0 
s V0035s02 > 0.0 
t InVeKoS-Nummer in Code V0035s02 beginnt nicht mit 15 und/oder ist nicht 12-stellig
t obwohl der Betrieb in Sachsen-Anhalt liegt  
b V0035s02 #IN (150000000000.0, 159999999999.0) 
k
f 0035.016 (***) P(V00)
s V0003s02 == 16E0 
s V0035s02 > 0.0 
t InVeKoS-Nummer in Code V0035s02 beginnt nicht mit 16 und/oder ist nicht 12-stellig
t obwohl der Betrieb in Thueringen liegt  
b V0035s02 #IN (160000000000.0, 169999999999.0) 
k
f 0035.100 (***) P(V60 V80)
s (V8060-71S02) > 0.0
t Die in den Codes V8060-71S02 erfassten Oekologischen Vorrangflaechen,
t entsprechen deutlich weniger als 5% der betrieblichen Ackerflaeche
b (V8060s02*2.0 + V8061S02*1.5 + V8062S02*1.5 + V8063S02*0.5 
b + V8064S02*1.0 + V8065S02*0.3 + V8066S02*1.0 + V8067S02*1.0 + V8068S02*1.5
b + V8069S02*1.5 + V8070S02*0.7 + V8071S02*0.7) >= (V6100S07 - V6200S02 + V6200s03 - V6200S06 + V6200S07 - V6200S08 + V6200S09) * 0.03
k
f 0035.200 (***) P(V60 V62 V80)
s (V8060-71S02) > 0.0
t Die in den Codes V8060-71S02 erfassten oekologischen Vorrangflaechen,
t entsprechen deutlich mehr 15% der betrieblichen Ackerflaeche
b (V8060s02*2.0 + V8061S02*1.5 + V8062S02*1.5 + V8063S02*0.5 
b + V8064S02*1.0 + V8065S02*0.3 + V8066S02*1.0 + V8067S02*1.0 + V8068S02*1.5
b + V8069S02*1.5 + V8070S02*0.7 + V8071S02*0.7) <= (V6100S07 - V6200S02 + V6200s03 - V6200S06 + V6200S07 - V6200S08 + V6200S09) * 0.15
k
a 0.0.2 TEIL 0.0: DECKBLATT DIMENSIONSPRUEFUNGEN
a 0.0.2.01 VERGL.WERT DER LANDWIRTSCHAFTL. NUTZUNG
k
f 0040.001(***) P(V00)
s V0040S03 > 0.0
s V0003S02 < 17E0
t Vergleichswert LANDW. NUTZUNG liegt auszerhalb des Bereiches von
t 50 bis 2.225 Euro je ha LF
b V0040S03 #IN( 50, 2225 )
k
f 0040.002(***) P(V00 V60)
s V0040S03 > 0.0
s V0003S02 < 17E0
t Vergleichswert LANDW. NUTZUNG eingetragen, aber keine Eintragungen
t fuer landw. genutzte Flaechen
b ( V6100,04,08S07 ) > 0.0
k
f 0040.003(***+) P(V00 V60)
s ( V6100,04,08S07 ) > 0.0
s V0003S02 < 17E0
t Betrieb mit landw. genutzter Flaeche, aber kein Vergleichswert
t LANDW. NUTZUNG (einzutragen sind Euro/Untern. und Euro/ha)
b V0040S02 > 0.0 && V0040S03 > 0.0
k
f 0040.004(***+) P(V00)
s V0040S03 > 0.0
s V0003S02 < 17E0
t Angaben zum Vergleichswert der landw. Nutzung je Unternehmen
t und je ha LF (Code 0040) stehen in unplausiblem Verhaeltnis zueinander
b (V0040S03 * (V6100,04,08,18S07) > V0040S02 * 0.8) && (V0040S03 * (V6100,04,08,18S07) < V0040S02 * 1.2)
k
a 0.0.2.02 VERGL.WERT DER GARTENBAUL. NUTZUNG
k
f 0041.001(***) P(V00)
s V0041S03 > 0.0
t Vergleichswert GARTENBAUL. NUTZUNG liegt auszerhalb des Bereiches von
t 625 bis 62.500 Euro je ha LF
b V0041S03 #IN( 625.0, 62500.0 )
k
f 0041.002(***) P(V00 V60)
s V0041S03 > 0.0
s V0003S02 < 17E0
t Vergleichswert GARTENBAUL. NUTZUNG eingetragen, aber keine
t Eintragungen fuer gartenbaul. genutzte Flaechen
b ( V6110-14S07 ) > 0.0
k
f 0041.003(***+) P(V00 V60)
s V0003S02 < 17E0
s ( V6110S02 > 1.5 ) || ( V6111-14S07 > 0.0 ) || ( V6111S07 > 3.0 )
t Betrieb mit gartenbaul. genutzter Flaeche, aber kein Vergleichswert
t GARTENBAUL. NUTZUNG (einzutragen sind Euro/Untern. und Euro/ha)
b V0041S02 > 0.0 && V0041S03 > 0.0
a 0.0.2.03 VERGL.WERT DER WEINBAUL. NUTZUNG
k
f 0042.001(***) P(V00)
s V0042S03 > 0.0
t Vergleichswert WEINBAUL. NUTZUNG liegt auszerhalb des Bereiches von
t 250 bis 30.000 Euro je ha LF
b V0042S03 #IN( 250.0 , 30000.0 )
k
f 0042.002(***) P(V00 V60)
s V0042S03 > 0.0
t Vergleichswert WEINBAUL. NUTZUNG eingetragen, aber keine
t Eintragungen fuer weinbaul. genutzte Flaechen
b ( V6116S07 ) > 0.0
k
f 0042.003(***+) P(V00 V60)
s ( V6116S07 ) > 0.0
t Betrieb mit weinbaul. genutzter Flaeche, aber kein Vergleichswert
t WEINBAUL. NUTZUNG (einzutragen sind Euro/Untern. und Euro/ha)
b V0042S02 > 0.0 && V0042S03 > 0.0
k
a 0.0.2.04 VERGL.WERT DER FORSTL. NUTZUNG
k
f 0043.001(***) P(V00)
s V0043S03 > 0.0
s V0003S02 < 17E0
t Vergleichswert FORSTL. NUTZUNG liegt auszerhalb des Bereiches von
t 20 bis 750 Euro je ha LF
b V0043S03 #IN( 20.0 , 750.0 )
k
f 0043.002(***) P(V00 V60)
s V0043S03 > 0.0
s V0003S02 < 17E0
t Vergleichswert FORSTL. NUTZUNG eingetragen, aber keine
t Eintragungen fuer forstwirtschaftl. genutzte Flaeche
b ( V6122S07 ) > 0.0
k
f 0043.003(***) P(V00 V60)
s ( V6122S07 ) > 1.0
s V0003S02 < 17E0
t Betrieb mit forstwirtschaftl. genutzte Flaeche, aber kein
t Vergleichswert FORSTL. NUTZUNG (einzutragen in Sp. 2 und 3)
b V0043S02 > 0.0 && V0043S03 > 0.0
k
a 0.0.2.05 ERTRAGSMESSZAHL
k
f 0044.001(***+) P(V00)
s V0044S03 > 0.0
t ERTRAGSMESSZAHL liegt auszerhalb Bereich von 500 bis 11.000 je ha
b ( V0044S03 ) #IN( 500.0 , 11000.0)
f 0044.002(***+) P(V00)
s V0040S02 > 500.0
t Vergleichswert LANDWIRTSCHAFT, aber keine Ertragsmesszahl eingetragen
t (einzutragen in Sp. 2 und 3)
b V0044S02 > 0.0 && V0044S03 > 0.0
f 0044.003(***) P(V00)
s V0040S03 > 500.0
t ERTRAGSMESSZAHL und Vergleichswert LANDWIRTSCHAFT stehen in unplausiblem Verhaeltnis zueinander
b V0044S03 * 0.1905 < V0040S03 * 1.55 && V0044S03 * 0.1905 > V0040S03 * 0.45
k
m LDWP01A
k
f 0044.004(***) P(V00)
s V0044S03 > 0.0
t Angaben zur ERTRAGSMESSZAHL je Unternehmen und je ha LF (Code 0044)
t stehen in unplausiblem Verhaeltnis zueinander
b (V0044S03 * (V6100,04,08,18S07) > V0044S02 * 0.8) && (V0044S03 * (V6100,04,08,18S07) < V0044S02 * 1.2)
a 1.1.1 TEIL 1.1: BILANZ (AKTIVA)    ZEILEN- UND SPALTENSUMMEN
a 1.1.1.01 ZEILENSUMMEN
k
f 1000.0##(***+) P(V10)
d ##(00,02,09,19,29,39,79,89-94,98,99)
s V10##S03 > 0.0
t Bilanz (Aktiva), in Code 10## entspricht Sp.02 - Sp.03 nicht Sp.04
b V10##S02 - V10##S03 #EQ(2.0) V10##S04
k
f 1001.0##(***+) P(V11)
d ##(49,59,69,89,99)
s V11##S03 > 0.0
t Bilanz (Aktiva), in Code 11## entspricht Sp.02 - Sp.03 nicht Sp.04
b V11##S02 - V11##S03 #EQ(2.0) V11##S04
k
f 1002.0##(***+) P(V12)
d ##(02,05,09,19,29)
s V12##S03 > 0.0
t Bilanz (Aktiva), in Code 12## entspricht Sp.02 - Sp.03 nicht Sp.04
b V12##S02 - V12##S03 #EQ(2.0) V12##S04
a 1.1.1.02 SPALTENSUMME B I */
k
f 1003.0##(***+) P(V10)
d ##(02-04)
t Bilanz (Aktiva), Summenwert in Code 1019 Spalte ## entspricht nicht
t der Summe der Einzelpositionen
b V1009-18S## #EQ(2.0) V1019S##
k
k Spaltensumme B II a
f 1004.0##(***+) P(V10)
d ##(02-04)
t Bilanz (Aktiva), Summenwert in Code 1029 Spalte ## entspricht nicht
t der Summe der Einzelpositionen
b V1020-27S## #EQ(2.0) V1029S##
k
k Spaltensumme B II b
f 1005.0##(***+) P(V10)
d ##(02-04)
t Bilanz (Aktiva), Summenwert in Code 1039 Spalte ## entspricht nicht
t der Summe der Einzelpositionen
b V1030-37S## #EQ(2.0) V1039S##
k
k
k
k Spaltensumme B II c
f 1006.0##(***+) P(V10)
d ##(02-04)
t Bilanz (Aktiva), Summenwert in Code 1049 Spalte ## entspricht nicht
t der Summe der Einzelpositionen
b V1040-48S## #EQ(2.0) V1049S##
k
k Spaltensumme insg. B II
f 1007.0##(***+) P(V10)
d ##(02-04)
t Bilanz (Aktiva), Summenwert in Code 1079 Spalte ## entspricht nicht
t der Summe der Einzelpositionen
b V1029,39,49,69,76,78S## #EQ(2.0) V1079S##
k
k Spaltensumme B III
f 1008.0##(***+) P(V10)
d ##(02-04)
t Bilanz (Aktiva), Summenwert in Code 1088 Spalte ## entspricht nicht
t der Summe der Einzelpositionen
b V1080-87S## #EQ(2.0) V1088S##
k
k Spaltensumme insg. B
f 1009.0##(***+) P(V10)
d ##(02-04)
t Bilanz (Aktiva), Summenwert in Code 1089 Spalte ## entspricht nicht
t der Summe der Einzelpositionen
b V1019,79,88S## #EQ(2.0) V1089S##
k
k Spaltensumme insg. C
f 1010.0##(***+) P(V10)
d ##(02-04)
t Bilanz (Aktiva), Summenwert in Code 1099 Spalte ## entspricht nicht
t der Summe der Einzelpositionen
b V1090-98S## #EQ(2.0) V1099S##
k
k Spaltensumme D I
f 1011.0##(***+) P(V10)
d ##(02-04)
t Bilanz (Aktiva), Summenwert in Code 1149 Spalte ## entspricht nicht
t der Summe der Einzelpositionen
b V1109,10,18,20,21,48S## #EQ(2.0) V1149S##
k
k
k Spaltensumme D II
f 1012.0##(***+) P(V10)
d ##(02-04)
t Bilanz (Aktiva), Summenwert in Code 1159 Spalte ## entspricht nicht
t der Summe der Einzelpositionen
b V1150-58S## #EQ(2.0) V1159S##
k
k Spaltensumme D III
f 1013.0##(***+) P(V10)
d ##(02-04)
t Bilanz (Aktiva), Summenwert in Code 1169 Spalte ## entspricht nicht
t der Summe der Einzelpositionen
b V1160-68S## #EQ(2.0) V1169S##
k
k Spaltensumme insg. D
f 1014.0##(***+) P(V10)
d ##(02-04)
t Bilanz (Aktiva), Summenwert in Code 1189 Spalte ## entspricht nicht
t der Summe der Einzelpositionen
b V1149,59,69,79S## #EQ(2.0) V1189S##
k
k Spaltensumme insg. Aktiva
f 1015.0##(***+) P(V10)
d ##(02-04)
t Bilanzsumme (Aktiva), Summenwert in Code 1229 Spalte ## entspricht
t nicht der Summe der Einzelpositionen
b ( V1089,99S## + V1189,99S## + V1202-19S## ) #EQ(2.0) V1229S##
k
k
a 1.1.2 TEIL 1.1: BILANZ (AKTIVA)     KONTROLLFRAGEN
k
f 1020.0##(***+) P(V10)
d ##(02,03)
t Bilanzsumme (Aktiva), Summe AKTIVA im Geschaeftsjahr oder Vorjahr ist
t gleich NULL   ? ? ?
b V1229S## !=  0.0
k
f 1028.000(***) P(V10 V2)
t Bilanz (Aktiva), Anlagevermoegen Wirtschaftsgebaeude in der Bilanz angegeben,
t aber keine Unterhaltungsaufwand gebucht Code 2813,14 
b V1025,26S02 == 0.0 || V2813,14S05 < 0.0
k
f 1030.000(***) P(V10 V2)
s V0020s02 > 11 && V0020s02 < 17
s V0014s02 == 1
t Bilanz (Aktiva), Personengesellschaft mit konsolidierter Bilanz (code 0014 = 1)
t aber kein Anlagevermoegen Boden bzw. Wirtschaftsgebaeude in der Bilanz angegeben
b V1029S02 > 0.0
k 
a 1.1.2.1 PRUEFUNG AUF UEBERTRAGUNGSFEHLER
a 1.1.2.1.01 IMMATR. VERMOEGENSGEGENSTAENDE
k
f 1050.1##(***+) P(V10 V30)
d ##(09,10,12,14,15,18)
t Bilanz (Aktiva), Angabe in Code 10## Sp.02 (Aktiva) ist nicht gleich
t entsprechender Position in Code 30## Sp.14 (Anlagenspiegel)
b V10##S02 #EQ(2.0) V30##S14
k
f 1050.2##(***+) P(V10 V30)
d ##(09,10,12,14,15,18)
t Bilanz (Aktiva), Angabe in Code 10## Sp.03 (Aktiva) ist nicht gleich
t entsprechender Position in Code 30## Sp.15 (Anlagenspiegel)
b V10##S03 #EQ(2.0) V30##S15
a 1.1.2.1.02 SACHANLAGEN / GRUNDSTUECKE
k
f 1051.1##(***+) P(V10 V30)
d ##(20-26)
t Bilanz (Aktiva), Angabe in Code 10## Sp.02 (Aktiva) ist nicht gleich
t entsprechender Position in Code 30## Sp.14 (Anlagenspiegel)
b V10##S02 #EQ(2.0) V30##S14
k
f 1051.2##(***+) P(V10 V30)
d ##(20-26)
t Bilanz (Aktiva), Angabe in Code 10## Sp.03 (Aktiva) ist nicht gleich
t entsprechender Position in Code 30## Sp.15 (Anlagenspiegel)
b V10##S03 #EQ(2.0) V30##S15
k
k
a 1.1.2.1.03 SACHANLAGEN / MASCHINEN
k
f 1052.1##(***+) P(V10 V30)
d ##(30-37)
t Bilanz (Aktiva), Angabe in Code 10## Sp.02 (Aktiva) ist nicht gleich
t entsprechender Position in Code 30## Sp.14 (Anlagenspiegel)
b V10##S02 #EQ(2.0) V30##S14
k
f 1052.2##(***+) P(V10 V30)
d ##(30-37)
t Bilanz (Aktiva), Angabe in Code 10## Sp.03 (Aktiva) ist nicht gleich
t entsprechender Position in Code 30## Sp.15 (Anlagenspiegel)
b V10##S03 #EQ(2.0) V30##S15
a 1.1.2.1.04 SACHANLAGEN / ANDERE ANLAGEN
k
f 1053.1##(***+) P(V10 V30)
d ##(40,41,43,45-48)
t Bilanz (Aktiva), Angabe in Code 10## Sp.02 (Aktiva) ist nicht gleich
t entsprechender Position in Code 30## Sp.14 (Anlagenspiegel)
b V10##S02 #EQ(2.0) V30##S14
k
f 1053.2##(***+) P(V10 V30)
d ##(40,41,43,45-48)
t Bilanz (Aktiva), Angabe in Code 10## Sp.03 (Aktiva) ist nicht gleich
t entsprechender Position in Code 30## Sp.15 (Anlagenspiegel)
b V10##S03 #EQ(2.0) V30##S15
a 1.1.2.1.05 SACHANLAGEN / STEHENDES HOLZ ETC.
k
f 1054.1##(***+) P(V10 V30)
d ##(69,76,78)
t Bilanz (Aktiva), Angabe in Code 10## Sp.02 (Aktiva) ist nicht gleich
t entsprechender Position in Code 30## Sp.14 (Anlagenspiegel)
b V10##S02 #EQ(2.0) V30##S14
k
f 1054.2##(***+) P(V10 V30)
d ##(69,76,78)
t Bilanz (Aktiva), Angabe in Code 10## Sp.03 (Aktiva) ist nicht gleich
t entsprechender Position in Code 30## Sp.15 (Anlagenspiegel)
b V10##S03 #EQ(2.0) V30##S15
a 1.1.2.1.06 FINANZANLAGEN
k
f 1055.1##(***+) P(V10 V30)
d ##(80-87)
t Bilanz (Aktiva), Angabe in Code 10## Sp.02 (Aktiva) ist nicht gleich
t entsprechender Position in Code 30## Sp.14 (Anlagenspiegel)
b V10##S02 #EQ(2.0) V30##S14
k
k
f 1055.2##(***+) P(V10 V30)
d ##(80-87)
t Bilanz (Aktiva), Angabe in Code 10## Sp.03 (Aktiva) ist nicht gleich
t entsprechender Position in Code 30## Sp.15 (Anlagenspiegel)
b V10##S03 #EQ(2.0) V30##S15
k
a 1.1.2.1.07 TIERVERMOEGEN
k
f 1056.100(***+) P(V10 V31)
t Bilanz (Aktiva), Angabe in Code 1090 Sp.02 (PFERDE) ist nicht gleich
t entsprechender Position in Code 3109 Sp.07 (Bewertung TierVM)
b V1090S02 #EQ(20.0) V3109S07
k
f 1056.200(***+) P(V10 V31)
t Bilanz (Aktiva), Angabe in Code 1090 Sp.03 (PFERDE) ist nicht gleich
t entsprechender Position in Code 3109 Sp.04 (Bewertung TierVM)
b V1090S03 #EQ(20.0) V3109S04
k
f 1057.100(***+) P(V10 V31)
t Bilanz (Aktiva), Angabe in Code 1091 Sp.02 (RINDER) ist nicht gleich
t entsprechender Position in Code 3129 Sp.07 (Bewertung TierVM)
b V1091S02 #EQ(20.0) V3129S07
k
f 1057.200(***+) P(V10 V31)
t Bilanz (Aktiva), Angabe in Code 1091 Sp.03 (RINDER) ist nicht gleich
t entsprechender Position in Code 3129 Sp.04 (Bewertung TierVM)
b V1091S03 #EQ(20.0) V3129S04
k
f 1058.100(***+) P(V10 V31)
t Bilanz (Aktiva), Angabe in Code 1092 Sp.02 (SCHWEINE) ist nicht
t gleich entsprechender Position in Code 3139 Sp.07 (Bewertung TierVM)
b V1092S02 #EQ(20.0) V3139S07
k
f 1058.200(***+) P(V10 V31)
t Bilanz (Aktiva), Angabe in Code 1092 Sp.03 (SCHWEINE) ist nicht
t gleich entsprechender Position in Code 3139 Sp.04 (Bewertung TierVM)
b V1092S03 #EQ(20.0) V3139S04
k
f 1059.100(***+) P(V10 V31)
t Bilanz (Aktiva), Angabe in Code 1093 Sp.02 (SCHAFE) ist nicht gleich
t entsprechender Position in Code 3149 Sp.07 (Bewertung TierVM)
b V1093S02 #EQ(20.0) V3149S07
k
f 1059.200(***+) P(V10 V31)
t Bilanz (Aktiva), Angabe in Code 1093 Sp.03 (SCHAFE) ist nicht gleich
t entsprechender Position in Code 3149 Sp.04 (Bewertung TierVM)
b V1093S03 #EQ(20.0) V3149S04
k
k
f 1060.100(***+) P(V10 V31)
t Bilanz (Aktiva), Angabe in Code 1094 Sp.02 (GEFLUEGEL) ist nicht
t gleich entsprechender Position in Code 3160 Sp.07 (Bewertung TierVM)
b V1094S02 #EQ(200.0) V3160S07
k
f 1060.200(***+) P(V10 V31)
t Bilanz (Aktiva), Angabe in Code 1094 Sp.03 (GEFLUEGEL) ist nicht
t gleich entsprechender Position in Code 3160 Sp.04 (Bewertung TierVM)
b V1094S03 #EQ(200.0) V3160S04
k
f 1061.100(***+) P(V10 V31)
s V9801 < 5.0
t Bilanz (Aktiva), Angabe in Code 1098 Sp.02 (SONST. TIERE) ist nicht
t gleich der Summe der entsprechenden Positionen in den Codes 3169 und
t 3198 Sp.07 (Bewertung TierVM)
b V1098S02 #EQ(20.0) V3169,98S07
k
f 1061.200(***+) P(V10 V31)
s V9801 < 5.0
t Bilanz (Aktiva), Angabe in Code 1098 Sp.03 (SONST. TIERE) ist nicht
t gleich der Summe der entsprechenden Positionen in den Codes 3169 und
t 3198 Sp.04 (Bewertung TierVM)
b V1098S03 #EQ(20.0) V3169,98S04
k
a 1.1.2.1.08 UMLAUFVERMOEGEN / VORRAETE
k
f 1062.100(***+) P(V10 V32)
s V9801 < 5.0
t Bilanz (Aktiva), Angabe in Code 1109 Sp.02 (Roh-,Hilfs-,Betriebsstoffe) ist nicht gleich
t entsprechender Position in Code 3299 Sp.07 (Bewertung Vorraete)
b V1109S02 #EQ(30.0) V3299S07
k
f 1062.200(***+) P(V10 V32)
s V9801 < 5.0
t Bilanz (Aktiva), Angabe in Code 1109 Sp.03 (Roh-,Hilfs-,Betriebsstoffe) ist nicht gleich
t entsprechender Position in Code 3299 Sp.04 (Bewertung Vorraete)
b V1109S03 #EQ(30.0) V3299S04
k
f 1062.300(***) P(V10 V32)
s V9801 < 5.0
t Bilanz (Aktiva), Angabe in Code 1109 Sp.04 (Veraenderung Roh-,Hilfs-,Betriebsstoffe) ist 
t mit mehr als 50.000 Euro ungewoehnlich hoch
b ABS(V1109S04) <= 50000.0
f 1063.100(***+) P(V10 V32)
s V9801 < 5.0
t Bilanz (Aktiva), Angabe in Code 1110 Sp.02 (Feldinventar) ist nicht gleich
t entsprechender Position in Code 3499 Sp.07 (Bewertung Vorraete)
b V1110S02 #EQ(30.0) V3499S07
k
f 1063.200(***+) P(V10 V32)
s V9801 < 5.0
t Bilanz (Aktiva), Angabe in Code 1110 Sp.03 (Feldinventar) ist nicht gleich
t entsprechender Position in Code 3499 Sp.04 (Bewertung Vorraete)
b V1110S03 #EQ(30.0) V3499S04
k
f 1063.300(***) P(V10 V32)
s V9801 < 5.0
t Bilanz (Aktiva), Angabe in Code 1110 Sp.04 (Veraenderung Feldinventar) ist
t mit mehr als 100.000 Euro ungewoehnlich hoch
b ABS(V1110S04) <= 100000.0
k
f 1064.100(***+) P(V10 V32)
t Bilanz (Aktiva), Angabe in Code 1118 Sp.02 (sonst. unfert. Erzeugnisse) ist nicht gleich
t entsprechender Position in Code 3599 Sp.07 (Bewertung Vorraete)
b V1118S02 #EQ(30.0) V3599S07
k
f 1064.200(***+) P(V10 V32)
t Bilanz (Aktiva), Angabe in Code 1118 Sp.03 (sonst. unfert. Erzeugnisse) ist nicht gleich
t entsprechender Position in Code 3599 Sp.04 (Bewertung Vorraete)
b V1118S03 #EQ(30.0) V3599S04
k
f 1064.300(***) P(V10 V32)
t Bilanz (Aktiva), Angabe in Code 1118 Sp.04 (Veraenderung sonst. unfert. Erzeugnisse) ist
t mit mehr als 100.000 Euro ungewoehnlich hoch
b ABS(V1118S04) <= 100000.0
k
f 1065.100(***+) P(V10 V32)
t Bilanz (Aktiva), Angabe in Code 1120 Sp.02 (selbst erz. fert. Erzeugnisse) ist nicht gleich
t entsprechender Position in Code 3799 Sp.07 (Bewertung Vorraete)
b V1120S02 #EQ(30.0) V3799S07
k
f 1065.200(***+) P(V10 V32)
t Bilanz (Aktiva), Angabe in Code 1120 Sp.03 (selbst erz. fert. Erzeugnisse) ist nicht gleich
t entsprechender Position in Code 3799 Sp.04 (Bewertung Vorraete)
b V1120S03 #EQ(30.0) V3799S04
k
f 1065.300(***) P(V10 V32)
t Bilanz (Aktiva), Angabe in Code 1120 Sp.04 (Veraenderung selbst erz. fert. Erzeugnisse) ist
t mit mehr als 100.000 Euro ungewoehnlich hoch
b ABS(V1120S04) <= 100000.0
k
f 1066.100(***+) P(V10 V32)
t Bilanz (Aktiva), Angabe in Code 1121 Sp.02 (zugek. Waren) ist nicht gleich
t entsprechender Position in Code 3899 Sp.07 (Bewertung Vorraete)
b V1121S02 #EQ(30.0) V3899S07
k
f 1066.200(***+) P(V10 V32)
t Bilanz (Aktiva), Angabe in Code 1121 Sp.03 (zugek. Waren) ist nicht gleich
t entsprechender Position in Code 3899 Sp.04 (Bewertung Vorraete)
b V1121S03 #EQ(30.0) V3899S04
k
f 1066.300(***) P(V10 V32)
t Bilanz (Aktiva), Angabe in Code 1121 Sp.04 (Veraenderung zugek. Waren) ist
t mit mehr als 100.000 Euro ungewoehnlich hoch
b ABS(V1121S04) <= 100000.0
k
a 1.1.2.1.09 UMLAUFVERMOEGEN / FORDERUNGEN
k
f 1067.108(*  ) P(V10 V33)
s V0020S02 >= 61E0 && V0020S02 < 65E0
s    V1159S02 !=  0.0
t Bilanz (Aktiva), Summe in Code 1159 Sp.02 (Aktiva) ist nicht gleich
t entsprechender Position in Code 3909 Sp.04 (Forderungenspiegel)
b V3909S04 #EQ(20.0) V1159S02
k
f 1067.209(*  ) P(V10 V33)
s V0020S02 >= 61E0 && V0020S02 < 65E0
s    V1159S03 !=  0.0
t Bilanz (Aktiva), Summe in Code 1159 Sp.03 (Aktiva) ist nicht gleich
t entsprechender Position in Code 3909 Sp.07 (Forderungenspiegel)
b V3909S07 #EQ(20.0) V1159S03
k
k
a 1.1.2.2 KONSISTENZPRUEFUNG
a 1.1.2.2.01 ABGLEICH MIT DECKBLATT
k
k
a 1.1.2.2.02 ABGLEICH INNERHALB DER BILANZSEITEN
k
k
k                      /* Ausleihungen an verb. U. */
k
f 1121.000(*   ) P(V10)
s V1081S02 > 5000.0
t Bilanz (Aktiva), Ausleihungen an verb. Unternehmen (Code 1081), aber
t keine Anteile an verb. Unternehmen (Code 1080 oder Code 1160)?
b V1080S02 > 0.0 || V1160S02 > 0.0
k
k                     /* Ausleihungen an U. mit Beteiligungsverhaeltnis */
k
f 1122.000(*   ) P(V10)
s V1083S02 > 5000.0
t Bilanz (Aktiva), Ausleihungen an Unternehmen, mit denen ein Beteili-
t gungsverhaeltnis (Code 1083) besteht, aber keine Eintragung bei
t Beteiligungen (Code 1082)?
b V1082S02 > 0.0
k
k                      /* Forderungen gegen verb. U. */
k
f 1123.000(*  ) P(V10)
s V1151S02 > 5000.0
t Bilanz (Aktiva), Forderungen gegen verb. Unternehmen (Code 1151),
t aber keine Anteile an verb. Unternehmen (Code 1080 oder Code 1160)?
b V1080S02 > 0.0 || V1160S02 > 0.0
k
k                     /* Forderungen gg. U. mit Beteiligungsverhaeltnis */
k
f 1124.000(*   ) P(V10)
s V1152S02 > 5000.0
t Bilanz (Aktiva), Forderungen gg Unternehmen, mit denen ein Beteili-
t gungsverhaeltnis (Code 1152) besteht, aber keine Eintragung bei
t Beteiligungen (Code 1082)?
b V1082S02 > 0.0
k
a 1.1.2.2.03 ABGLEICH MIT ANDEREN ABSCHNITTEN
k
f 1149.000(***+) P(V10 V60)
s V9801 < 5.0
t Bilanz (Aktiva), Boden in der Bilanz (Code 1020,21), aber keine
t Eigentumsflaeche in Code 6129 (Betriebsflaeche)
b ( V1020,21S02 == 0.0 ) || ( V6129S02 > 0.0 )
k
f 1150.000(*  ) P(V10 V60)
s V1026S02 > 0.0
t Bilanz (Aktiva), Gewaechshaeuser in der Bilanz (Code 1026), aber
t keine Gewaechshausflaeche im Abschn.6 (Betriebsflaeche)
b V6113S02,07 > 0.0 || V6114S02,07 > 0.0
k
f 1151.000(***+) P(V10 V60)
t Bilanz (Aktiva), STEHENDES HOLZ in der Bilanz (Code 1069), aber
t keine forstwirtschaftliche Nutzflaeche im Abschn.6 (Betriebsflaeche)
b ( V1069S02 < 1000E0 ) || ( V6122S02 > 0.0 )
k
f 1153.000(*  ) P(V10 V60)
t Bilanz (Aktiva), DAUERKULTUREN in der Bilanz (Code 1076), aber
t keine Dauerkulturflaeche im Abschn.6 (Betriebsflaeche)
b ( V1076S02 < 500E0 ) || ( V6108,10,11,12,13,14,16S02 > 0.0 )
k
m LDWP01B
a 1.2.1 TEIL 1.2: BILANZ (PASSIVA)      SPALTEN- UND ZEILENSUMMEN
a 1.2.1.01 EK EINZELUNTERN, GBR
k
k                                          /* Zeilensumme              */
f 1250.###(***+) P(V10)
s V0020S02 < 14E0
d ###(449,459,469,479,489,498)
s    V1###S03 > 0.0
t Bilanz (Passiva), in Code 1### entspricht Sp.02 - Sp.03 nicht Sp.04
b V1###S02 - V1###S03 #EQ(2.0) V1###S04
k                                          /* Spaltensumme             */
f 1251.0##(***+) P(V10)
s V0020S02 < 14E0
d ##(02-04)
t Bilanz (Passiva), Summenwert in Code 1499 Spalte ## entspricht nicht
t der Summe der Einzelpositionen
b V1449,59,69,79,89,98S## #EQ(2.0) V1499S##
k
k                          /* unzulaessige Eintrag. Einzelunternehmen U. GbR (Schluesselnummer 13)    */
k
f 1252.000(***) P(V10)
s V0020S02 <  12E0 || V0020S02 == 13E0
t Bilanz (Passiva), fuer Einzelunternehmen/GbR (Schluesselnummer 13) sind in Code 1400 bis 1439
t Sp.02 bis Sp.04 keine Eintragungen zulaessig
b V1400-05,10-13S02 + V1422-32,35,36S02 ==  0.0
k
f 1252.001(***) P(V10)
s V0020S02 <  12E0 || V0020S02 == 13E0
t Bilanz (Passiva), fuer Einzelunternehmen/GbR(Schluesselnummer 13) sind in Code 1439 Sp.02,
t Sp.03 und Sp.04 keine Eintragungen zulaessig
b V1439S02 ==  0.0 && V1439S03 == 0.0 && V1439S04 == 0.0
k
f 1253.000(***) P(V10)
s V0020S02 <  12E0 || V0020S02 == 13E0
t Bilanz (Passiva), fuer Einzelunternehmen/GbR(Schluesselnummer 13) sind in Code 1500 bis 1516
t Sp.02 bis Sp.04 keine Eintragungen zulaessig
b V1500-15S02 ==  0.0 &&
b V1516S02-04 ==  0.0
k
a 1.2.1.02 EK PERSONENGESELLSCHAFTEN
k
f 1270.0##(***+) P(V10)
s (V0020S02 == 12E0 || V0020S02 > 13E0) && V0020S02 <= 17E0
d ##(00,01-16)
s V15##S03 > 0.0
t Bilanz (Passiva), in Code 15## entspricht Sp. 02 - Sp. 03 nicht Sp. 04
b V15##S02 - V15##S03 #EQ(2.0) V15##S04
k
f 1273.0##(***+) P(V10)
s (V0020S02 == 12E0 || V0020S02 > 13E0) && V0020S02 <= 17E0
d ##(02-04)
t Bilanz (Passiva), Summe in Code 1516 Sp. ## entspricht nicht der
t Summe der Einzelpositionen
b ( V1503,07,14,15S## ) #EQ(2.0) V1516S##
k
k 1274.0##(*  ) P(V10)     			// zur Zeit nicht aktiv//
k V0020S02 ==  12E0
k ##(02,03,04,05)
k Bilanz (Passiva), fuer Gesellschaften buergerlichen Rechts (GbR) mit der Schluesselnummer 12
k sind in den Code 1571 bis 1589 Eintragungen nicht erwuenscht
k V1571-89S## ==  0.0
k
k                     /* unzulaessige Eintragungen fuer Personengesell. */
k
f 1276.0##(***+) P(V10)
s (V0020S02 == 12E0 || V0020S02 > 13E0) && V0020S02 <= 17E0
d ##(00-03,05,29,35,39)
t Bilanz (Passiva), fuer Personengesellschaften sind in Code 14##
t Sp.02, Sp.03 und Sp.04 keine Eintragungen zulaessig
b V14##S02 ==  0.0 && V14##S03 == 0.0 && V14##S04 == 0.0
k
f 1277.0##(***+) P(V10)
s (V0020S02 == 12E0 || V0020S02 > 13E0) && V0020S02 <= 17E0
d ##(49,79,89,98,99)
t Bilanz (Passiva), fuer Personengesellschaften sind in Code 14##
t Sp.02, Sp.03 und Sp.04 keine Eintragungen zulaessig
b V14##S02 ==  0.0 && V14##S03 == 0.0 && V14##S04 == 0.0
k
a 1.2.1.03 EK KAPITALGESELLSCHAFTEN
k
k                      /* Zeilensumme EK Kap.gesell. */
f 1280.0##(***+) P(V10)
s (V0020S02 ==  63E0 || V0020S02 ==  64E0)
d ##(03,05,29,30,31,32,35,36,39)
s V14##S03 > 0.0
t Bilanz (Passiva), in Code 14## entspricht Sp.02 - Sp.03 nicht Sp.04
b V14##S02 - V14##S03 #EQ(2.0) V14##S04
k
f 1290.0##(***+) P(V10)
s (V0020S02 ==  63E0 || V0020S02 ==  64E0)
d ##(02-04)
t Bilanz (Passiva), Summenwert in Code 1403 Spalte ## entspricht nicht
t der Summe der Einzelpositionen
b V1400,01,02S## #EQ(2.0) V1403S##
k                      /* Spaltensumme A III EK Kap.gesell. */
f 1291.0##(***+) P(V10)
s (V0020S02 ==  63E0 || V0020S02 ==  64E0)
d ##(02-04)
t Bilanz (Passiva), Summenwert in Code 1429 Spalte ## entspricht nicht
t der Summe der Einzelpositionen
b V1410,14,18,22S## #EQ(2.0) V1429S##
k
k                      /* Spaltensumme A IV EK Kap.gesell. */
f 1292.0##(***+) P(V10)
s (V0020S02 ==  63E0 || V0020S02 ==  64E0)
d ##(02-04)
t Bilanz (Passiva), Summenwert in Code 1436 Spalte ## entspricht nicht
t der Summe der Einzelpositionen
b V1430-33,35S## #EQ(2.0) V1436S##
k
k                      /* Spaltensumme insg. EK Kap.gesell. */
f 1293.0##(***+) P(V10)
s (V0020S02 ==  63E0 || V0020S02 ==  64E0)
d ##(02-04)
t Bilanz (Passiva), Summenwert in Code 1439 Spalte ## entspricht nicht
t der Summe der Einzelpositionen
b V1403,05,29,36S## #EQ(2.0) V1439S##
k                      /* unzulaessige Eintragungen fuer Kap.gesell. */
f 1294.###(***+) P(V10)
s (V0020S02 ==  63E0 || V0020S02 ==  64E0)
d ###(500,515,516)
t Bilanz (Passiva), fuer Kapitalgesellschaften sind in Code 1### Sp.02,
t Sp.03 und Sp.04 keine Eintragungen zulaessig
b V1###S02 ==  0.0 && V1###S03 == 0.0 && V1###S04 == 0.0
k
a 1.2.1.04 EK GENOSSENSCHAFTEN
k
k                      /* Zeilensumme EK Gen. */
f 1310.0##(***+) P(V10)
s V0020S02 ==  62E0
d ##(00-03,05,29,30,31,32,33,35,36,39)
s V14##S03 > 0.0
t Bilanz (Passiva), in Code 14## entspricht Sp.02 - Sp.03 nicht Sp.04
b V14##S02 - V14##S03 #EQ(2.0) V14##S04
k                      /* Spaltensumme A I EK Gen. */
f 1311.0##(***+) P(V10)
s V0020S02 ==  62E0
d ##(02-04)
t Bilanz (Passiva), Summenwert in Code 1403 Spalte ## entspricht nicht
t der Summe der Einzelpositionen
b V1400,01,02S## #EQ(2.0) V1403S##
k
k                      /* Spaltensumme A III EK Gen. */
f 1312.0##(***+) P(V10)
s V0020S02 ==  62E0
d ##(02-04)
t Bilanz (Passiva), Summenwert in Code 1429 Spalte ## entspricht nicht
t der Summe der Einzelpositionen
b V1410,22S## #EQ(2.0) V1429S##
k
k                      /* Spaltensumme A IV EK Gen. */
f 1313.0##(***+) P(V10)
s V0020S02 ==  62E0
d ##(02-04)
t Bilanz (Passiva), Summenwert in Code 1436 Spalte ## entspricht nicht
t der Summe der Einzelpositionen
b V1430,31,32,33,35S## #EQ(2.0) V1436S##
k
k                      /* Spaltensumme insg. EK Gen. */
f 1314.0##(***+) P(V10)
s V0020S02 ==  62E0
d ##(02-04)
t Bilanz (Passiva), Summenwert in Code 1439 Spalte ## entspricht nicht
t der Summe der Einzelpositionen
b V1403,05,29,36S## #EQ(2.0) V1439S##
k
k                      /* unzulaessige Eintragungen fuer Gen. */
f 1315.0##(***+) P(V10)
s V0020S02 ==  62E0
d ##(14,18-21,49,59,69,79,89,98,99)
t Bilanz (Passiva), fuer Genossenschaften sind in Code 14##
t Sp. 02, Sp.03 und Sp.04 keine Eintragungen zulaessig
b V14##S02 ==  0.0 && V14##S03 == 0.0 && V14##S04 == 0.0
k
f 1316.0##(***+) P(V10)
s V0020S02 ==  62E0
d ##(00,01,02,03,04,05,06,07-10,13-16)
t Bilanz (Passiva), fuer Genossenschaften sind in Code 15## Sp.02,
t Sp.03 und Sp.04 keine Eintragungen zulaessig
b V15##S02 ==  0.0 && V15##S03 == 0.0 && V15##S04 == 0.0
k
k
k                      /* Zeilensumme Passiva, auszer EK */
f 1329.0##(***+) P(V10)
d ##(18,29,39,59,66,67,68)
s V15##S03 > 0.0
t Bilanz (Passiva), in Code 15## entspricht Sp.02 - Sp.03 nicht Sp.04
b V15##S02 - V15##S03 #EQ(2.0) V15##S04
k                      /* Spaltensumme Sonderposten m R */
f 1330.0##(***+) P(V10)
d ##(02-04)
t Bilanz (Passiva), Summenwert in Code 1523 Spalte ## entspricht nicht
t der Summe der Einzelpositionen
b V1520-21S## #EQ(2.0) V1523S##
k
k			/* Spaltensumme sonstiger Sonderposten */
k
f 1331.0##(***+) P(V10)
d ##(02-04)
t Bilanz (Passiva), Summenwert in Code 1529 Spalte ## entspricht nicht
t der Summe der Einzelpositionen
b V1524-28S## #EQ(2.0) V1529S##
k
k                      /* Spaltensumme Rueckstellungen */
f 1332.0##(***+) P(V10)
d ##(02-04)
t Bilanz (Passiva), Summenwert in Code 1539 Spalte ## entspricht nicht
t der Summe der Einzelpositionen
b V1530-38S## #EQ(2.0) V1539S##
k                      /* Spaltensumme Verbindlichkeiten */
f 1333.0##(***+) P(V10)
d ##(02-04)
t Bilanz (Passiva), Summenwert in Code 1559 Spalte ## entspricht nicht
t der Summe der Einzelpositionen
b V1540-55S## #EQ(2.0) V1559S##
k                 /* SPALTENSUMME INSG. PASSIVA */
f 1334.0##(***+) P(V10)
d ##(02-04)
t Bilanz (Passiva), Summenwert in Code 1568 Spalte ## entspricht nicht
t der Summe der Einzelpositionen
b V1439,99S## + V1516,23,29,39,59,66,67S## #EQ(2.0) V1568S##
k
k
a 1.2.2 TEIL 1.2: BILANZ (PASSIVA)         KONTROLLFRAGEN */
k
k
f 1350.0##(***+) P(V10)
d ##(02,03)
t Bilanzsumme (Passiva), Summe PASSIVA im Geschaeftsjahr oder Vorjahr
t ist gleich NULL   ? ? ?
b V1568S## !=  0.0
k
f 1351.100(***) P(V10)
s V0003S02 < 17E0
t Bilanz (Passiva), Veraenderung SONDERPOSTEN AUFGRUND 
t VON INVESTITIONSZUSCHUESSEN (Passiva, Code 1525 Spalte 4) aber 
t keine Buchungen in der G.u.V., Codes 2452 bzw. 2861 Spalte 5
b V1525S04 == 0.0 || V2452S05 + V2861S05 != 0.0
k									/*Regelung fuer Luxemburg*/
k
f 1351.101(***) P(V10)
s V0003S02 > 17E0
t Bilanz (Passiva), Veraenderung SONDERPOSTEN AUFGRUND 	
t VON INVESTITIONSZUSCHUESSEN (Passiva, Code 1522 Spalte 4) aber 
t keine Buchungen in der G.u.V., Codes 2368, 2373, 2375 bzw. 2377 Spalte 3
b V1522S04 == 0.0 || V2368S03 + V2373S03 + V2375S03 + V2377S03 != 0.0
k
k									
f 1351.200(*  ) P(V10)
s v1523,29s04 != 0
s V0003S02 < 17E0
t Bilanz (Passiva), Veraenderung SONDERPOSTEN  (Passiva, Code
t 1523 und 1529 Spalte 4) ist nicht gleich dem Saldo aus der Aufloesung (Code 2452, 2493
t Spalte 5) und der Einstellung (Code 2861, 2891, 2892, 2893 Spalte 5) in die Sonderposten
b ( V1523,29S04 ) #EQ(100.0)  ( V2861,91,92,93S05 ) *(-1.0) - ( V2452S05 + V2493S05 )
k
k
k									/*Regelung fuer Luxemburg*/
f 1351.201(***) P(V10)
s V0003S02 > 17E0
t Bilanz (Passiva), Veraenderung SONDERPOSTEN (Passiva, Code
t 1529 Spalte 4) ist nicht gleich dem Saldo aus der Aufloesung (Code 2452, 2493
t Spalte 5) und der Einstellung (Code 2861, 2891 Spalte 5) des Sonderpostens mit
t Ruecklageanteil
b ABS ( V1529S04 ) #EQ(10.0) ABS ( V2449S03)
k
k
f 1352.000(***) P(V10 V2)
t Bilanz (Passiva), Verbindlichkeiten gegenueber Kreditinstituten in der Bilanz, aber keinen Zinsaufwand in der GuV (Code 2914)
b V1540S02 == 0.0 || V2914S05 < 0.0
k
f 1355.000(***) P(V11)
s V0020S02 > 61E0
t Bilanz (Passiva), Betrieb in der Rechtsform eingetragene Genossenschaft bzw. Kapitalgesellschaft
t aber kein Geschaeftsguthaben bzw. kein gez. Kapital (Code 1400, Sp. 2)
b V1400S02 > 0.0
k
f 1356.000(***+) P(V11)
s V0020S02 == 63E0
t Bilanz (Passiva), Bei Betrieben in der Rechtsform Kapitalgesellschaft
t sind Eintragungen in  die Codes 1401 und 1402 mit negativen Vorzeichen zu erfassen
b V1401,02S02 == 0.0 || V1401,02S02 < 0.0
k
k
a 1.2.2.1 PRUEFUNG AUF UEBERTRAGUNGSFEHLER
a 1.2.2.1.01 EK EINZELUNTERNEHMEN /GBR(Schluesselnummer 13)--
k
f 1400.000(***+) P(V10)
s V0020S02 <=  11E0 || v0020s02 == 13E0
t Bilanz (Passiva), Angabe Zeile 1449 Sp.02 (Passiva) ist nicht gleich
t Code 1499 Sp. 03 (Passiva) bzw. dem negativen Wert des Codes 1498 Sp.
t 03 im Falle eines nicht durch Eigenkapital gedeckten Fehlbetrages im
t Vorjahr
b V1449S02 #EQ(2.0) ( V1499S03 - V1498S03 )
k
f 1401.000(***+) P(V10)
s (V0020S02 <=  11E0 || v0020S02 == 13E0)
s V1498S02 != 0.0
t Bilanz (Passiva), Eigenkapital ist bei Unterbilanz 0.0
b V1499S02 #EQ(1.0) 0.0
k
f 1405.000(***+) P(V10 V11)
s V1589S05 > 100E0 && v1459s02 > 100E0
s   V9801 < 5.0
t Bilanz (Passiva), Angabe Zeile 1459 Sp.02 (Einlagen) ist nicht gleich
t entsprechender Position in Code 1589 Sp.05 (Einlagen und Entnahmen)
b V1459S02 #EQ(2.0) V1589S05
k
f 1406.000(***+) P(V10 V11)
s   V9801 < 5.0
s V1579S05 > 100E0 && v1469s02 < -100
t Bilanz (Passiva), Angabe Zeile 1469 Sp.02(Entnahmen) ist nicht gleich
t entsprechender Position in Code 1579 Sp.05 (Einlagen und Entnahmen)
b V1579S05 #EQ(2.0) ABS(V1469S02)
k
f 1407.100(***+) P(V10 V2 )
s (V0020S02 <=  11E0 || v0020S02 == 13E0)
s    V2959S05 == 0.0
t Bilanz (Passiva), Angabe Zeile 1479 bzw 1489 Sp.02 (Gewinn/ Verlust GJ) ist
t nicht gleich entsprechender Position in Code 2959 Sp.05 (GuV GJ)
b V1479S02 + V1489S02 #EQ(2.0) V2959S05
k
f 1407.200(***+) P(V10 V2 )
s V9801 < 5.0
s (V0020S02 <=  11E0 || v0020s02 == 13E0)
s    V2959S06 == 0.0
t Bilanz (Passiva), Angabe Zeile 1479 bzw 1489 Sp.03 (Gewinn/ Verlust VJ) ist
t nicht gleich entsprechender Position in Code 2959 Sp.06 (GuV VJ)
b V1479S03 + V1489S03 #EQ(2.0) V2959S06
k
f 1408.000(***+) P(V10 V2 )
s (V0020S02 <=  11E0 || v0020s02 == 13E0)
s    V2959S05 > 0.0
t Bilanz (Passiva), Angabe Zeile 1479 Sp.02 (Gewinn GJ) ist nicht
t gleich entsprechender Position in Code 2959 Sp.05 (GuV GJ)
b V1479S02 #EQ(2.0) V2959S05
k
f 1409.000(***+) P(V10 V2 )
s (V0020S02 <=  11E0 || v0020s02 == 13E0)
s    V2959S05 < 0.0
t Bilanz (Passiva), Angabe Zeile 1489 Sp.02 (Verlust GJ) ist nicht
t gleich entsprechender Position in Code 2959 Sp.05 (GuV GJ)
b V1489S02 #EQ(2.0) V2959S05
k
f 1410.000(***) P(V10 V2 )
s (V0020S02 <=  11E0 || v0020s02 == 13E0)
s    V2959S06 > 0.0
t Bilanz (Passiva), Angabe Zeile 1479 Sp.03 (Gewinn VJ) ist nicht
t gleich entsprechender Position in Code 2959 Sp.06 (GuV VJ)
b V1479S03 #EQ(2.0) V2959S06
k
f 1411.000(***) P(V10 V2 )
s (V0020S02 <=  11E0 || v0020s02 == 13E0)
s    V2959S06 < 0.0
t Bilanz (Passiva), Angabe Zeile 1489 Sp.03 (Verlust VJ) ist nicht
t gleich entsprechender Position in Code 2959 Sp.06 (GuV VJ)
b V1489S03 #EQ(2.0) V2959S06
k
a 1.2.2.1.02 EK KAP.GESELL. UND GEN.
k
f 1440.000(***+) P(V10 V2 )
s V0020S02 > 17E0
t Bilanz (Passiva), Angabe Zeile 1431 Sp.02 (Jahresueberschuss/
t Jahresfehlbetrag GJ) ist nicht gleich entsprechender Position
t in Code 2959 Sp.05(GuV GJ)
b V1431S02 #EQ(2.0) V2959S05
k
f 1441.000(***+) P(V10 V2 )
s V0020S02 > 17E0
s    V2959S06 != 0.0
t Bilanz (Passiva), Angabe Zeile 1431 Sp.03 (Jahresueberschuss/
t Jahresfehlbetrag VJ) ist nicht gleich entsprechender Position
t in Code 2959 Sp.06 (GuV VJ)
b V1431S03 #EQ(2.0) V2959S06
k
a 1.2.2.1.03  VERBINDLICHKEITENSPIEGEL
k
k                      /* Verbindl. gg. Kreditinstitut */
f 1450.100(***) P(V10 V34)
s ( V0020S02 >= 17E0 && V0020S02 <= 64E0 ) || ( V3919S02-04 !=  0.0 || V3919S05-07 != 0.0 )
t Bilanz (Passiva), Angabe in Code 1540 Sp.02 entspricht nicht der
t Summe der Spalten 02 + 03 + 04 in Code 3910
b ( V3910S02,03,04 ) #EQ(2.0) V1540S02
k
f 1450.200(***) P(V10 V34)
s ( V0020S02 >= 17E0 && V0020S02 <= 64E0 ) || ( V3919S02-04 !=  0.0 || V3919S05-07 != 0.0 )
t Bilanz (Passiva), Angabe in Code 1540 Sp.03 entspricht nicht der
t Summe der Spalten 05 + 06 + 07 in Code 3910
b ( V3910S05,06,07 ) #EQ(2.0) V1540S03
k
k                      /* Erhaltene Anzahlung */
f 1451.100(***) P(V10 V34)
s ( V0020S02 >= 17E0 && V0020S02 <= 64E0 ) || ( V3919S02-04 !=  0.0 || V3919S05-07 != 0.0 )
t Bilanz (Passiva), Angabe in Code 1543 Sp.02 entspricht nicht der
t Summe der Spalten 02 + 03 + 04 in Code 3911
b ( V3911S02,03,04 ) #EQ(2.0) V1543S02
k
f 1451.200(***) P(V10 V34)
s ( V0020S02 >= 17E0 && V0020S02 <= 64E0 ) || ( V3919S02-04 !=  0.0 || V3919S05-07 != 0.0 )
t Bilanz (Passiva), Angabe in Code 1543 Sp.03 entspricht nicht der
t Summe der Spalten 05 + 06 + 07 in Code 3911
b ( V3911S05,06,07 ) #EQ(2.0) V1543S03
k
k                      /* Verbindl. aus Lieferungen */
f 1452.100(***) P(V10 V34)
s ( V0020S02 >= 17E0 && V0020S02 <= 64E0 ) || ( V3919S02-04 !=  0.0 || V3919S05-07 != 0.0 )
t Bilanz (Passiva), Angabe in Code 1545 Sp.02 entspricht nicht der
t Summe der Spalten 02 + 03 + 04 in Code 3912
b ( V3912S02,03,04 ) #EQ(2.0) V1545S02
k
f 1452.200(***) P(V10 V34)
s ( V0020S02 >= 17E0 && V0020S02 <= 64E0 ) || ( V3919S02-04 !=  0.0 || V3919S05-07 != 0.0 )
t Bilanz (Passiva), Angabe in Code 1545 Sp.03 entspricht nicht der
t Summe der Spalten 05 + 06 + 07 in Code 3912
b ( V3912S05,06,07 ) #EQ(2.0) V1545S03
k
k  /* Verbindl. aus der Ausstellung eigener Wechsel */
f 1453.100(***) P(V10 V34)
s ( V0020S02 >= 17E0 && V0020S02 <= 64E0 ) || ( V3919S02-04 !=  0.0 || V3919S05-07 != 0.0 )
t Bilanz (Passiva), Angabe in Code 1547 Sp.02 entspricht nicht der
t Summe der Spalten 02 + 03 + 04 in Code 3913
b ( V3913S02,03,04 ) #EQ(2.0) V1547S02
k
k
f 1453.200(***) P(V10 V34)
s ( V0020S02 >= 17E0 && V0020S02 <= 64E0 ) || ( V3919S02-04 !=  0.0 || V3919S05-07 != 0.0 )
t Bilanz (Passiva), Angabe in Code 1547 Sp.03 entspricht nicht der
t Summe der Spalten 05 + 06 + 07 in Code 3913
b ( V3913S05,06,07 ) #EQ(2.0) V1547S03
k
k                      /* Verbindl. gg. verb. Unternehmen */
f 1454.100(***) P(V10 V34)
s ( V0020S02 >= 17E0 && V0020S02 <= 64E0 ) || ( V3919S02-04 !=  0.0 || V3919S05-07 != 0.0 )
t Bilanz (Passiva), Angabe in Code 1549 Sp.02 entspricht nicht der
t Summe der Spalten 02 + 03 + 04 in Code 3914
b ( V3914S02,03,04 ) #EQ(2.0) V1549S02
k
f 1454.200(***) P(V10 V34)
s ( V0020S02 >= 17E0 && V0020S02 <= 64E0 ) || ( V3919S02-04 !=  0.0 || V3919S05-07 != 0.0 )
t Bilanz (Passiva), Angabe in Code 1549 Sp.03 entspricht nicht der
t Summe der Spalten 05 + 06 + 07 in Code 3914
b ( V3914S05,06,07 ) #EQ(2.0) V1549S03
k
k             /* Verbindl. gg. Unternehmen mit Beteiligungsverhaeltnis */
f 1455.100(***) P(V10 V34)
s ( V0020S02 >= 17E0 && V0020S02 <= 64E0 ) || ( V3919S02-04 !=  0.0 || V3919S05-07 != 0.0 )
t Bilanz (Passiva), Angabe in Code 1551 Sp.02 entspricht nicht der
t Summe der Spalten 02 + 03 + 04 in Code 3915
b ( V3915S02,03,04 ) #EQ(2.0) V1551S02
k
f 1455.200(***) P(V10 V34)
s ( V0020S02 >= 17E0 && V0020S02 <= 64E0 ) || ( V3919S02-04 !=  0.0 || V3919S05-07 != 0.0 )
t Bilanz (Passiva), Angabe in Code 1551 Sp.03 entspricht nicht der
t Summe der Spalten 05 + 06 + 07 in Code 3915
b ( V3915S05,06,07 ) #EQ(2.0) V1551S03
k
k                      /* sonstige Verbindlichkeiten */
f 1456.100(***) P(V10 V34)
s ( V0020S02 >= 17E0 && V0020S02 <= 64E0 ) || ( V3919S02-04 !=  0.0 || V3919S05-07 != 0.0 )
t Bilanz (Passiva), Angabe in Code 1553 Sp.02 entspricht nicht der
t Summe der Spalten 02 + 03 + 04 in Code 3916
b ( V3916S02,03,04 ) #EQ(2.0) V1553S02
k
f 1456.200(***) P(V10 V34)
s ( V0020S02 >= 17E0 && V0020S02 <= 64E0 ) || ( V3919S02-04 !=  0.0 || V3919S05-07 != 0.0 )
t Bilanz (Passiva), Angabe in Code 1553 Sp.03 entspricht nicht der
t Summe der Spalten 05 + 06 + 07 in Code 3916
b ( V3916S05,06,07 ) #EQ(2.0) V1553S03
k
k                      /* sonstige Verbindlichkeiten */
f 1457.100(***) P(V10 V34)
s V9801 < 5.0
s ( V0020S02 >= 17E0 && V0020S02 <= 64E0 ) || ( V3919S02-04 !=  0.0 || V3919S05-07 != 0.0 )
t Bilanz (Passiva), Angabe in Code 1555 Sp.02 entspricht nicht der
t Summe der Spalten 02 + 03 + 04 in Code 3918
b ( V3918S02,03,04 ) #EQ(2.0) V1555S02
k
f 1457.200(***) P(V10 V34)
s V9801 < 5.0
s ( V0020S02 >= 17E0 && V0020S02 <= 64E0 ) || ( V3919S02-04 !=  0.0 || V3919S05-07 != 0.0 )
t Bilanz (Passiva), Angabe in Code 1555 Sp.03 entspricht nicht der
t Summe der Spalten 05 + 06 + 07 in Code 3918
b ( V3918S05,06,07 ) #EQ(2.0) V1555S03
k
f 1458.100(***) P(V10 V34)
s V9801 < 5.0
t Bilanz (Passiva), Angabe in Code 1540 Sp.02 entspricht nicht der
t der Position 3996 Sp. 07
b V3996S07 #EQ(2.0) V1540S02
k
f 1458.200(***) P(V10 V34)
s V9801 < 5.0
t Bilanz (Passiva), Angabe in Code 1540 Sp.03 entspricht nicht der
t der Position 3996 Sp. 08
b V3996S08 #EQ(2.0) V1540S03
k
k
a 1.2.2.2 KONSISTENZPRUEFUNG
a 1.2.2.2.01 ABGLEICH MIT DECKBLATT
k
k         /* SP aufgrund  6b EStG */
k              /* SP mit Ruecklagenanteil*/
f 1483.000(***) P(V10 V2 )
s v1523,29s04 != 0
s V0003S02 < 17E0
t Veraenderung bei den Sonderposten in Code 1523 und 1529, aber 
t keine entspr. Buchungen in der GuV
b V1523,29S04 == 0.0 || V2452S05 != 0.0 || V2493S05 != 0.0 || V2861S05 != 0.0|| V2891,92,93S05 != 0.0
k
k
k										/*Regelung fuer Luxemburg*/
k
f 1483.001(***+) P(V10 V2 )
s V0003S02 > 17E0
t Veraenderung beim Sonderposten mit Ruecklageanteil in Code 1529, aber 
t keine entspr. Buchungen in der GuV
b V1529S04 == 0.0 || V2449S03 != 0.0
a 1.2.2.2.02 ABGLEICH INNERHALB DER BILANZ
k
k                                           /* Aktiva = Passiva */
f 1500.0##(***+) P(V10)
d ##(02-04)
t Bilanz (Passiva), Summe Passiva (Code 1568 Spalte ##) muss gleich
t Summe Aktiva (Code 1229 Spalte ##) sein
b V1229S## #EQ(2.0) V1568S##
k
k                 /* Ruecklagen bei Kap.gesellschaft und Genossenschaft */
k  /* wenn Vorjahr ausgefuellt wird, IF-Bedingungen erneut pruefen */
f 1520.000(***) P(V10)
s V1410S03 > 0.0
t Bilanz (Passiva), GESETZLICHE RUECKLAGEN im GJ ( 1410 Sp.02 ) sind
t rechnerisch nicht nachvollziehbar
b V1410S03 + V1411S02 + V1412S02 - V1413S02 #EQ(2.0) V1410S02
k
f 1521.000(***) P(V10)
s V1422S03 > 0.0
t Bilanz (Passiva), ANDERE GEWINNRUECKLAGEN im GJ ( 1422 Sp.02 ) sind
t rechnerisch nicht nachvollziehbar
b V1422S03 + V1423S02 + V1424S02 - V1425S02 #EQ(2.0) V1422S02
k
a 1.2.2.2.03 GESETZLICHE RUECKLAGE
k  /* Sachzusammenhang ist folgender: Eine AG (0020 = 64) muss 10 v.H.  */
k  /* des gezeichneten Kapitals (1403) in die Kap.ruecklage + gesetzl.  */
k  /* Ruecklage (1405 + 1410) einstellen. Wenn aber 1405 + 1410 kleiner */
k  /* als 10 v.H. von 1403 ist, dann muessen mind. 5 v.H. vom Restbetrag*/
k  /* (Jahresueberschu  - Verlustvortrag) in die gesetzl. Ruecklage     */
k  /* (1410) eingestellt werden. Aber, es kann sich ja auch um einen    */
k  /* Jahresfehlbetrag handeln. Dann ist eine Einstellung von 5 v.H.    */
k  /* nicht mehr gefordert. Ein Gewinnvortrag, der im Zusammenhang mit  */
k  /* einem Jahresfehlbetrag zu einem pos. Restbetrag fuehrt, ist nur   */
k  /* ein theoretischer Sonderfall und braucht in der Pruefung nicht    */
k  /* weiter beachtet zu werden.                                        */
k
f 1530.000(***+) P(V10)
s V0020S02 ==  64E0
s  ( V1405S02 + V1410S02) > 0.0 && ( V1405S02 + V1410S02 ) < ( V1403S02 / 10E0 )
t Bilanz (Passiva), eine AG muss mindestens 5 v.H. des positiven
t Restbetrages (Jahresueberschuss - Verlustvortrag) in die gesetzl.
t Ruecklage einstellen
b V1431S02 < 0.0 || (( V1430S02 + V1431S02 ) / 20E0 ) <= V1410S02
k
t 1531.0##(***+) P(V10)
t ( V0020S02 ==  63E0 || V0020S02 ==  64E0)
t ##(02-03)
t    V1161S## > 0.0
t Bilanz (Passiva), soweit eine GmbH oder AG eigene Anteile (Code 1161)
t haelt, muessen in gleicher Hoehe Ruecklagen fuer eigene Anteile
t (Code 1414) gebildet werden
t V1414S## #EQ(2.0) V1161S##
k
a 1.2.2.2.04 NICHT DURCH EK GED. FEHLBETRAG/KAP.GESELLSCHAFTEN U. GEN.
k
z SUMEKK2 = V1403S02 + V1405S02 + V1429S02 + V1430-32S02 ;
k
f 1550.000(***+) P(V10)
s SUMEKK2 < 0.0
t Bilanz (Passiva), eine neg. Summe aus den Zeilen 1403,05,29,30-32Sp.02
t muss durch Eintragungen in Code 1435 Sp.02 genau ausgeglichen werden
b V1435S02 #EQ(2.0) ( 0.0 - SUMEKK2 )
k
f 1551.000(***+) P(V10)
s SUMEKK2 > 0.0
t Bilanz (Passiva), wenn die Summe aus den Zeilen 1403,05,29,30-32Sp.02
t positiv ist, dann darf in Code 1435 Sp.02 keine Eintragung erfolgen
b V1435S02 ==  0.0
k
f 1552.000(***+) P(V10)
s V1435S02 > 0.0
t Bilanz (Passiva), Eintragung in Code 1435 Sp.02 ist ungleich
t entsprechender Position auf der Aktivseite (Code 1219 Sp.02)
b V1219S02 #EQ(2.0) V1435S02
k
a 1.2.2.2.05 NICHT DURCH EK GED. FEHLBETRAG/EINZEL.U. UND GBR
k
z SUMEK2 = V1449S02 + V1459S02 + V1469S02 + V1479S02 + V1489S02 ;
k
f 1560.000(***+) P(V10)
s SUMEK2 < 0.0
t Bilanz (Passiva), eine neg. Summe aus den Zeilen 1449-89 Sp.02 muss
t durch Eintragungen in Code 1498 Sp.02 genau ausgeglichen werden
b V1498S02 #EQ(2.0) ( V1449,59,69,79,89S02 )*(-1.0)
k
f 1561.000(***+) P(V10)
s SUMEK2 > 0.0
t Bilanz (Passiva), wenn die Summe aus den Zeilen 1449-89 Sp.02 positiv
t ist, dann darf in Code 1498 Sp.02 keine Eintragung erfolgen
b V1498S02 ==  0.0
k
f 1562.000(***+) P(V10)
s V1498S02 > 0.0
t Bilanz (Passiva), Eintragung in Code 1498 Sp.02 ist ungleich
t entsprechender Position auf der Aktivseite (Code 1219 Sp.02)
b V1219S02 #EQ(2.0) V1498S02
k
a 1.2.2.2.06 NICHT DURCH EK GED. FEHLBETRAG/PERSONENHAND.GESELL.
k
z SUMEKP2 = V1503S02 + V1507S02 + V1514S02 ;
k
f 1570.000(***+) P(V10)
s SUMEKP2 < 0.0
t Bilanz (Passiva), eine neg. Summe aus den Zeilen 1503,07,14 Sp.02 muss
t durch Eintragungen in Code 1515 Sp.02 genau ausgeglichen werden
b V1515S02 #EQ(2.0) ( 0.0 - SUMEKP2 )
k
f 1571.000(***+) P(V10)
s SUMEKP2 > 0.0
t Bilanz (Passiva), wenn die Summe aus den Zeilen 1503,07,14 Sp.02
t positiv ist, dann darf in Code 1515 Sp.02 keine Eintragung erfolgen
b V1515S02 ==  0.0
k
f 1572.000(***+) P(V10)
s V1515S02 > 0.0
t Bilanz (Passiva), Eintragung in Code 1515 Sp.02 ist ungleich
t entsprechender Position auf der Aktivseite (Code 1219 Sp.02)
b V1219S02 #EQ(2.0) V1515S02
k
k                                     /* Verbindlichkeiten gg. verb. U. */
k
m LDWP01C
a 1.3.1 TEIL 1.3: BILANZ AKTIVA/PASSIVA         SPALTEN- UND ZEILENSUMMEN
a 1.3.1.01 NEGATIVE WERTE IN DER BILANZ/AKTIVSEITE
k
f 1600.###(***+) P(V10)
d ###(009,010,012,014,015,018-026,030-037,040,041,043,045-049,069,076,078,
d     080-087,090-094,098,109-110,118,120,121,148,150-154,158,160,161,168,
d     179,199,202,205,209,219,229)
t Bilanz (Aktiva), negativer Wert bei Code 1### Spalte 02
b V1###S02 >= 0.0
k
f 1601.###(***+) P(V10)
d ###(009,010,012,014,015,018-026,030-037,040,041,043,045-049,069,076,
d     078,080-087,090-094,098,109-110,118,120,121,148,150-154,158,160,
d     161,168,179,199,202,205,209,219,229)
t Bilanz (Aktiva), negativer Wert bei Code 1### Spalte 03
b V1###S03 >= 0.0
k
a 1.3.1.02 NEGATIVE WERTE IN DER BILANZ/PASSIVA
k
f 1610.###(***+) P(V10)
d ###(400,403-405,410-414,418-429,435,459,479,500,504,508-510,513-516,
d     518-522,530-531,538,540,543,545,547,549,551,553,555,556,557,568)
t Bilanz (Passiva), negativer Wert bei Code 1### Spalte 02
b V1###S02 >= 0.0
k
f 1611.###(***+) P(V10)
d ###(400,403-405,410-414,418-429,435,459,479,500,504,508-510,513-516,
d     518-522,530-531,538,540,543,545,547,549,551,553,555,556,557,568)
t Bilanz (Passiva), negativer Wert bei Code 1### Spalte 03
b V1###S03 >= 0.0
k
f 1612.###(***+) P(V10)
d ###(469,489)
t Bilanz (Passiva), Code 1### Spalte 02 muss ein negativer Wert sein
b V1###S02 <= 0.0
k
f 1613.###(***+) P(V10)
d ###(469,489)
t Bilanz (Passiva), Code 1### Spalte 03 muss ein negativer Wert sein
b V1###S03 <= 0.0
k                      /* Einlagen / Entnahmen */
f 1620.0##(***+) P(V11)
d ##(71-73,78-79)
t Einlagen und Entnahmen, in den Codes 1571 bis 1589 sind keine
t negativen Werte zulaessig
b V15##S02 >= 0.0 && V15##S03 >= 0.0 && V15##S04 >= 0.0 && V15##S05 >= 0.0
k
f 1621.0##(***+) P(V11)
d ##(76,77,80-83,88,89)
t Einlagen und Entnahmen, in den Codes 1571 bis 1589 sind keine
t negativen Werte zulaessig
b V15##S04 >= 0.0 && V15##S05 >= 0.0
k
k
a 1.4.1 TEIL 1.4: EINLAGEN UND ENTNAHMEN          SPALTEN- UND ZEILENSUMMEN
a 1.4.1.01 ZEILENSUMME
k
f 1700.0##(***+) P(V11)
s V0020S02 <=  11E0 || v0020s02 == 13E0
d ##(71-83,88,89)
t Einlagen und Entnahmen, in Code 15## entspricht Sp.02 + Sp.03 +
t Sp.04 nicht Sp.05
b V15##S02 + V15##S03 + V15##S04 #EQ(2.0) V15##S05
k
a 1.4.1.02 SPALTENSUMME
k
f 1701.0##(***+) P(V11)
s V0020S02 <=  11E0 || v0020s02 == 13E0
d ##(02-05)
t Einlagen und Entnahmen, Summenwert in Code 1579 Spalte ## entspricht
t nicht der Summe der Einzelpositionen
b V1571-78S## #EQ(2.0) V1579S##
k
f 1702.0##(***+) P(V11)
s V0020S02 <=  11E0 || v0020s02 == 13E0
d ##(04-05)
t Einlagen und Entnahmen, Summenwert in Code 1589 Spalte ## entspricht
t nicht der Summe der Einzelpositionen
b V1580-88S## #EQ(2.0) V1589S##
k
a 1.4.2 TEIL 1.4: EINLAGEN UND ENTNAHMEN    KONTROLLFRAGEN
a 1.4.2.01 UNZUL. EINTRAG. FUER ANDERE RFORMEN ALS EINZU UND GBR(Schluesselzahl 13)
f 1710.0##(***+) P(V11)
s V0020S02 >  13E0
d ##(71-83,88,89)
t Einlagen und Entnahmen, Eintragungen in Code 15##
t sind nur fuer Einzelunternehmen und GbR zulaessig
b V15##S02-05 ==  0.0
k
a 1.4.2.1 PRUEFUNG AUF UEBERTRAGUNGSFEHLER
a 1.4.2.1.01 ABGLEICH MIT GUV -- (NICHT FIS, GTB, JUR.P.)
k
z          BetrTyp  = V9801 ;
k
f 1750.000(***+) P(V11 V2 )
s BetrTyp < 3E0  &&  V0020S02 == 11E0 && V2959S04 > 0.0
t Einlagen und Entnahmen, Entnahmen abzueglich Einlagen (laut G.u.V.)
t ungleich entsprechender Position in 2959 Sp. 04
b ( V1579S02 + V1579S03 - V1589S02 ) <= V2959S04 * 1.191
k
k                Entnahmen fuer private Versicherungen
f 1771.000(***) P(V11 V2 )
s BetrTyp < 3E0 &&  V0020S02 == 11E0 && V2959S04 > 0.0
t Einlagen und Entnahmen, ENTNAHMEN fuer PRIVATE VERSICHERUNGEN in
t Zeile 1574 Sp.03 sind nicht gleich entsprechender Position in G.u.V
t (Code 2839 Sp.04)
b V2839S04 #EQ(2.0) V1574S03
k
k                      Entnahmen fuer private Steuern
f 1772.000(***) P(V11 V2 )
s BetrTyp < 3E0  &&  V0020S02 == 11E0 && V2959S04 > 0.0
t Einlagen und Entnahmen, ENTNAHMEN fuer PRIVATE STEUERN in
t Zeile 1575 Sp.03 sind nicht gleich entsprechenden Positionen in G.u.V
t (Code 2935 Sp.04 + 2949 Sp.04)
b ( V2935S04 + V2949S04 ) #EQ(2.0) V1575S03
k
a 1.4.2.2   DIMENSIONSPRUEFUNG
k
k
a 1.4.2.2.01               ENTNAHMEN
f 1800.000(*  ) P(V11)
t Einlagen und Entnahmen, ENTNAHME FUER SONST. EINKOMMENSUEBERTRAGUNGEN
t sind hoeher als 80.000
b V1573S05 <= 80000E0
k
f 1803.000(*  ) P(V11 V30)
s V0020S02 == 11E0 && V3024S04 > 0.0
t Einlagen und Entnahmen, ENTNAHME DES WOHNHAUSES ist nicht in
t Zeile 1576 (Entnahme zur Bildung von Privatvermoegen) oder Zeile 1573
t (Entnahme fuer sonst. Einkommensuebertragungen) ausgewiesen
b ( V1573S05 + V1576S05 ) >= V3024S15 - V3024S08 - V3024s14 + V3024S03
b + V3024S05
k
f 1804.000(*  ) P(V11 V80)
s V0020S02 == 11E0
s BetrTyp < 5E0
t Einlagen und Entnahmen, Entnahmen fuer nichtlandw. Einkuenfte,
t aber keine auszerlandw. Einkuenfte im Abschn. 8 (Code 8162,8212 bis 8216)
b V1577S05 > -1000E0 || V8162S02 + V8212,13,14,15,16S02 != 0.0

k
a 1.4.2.2.02               EINLAGEN
f 1852.000(*  ) P(V11 V30)
t Einlagen und Entnahmen, EINLAGEN AUS PRIVATVERMOEGEN abzueglich
t Entnahmen zur Bildung v. Privatvermoegen, Investitionen und
t Schuldentilgung sind sehr hoch
b ( V1582S05 - ( V1576S05 + V3089S03 + V3996S09 )) < 50000E0
k

k
m LDWP02A
k
a 2.1.1 TEIL 2.1: G.U.V. (ERTRAG)              ZEILEN- UND SPALTENSUMMEN
a 2.1.1.01    ZEILENSUMME ( ZUM TEIL NICHT FIS, GTB, JP)
z          BetrTyp  = V9801 ;
k
f 2000.###(***+) P(V2 )
d ###(099,109,129,139,149,160,169,198,199,269,299,309,312,337,338,
d 339,347,348,449,459,498)
s V2###S02 > 0 || V2###S03 > 0 || V2###S04 > 0
t GuV (Ertrag), in Code  2### ist Sp.02 + Sp.03 + Sp.04 nicht Sp.05
b ( V2###S02 + V2###S03 + V2###S04 ) #EQ(2.0) V2###S05
k
k
a 2.1.1.02    SPALTENSUMME
k                          /* -- UMSATZERLOESE / PFLANZENPRODUKTION -- */
k
f 2001.0##(***+) P(V2 )
d ##(02,04-05)
t GuV (Ertrag), Summenwert in Code 2099 Sp. ## (ldw. Pflanzenproduktion)
t entspricht nicht der Summe der Einzelpositionen
b ( V2001-88S## ) #EQ(2.0) V2099S##
k
k                              UMSATZERLOESE / TIERPRODUKTION
k
k  /* nicht fis, gtb, jP gilt zwar auch hier. Vorfrage aber bewusst wegg*/
f 2002.0##(***+) P(V2 )
d ##(02,04-05)
t GuV (Ertrag), Summenwert in Code 2109 Sp. ## (Pferde) entspricht nicht
t der Summe der Einzelpositionen
b ( V2100-07S## ) #EQ(2.0) V2109S##
k                              UMSATZERLOESE / TIERPRODUKTION
k
f 2003.0##(***+) P(V2 )
d ##(02,04-05)
t GuV (Ertrag), Summenwert in Code 2129 Sp. ## (Rinder) entspricht nicht
t der Summe der Einzelpositionen
b ( V2110-28S## ) #EQ(2.0) V2129S##
k                            UMSATZERLOESE / TIERPRODUKTION
k
f 2004.0##(***+) P(V2 )
d ##(02,04-05)
t GuV (Ertrag), Summenwert in Code 2139 Sp. ## (Schweine) entspricht
t nicht der Summe der Einzelpositionen
b ( V2130-38S## ) #EQ(2.0) V2139S##
k                              UMSATZERLOESE / TIERPRODUKTION
k
f 2005.0##(***+) P(V2 )
d ##(02,04-05)
t GuV (Ertrag), Summenwert in Code 2149 Sp. ## (Schafe) entspricht nicht
t der Summe der Einzelpositionen
b ( V2140-48S## ) #EQ(2.0) V2149S##
k                              UMSATZERLOESE / TIERPRODUKTION
k
f 2006.0##(***+) P(V2 )
d ##(02,04-05)
t GuV (Ertrag), Summenwert in Code 2160 Sp. ## (Gefluegel) entspricht
t nicht der Summe der Einzelpositionen
b ( V2150-59S## ) #EQ(2.0) V2160S##
k                              UMSATZERLOESE / TIERPRODUKTION
k
f 2007.0##(***+) P(V2 )
d ##(02,04-05)
t GuV (Ertrag), Summenwert in Code 2169 Sp. ## (Damwild) entspricht
t nicht der Summe der Einzelpositionen
b ( V2163-66S## ) #EQ(2.0) V2169S##
k                              UMSATZERLOESE / TIERPRODUKTION
k
f 2008.0##(***+) P(V2 )
d ##(02,04-05)
t GuV (Ertrag), Summenwert in Code 2198 Sp. ## (sonst. tier. Erzeugung)
t entspricht nicht der Summe der Einzelpositionen
b ( V2170-97S## ) #EQ(2.0) V2198S##
k                              UMSATZERLOESE / TIERPRODUKTION
k
f 2009.0##(***+) P(V2 )
d ##(02,04-05)
t GuV (Ertrag), Summenwert in Code 2199 Sp. ## (Tierproduktion insg.)
t entspricht nicht der Summe der Einzelpositionen
b ( V2109,29,39,49,60,69,98S## ) #EQ(2.0) V2199S##
k
k                      UMSATZERLOESE / OBSTBAU
k
f 2010.0##(***+) P(V2 )
d ##(02,04-05)
t GuV (Ertrag), Summenwert in Code 2209 Spalte ## (Obstbau) entspricht
t nicht der Summe der Einzelpositionen
b ( V2200-08S## ) #EQ(2.0) V2209S##
k
k                      UMSATZERLOESE / GARTENBAU
k
f 2011.0##(***+) P(V2 )
d ##(02,04-05)
s V2220-27S## > 0.0
t GuV (Ertrag), Summenwert in Code 2229 Spalte ## (Gemuese Freiland)
t entspricht nicht der Summe der Einzelpositionen
b ( V2220-27S## ) #EQ(2.0) V2229S##
k                       UMSATZERLOESE GEMUESE GEWAECHSHAUS
f 2012.0##(***+) P(V2 )
d ##(02,04-05)
s V2230-38S## > 0.0
t GuV (Ertrag), Summenwert in Code 2239 Spalte ## (Gemuese Gewaechshaus)
t entspricht nicht der Summe der Einzelpositionen
b ( V2230-38S## ) #EQ(2.0) V2239S##
k                       UMSATZERLOESE ZIERPFL. FREILAND
k
f 2013.0##(***+) P(V2 )
d ##(02,04-05)
s V2240-45S## > 0.0
t GuV (Ertrag), Summenwert in Code 2249 Spalte ## (Zierpfl. Freiland)
t entspricht nicht der Summe der Einzelpositionen
b ( V2240-45S## ) #EQ(2.0) V2249S##
k                       UMSATZERLOESE ZIERPFL. GEWAECHSH.
k
f 2014.0##(***+) P(V2 )
d ##(02,04-05)
s V2250-55S## > 0.0
t GuV (Ertrag), Summenwert in Code 2259 Spalte ## (Zierpfl. Gewaechsh.)
t entspricht nicht der Summe der Einzelpositionen
b ( V2250-55S## ) #EQ(2.0) V2259S##
k                       UMSATZERLOESE SONSTIGER GARTENBAU
k
f 2015.0##(***+) P(V2 )
d ##(02,04-05)
t GuV (Ertrag), Summenwert in Code 2268 Spalte ## (sonstiger Gartenbau)
t entspricht nicht der Summe der Einzelpositionen
b ( V2260-67S## ) #EQ(2.0) V2268S##
k
k                       UMSATZERLOESE GARTENBAU INSGESAMT
k
f 2016.0##(***+) P(V2 )
d ##(02,04-05)
t GuV (Ertrag), Summenwert in Code 2269 Spalte ## (Gartenbau insgesamt)
t entspricht nicht der Summe der Einzelpositionen
b ( V2229,39,49,59,68S## ) #EQ(2.0) V2269S##
k
k                      /* -- UMSATZERLOESE / WEINBAU, KELLEREI -- */
k
f 2017.0##(***+) P(V2 )
d ##(02,04-05)
t GuV (Ertrag), Summenwert in Code 2299 Spalte ## (Weinbau, Kellerei)
t entspricht nicht der Summe der Einzelpositionen
b ( V2271-97S## ) #EQ(2.0) V2299S##
k
k                      /* -- UMSATZERLOESE / FORSTWIRTSCHAFT, JAGD -- */
k
f 2018.0##(***+) P(V2 )
d ##(02,04-05)
t GuV (Ertrag), Summenwert in Code 2309 Spalte ## (Forstwirtsch., Jagd)
t entspricht nicht der Summe der Einzelpositionen
b ( V2300-08S## ) #EQ(2.0) V2309S##
k
k                      /* -- UMSATZERLOESE / Hochsee-,Kuestenfischerei*/
k
f 2019.0##(***+) P(V2 )
d ##(02,04-05)
t GuV (Ertrag), Summenwert in Code 2312 Spalte ## (Hochsee- und
t Kuestenfischerei) entspricht nicht der Summe der Einzelpositionen
b ( V2310-11S## ) #EQ(2.0) V2312S##
k
k                      /* -- UMSATZERLOESE / NEBENBETRIEBE, Dienstl.*/
k
f 2020.0##(***+) P(V2 )
d ##(02-05)
t GuV (Ertrag), Summenwert in Code 2337 Spalte ## (Nebenbetriebe,
t Dienstleistungen) entspricht nicht der Summe der Einzelpositionen
b ( V2313-36S## ) #EQ(2.0) V2337S##
k
k                           /* --- SPALTENSUMME UMSATZERLOESE INSG. ---*/
k
f 2021.0##(***+) P(V2 )
d ##(02,04-05)
t GuV (Ertrag), Summenwert in Code 2339 Spalte ## (Umsatzerloese insg.)
t entspricht nicht der Summe der Einzelpositionen
b ( V2099S## + V2199S## + V2209S## + V2269S## + V2299S## +
b   V2309S## + V2312S## + V2337S## + V2338S## ) #EQ(2.0) V2339S##
k                           /* --- SPALTENSUMME UMSATZERLOESE INSG. ---*/
k
f 2021.003(***+) P(V2 )
t GuV (Ertrag), Summenwert in Code 2339 Spalte 03 (Umsatzerloese insg.)
t entspricht nicht der Summe der Einzelpositionen
b ( V2337S03 + V2338S03 ) #EQ(2.0) V2339S03
k
m LDWP02B
k
k                      /* -- ERTRAG BESTANDSAENDERUNG ERZEUGNISSE -- */
k
f 2022.0##(***+) P(V2 )
d ##(02-05)
t GuV (Ertrag), Summenwert in Code 2347 Spalte ## (Bestandsaenderung)
t entspricht nicht der Summe der Einzelpositionen
b ( V2340-42S## ) #EQ(2.0) V2347S##
k                      /* -- SONST. BETRIEBL. ERTRAEGE -- */
k
f 2023.0##(***+) P(V2 )
d ##(02-03,05)
t GuV (Ertrag), Summenwert in Code 2449 Spalte ## (staatl. Zuwendungen)
t entspricht nicht der Summe der Einzelpositionen
b ( V2351-68,71-77,80-85,88,90-99S## +
b   V2400,01,10-20,29-32,38-48S## ) #EQ(2.0) V2449S##
k                      /* -- SONST. BETRIEBL. ERTRAEGE -- */
k
f 2024.0##(***+) P(V2 )
d ##(02-05)
t GuV (Ertrag), Summenwert in Code 2459 Spalte ## (sonst. Betriebsertr.)
t entspricht nicht der Summe der Einzelpositionen
b ( V2452-58S## ) #EQ(2.0) V2459S##
k
k                      /* -- SONST. BETRIEBL. ERTRAEGE -- */
f 2025.0##(***+) P(V2 )
d ##(02-05)
t GuV (Ertrag), Summenwert in Code 2497 Spalte ## (zeitrfr. Ertraege)
t entspricht nicht der Summe der Einzelpositionen
b ( V2460-63,87-89,92-96S## ) #EQ(2.0) V2497S##
k
k                      /* -- SONST. BETRIEBL. ERTRAEGE -- */
f 2026.0##(***+) P(V2 )
d ##(02-05)
t GuV (Ertrag), Summenwert in Code 2498 Sp. ## (sonst.betr.Ertr. insg.)
t entspricht nicht der Summe der Einzelpositionen
b ( V2449S## + V2459S## + V2497S## ) #EQ(2.0) V2498S##
k
a 2.1.2  TEIL 2.1: G.U.V. (UMSATZERLOESE)                  KONTROLLFRAGEN
k
f 2030.000(***+) P(V2 )
t GuV (Ertrag), keine betrieblichen Ertraege eingetragen ? ? ?
b ( V2339S05 + V2498S05 ) > 0.0
k
f 2031.###(***+) P(V2 )
d ###(099,109,129,139,149,160,169,199,209,229,239,249,259,268,299,309,312,337,339,347,449,459,498)
t GuV (Ertrag), neg. Einnahmen (Code 2###) sind nicht moeglich
b V2###S02 >= 0.0
k
f 2032.###(***+) P(V2 )
d ###(099,109,129,139,149,160,169,199,209,269,299,309,319,339,347,459,498)
s V0020S02 > 60E0
t GuV (Ertrag), Eintragungen in die Spalte 04 (Naturalentnahmen)
t bei Kapitalgesellschaften oder Genossenschaften nicht zulaessig
b V2###S04 ==  0.0
k
f 2033.###(***+) P(V2 )
d ###(099,109,129,139,149,160,169,199,209,269,299,309,319,339,347,459,498)
s V0020S02 <= 60E0
t GuV (Ertrag), neg. Naturalentnahmen (Code 2###) sind nicht moeglich
b V2###S04 >= 0.0
k
f 2034.###(***+) P(V2 )
d ###(001-012,017,018,020-035,039,040,048,050,051,053-057,060-064,066,068-080,088,099,
d 100-107,110-118,120-125,127,128,130-138,140-144,146-148,150-159,163-166,170-182,184-192,197-199,
d 200-208,220-227,271,272,276,279,285,288,289,295,297,299,
d 300-303,307,308,310,311,312-317,324,330-336,351-355,357-368,371-375,377,380-385,388,390-393,394-399,
d 400,410-420,429-430,432,438-448,450-458,460-463,487-489,492-497,
d 906,908)
t GuV (Ertrag), Umsatzerloese bzw. sonstige Ertraege koennen nicht negativ sein (Code 2###, Spalte 5) 
b V2###S05 >= 0.0
k
m LDWP02C
f 2035.###(***+) P(V2 )
d ###(600-607,610-618,620-625,631,633-638,640-644,650-659,663-666,672,673,676-678,680-681,
d 690-692,697,790-794,798-806,808-814,816-826,828-842,845-860,862-873,887-891,894-896,
d 912,913)
t GuV (Aufwand), Ausgaben muessen mit negativen Vorzeichen erfasst werden
t (Code 2###, Spalte 5) 
b V2###S05 <= 0.0
k
f 2036.###(***+) P(V2 )
d ###(340,341,342,347,348,787,788)
t GuV (Ertrag), Eintragungen in die Spalte 2 (Einnahmen)
t sind bei Bestandsvernderungen nicht zulaessig
b V2###S02 ==  0.0
k
f 2040.000(*  ) P(V2 )
s V0020S02 ==  11E0 && V3116S09 > 1E0
t GuV (Ertrag), keine Naturalentnahme Kuhmilch, obwohl Milchkuehe im
t Betrieb
b V2127S04 > 0.0 && V5689S09 > 0.30E0
k
k                        keine Handels- bzw. Dienstleistungsbetriebe
f 2050.000(***) P(V2 )
s V2337S05 > 0E0
t GuV (Ertrag), ueber 50% der betrieblichen Ertraege (Code 2339,47-49 und 2498)
t kommen aus Handel und Dienstleistungen (Code 2337 - 2320,21,23,24,28)    ? ? ?
b ( V2339,47-49S05 + V2498S05 ) * 0.5 >= V2337S05 - ( V2320,21,23,24,28S05 )
k
f 2055.000(***) P(V2 )
s V2337S05 > 0E0
t GuV (Ertrag), ueber 70% der betrieblichen Ertraege (Code 2339,47-49 und 2498)
t kommen aus Handel, Dienstleistungen und Nebenbetrieben (Code 2337)    ? ? ?
b ( V2339,47,48,49S05 + V2498S05 ) * 0.7 >= V2337S05
k
a 2.1.2.1       PRUEFUNG AUF UNSTIMMIGKEIT MIT ANDEREN ABSCHNITTEN
a 2.1.2.1.01                           -- UNSTIMMIGKEIT PFLANZENPRODUKTION --
k
z          BetrTyp  = V9801 ;
k
k                    Einnahmen            nicht fis, gtb, jurPers
f 2070.0##(***+) P(V2  V5 )
s    BetrTyp < 3E0  &&  V0020S02 < 60E0 
d ##(01-12,17,20-35,39,40,60,61,63,64,66,69,80)
t GuV (Ertrag, Pfl.prod.), Einnahme (Code 20##), aber keine verkaufte
t Menge in Code 56## Sp.05 oder umgekehrt
b ( V20##S02 ==  0.0 ) == ( V56##S05 == 0.0 )
k
f 2072.000(***) P(V2  V5 )
s    BetrTyp < 3E0  &&  V0020S02 < 60E0
t GuV (Ertrag, Pfl.prod.), Einnahme (Code 2070 ), aber keine
t verkaufte Menge in Code 5670 Sp.05 oder umgekehrt
b ( V2070S02 ==  0.0 ) == ( V5670S05 == 0.0 )
k
f 2075.0##(***+) P(V2  V5 )
s    BetrTyp < 3E0  &&  V0020S02 > 17E0
d ##(01-12,17,20-35,39,40,60,61,63,64,66,80)
t GuV (Ertrag, Pfl.prod.), Umsatzerloese Pfl. Produktion (Code 20## Sp. 5),
t aber keine verkaufte Menge in Code 56## Sp.05 oder umgekehrt
b ( V20##S05 ==  0.0 ) == ( V56##S05 == 0.0 )
k                Bestandsaenderung          nicht fis, gtb, jurPers
k
k
k               Naturalentnahmen          nicht fis, gtb, jurPers
f 2080.0##(*  ) P(V2  V5 )
s BetrTyp < 3E0  &&  V0020S02 < 60E0
s    V2454S02 ==  0.0
d ##(01-12,17,18,20-35,39,40,48,60-64,66,69,72-74,76-80,88)
t GuV (Ertrag, Pfl.prod.), NATURALENTNAHME (Code 20##), aber keine
t Eintragung im Naturalbericht in Code 56## Sp.09 oder umgekehrt
b ( V20##S04 ==  0.0 ) == ( V56##S09 == 0.0 )
k
f 2082.000(*  ) P(V2  V5 )
s BetrTyp < 3E0  &&  V0020S02 < 60E0
s    V2454S02 ==  0.0
t GuV (Ertrag, Pfl.prod.), NATURALENTNAHME Code 2070, aber
t keine Eintragung im Naturalbericht in Code 5670 Sp.09 oder umgekehrt
b ( V2070S04 ==  0.0 ) == ( V5670S09 == 0.0 )
k
k
a 2.1.2.1.02                        -- UNSTIMMIGKEIT TIERPRODUKTION --
k
f 2089.0##(***) P(V21 V51 )
d ##(09,10,11,12,13,14,15,16,17,18,20,21,22,23,24,25,39,64,66,69,)
s V21##S05 > 200.0
t NATURALBERICHT (TIERE), Umsatzerloese in der G.u.V. Code 21## Sp. 05 angegeben, 
t aber keine Verkauften Mengen und keine Naturalentn. in Code 51## Sp. 07 u.09 eingetragen
b V21##S05 == 0.0 || V51##S07,09 > 0.0
k
f 2089.100(***) P(V21 V51)
t NATURALBERICHT (TIERE), Umsatzerloese in der GuV Code 2159 Sp. 05 (sonst. Gefluegel, sonst. Eier) angegeben, 
t aber keine Verkauften Mengen und keine Naturalentn. in Code 5159 Sp. 07 u. Sp 09 
t und in Code 5695 Sp. 05 u. Sp. 09
b V2159S05 == 0.0 || V5159S07,09 > 0 || V5695S05,09 > 0
k
f 2090.0##(***+) P(V2  V5 )
s BetrTyp < 3  &&  V0020S02 < 60E0
d ##(00-07)
t GuV (Ertrag, Tierprod.), EINNAHME PFERDE (Code 21##), aber keine
t verkauften Tiere in Code 51## Sp.07 oder umgekehrt
b ( V21##S02 ==  0.0 ) == ( V51##S07 == 0.0 )
k
f 2094.0##(***+) P(V2  V5 )
s BetrTyp < 3  &&  V0020S02 < 60E0
d ##(10-18,20-25)
t GuV (Ertrag, Tierprod.), EINNAHME RINDER (Code 21##), aber keine
t verkauften Tiere in Code 51## Sp.07 oder umgekehrt
b ( V21##S02 ==  0.0 ) == ( V51##S07 == 0.0 )
k
f 2095.000(***+) P(V2  V5 )
s BetrTyp < 3  &&  V0020S02 < 60E0
t GuV (Ertrag, Tierprod.), EINNAHME KUHMILCH (Code 2127), aber keine
t verkaufte Menge in Code 5689 Sp.05 oder umgekehrt
b ( V2127S02 ==  0.0 ) == ( V5689S05 == 0.0 )
k
f 2096.000(***+) P(V2  V5 )
s BetrTyp < 3  &&  V0020S02 < 60E0
t GuV (Ertrag, Tierprod.), EINNAHME KUHMILCHERZEUGNISSE (Code 2128),
t aber keine verkaufte Menge in Code 5690 Sp.05 oder umgekehrt
b ( V2128S02 ==  0.0 ) == ( V5690S05 == 0.0 ) 
k
f 2097.000(***) P(V2  V31)
s v3116s09 > 3.0
s BetrTyp < 3  &&  V0020S02 < 60E0
t GuV (Ertrag, Tierprod.), Einnahmen Kuhmilch/Kuhmilcherzeugnisse (Code
t 2127/28), aber keine Kuehe im Bestand oder umgekehrt
b ( V2127,28S05 ==  0.0 ) == ( V3116S09 == 0.0 )
k
f 2098.0##(***+) P(V2  V5 )
s BetrTyp < 3  &&  V0020S02 < 60E0
d ##(30,31,33-38)
t GuV (Ertrag, Tierprod.), EINNAHME SCHWEINE (Code 21##), aber keine
t verkauften Tiere in Code 51## Sp.07 oder umgekehrt
b ( V21##S02 ==  0.0 ) == ( V51##S07 == 0.0 )
k
f 2100.0##(***+) P(V2  V5 )
s BetrTyp < 3  &&  V0020S02 < 60E0
d ##(40-44)
t GuV (Ertrag, Tierprod.), EINNAHME SCHAFE (Code 21##), aber keine
t verkauften Tiere in Code 51## Sp.07 oder umgekehrt
b ( V21##S02 ==  0.0 ) == ( V51##S07 == 0.0 )
k
f 2101.000(***+) P(V2  V5 )
s BetrTyp < 3  &&  V0020S02 < 60E0
t GuV (Ertrag, Tierprod.), EINNAHME WOLLE (Code 2146), aber keine
t verkaufte Menge in Code 5691 Sp.05 oder umgekehrt
b ( V2146S02 ==  0.0 ) == ( V5691S05 == 0.0 )
k
f 2102.000(***+) P(V2  V5 )
s BetrTyp < 3  &&  V0020S02 < 60E0
t GuV (Ertrag, Tierprod.), EINNAHME SCHAFMILCH (Code 2147), aber keine
t verkaufte Menge in Code 5692 Sp.05 oder umgekehrt
b ( V2147S02 ==  0.0 ) == ( V5692S05 == 0.0 )
k
k
f 2103.000(***+) P(V2  V5 )
s BetrTyp < 3  &&  V0020S02 < 60E0
t GuV (Ertrag, Tierprod.), EINNAHME SCHAFMILCHERZEUGNISSE (Code 2148),
t aber keine verkaufte Menge in Code 5693 Sp.05 oder umgekehrt
b ( V2148S02 ==  0.0 ) == ( V5693S05 == 0.0 )
k
f 2106.0##(***+) P(V2  V5 )
s BetrTyp < 3  &&  V0020S02 < 60E0
d ##(50-57)
t GuV (Ertrag, Tierprod.), EINNAHME GEFLUEGEL (Code 21##), aber keine
t verkauften Tiere in Code 51## Sp.07 oder umgekehrt
b ( V21##S02 ==  0.0 ) == ( V51##S07 == 0.0 )
k
f 2107.000(***+) P(V2  V5 )
s BetrTyp < 3  &&  V0020S02 < 60E0
t GuV (Ertrag, Tierprod.), EINNAHME HUEHNEREIER (Code 2158), aber
t keine verkaufte Menge in Code 5694 Sp.05 oder umgekehrt
b ( V2158S02 ==  0.0 ) == ( V5694S05 == 0.0 )
k
k
f 2110.0##(***+) P(V2  V5 )
s BetrTyp < 3  &&  V0020S02 < 60E0
d ##(63-66)
t GuV (Ertrag, Tierprod.), EINNAHME DAMWILD (Code 21##), aber keine
t verkauften Tiere in Code 51## Sp.07 oder umgekehrt
b ( V21##S02 ==  0.0 ) == ( V51##S07 == 0.0 )
k
k
m LDWP02D
k
z          BetrTyp  = V9801 ;
k
f 2111.000(***+) P(V2  V80 )
s BetrTyp < 3  &&  V0020S02 < 60E0
t GuV (Ertrag, Tierprod.), EINNAHME PENSIONSPFERDEHALTUNG (Code 2170), aber keine
t Angaben zur Zahl der Pensionspferde in Code 8019 oder umgekehrt
b ( V2170S02 ==  0.0 ) == ( V8019S02 == 0.0 )
k
k
f 2112.0##(***+) P(V2  V5 )
s BetrTyp < 3  &&  V0020S02 < 60E0
d ##(72-73,76-78,80,81,90-92)
t GuV (Ertrag, Tierprod.), EINNAHME SONST.TIERE (Code 21##), aber keine
t verkauften Tiere in Code 51## Sp.07 oder umgekehrt
b ( V21##S02 ==  0.0 ) == ( V51##S07 == 0.0 )
k
f 2113.000(***+) P(V2  V5 )
s BetrTyp < 3  &&  V0020S02 < 60E0
t GuV (Ertrag, Tierprod.), EINNAHME ZIEGENMILCH (Code 2174), aber
t keine verkaufte Menge in Code 5696 Sp.05 oder umgekehrt
b ( V2174S02 ==  0.0 ) == ( V5696S05 == 0.0 )
k
f 2114.000(***+) P(V2  V5 )
s BetrTyp < 3  &&  V0020S02 < 60E0
t GuV (Ertrag, Tierprod.), EINNAHME ZIEGENMILCHERZEUGNISSE (Code 2175)
t aber keine verkaufte Menge in Code 5697 Sp.05 oder umgekehrt
b ( V2175S02 ==  0.0 ) == ( V5697S05 == 0.0 )
k
f 2115.000(***+) P(V2  V5 )
s BetrTyp < 3  &&  V0020S02 < 60E0
t GuV (Ertrag, Tierprod.), EINNAHME HONIG/BIENENZUCHT (Code 2182),
t aber keine verkaufte Menge in Code 5698 Sp.05 oder umgekehrt
b ( V2182S02 ==  0.0 ) == ( V5698S05 == 0.0 )
k
f 2118.0##(***) P(V2  V5 )
s BetrTyp < 3  &&  V0020S02 < 60E0
d ##(90-92,97)
t GuV (Ertrag, Tierprod.), Einnahme Fische (Code 21##), aber keine
t Verkaufsmenge in 51## Sp. 7
b ( V21##S02 ==  0.0 ) == ( V51##S07 == 0.0 )
k                                     - Bestandsaenderung,  Tiere -
f 2121.000(***+) P(V2  V31)
t GuV (Ertrag), BESTANDSAENDERUNG an TIEREN in 2348
t muss mit Bewertung Tiervermoegen (Code 3199 Sp.08) uebereinstimmen
b V2348S05 #EQ(50.0) V3199S08
k                                              - Feldinventar -
f 2123.000(***+) P(V2  V32)
t GuV (Ertrag), BESTANDSAENDERUNG Feldinventar in 2340
t muss mit Bewertung Feldinventar (Code 3499 Sp.08) uebereinstimmen
b V2340S05 #EQ(30.0) V3499S08
k                                              - sonstige unfertige Erzeugnisse -
f 2124.000(***+) P(V2  V32)
t GuV (Ertrag), BESTANDSAENDERUNG sonstige unfertige Erzeugnisse in 2341
t muss mit Bewertung sonstige unfertige Erzeugnisse (Code 3599 Sp.08)
t uebereinstimmen
b V2341S05 #EQ(30.0) V3599S08
k                                              - fertige Erzeugnisse -
f 2125.000(***+) P(V2  V32)
t GuV (Ertrag), BESTANDSAENDERUNG fertige Erzeugnisse in 2342
t muss mit Bewertung fertige Erzeugnisse (Code 3799 Sp.08) uebereinstimmen
b V2342S05 #EQ(30.0) V3799S08
k                                              - Roh-, Hilfs- und Betriebsstoffe -
f 2126.000(***+) P(V2  V32)
s V9801 < 5.0
s V2787S05 != 0.0
t GuV (Ertrag), BESTANDSAENDERUNG Roh-, Hilfs- und Betriebsstoffe in 2787
t muss mit Bewertung Roh-, Hilfs- und Betriebsstoffe (Code 3299 Sp.08)
t uebereinstimmen
b V2787S05 #EQ(30.0) V3299S08
k                                              - Waren -
f 2127.000(***+) P(V2  V32)
s V2788S05 !=  0.0
t GuV (Ertrag), BESTANDSAENDERUNG Waren in 2788
t muss mit Bewertung Waren (Code 3899 Sp.08) uebereinstimmen
b V2788S05 #EQ(30.0) V3899S08
k
k
a 2.1.2.1.03                                       - UNSTIMMIGKEIT NATURALENTNAHMEN-
k
f 2170.0##(*  ) P(V2  V5 )
s BetrTyp < 3  &&  V0020S02 < 60E0
s    V2454S02 ==  0.0
d ##(00-07)
t GuV (Ertrag, Tierprod.), NATURALENTNAHME PFERDE (Code 21##), aber
t keine Eintragung im Naturalbericht Code 51## Sp.09 oder umgekehrt
b ( V21##S04 ==  0.0 ) == ( V51##S09 == 0.0 )
k
f 2172.0##(*  ) P(V2  V5 )
s BetrTyp < 3  &&  V0020S02 < 60E0
s    V2454S02 ==  0.0
d ##(10-18,20-25)
t GuV (Ertrag, Tierprod.), NATURALENTNAHME RINDER (Code 21##), aber
t keine Eintragung im Naturalbericht Code 51## Sp.09 oder umgekehrt
b ( V21##S04 ==  0.0 ) == ( V51##S09 == 0.0 )
k
f 2173.000(*  ) P(V2  V5 )
s BetrTyp < 3  &&  V0020S02 < 60E0
s    V2454S02 ==  0.0
t GuV (Ertrag, Tierprod.), NATURALENTNAHME KUHMILCH (Code 2127), aber
t keine Eintragung im Naturalbericht in Code 5689 Sp.09 oder umgekehrt
b ( V2127S04 ==  0.0 ) == ( V5689S09 == 0.0 )
k
f 2174.000(*  ) P(V2  V5 )
s BetrTyp < 3  &&  V0020S02 < 60E0
s    V2454S02 ==  0.0
t GuV (Ertrag, Tierprod.), NATURALENTNAHME KUHMILCHERZEUGNISSE
t (Code 2128), aber keine Eintragung im Naturalbericht in Code 5690
t Sp.09 oder umgekehrt
b ( V2128S04 ==  0.0 ) == ( V5690S09 == 0.0 )
k
k
f 2176.0##(*  ) P(V2  V5 )
s BetrTyp < 3  &&  V0020S02 < 60E0
s    V2454S02 ==  0.0
d ##(30,31,33-38)
t GuV (Ertrag, Tierprod.), NATURALENTNAHME SCHWEINE (Code 21##), aber
t keine Eintragung im Naturalbericht Code 51## Sp.09 oder umgekehrt
b ( V21##S04 ==  0.0 ) == ( V51##S09 == 0.0 )
k
f 2180.0##(*  ) P(V2  V5 )
s BetrTyp < 3  &&  V0020S02 < 60E0
s    V2454S02 ==  0.0
d ##(40-44)
t GuV (Ertrag, Tierprod.), NATURALENTNAHME SCHAFE (Code 21##), aber
t keine Eintragung im Naturalbericht Code 51## Sp.09 oder umgekehrt
b ( V21##S04 ==  0.0 ) == ( V51##S09 == 0.0 )
k
f 2181.000(*  ) P(V2  V5 )
s BetrTyp < 3  &&  V0020S02 < 60E0
s    V2454S02 ==  0.0
t GuV (Ertrag, Tierprod.), NATURALENTNAHME WOLLE (Code 2146), aber
t keine Eintragung im Naturalbericht in Code 5691 Sp.09 oder umgekehrt
b ( V2146S04 ==  0.0 ) == ( V5691S09 == 0.0 )
k
k
f 2182.000(*  ) P(V2  V5 )
s BetrTyp < 3  &&  V0020S02 < 60E0
s    V2454S02 ==  0.0
t GuV (Ertrag, Tierprod.), NATURALENTNAHME SCHAFMILCH (Code 2147),
t aber keine Eintragung im Naturalbericht in Code 5692 Sp.09 oder
t umgekehrt
b ( V2147S04 ==  0.0 ) == ( V5692S09 == 0.0 )
k
f 2183.000(*  ) P(V2  V5 )
s BetrTyp < 3  &&  V0020S02 < 60E0
s    V2454S02 ==  0.0
t GuV (Ertrag, Tierprod.), NATURALENTNAHME SCHAFMILCHERZEUGNISSE
t (Code 2148), aber keine Eintragung im Naturalbericht in Code 5693
t Sp.09 oder umgekehrt
b ( V2148S04 ==  0.0 ) == ( V5693S09 == 0.0 )
k
k
f 2186.0##(*  ) P(V2  V5 )
s BetrTyp < 3  &&  V0020S02 < 60E0
s    V2454S02 ==  0.0
d ##(50-57)
t GuV (Ertrag, Tierprod.), NATURALENTNAHME GEFLUEGEL (Code 21##), aber
t keine Eintragung im Naturalbericht in Code 51## Sp.09 oder umgekehrt
b ( V21##S04 ==  0.0 ) == ( V51##S09 == 0.0 )
k
f 2187.000(*  ) P(V2  V5 )
s BetrTyp < 3  &&  V0020S02 < 60E0
s    V2454S02 ==  0.0
t GuV (Ertrag, Tierprod.), NATURALENTNAHME HUEHNEREIER (Code 2158),
t aber keine Eintragung im Naturalbericht in Code 5694 Sp.09 oder
t umgekehrt
b ( V2158S04 ==  0.0 ) == ( V5694S09 == 0.0 )
k
f 2188.000(*  ) P(V2  V5 )
s BetrTyp < 3  &&  V0020S02 < 60E0
s    V2454S02 ==  0.0
t GuV (Ertrag, Tierprod.), NATURALENTNAHME SONST.EIER (Code 2159),
t aber keine Eintragung im Naturalbericht in Code 5695 Sp.09 oder
t umgekehrt
b ( V2159S04 ==  0.0 ) == ( V5695S09 == 0.0 )
k
k
f 2190.0##(*  ) P(V2  V5 )
s BetrTyp < 3  &&  V0020S02 < 60E0
s    V2454S02 ==  0.0
d ##(63-66)
t GuV (Ertrag, Tierprod.), NATURALENTNAHME DAMTIERE (Code 21##), aber
t keine Eintragung im Naturalbericht in Code 51## Sp.09 oder umgekehrt
b ( V21##S04 ==  0.0 ) == ( V51##S09 == 0.0 )
k
f 2192.0##(*  ) P(V2  V5 )
s BetrTyp < 3  &&  V0020S02 < 60E0
s    V2454S02 ==  0.0
d ##(72-73,76-78,80,81,90-92,97)
t GuV (Ertrag, Tierprod.), NATURALENTNAHME SONST.TIERE (Code 21##), aber
t keine Eintragung im Naturalbericht in Code 51## Sp.09 oder umgekehrt
b ( V21##S04 ==  0.0 ) == ( V51##S09 == 0.0 )
k
f 2193.000(*  ) P(V2  V5 )
s BetrTyp < 3  &&  V0020S02 < 60E0
s    V2454S02 ==  0.0
t GuV (Ertrag, Tierprod.), NATURALENTNAHME ZIEGENMILCH (Code 2174),
t aber keine Eintragung im Naturalbericht in Code 5696 Sp.09 oder
t umgekehrt
b ( V2174S04 ==  0.0 ) == ( V5696S09 == 0.0 )
k
k
f 2194.000(*  ) P(V2  V5 )
s BetrTyp < 3  &&  V0020S02 < 60E0
s    V2454S02 ==  0.0
t GuV (Ertrag, Tierprod.), NATURALENTNAHME ZIEGENMILCHERZEUGNISSE
t (Code 2175), aber keine Eintragung im Naturalbericht in Code 5697
t Sp.09 oder umgekehrt
b ( V2175S04 ==  0.0 ) == ( V5697S09 == 0.0 )
k
f 2195.000(*  ) P(V2  V5 )
s BetrTyp < 3  &&  V0020S02 < 60E0
s    V2454S02 ==  0.0
t GuV (Ertrag, Tierprod.), NATURALENTNAHME HONIG/BIENENZUCHT
t (Code 2182), aber keine Eintragung im Naturalbericht in Code 5698
t Sp.09 oder umgekehrt
b ( V2182S04 ==  0.0 ) == ( V5698S09 == 0.0 )
k
f 2196.000(*  ) P(V2  V5 )
s BetrTyp < 3  &&  V0020S02 < 60E0
s    V2454S02 ==  0.0
t GuV (Ertrag, Tierprod.), NATURALENTNAHME SONST. TIER. ERZEUGNISSE
t (CODE 2184), aber keine Eintragung im Naturalbericht in Code 5699
t Sp.09 oder umgekehrt
b ( V2184S04 ==  0.0 ) == ( V5699S09 == 0.0 )
k
f 2197.000(*  ) P(V2)
s V2184s05 > 0.0
t Ertrag sonstige tierische Erzeugnisse ist sehr hoch 
b V2184s05 <= 100000.0
k
a 2.1.2.1.04                                      -- UNSTIMMIGKEIT OBSTBAU --
k
k                                                         Einnahmen
f 2200.0##(***+) P(V2  V5 )
s BetrTyp < 3  &&  V0020S02 < 60E0
d ##(00-08)
t GuV (Ertrag, Obstbau), EINNAHME (Code 22##), aber keine verkauften
t Mengen in Code 57## Sp.07 oder umgekehrt
b ( V22##S02 ==  0.0 ) == ( V57##S05 == 0.0 )
k                                                 Naturalentnahmen
f 2206.0##(***) P(V2  V5 )
s BetrTyp < 3  &&  V0020S02 < 60E0
d ##(00-08)
t GuV (Ertrag, Obstbau), NATURALENTNAHME (Code 22##), aber keine
t Eintragung im Naturalbericht (Code 57## Sp.09 oder umgekehrt)
b ( V22##S04 ==  0.0 ) == ( V57##S09 == 0.0 )
a 2.1.2.1.05                         -- UNSTIMMIGKEIT WEINBAU/KELLEREI/HANDEL --
k
f 2220.0##(***+) P(V2  V5 )
s BetrTyp < 3  &&  V0020S02 < 60E0
d ##(76,79,85,88,89)
t GuV (Ertrag, Weinbau), EINNAHME (Code 22##), aber keine verkaufte
t Menge in Code 57## Sp.05 oder umgekehrt
b ( V22##S02 ==  0.0 ) == ( V57##S05 == 0.0 )
k
f 2221.000(***+) P(V2  V5 )
s BetrTyp < 3  &&  V0020S02 < 60E0
t GuV (Ertrag, Weinbau), EINNAHME (Code 2271), aber keine verkaufte
t Menge in Code 5501 Sp.05 oder umgekehrt
b ( V2271S02 ==  0.0 ) == ( V5501S05 == 0.0 )
k
f 2222.000(***+) P(V2  V5 )
s BetrTyp < 3  &&  V0020S02 < 60E0
t GuV (Ertrag, Weinbau), EINNAHME (Code 2272), aber keine verkaufte
t Menge in Code 5502 Sp.05 oder umgekehrt
b ( V2272S02 ==  0.0 ) == ( V5502S05 == 0.0 )
k
f 2240.0##(*  ) P(V2  V5 )
s BetrTyp < 3  &&  V0020S02 < 60E0
d ##(76,79,85,88,89)
t GuV (Ertrag, Weinbau), NATURALENTNAHME (Code 22##), aber keine
t Eintragung im Naturalbericht in Code 57## Sp.09 oder umgekehrt
b ( V22##S04 ==  0.0 ) == ( V57##S09 == 0.0 )
k
f 2241.000(*  ) P(V2  V5 )
s BetrTyp < 3  &&  V0020S02 < 60E0
t GuV (Ertrag, Weinbau), NATURALENTNAHME (Code 2271), aber keine
t Eintragung im Naturalbericht in Code 5501 Sp.09 oder umgekehrt
b ( V2271S04 ==  0.0 ) == ( V5501S09 == 0.0 )
k
f 2242.000(*  ) P(V2  V5 )
s BetrTyp < 3  &&  V0020S02 < 60E0
t GuV (Ertrag, Weinbau), NATURALENTNAHME (Code 2272), aber keine
t Eintragung im Naturalbericht in Code 5502 Sp.09 oder umgekehrt
b ( V2272S04 ==  0.0 ) == ( V5502S09 == 0.0 )
k
f 2329.000(*  ) P(V2)
t GuV (Ertrag), Einnahmen aus WARENVERKAUF (Code 2329), aber kein Wareneinkauf
t (Code 2759) und keine Warenbestandsaenderungen (Code 2788) oder umgekehrt.
b ( V2329S05 == 0.0 ) == ( ABS (V2759S05) + ABS (V2788s05) == 0.0 )
k
k
m LDWP02E
k
a 2.1.2.1.05: UNSTIMMIGKEITEN BESTANDSVERAENDERUNGEN
k
k
k
f 2300.000(***+) P(V2  V32)
s V0020S02 < 60E0
t GuV (Ertrag), BESTANDSAENDERUNG an FELDINVENTAR Code 2340 muss mit
t Bewertung Vorraete (Code 3499 Sp.08) uebereinstimmen
b V2340S03 #EQ(2.00) V3499S08
k
f 2311.000(***+) P(V2  V32)
s V2341S03 !=  0.0
t GuV (Ertrag), BESTANDSAENDERUNG bei SONST. UNFERTIGEN ERZEUGNISSEN
t (Code 2341) ist unstimmig mit Bewertung Vorraete Code 3599
b V2341S03 #EQ(2.00) V3599S08
k
f 2320.000(***) P(V2  V32)
s V2342S03 !=  0.0
t GuV (Ertrag), BESTANDSAENDERUNG an FERTIGEN ERZEUGNISSEN wird
t in Code 2342 in der Spalte 03 eingetragen
b ( V2337S03 ==  0.0 )
k
f 2321.000(***+) P(V2  V32)
s V2342S03 !=  0.0
t GuV (Ertrag), BESTANDSAENDERUNG an FERTIGEN ERZEUGNISSEN in Code
t 2342 muss mit Bewertung Vorraete (Code 3799 Sp.08) uebereinstimmen
b V2342S03 #EQ(2.0) V3799S08
k
k
k * Zur Erhoehung oder Verminderung des Bestandes an Tieren (Code 2848)
k * vgl. Frage 2121.000 in G.u.V. (Umsatzerloese) Kontrollfragen
a 2.1.2.1.06: UNSTIMMIGKEITEN SONSTIGE BETRIEBL. ERTRAEGE
k
f 2360.000(*  ) P(V2)
s BetrTyp < 3E0
s V2773S05 < -1000.0
s V0003S02 < 17E0
t GuV (Aufwand), Aufwand fuer Dieselkraftstoffe (2773) im landw. Betrieb von mehr  
t als 500 EURO,aber keine Einnahme Agrardieselerstattung (0,21 Euro je Liter) im Code 2380  
b V2773S05 > -1000.0 || V2380S05 > 0.0
k
f 2365.000(***) P(V2)
t GuV (staatl. Zuwendungen), Investitionszulagen in Code 2351,52,53,54,55,56 oder 57
t eingetragen??? Investitionszulagen sind z. Zt. nicht in staatlichen Foerderprogrammen enthalten  
b V2351-57S05 ==  0.0
k
f 2370.000(*  ) P(V2  V10 )
t GuV (staatl. Zuwendungen), Investitionszuschuesse (Code 2371,72,73,74,75,77)
t eingetragen, aber in der Bilanz keine Einstellungen in den Sonderposten 
t vorgenommen (Code 1525)
b V2371-77S05 ==  0.0 || V1525S02 > 0.0
k
f 2375.000(*  ) P(V2)
s V0003S02 < 17E0
t GuV (staatl. Zuwendungen), Summe der empfangenen Investitionszuschuesse in den 
t Codes 2371 bis 2377 stimmt nicht mit der Hoehe der Einstellungen in den Sonderposten 
t ueberein (Code 2861)
b (V2371-77S05)*0.9 <= (V2861S05)*(-1.00)
k
k							/*Regelung fuer Luxemburg*/
f 2375.001(*  ) P(V2)
s V0003S02 > 17E0
s (V2373S02 + V2377S02) > 5000.0
t GuV (staatl. Zuwendungen), Summe der empfangenen Investitionszuschuesse in den 
t Codes 2373 und 2377 stimmt nicht mit der Hoehe der Einstellungen in den Sonderposten 
t ueberein (Code 2861)
b (V2373S05 + V2377S05) <= (V2373S02 + V2377S02)
k
f 2376.000(*  ) P(V2)
s V0003S02 > 17E0 
t GuV (staatl. Zuwendungen), Summe der empfangenen Investitionszuschuesse in den
t Codes 2371 bis 2377 stimmt nicht mit der Hoehe der Einstellungen in den Sonderposten 
t ueberein (Code 2861)
b (V2371-77S06) + (V2371-77S02)*0.15 > (V2371-77S05)
k
f 2380.000(***) P(V2)
s WJ > 2000E0
t GuV (staatl. Zuwendungen), PREISAUSGLEICH fuer Kleinerzeuger, Angaben in
t Code 2390 sind ab dem WJ 2000/01  nicht mehr zulaessig
b V2390S05 == 0.0
k
f 2385.100(***+) P(V2 )
s WJ > 2005E0
t GuV (staatl. Zuwendungen), FLAECHENZAHLUNG FUER GETREIDE, SILO- UND KOERNERMAIS in
t Code 2391 UND 2392 sind ab dem WJ 2005/06 nicht mehr zulaessig
b V2391,92S05 == 0.0
k
k
k
f 2391.000(***+) P(V2)
s WJ > 2005E0
t GuV (staatl. Zuwendungen), FLAECHENZAHLUNG FUER OELLEIN
t in Code 2393, sind ab dem WJ 2005/06 nicht mehr zulaessig
b V2393S05 ==  0.0
k
k						/ * Abfragen Eiweisspflanzen ausgesetzt ab WJ 2012/13 * /
k
k 2394.000(***) P(V2  V4 )
k V4020-23S02 > 1.8 || V2394S05 > 0.0
k GuV (staatl. Zuwendungen), PRAEMIE FUER EIWEISSPFLANZEN in
k Code 2394, aber keine Ernteflaechen in Abschn. 4 eingetragen oder umgekehrt 
k ( V2394S05 ==  0.0 ) == ( V4020-23S02 == 0.0 )
k
k 2394.100(*  ) P(V2  V4 )
k V2394S05 > 0
k GuV (staatl. Zuwendungen), PRAEMIE FUER EIWEISSPFLANZEN in
k Code 2394 zu gering ausgewiesen
k V2394S05 + 100.0 > ( V4020-23S02 ) * 53.00
k
k 2394.200(***) P(V2  V4 )
k V2394S05 > 0
k GuV (staatl. Zuwendungen), PRAEMIE FUER EIWEISSPFLANZEN in
k Code 2394 zu hoch ausgewiesen
k V2394S05 - 100.0 < ( V4020-23S02 ) * 55.57
k
k
k					/*.................*/
k
f 2396.000(***+) P(V2 )
s WJ > 2005E0
t GuV (staatl. Zuwendungen), FLAECHENZAHLUNG FUER OELSAATEN
t in Code 2395, sind ab dem WJ 2005/06 nicht mehr zulaessig
b V2395S05 ==  0.0
k
k
f 2401.000(***+) P(V2 )
s WJ > 2005E0
t GuV (staatl. Zuwendungen), FLACHS- UND HANFBEIHILFE in Code 2396
t sind ab dem WJ 2005/06 nicht mehr zulaessig
b V2396S05 ==  0.0
k
f 2402.000(***+) P(V2 )
s WJ > 2005E0
t GuV (staatl. Zuwendungen), HOPFENBEIHILFE in Code 2397
t sind ab dem WJ 2005/06 nicht mehr zulaessig
b V2397S05 ==  0.0 
k
k
k
f 2410.000(***+) P(V2 )
s WJ > 2005E0
t GuV (staatl. Zuwendungen), FLAECHENZAHLUNGEN UND PRAEMIEN FUER FLAECHENSTILLEGUNG 
t in Code 2400 UND 2401 sind ab dem WJ 2005/06 nicht mehr zulaessig
b V2400,01S05 ==  0.0
k
k
f 2417.000(***+) P(V2 )
s WJ > 2005E0
t GuV (staatl. ZUWENDUNGEN), Praemienzahlungen an Milcherzeuger
t in Code 2410 sind ab dem WJ 2005/06 nicht mehr zulaessig
b V2410S05 ==  0.0 
k
f 2420.000(***+) P(V2)
s WJ > 2000E0
t GuV (staatl. ZUWENDUNGEN), staaliche Zahlungen in Form der
t Milchrente (Code 2411) wurden eingestellt.
b V2411S05 == 0.0 
k
k
f 2430.100(***+) P(V2 )
s WJ > 2005E0
t GuV (staatl. Zuwendungen),Praemienzahlungen FUER MUTTERKUEHE in Code 2412
t sind ab dem WJ 2005/06 nicht mehr zulaessig
b V2412S05 ==  0.0 
k
k
f 2432.000(***+) P(V2 )
s WJ > 2005E0
t GuV (staatl. Zuwendungen), SCHLACHTPRAEMIE, SONDERPRAEMIE ODER EXTENSIVIERUNGSPRAEMIE
t fuer Bullen, Ochsen, Kuehe, Faersen oder Kaelber in Code 2413, 2414, 2416, 2417 oder 2418
t sind ab dem WJ 2005/06 nicht mehr zulaessig
b V2413,14,16,17,18S05 == 0.0
t
k
k
f 2441.100(***+) P(V2 )
s WJ > 2005E0
t GuV (staatl. Zuwendungen), Praemien fuer Schafhalter (Mutterschafe)
t sind ab dem WJ 2005/06 nicht mehr zulaessig
b V2420S05 == 0.0
k
k
f 2446.000(***) P(V2  V60 )
s (V9801 == 1E0 || V6119S07 > 2.0)
t GuV (staatl. Zuwendungen), KEINE BETRIESPRAEMIE (BASISPRAEMIE) in Code 2446 eingetragen,
t aber bewirtschaftete Acker-, Dauergruenland- bzw. landw. Dauerkulturflaeche
t am Ende des Geschaeftsjahres mit mehr als 2ha im Abschnitt 6 angegeben 
b V2446S05 >  0.0 || V6100,04,08,12S07 < 2.0
k
f 2447.000(***) P(V2 )
s V2446S05 > 0.0
t GuV (staatl. Zuwendungen), BETRIESPRAEMIE (BASISPRAEMIE) in Code 2446 eingetragen,
t aber keine Eintragung bei Code 2361 (Greening-Praemie) und / oder kein Eintrag
t bei Code 2362 (Umverteilungspraemie) 
b (V2446S05 >  0.0) && (V2361,62S05 > 0.0)
k
f 2450.000(***) P(V2  V60)
t GuV (staatl. Zuwendungen), Erhalt von STAATL. ZUWENDUNGEN IM BEREICH
t FORST, aber keine forstwirtschaftl. Nutzflaechen im Abschn. 6
b V2430,32,38S05 ==  0.0 || V6122S07 > 0.0
k
k
f 2451.000(*  ) P(V2  V60)
s V2430S05 > 0.0
t GuV (staatl. Zuwendungen), Praemien fuer Aufforstung sind sehr hoch
b V2430S05 - 1000.0 <= V6122S07 * 1400.0
k
f 2455.000(***) P(V00 V2 )
t GuV (staatl. Zuwendungen), AUSGLEICHSZULAGE in Code 2440, aber
t Betrieb hat keine Flaechen im benachteiligten Gebiet (Code 0021 = 0)
b V2440S05 ==  0.0 || V0021S02 > 0E0
k
f 2458.100(*  ) P(V00)
s V0003S02 > 4E0 && v0003S02 != 7
s V0040S03 > 0.0 && V0040S03 < 1270.0
s (V0021S02 ==  2E0 || V0021S02 == 3E0)
t Benachteiligtes Gebiet ist mit 2 bzw. 3 verschluesselt,
t aber keine Ausgleichszulage in der G.u.V. (Code 2440)
b V2440S05 > 0.0
k
f 2458.200(***) P(V00)
s V2440S05 > 10.0
t Ausgleichszulage in der G.u.V. (Code 2440) verbucht, aber 
t benachteiligtes Gebiet nicht mit 1, 2 bzw. 3 verschluesselt 
b V2440S05 > 0.0 && (V0021S02 ==  1E0 || V0021S02 ==  2E0 || V0021S02 == 3E0)
k
f 2460.100(***) P(V2)
s WJ > 1998E0
t GuV (staatl. Zuwendungen), SOZIOSTRUKTURELLER EINKOMMENSAUSGLEICH wurde
t 1996 nicht mehr gezahlt (Code 2441)
b V2441S05 == 0.0
k
f 2462.000(***+) P(V2 )
s WJ >= 2000
t GuV (staatl. Zuwendungen), PRAEMIEN FUER UMWELTGERECHTE AGRARERZEUGUNG,
t Angaben in Code 2442 sind ab dem WJ 2000/01 nicht mehr zulaessig
b V2442S05 == 0.0
k
f 2463.000(***) P(V2  V11)
t GuV (staatl. Zuwendungen), PRAEMIEN FUER OEKOLOGISCHEN LANDBAU
t in Code 2443 eingetragen aber im Deckblatt, Code 0023 konventionelle
t Bewirtschaftungsform angegeben
b V2443S05 == 0.0 || V0023S02 > 1E0
k
f 2464.000(***) P(V2  V11)
s V0023S02 == 3E0
t GuV (staatl. Zuwendungen), Im Deckblatt bei Code 0023 oekologische
t Bewirtschaftungsform angegeben, aber keine PRAEMIEN FUER OEKOLOGISCHEN LANDBAU
t in Code 2443 eingetragen 
b V2443S05 > 0.0
k
f 2466.000(***) P(V2) 
s V2448S05 > 0.0
t GuV (staatl. Zuwendungen), Erhaltene SONSTIGE ZUSCHUESSE sind sehr hoch
b V2448S05 <= 10000.0
k
f 2467.000 (***) P(V2)
t GuV Junglandwirtepraemie in Code 2360 ist sehr hoch. Praemie wird nur fuer 90 
t in Hoehe von ca. 44 Euro gewaehrt
b V2360S02 <= 4000.0
k
f 2468.000(***) P(V2)
t GuV Umverteilungspraemie in Code 2362 ist sehr hoch. Praemie wird nur fuer 46 ha 
t in Hoehe von ca. 51 Euro fuer ha 1 bis 30 und ca. 31 Euro fuer ha 31 bsi 46 gewaehrt 
b V2362S02 <= 2050.0
k
f 2470.000(***) P(V2  V60)
s V2325S05 > 200E0
t GuV (sonst. Betriebsertrag), PACHTERTRAEGE fuer luf FLAECHEN
t (Code 2325), aber keine entgeltlich verpachteten Flaechen im
t Abschn. 6 (Betriebsflaeche)
b V6129S03 > 0.0 || V6229S05 > 0.0
k
f 2471.000(***) P(V2  V60)
s V6119S03 + V6219S05 - V6219S04 > 0.5
t GuV (sonst. Betriebsertrag), entgeltlich VERPACHTETE FLAECHEN ueber
t 1 ha, aber keine Pachtertraege fuer luf Flaechen in der G.u.V.
b ( V6119S03 <= 1E0 ) || V2325S05 > 0.0
k
f 2472.000(*  ) P(V2  V60)
s V6119S03 + V6219S05 - V6219S04 > 0.5
t GuV (sonst. Betriebsertrag), Pachtertrag unter 25 Euro/ha
t verpachteter Flaeche
b V2325S05 / ( V6119S03 + V6219S05 - V6219S04 )+1.0 > 25.0
k
f 2473.000(*  ) P(V2  )
s V6119S03 + V6219S05 - V6219S04 > 0.5
t GuV (sonst. Betriebsertrag), Pachtertrag ueber 900 Euro/ha
t verpachteter Flaeche
b V2325S05 / ( V6119S03 + V6219S05 - V6219S04 )-1.0 < 900.0
k
f 2475.000(*  ) P(V2  )
s V1024S02 > 0.0
t GuV (sonst. Betriebsertrag), WOHNGEBAEUDE IN DER BILANZ, aber keine
t Mietertraege in der GuV (Code 2326 bzw. 2454)
b V2326S05 > 0.0 || V2326S04 > 0.0 || V2454S05 > 0.0
k
f 2477.000(***) P(V00 V2 )
t GuV (sonst. Betriebsertrag), Eintragungen bei USt (2327 zeitraumzugeh.
t oder 2495 zeitraumfremde USt), aber kein pauschalierender,
t nettoverbuchender Betrieb
b ( V2327s02,05 + V2495S02,05 ) < 20000.0 || ( V0028S02 == 1E0 && V0027S02 == 2E0 )
k
k
f 2478.000(***) P(V00 V2 )
s V0027S02 ==  2E0 && V0028S02 ==  1E0
s V2327S05 > 0.0
t GuV (sonst. Betriebertrag), PAUSCHALIERENDER, NETTOVERBUCHENDER BETRIEB;
t Umsatzsteuer (Code 2327) ist kleiner 9% bzw. groezser 15% des mazsgeblichen Ertrages
b V2327S05 >= ( 0.09 * (V2339S05 - V2327S05)) && V2327S05 <= ( 0.15  * (V2339S05 - V2327S05))
k
f 2479.000(***) P(V00 V2 )
s V0003S02 < 17E0
s V0020s02 < 61E0
t GuV (sonst. Betriebertrag), Betrieblich genutzter Pkw in der Bilanz
t (Code 1040), zu geringe Privatanteile in der GuV (Codes 2455 2824 2831)
b V1040S02 == 0.0 || V2455S05 + V2773,74S04 + V2801,24,31S04 + ABS(V2941S05 * 0.5) > 200.0
k
f 2485.000(*) P(V00 V2)
t GuV sonst. Betriebsertrag (Code 2458) ist sehr hoch und sollte auf andere Ertragspositionen
t aufgeteilt werden
b V2458S02 <=100000.0
k
f 2486.000(*) P(V00 V2)
t GuV sonst. Betriebsaufwand (Code 2868) ist sehr hoch und sollte auf andere 
t Aufwandspositionen aufgeteilt werden
b V2868S02 >=-100000.0
k
a 2.1.2.1.07: UNSTIMMIGKEITEN ZEITRAUMFREMDE ERTRAEGE
k
f 2491.0##(*  ) P(V10 V2 )
d ##(02-04)
s V2493,52S## > 0.0
t GuV (zeitr.fr. Ertraege), Eintragung in Code 2452, 2493 (Ertraege a.d.
t Aufloesung Sonderposten), aber kein Sonderposten in der Bilanz (Code 1529)
b V1523,29S02 > 0.0 || V1523,29s03 > 0.0
k
f 2492.0##(*  ) P(V10 V2 )
d ##(02-04)
s V2494S## > 0.0
t GuV (zeitr.fr. Ertraege), Eintragung in Code 2494 (Ertraege a.d.
t Aufloesung v. Rueckstellungen), aber keine Rueckstellungen in
t in Bilanz VJ (1539 Sp.03)
b V1539S03 > 0.0
k
f 2496.000(*) P(V21)
s V2496s05 > 0.0
t GuV sonst. zeitraumfremde Ertraege (Code 2496) sind sehr hoch, verwendetes Konto prfen 
b V2496S05 <=30000.0
k
f 2513.100(*) P(V21)
s V2895s05 < 0.0
t GuV sonst. zeitraumfremde Aufwendungen (Code 2895) sind sehr hoch, verwendetes Konto prfen 
b V2895S05 >=-30000.0
k
a 2.2.1 TEIL 2.2: G.U.V. (AUFWAND)             ZEILEN- UND SPALTENSUMMEN
a 2.2.1.01 ZEILENSUMME
k
z          BetrTyp  = V9801 ;
k
f 2500.5##(***+) P(V2  )
s BetrTyp < 3  &&  V0020S02 < 60E0
d ##(09-34,37-40,59,70,91,97,98,99)
t GuV (Aufwand), in Code 25## ist Sp.02 + Sp.03 + Sp.04 nicht Sp.05
b ( V25##S02 + V25##S03 + V25##S04 ) #EQ(2.0) V25##S05
k
k
f 2500.6##(***+) P(V2  )
s BetrTyp < 3  &&  V0020S02 < 60E0
d ##(00-07,10-18,20-25,30,31,33-38,40-44,50-59,63-66,72,73,76-78,80,81,
d    90-92,97)
t GuV (Aufwand), in Code 26## ist Sp.02 + Sp.04 nicht Sp.05
b ( V26##S02 + V26##S04 ) #EQ(2.0) V26##S05
k
m LDWP02F
k
k
k
z          BetrTyp  = V9801 ;
k
f 2500.7##(***+) P(V2  )
s BetrTyp < 3  &&  V0020S02 < 60E0
d ##(01,02,05,06,09,12,14,15,18,20,21,26,28-30,32,34,36,39,40,43,44,
d    47-49,51-53,58-65,67,69-73,74,80-94,98,99)
t GuV (Aufwand), in Code 27## ist Sp.02 + Sp.03 + Sp.04 nicht Sp.05
b ( V27##S02 + V27##S03 + V27##S04 ) #EQ(2.0) V27##S05
k
f 2500.8##(***+) P(V2  )
s BetrTyp < 3  &&  V0020S02 < 60E0
d ##(00-06,08-09)
t GuV (Aufwand), in Code 28## ist  Sp.03 + Sp.04 nicht Sp.05
b (  V28##S03 + V28##S04 ) #EQ(2.0) V28##S05
k
f 2500.9##(***+) P(V2  )
s BetrTyp < 3  &&  V0020S02 < 60E0
d ##(10-14,16-26,28-42,45-49,51-60,62-69,96,97,99)
t GuV (Aufwand), in Code 28## ist Sp.02  + Sp.04 nicht Sp.05
b ( V28##S02 + V28##S03 + V28##S04 ) #EQ(2.0) V28##S05
k
k                                              -- MATERIALAUFWAND --
k
a 2.2.1.02   SPALTENSUMMEN
k                                                        Aufwand Pfl.prod.
f 2501.0##(***+) P(V2  )
d ##(02-05)
t GuV (Aufwand), Summenwert in Code 2599 Spalte ## entspricht nicht
t der Summe der Einzelpositionen
b ( V2509-34,37-40,59,70,91,97,98S## ) #EQ(2.0) V2599S##
k
k                                                       Aufwand Tierprod.
f 2502.0##(***+) P(V2  )
d ##(02,04-05)
z X1 = V2600-20S## ;
z X2 = V2621-25,30-44,50S## ;
z X3 = V2651-59,63-78S## ;
z X4 = V2679-99S## + V2701-28S## ;
z EINZELWERTE=X1+X2+X3+X4;
t GuV (Aufwand), Summenwert in Code 2729 Spalte ## entspricht nicht
t der Summe der Einzelpositionen
b EINZELWERTE #EQ(2.0) V2729S##
k
m LDWP02G
k                                              -- MATERIALAUFWAND --
k
f 2502.003(***+) P(V2  )
t GuV (Aufwand), Summenwert in Code 2729 Spalte 03 entspricht nicht
t der Summe der Einzelpositionen
b ( V2701-28S03 ) #EQ(2.0) V2729S03
k
k                                                          Aufwand Kellerei
f 2503.0##(***+) P(V2  )
d ##(02-05)
t GuV (Aufwand), Summenwert in Code 2739 Spalte ## entspricht nicht
t der Summe der Einzelpositionen
b ( V2730-36S## ) #EQ(2.0) V2739S##
k
k                                                           Aufwand Forst
f 2504.0##(***+) P(V2  )
d ##(02-05)
t GuV (Aufwand), Summenwert in Code 2749 Spalte ## entspricht nicht
t der Summe der Einzelpositionen
b ( V2740-48S## ) #EQ(2.0) V2749S##
k
k                                                   Aufwand Nebenbetriebe, DL
f 2505.0##(***+) P(V2  )
d ##(02-05)
t GuV (Aufwand), Summenwert in Code 2769 Spalte ## entspricht nicht
t der Summe der Einzelpositionen
b ( V2751-67S## ) #EQ(2.0) V2769S##
k
k                                                      Sonstiger Matr.Aufwand
f 2506.0##(***+) P(V2  )
d ##(02-05)
t GuV (Aufwand), Summenwert in Code 2785 Spalte ## entspricht nicht
t der Summe der Einzelpositionen
b ( V2770-84S## ) #EQ(2.0) V2785S##
k
k                                                          Materialaufwand insg.
f 2507.0##(***+) P(V2  )
d ##(02-05)
t GuV (Aufwand), Summenwert in Code 2789 Spalte ## entspricht nicht
t der Summe der Einzelpositionen
b ( V2599S## + V2729S## + V2739S## + V2749S## + V2769S## + V2785S## +
b V2786S## + V2787S## + V2788S## ) #EQ(2.0) V2789S##
k
k                                                          PERSONALAUFWAND
f 2508.0##(***+) P(V2  )
d ##(02-05)
t GuV (Aufwand), Summenwert in Code 2799 Spalte ## entspricht nicht
t der Summe der Einzelpositionen
b ( V2790-98S## ) #EQ(2.0) V2799S##
k
k                                                          ABSCHREIBUNGEN
f 2509.0##(***+) P(V2  )
d ##(03-05)
t GuV (Aufwand), Summenwert in Code 2809 Spalte ## entspricht nicht
t der Summe der Einzelpositionen
b ( V2800-08S## ) #EQ(2.0) V2809S##
k
k                                                       SONST. BETR. AUFWAND
k
f 2510.0##(***+) P(V2  )
d ##(02-05)
t GuV (Aufwand), Summenwert in Code 2829 Spalte ## entspricht nicht
t der Summe der Einzelpositionen
b ( V2810-28S## ) #EQ(2.0) V2829S##
k
f 2510.100(*) P(V2)
t GuV sonst. Betriebsaufwand (Code 2868) ist sehr hoch und sollte auf Einzelpositionen
t aufgeteilt werden
b V2868S02 >=-100000.0
k
k                                                      Aufwand Betriebsversicherung
f 2511.0##(***+) P(V2  )
d ##(02-05)
t GuV (Aufwand), Summenwert in Code 2839 Spalte ## entspricht nicht
t der Summe der Einzelpositionen
b ( V2830-38S## ) #EQ(2.0) V2839S##
k
k                                                         sonstiger Betriebsaufwand
f 2512.0##(***+) P(V2  )
d ##(02-05)
t GuV (Aufwand), Summenwert in Code 2869 Spalte ## entspricht nicht
t der Summe der Einzelpositionen
b ( V2840-68S## ) #EQ(2.0) V2869S##
k
k                                                          zeitr.fremde Aufwendungen
f 2513.0##(***+) P(V2  )
d ##(02-05)
t GuV (Aufwand), Summenwert in Code 2896 Spalte ## entspricht nicht
t der Summe der Einzelpositionen
b ( V2870-95S## ) #EQ(2.0) V2896S##
k
k                                                          sonst. betr. Aufwendungen insg.
f 2514.0##(***+) P(V2  )
d ##(02-05)
t GuV (Aufwand), Summenwert in Code 2897 Spalte ## entspricht nicht
t der Summe der Einzelpositionen
b ( V2829S## + V2839S## + V2869S## + V2896S## ) #EQ(2.0) V2897S##
k
k                                                        BETRIEBSERGEBNIS INSG.
f 2515.0##(***+) P(V2  )
d ##(02-05)
t GuV (Aufwand), Summenwert in Code 2899 Spalte ## entspricht nicht
t der Summe der Einzelpositionen
b ( V2339S## + V2347S## + V2348S## + V2349S## + V2498S## + V2789S## +
b   V2799S## + V2809S## + V2897S## ) #EQ(2.0) V2899S##
k
k
a 2.2.2 TEIL 2.2: G.U.V (MATERIALAUFWAND)                 KONTROLLFRAGEN
a 2.2.2.1 UNZULAESSIGE EINTRAGUNGEN
k
f 2520.000(***) P(V2  )
t GuV (Aufwand), keine betrieblichen Aufwendungen eingetragen  ? ? ?
b ( V2789S05 + V2799S05 + V2809S05 + V2897S05 ) !=  0.0
k
k
f 2521.###(***+) P(V2  )
d ###(509-534,537-540,559,570,591,597,598,600-607,610-618,620-625,630,631,
d     633-638,640-644,650-659,663-666,672,673,676-678,680,681,
d     690-692,697,701-702,705,706,709,712,714,715,718,720,721,
d     726,728,730,732,734,736,740,743,744,747,748,751-754,758-765,
d     767,769,770-773,780,785,787-794,798,799,810-814,816-826,
d     828-842,845-847,849,851-869)
t GuV (Aufwand), pos. Ausgaben (Code 2###) sind nicht moeglich
b V2###S02 <= 0.0
k
f 2522.###(***) P(V2  )
d ###(509-534,537-540,559,570,591,597,598,600-607,610-618,620-625,630,631,
d     633-638,640-644,650-659,663-666,672,673,676-678,680,681,
d     690-692,697,701-702,705,706,709,712,714,715,718,720,721,
d     726,728,730,732,734,736,740,743,744,747,748,751-754,758-765,
d     767,769,770-774,780,781,785,787-794,798,799,810-814,816-826,
d     828-842,845-847,849,851-860,862-869)
t GuV (Aufwand), Privatanteile in Sp.4 (Code 2###) sind groesser 
t als die Ausgaben in Sp. 2 ???? (Code 2###)
b ABS(V2###S02 + V2###S03) >= ABS(V2###S04)
k
f 2523.###(***+) P(V2  )
s V0020S02 > 60E0
d ###(599,729,739,749,769,786,787,788,789,799,809,829,839,869,896,897)
t GuV (Aufwand), keine Eintragungen in der Spalte 04 (Privatanteile)
t bei Kapitalgesellschaften oder Genossenschaften zulaessig
b V2###S04 ==  0.0
k
m LDWP02H
a 2.2.2.2 KONSISTENZPRUEFUNG
a 2.2.2.2.01 PFLANZENPRODUKTION; DUENGEMITTEL
k
f 2530.000(***) P(V2 V51 )
s BetrTyp < 5 && v0023s02 < 2
s V2239,49,59s05 == 0.0 
t GuV (Aufwand), Konventioneller landwirtschaftlicher Betrieb, 
t aber weder MINERALDUENGEMITTEL zugekauft (Code 2510-2539 Sp. 5) noch verbraucht (Code 5210-5239 Sp. 7)
b V2510-34,37-39S05 < 0.0 || V5210-34,37-39S07 > 0
k
f 2531.000(***) P(V2 V80 )
s BetrTyp < 5
s V2539S05 < -100 
t GuV (Aufwand), Zugekaufte MINERALDUENGEMITTEL undifferenziert in Code 2539 gebucht,
t aber keinen Eintrag der Duengenaehrstoffe in den Codes 8150,8153,8156
b V2510-34,37S05 < 0.0 || V8150,53,56S02 > 0.0
k
f 2532.000(***) P(V2 V80 )
s BetrTyp < 5
s V8150,53,56S02 > 0.0
t GuV (Aufwand), keine Zugekauften MINERALDUENGEMITTEL in der GuV verbucht (Code 2510 bis 2539 = 0),
t aber Duengenaehrstoffe in den Codes 8150, 8153,8156 eingetragen
b V8150,53,56S02 > 0.0 && V2510-34,37-39S05 < 0.0 
k
f 2533.0##(***) P( V2  V51)
s V0003S02 < 17E0
s BetrTyp < 3E0  &&  V0020s02 < 60E0
s V2510-38S02 < -100.0
d ##(10-34,37-38)
t GuV (Ausgaben), Zukauf von MINERALDUENGEMITTEL in der GuV, aber keine Mengenangabe zum Zukauf 
t im Naturalbericht angegeben oder umgekehrt
b ( V25##S02 == 0.0 ) == ( v52##s03 == 0.0 )
k
f 2534.0##(***) P( V2  V51)
s BetrTyp < 3E0  
s V2510-38S05 < -100.0
d ##(10-34,37-38)
t GuV (Aufwand), Verbrauch von MINERALDUENGEMITTEL in der GuV, aber kein Verbrauch 
t im Naturalbericht angegeben oder umgekehrt
b ( V25##S05 == 0.0 ) == ( v52##s07 == 0.0 )
k
a 2.2.2.2.02 TIERPRODUKTION
k
z          BetrTyp  = V9801 ;
f 2570.0##(***+) P(V2  V5 )
s BetrTyp < 3  &&  V0020S02 < 60E0
d ##(00-07,10-18,20-25,30,31,33-38,40-44,50-57,63-66,72-73,76-78,
d    80,81,90-92,97)
t GuV (Aufwand), Ausgabe Tierproduktion (Code 26##), aber keine
t zugekauften Tiere im Naturalbericht (51##) oder umgekehrt
b ( V26##S02 ==  0.0 ) == ( V51##S03 == 0.0 )
k
f 2571.000(***) P(V2  V60)
t GuV (Aufwand), Ausgabe fuer Zukauf Fische (Code 2690-97) erfordert
t teichwirtschaftl. gen. Flaeche (Code 6121)
b ( V2690-92,97S02 ==  0.0 ) || V6121S07 > 0.0
k
f 2580.000(***+) P(V2  V31)
s V2701,02S05 <= -150.0 
t GuV (Aufwand), Aufwand fuer FUTTERZUKAUF PFERDE (Code 2701,02), aber
t kein Durchschnittsbestand Pferde u. keine Einnahm. aus Pensionspferdehaltung (Code 2170).
b V3109S09 > 0.0 || V2170S05 > 0.0
k
k
f 2581.000(***+) P(V2  V31)
s V2705,06S05 <= -150.0
t GuV (Aufwand), Aufwand fuer FUTTERZUKAUF RINDER (Code 2705,06), aber
t kein Durchschnittsbestand Rinder u. keine Einnahm. aus Lohntierhaltg.
b V3129S09 > 0.0 || V2185S05 > 0.0
k
f 2582.000(***+) P(V2  V32)
s V2709S05 <= -150.0 
t GuV (Aufwand), Aufwand fuer FUTTERZUKAUF SCHWEINE (Code 2709), aber
t kein Durchschnittsbestand Schweine u. keine Einnahm. aus Lohntierhaltg
b V3139S09 > 0.0 || V2186S05 > 0.0
k
f 2583.000(***+) P(V2  V32)
s V2712S05 <= -150.0 
t GuV (Aufwand), Aufwand fuer FUTTERZUKAUF GEFLUEGEL (Code 2712), aber
t kein Durchschnittsbestand Gefluegel u.keine Einnahm. aus Lohntierhaltg
b V3160S09 > 0.0 || V2188S05 > 0.0
k
f 2584.000(***+) P(V2  V32)
s V2714,15S05 <= -150.0 
t GuV (Aufwand), Aufwand fuer FUTTERZUKAUF SCHAFE und ZIEGEN
t (Code 2714,15), aber kein Durchschnittsbestand Schafe oder Ziegen
t und keine Einnahme aus Lohntierhaltung
b V3149S09 > 0.0 || V3172,73S09 > 0.0 || V2187,89S05 >   0.0
k
f 2585.000(***) P(V2  V32)
s V2718S02 < 0.0
t GuV (Aufwand), Ausgaben fuer FUTTERZUKAUF SONST. TIERE (Code 2718),
t aber kein Durchschnittsbestand (3163 bis 3197, auszer Ziegen)
t und keine Einnahme aus Lohntierhaltung
b ( V3163-66,76-78,80,81S09 ) > 0.0 || ( V3190-97S09 ) > 0.0 || V2170,89S05 > 0.0
k
k
k
a 2.2.2.2.03 KELLEREI
k
f 2600.000(***+) P(V2  V5 )
t GuV (Aufwand), Ausgabe fuer ZUKAUF TRAUBEN/MAISCHE (Code 2730), aber
t keine zugekauften Mengen im Naturalbericht (5501,02)
b V2730S02 ==  0.0 || V5501,02S03 > 0.0
k
k
a 2.2.2.2.04 NEBENBETRIEBE, DL
k
f 2610.000(*  ) P(V2  )
s V2769S05 > 5000E0
t GuV (Aufwand), Aufwand Nebenbetriebe, Dienstleistungen (Code 2769)
t ist groezser als der Ertrag (Code 2337) daraus
b V2769S05 * (-1E0) <= V2337S05
k
a 2.2.2.2.05 SONST. MATERIALAUFWAND
k
f 2620.000(*  ) P(V2  V60)
t GuV (Aufwand), Beheizbare Gewaechshausflaeche in Abschn. 6
t (Code 6114), aber keine Aufwand fuer Heizmaterial in GuV
b V6114S07 ==  0.0 || V2770S05 < 0.0
k
f 2621.000(***) P(V2  V30)
t GuV (Aufwand), Aufwand fuer TREIB- UND SCHMIERSTOFFE, aber keine
t techn. Anlagen, Maschinen oder Kraftfahrzeuge im Anlagenspiegel
b V2773,74S05 ==  0.0 || V3030-33,35-37,40-41S02 + V3030-33,35-37,40-41S03 > 0.0
k
f 2623.000(***) P(V2  V30)
s V0003S02 < 17E0
t GuV (Aufwand), Keinen Aufwand fuer SONSTIGE TREIB- UND SCHMIERSTOFFE, aber
t techn. Anlagen, Maschinen oder Kraftfahrzeuge im Anlagenspiegel
b V2774S05 <  0.0 || V3030-33,35-37,40-41S02 + V3030-33,35-37,40-41S03 == 0.0
K
f 2624.000(***) P(V2)
s BetrTyp != 3E0
t GuV (Aufwand), Aufwand fuer SONSTIGE TREIB- UND SCHMIERSTOFFE groesser als
t Aufwand fuer DIESELKRAFTSTOFFE
b ABS(V2774S05) <= ABS(V2773S05)
k
f 2625.000(***) P(V2 )
t GuV (Aufwand), Aufwand fuer Lade- und Loeschkosten, aber kein
t Betrieb der Kleinen Hochsee- und Kuestenfischerei
b V2783S05 ==  0.0 || V2312S05 > 0.0
k
f 2645.000(***) P(V2  V32)
s BetrTyp < 5E0 && V2787S05 < 0.0
t GuV (Aufwand), Bestandsaenderung Roh-, Hilfs- und Betriebsstoffe ist
t ungleich entsprechender Position in Bewertung Vorraete (Code 3299)
b V2787S05 #EQ(2.0) V3299S08
k
f 2647.000(***) P(V2  V32)
s V2788S05 < 0.0
t GuV (Aufwand), Bestandsaenderung Waren ist ungleich
t entsprechender Position in Bewertung Waren (Code 3899)
b V2788S05 #EQ(2.0) V3899S08
k
k
a 2.2.2.2.06 PERSONALAUFWAND
k
f 2650.000(***+) P(V2  V70 )
t GuV (Personalaufwand), Aufwand fuer Loehne und Gehaelter ist ungleich
t entsprechender Position in Code 7099 (Abschn. 7 Bruttolohn pro Jahr)
b ABS( V2790S05 + V2791S05 ) #EQ(2000.0) V7089S04 + V7098S04
k
f 2651.000(***) P(V2  V70 )
s V0020S02 ==  11E0
t GuV (Personalaufwand), Aufwand LOEHNE u. GEHAELTER f. STAENDIGE AK,
t aber lt. Abschn.7 keine regelmaessigen AK im Unternehmen beschaeftigt
b V2790S05 ==  0.0 || V7090-95S02 > 0.0 || V7089S03 > 0.0
k
f 2653.000(***) P(V2  )
t GuV (PERSONALAUFWAND), Aufwand fuer Soziale Abgaben, aber keine
t gezahlten Loehne und Gehaelter
b V2793S05 ==  0.0 || ( V2790,91S05 < 0.0 )
k
f 2654.100(***) P(V2  )
t GuV (PERSONALAUFWAND), gezahlte Loehne und Gehaelter fuer staendige Arbeitskraefte
t aber  keinen Aufwand fuer Soziale Abgaben
b V2790S05 ==  0.0 || ( V2793S05 < 0.0 )
k
f 2654.200(***) P(V2  )
s V0003S02 < 17E0
s V2791S05 < -900.0
t GuV (PERSONALAUFWAND), gezahlte Loehne fuer nicht staendige Arbeitskraefte,
t aber keinen Aufwand fuer Soziale Abgaben
b V2793S05 < 0.0
k
k
f 2658.000(***) P(V2)
s V0003S02 < 17E0
t GuV (PERSONALAUFWAND), es fehlen die Ausgaben fuer die betriebliche 
t Unfallversicherung (Code 2798)
b V2798S05 < 0.0
k
a 2.2.2.2.07 ABSCHREIBUNG
k
f 2671.000(***+) P(V2  V30)
s V2809S03,04 ==  0.0
t GuV (Afa), Afa IMMATR. VERMOEGENSGEGENSTAENDE in der G.u.V ist
t ungleich entsprechender Position im Anlagenspiegel (Code 3019 Sp.08)
b ABS( V2800,02S05 ) #EQ(2.0) V3019S08
k
f 2672.000(***+) P(V2  V30)
s V2809S03,04 ==  0.0
t GuV (Afa), Afa SACHANLAGEN in der G.u.V ist ungleich entsprechender
t Position im Anlagenspiegel (Code 3079 Sp.08)
b ABS( V2801,03S05 ) #EQ(2.0) V3079S08
k
k
f 2674.000(***+) P(V2  V30)
s V2809S03,04 !=  0.0
t GuV (Afa), Afa IMMATR. VERMOEGENSGEGENSTAENDE in der G.u.V ist
t ungleich entsprechender Position im Anlagenspiegel (Code 3019 Sp.08)
b ABS( V2800,02S03 ) #EQ(2.0) V3019S08
k
f 2675.000(***+) P(V2  V30)
s V2809S03,04 !=  0.0
t GuV (Afa), Afa SACHANLAGEN in der G.u.V ist ungleich entsprechender
t Position im Anlagenspiegel (Code 3079 Sp.08)
b ABS( V2801,03S03 ) #EQ(2.0) V3079S08
k
k
k
k
a 2.2.2.2.08 UNTERHALTUNG
k
f 2713.100(*  ) P(V2  V30)
s V0020S02 < 13 || V0020S02 > 13
t GuV (Unterhaltung), Ausgaben f. UNTERHALTUNG WIRTSCHAFTSGEBAUDE
t (Code 2813), aber keine Wirtschaftsgebaude im Eigentum (Code 3025)
t und keine Pachtaufwendungen
b V2813S02 ==  0.0 || ( V3025S02,14 > 0.0 ) || V2845S02 < 0.0
k
f 2713.200(*  ) P(V2  V30)
t GuV (Unterhaltung), Wirtschaftsgebaude im Eigentum (Code 3025), aber 
t keine Ausgaben in der GuV (Code 2813) fuer UNTERHALTUNG WIRTSCHAFTSGEBAUDE
b V2813S05 <  0.0 || ( V3025S02,14 == 0.0 )
k
f 2714.000(***) P(V2  V30)
t GuV (Unterhaltung), Ausgaben f. UNTERHALTUNG GEWAECHSHAEUSER (GEB.)
t (Code 2814,18), aber keine Gewaechshauser im Eigentum (Code 3026,32)
t und keine Pachtaufwendungen
b V2814,18S02 ==  0.0 || ( V3026,32S02,14 > 0.0 ) || V2845S02 < 0.0
k
k
f 2715.000(***) P(V2  V30)
t GuV (Unterhaltung), Ausgaben f. UNTERHALTUNG BETRIEBSVORRICHTUNGEN
t (Code 2816), aber keine Betriebsvorrichtungen im Eigentum
t (Code 3030) bzw. Leasing- oder Pachtaufwendungen
b V2816S02 ==  0.0 || ( V3030S02,14 > 0.0 ) || V2841S02 < 0.0 ||
b V2845S02 < 0.0
k
f 2716.100(***) P(V2  V30)
t GuV (Unterhaltung), Ausgaben f. UNTERHALTUNG MASCHINEN U. GERAETE
t (Code 2817), aber keine Maschinen u. Geraete im Eigentum
t (Code 3031) bzw. Leasing- oder Pachtaufwendungen
b V2817S02 ==  0.0 || ( V3031S02,14 > 0.0 ) || V2841S02 < 0.0 ||
b V2845S02 < 0.0
k
f 2716.200(***) P(V2  V30)
t GuV (Unterhaltung), Maschinen u. Geraete im Eigentum (Code 3031), aber keine 
t Ausgaben in der GuV (Code 2817) fuer UNTERHALTUNG MASCHINEN U. GERAETE
b V2817S05 <  0.0 || ( V3031S02,14 == 0.0 )
k
f 2718.000(***) P(V2  V30)
t GuV (Unterhaltung), Ausgaben f. UNTERHALTUNG HEIZANLAGEN(Code 2819),
t aber keine Heizanlagen im Eigentum (Code 3033) bzw. Leasing- oder
t Pachtaufwendungen
b ( V2819S02 ==  0.0 ) || ( V3033S02,14 > 0.0 ) || ( V2841S02 < 0.0 ) ||
b ( V2845S02 < 0.0 )
k
f 2719.000(***) P(V2  V30)
t GuV (Unterhaltung), Ausgaben f. UNTERHALTUNG KELLEREIEINRICHTUNG
t (Code 2820), aber keine Kellereieinrichtung im Eigentum
t (Code 3034) bzw. Leasing- oder Pachtaufwendungen
b ( V2820S02 ==  0.0 ) || ( V3034S02,14 > 0.0 ) || ( V2841S02 < 0.0 ) ||
b ( V2845S02 < 0.0 )
k
f 2720.100(***) P(V2  V30)
t GuV (Unterhaltung), Ausgaben f. UNTERHALTUNG FISCHEREIFAHRZEUGE
t (Code 2821), aber keine Fischereifahrzeuge im Eigentum
t (Code 3035) bzw. Leasing- oder Pachtaufwendungen
b ( V2821S02 ==  0.0 ) || ( V1035S02 > 0.0 ) || ( V2841S02 < 0.0 ) ||
b ( V2845S02 < 0.0 )
k
f 2720.200(***) P(V2  V30)
t GuV (Unterhaltung), Fischereifahrzeuge im Eigentum (Code 3035), aber keine
t Ausgaben in der GuV (Code 2821) fuer UNTERHALTUNG FISCHEREIFAHRZEUGE
b ( V2821S02 <  0.0 ) || ( V1035S02 == 0.0 )
f 2721.000(***) P(V2  V30)
t GuV (Unterhaltung), Ausgaben f. UNTERHALTUNG FISCHEREIFAHRZ.MOTOREN
t (Code 2822), aber keine Fischereifahrz.motoren im Eigentum
t (Code 3036) bzw. Leasing- oder Pachtaufwendungen
b ( V2822S02 ==  0.0 ) || ( V1035,36S02 > 0.0 ) || ( V2841S02 < 0.0 ) ||
b ( V2845S02 < 0.0 )
k
f 2722.000(***) P(V2  V30)
t GuV (Unterhaltung), Ausgaben f. UNTERHALTUNG FISCHEREI-U. BORDGERAETE
t (Code 2823), aber keine Fischerei- u. Bordgeraete im Eigentum
t (Code 3037) bzw. Leasing- oder Pachtaufwendungen
b ( V2823S02 ==  0.0 ) || ( V1035-37S02 > 0.0 ) || ( V2841S02 < 0.0 ) ||
b ( V2845S02 < 0.0 )
k
f 2724.000(***) P(V2  V30)
t GuV (Unterhaltung), Ausgaben f. UNTERHALTUNG FUHRPARK (Code 2825),
t aber kein Fuhrpark im Eigentum (Code 3041) bzw. Leasing- oder
t Pachtaufwendungen
b ( V2825S02 ==  0.0 ) || ( V3041S02,14 > 0.0 ) || ( V2841S02 < 0.0 ) ||
b ( V2845S02 < 0.0 )
k
f 2725.000(***) P(V2  V30)
t GuV (Unterhaltung), Ausgaben f. UNTERHALTUNG and. ANLAGEN, BETRIEBS-
t und GESCHAEFTSAUSSTATTUNG (Code 2826), aber keine entsprechenden
t Wirtschaftsgueter im Eigentum (Code 3043-48) bzw. Leasing- oder
t Pachtaufwendungen
b ( V2826S02 ==  0.0 ) || ( V3043-48S02,14 > 0.0 ) || ( V2841S02 < 0.0 ) ||
b ( V2845S02 < 0.0 )
k
f 2726.000(***) P(V2  V30)
t GuV (Unterhaltung), Ausgaben f. UNTERHALTUNG DAUERKULTUREN
t (Code 2828), aber keine Dauerkulturen im Eigentum (Code 3076)
t bzw. Pachtaufwendungen
b ( V2828S02 ==  0.0 ) || ( V3076S02,14 > 0.0 ) || ( V2840S02 < 0.0 )
k
k
a 2.2.2.2.09 BETRIEBSVERSICHERUNGEN
k
k
f 2750.000(***) P(V2  V30)
s V2830S05 < 0.0
t GuV (B.Versicherungen), Ausgaben f. GEBAEUDEVERSICHERUNGEN
t (Code 2830),aber keine Gebaeude im Eigentum (Code 3024-26) bzw.
t sonstige Pacht-und Mietaufwendungen
b ( V3024-26S02,03 > 0.0 ) || ( V2845S05 < 0.0 )
k
f 2751.000(***) P(V2  V30)
t GuV (B.Versicherungen), Ausgaben f. KRAFTFAHRZEUGVERSICHERUNGEN
t (Code 2831),aber keine PKW oder Fuhrpark im Eigentum (Code 3040-41)
t bzw. Leasingaufwendungen
b V2831S05 ==  0.0 || ( V3040-41S02,14 > 0.0 ) || ( V2841S02 < 0.0 )
k
f 2752.000(***) P(V2  V31)
t GuV (B.Versicherungen), Ausgaben f. TIERVERSICHERUNGEN (Code 2834),
t aber kein Durchschnittsbestand Tiere (Bewertung TierVM) oder
t Lohntierhaltung
b V2834S02 ==  0.0 || ( V3199S04,07 + v2170,85-89s05 > 0.0 )
k
f 2753.000(***) P(V2  V30)
t GuV (B.Versicherungen), Ausgaben f. WALDBRANDVERSICHERUNG
t (Code 2835),aber kein stehendes Holz im Eigentum (Code 3069)
t und auch keine forstwirtschaftliche Nutzflaeche (Code 6122)
b V2835S02 ==  0.0 || V3069S14 > 0.0 || V6122S02 > 0.0
k
a 2.2.2.2.10 SONST. BETRIEBSAUFWAND
k
f 2770.100(***) P(V2  V60)
t GuV (sonst. Betriebsaufwand), PACHTAUFWENDUNGEN fuer luf FLAECHEN
t (Code 2840), aber keine entgeltlich zugepachteten Flaechen im
t Abschn. 6 (Betriebsflaeche)
b V2840S02 ==  0.0 || V6129S05 > 0.0 || V6229S07 > 0.0
k
f 2770.200(***) P(V2  V60)
s V2840S05 !=  0.0
t GuV (sonst. Betriebsaufwand), PACHTAUFWENDUNGEN je ha luf FLAECHEN
t (Code 2840) von mehr als 5.000 EURO ?
b V2840S05/(V6119s05 + (V6219s07*0.5) - (v6219s06*0.5)) >= (-5000.0)
k
k
k
a 2.2.2.2.11 VORSTEUER
k
f 2773.000(***) P(V2 )
s V0003S02 < 17E0
s V0027S02 ==  2E0 && V0028S02 ==  1E0
t GuV (sonst. Betriebsaufwand), PAUSCHALIERENDER, NETTOVERBUCHENDER BETRIEB
t ztr.zugeh. Vorsteuer (Code 2867) ist kleiner 7% bzw. groezser 19% 
t des mazsgeblichen Aufwandes
b ABS( V2867S02 ) >= ABS( 0.069 * ( V2789S02 + V2829,69S02 - V2867S02 ))
b &&
b ABS( V2867S02 ) <= ABS( 0.199 * ( V2789S02 + V2829,69S02 - V2867S02 ))
k
k
a 2.2.2.2.12 AUF ZEITRAUMFR. AUFWENDUNG
k                 z.B. Anlageinvestitionen
k
f 2790.000(***) P(V2  V30)
s V0028S02 ==  1E0
s  V3010,22-23,25-26,39,49,76,78S03 > 5000E0
t GuV (ztr. fr. Aufwendungen), Vorsteuersatz auf Anlageinvestitionen
t ist deutlich groezser als 19%
b ABS( V2894S02 ) <= ( V3010,12,14,15,22-23,25-26,39,49,76,78S03 ) * 0.32
k
k
k                   /* Aufwendungen aus dem Abgang von... werden unter */
k                   /* Teil 3.1 Anlagenspiegel-Kontrollfragen geprueft */
k
k
a 2.2.3 TEIL 2.2: G.U.V (BETRIEBL. AUFWENDUNGEN)      DIMENSIONSPRUEFUNG
a 2.2.3.01 SONST. BETRIEBL. AUFWENDUNGEN
k
k
f 2850.000(*  ) P(V2  V30)
s ( V3030-34S02 + V3040-48S02 ) > 1000E0
z X1 = V3030-34S03 + V3040-48S03 + V3030-34S05 + V3040-48S05 ;
t GuV (Betriebsaufwand), Ausgaben fuer die Unterhaltung von techn.
t Anlagen und Maschinen sowie andere Anlagen, Betriebs- und
t Geschaeftsausstattung sind groezser als 25% der Anschaffungs- und
t Herstellungskosten unter Beruecks. von Zugang+Umbuchung(=X1)
b ABS( V2816-20,24-26S02 ) <= ( V3030-34S02 + V3040-48S02 + X1 ) * 0.25
k
f 2853.000(*  ) P(V2 )
t Privatanteile (Code 2455) an den Ausgaben des Unternehmens sind sehr
t hoch
b V2455S05 < 15000.0
k
k
k
a 2.3.1 TEIL 2.3: G.U.V. (FINANZERTRAG ...) ZEILEN- UND SPALTENSUMMEN
k
k
k
a 2.3.1.01 ZEILENSUMME
k
z          BetrTyp  = V9801 ;
f 2900.9##(***+) P(V2  )
s BetrTyp < 3  &&  V0020S02 < 60E0
d ##(00-06,08,10-15,18,19,30-35,37,40-42,48,49,59)
t GuV (Finanzertrag,Steuern), in Code 29## entspricht Sp.02 + Sp.03 +
t Sp.04 nicht Sp.05
b ( V29##S02 + V29##S03 + V29##S04 ) #EQ(2.0) V29##S05
k
a 2.3.1.02 SPALTENSUMME
k
k                                        Finanzergebnis
f 2901.0##(***+) P(V2  )
d ##(02-05)
t GuV (Finanzergebnis,Steuern), Summenwert in Code 2918 Spalte ##
t entspricht nicht der Summe der Einzelpositionen
b ( V2900S## + V2902S## + V2904S## + V2906S## + V2908S## + V2910S## +
b V2912S## + V2913S## + V2914S## +V2916S## ) #EQ(2.0) V2918S##
k
k
k                                       Ergebnis vor Steuern
k
f 2902.0##(***+) P(V2  )
d ##(02-05)
t GuV (Ergebnis vor Steuern), Summenwert in Code 2919 Spalte ##
t entspricht nicht der Summe der Einzelpositionen
b ( V2899S## + V2918S## ) #EQ(2.0) V2919S##
k
k
k                                               Steuern vom Einkommen u. Ertrag
f 2904.0##(***+) P(V2  )
d ##(02-05)
t GuV (Steuern auf Eink und Ertrag), Summenwert in Code 2935 Spalte ##
t entspricht nicht der Summe der Einzelpositionen
b ( V2930-34S## ) #EQ(2.0) V2935S##
k
k
k                                                        Sonstige Steuern
f 2905.0##(***+) P(V2  )
d ##(02-05)
t GuV (sonst. Steuern), Summenwert in Code 2949 Spalte ##
t entspricht nicht der Summe der Einzelpositionen
b ( V2940-48S## ) #EQ(2.0) V2949S##
k
k
f 2906.100(***) P(V2 V60 )
s V9801 < 5.0
t GuV (sonst. Steuern), Angaben zur Grundsteuer fr Eigentumsflchen (Code 2940) aber keine Eigentumsflaechen
t oder umgekehrt
b ( V6129S02 ==  0.0 ) == ( V2940S05 == 0.0 )
k
k
f 2906.200(***) P(V2 V60 )
s V6119S02 > 0.0
s V9801 == 1.0
t GuV (sonst. Steuern), Angaben zur Grundsteuer fuer Eigentumsflaechen (Code 2940) liegt mit
t mehr als 80 EURO je ha sehr hoch
b V6129s02 * 80.0 > V2940S05 * -1.0
k                                                     -- GEWINN/VERLUST --
f 2907.0##(***+) P(V2  )
d ##(02-05)
t GuV. Gewinn / Verlust in Code 2959 Spalte ## errechnet sich
t nicht aus der Summe der Einzelpositionen
b ( V2919S## + V2935S## + V2949S## ) #EQ(2.0) V2959S##
k
k
k
a 2.3.2 TEIL 2.3: G.U.V (FINANZERTRAEGE ...) KONTROLLFRAGEN
k
k
k
f 2920.0##(***+) P(V2  )
d ##(00-06,08,10-15,18,19,30-35,37,40-42,48,49,59)
s V0020S02 > 60E0
t GuV (Finanzertraege, etc.), bei Kapitalgesellschaften und
t Genossenschaften sind Eintragungen Code 29## Sp.04 (Privatanteile)
t unzulaessig
b V29##S04 ==  0.0
k
f 2921.000(***) P(V2  V10)
t GuV (Finanzertraege, etc.), Zinsen und aehnl. Aufwendungen sind
t groezser als 5.000 Euro, aber keine Verbindlichkeiten in der Bilanz
b V2914S02 *(-1.0) <= 5000E0 || V1559S02 > 0.0 || V1559S03 > 0.0
k
f 2922.000(***+) P(V2  V35)
s V2914S02 *(-1.0) > 10000E0
t GuV (Finanzertraege, etc.), Zinsen und aehnl. Aufwendungen sind
t kleiner als Zinsen insg. gegenueber Kreditinstitutionen
b V2914S02 * (-1.0) >= V3996S06
k
f 2923.000(***+) P(V2  V80)
s V2914S02 *(-1.0) > 10000E0
t GuV (Finanzertraege, etc.), GEWINNZUSCHLAG NACH 4; ABS.4a EStG ist
t doppelt erfasst (Code 8050)
b V2916S05 == 0.0 || V8050S02 == 0.0
k
a 2.3.3 TEIL 2.3: G.U.V (Sonstige Steuern) KONTROLLFRAGEN
f 2930.000(*  ) P(V2  )
t GuV (Sonstige Steuern), PKW in der Bilanz (Code 1040) aber keine
t KFZ-Steuer in der GuV (Code 2941) angegeben
b V1040S02 == 0.0 || V2941S05 < 0.0
k
k
m LDWP03A
k
k
a 3.1.1 TEIL 3.1: ANLAGENSPIEGEL                ZEILEN- UND SPALTENSUMMEN
a 3.1.1.01                ZEILENSUMME
k
f 3000.0##(***+) P(V30)
d ##(09,10,12,14-15,18,20-27,30-37,40,41,43,45-48,69,76,78,80-87)
t Anlagenspiegel, in Code 30## entspricht Sp.02 + Sp.03 - Sp.04 +
t Sp.05 - Sp.12 + Sp.13 nicht Sp.14
b ( V30##S02 + V30##S03 - V30##S04 + V30##S05 - V30##S12 + V30##S13 )
b #EQ(2.0) V30##S14
a 3.1.1.02                SPALTENSUMME
k
f 3001.0##(***+) P(V30)
d ##(02-15)
t Anlagenspiegel, Summenwert in Code 3019 Sp.## (immatr. Vermoegens-
t gegenstaende) entspricht nicht der Summe der Einzelpositionen
b V3009-18S## #EQ(2.0) V3019S##
k
f 3002.0##(***+) P(V30)
d ##(02-15)
t Anlagenspiegel, Summenwert in Code 3029 Sp.## (Sachanlagen)
t entspricht nicht der Summe der Einzelpositionen
b ( V3020-27S## ) #EQ(2.0) V3029S##
k
f 3003.0##(***+) P(V30)
d ##(02-15)
t Anlagenspiegel, Summenwert in Code 3039 Sp.## (Sachanlagen)
t entspricht nicht der Summe der Einzelpositionen
b ( V3030-37S## ) #EQ(2.0) V3039S##
k
f 3004.0##(***+) P(V30)
d ##(02-15)
t Anlagenspiegel, Summenwert in Code 3049 Sp.## (Sachanlagen)
t entspricht nicht der Summe der Einzelpositionen
b ( V3040-48S## ) #EQ(2.0) V3049S##
k
f 3005.0##(***+) P(V30)
d ##(02-15)
t Anlagenspiegel, Summenwert in Code 3079 Sp.## (Sachanlagen insg.)
t entspricht nicht der Summe der Einzelpositionen
b ( V3029,39,49,69,76,78S## ) #EQ(2.0) V3079S##
k
f 3006.0##(***+) P(V30)
d ##(02-15)
t Anlagenspiegel, Summenwert in Code 3088 Sp.## (Finanzanlagen)
t entspricht nicht der Summe der Einzelpositionen
b ( V3080-87S## ) #EQ(2.0) V3088S##
k
k
f 3007.000(***+) P(V30)
t Anlagenspiegel, Umbuchungen muessen sich gegenseitig aufheben.
b ABS( V3019,79,88S05 ) <= 1E0
k
f 3008.0##(***+) P(V30)
d ##(02-15)
t Anlagenspiegel, Summenwert in Code 3089 Sp.## (Anlagen insg.)
t entspricht nicht der Summe der Einzelpositionen
b ( V3019,79,88S## ) #EQ(2.0) V3089S##
k
a 3.1.2 TEIL 3.1: ANLAGENSPIEGEL                           KONTROLLFRAGEN
k
k
k
f 3049.000(***+) P(V30)
t Anlagenspiegel, keine Angaben zu den Vermoegensgegenstaenden im
t Anlagespiegel (Code 3089 Sp. 14 = 0)
b V3089S14 > 0.0
k
f 3050.000(*  ) P(V2  V30)
s V3019S04 > 0.0 && V2460S03 == 0.0 && V2870S03 == 0.0 
t Anlagenspiegel, ABGAENGE von IMMATR. VERMOEGENSGEGENSTAENDEN, aber
t keine Eintragung in der G.u.V. unter zeitr. fremde Ertraege oder
t Aufwendungen
b V2460S05 > 0.0 || V2870S05 < 0.0
k
f 3051.000(*  ) P(V2 V30)
s V3029S04 > 0.0 && V3024S04 == 0.0 && V2461S03 == 0.0 && V2871S03 == 0.0 
t Anlagenspiegel, ABGAENGE von GRUNDSTUECKEN und BAUTEN, aber keine
t Eintragung in der G.u.V. unter zeitr. fremde Ertraege oder
t Aufwendungen
b V2461S05 > 0.0 || V2871S05 < 0.0
k
f 3052.000(*  ) P(V2 V30)
s V3039S04 > 0.0 && V2462S03 == 0.0 && V2872S03 == 0.0 
t Anlagenspiegel, ABGAENGE von TECHN. ANLAGEN und MASCHINEN, aber keine
t Eintragung in der G.u.V. unter zeitr. fremde Ertraege oder
t Aufwendungen
b V2462S05 > 0.0 || V2872S05 < 0.0
k
f 3053.000(*  ) P(V2 V30)
s (V3049S04 - V3048S04) > 1.0 && V2463S03 == 0.0 && V2873S03 == 0.0 
t Anlagenspiegel, ABGAENGE von anderen ANLAGEN, BETRIEBS- und
t GESCHAEFTSAUSSTATTUNG, aber keine Eintragung in der G.u.V. unter
t zeitr. fremde Ertraege oder Aufwendungen
b V2463S05 > 0.0 || V2873S05 < 0.0
k
f 3054.000(*  ) P(V2 V30)
s V3069S04 > 0.0 && V2487S03 == 0.0 && V2887S03 == 0.0 
t Anlagenspiegel, ABGAENGE von STEHENDEM HOLZ, aber keine
t Eintragung in der G.u.V. unter zeitr. fremde Ertraege oder
t Aufwendungen
b V2487S05 > 0.0 || V2887S05 < 0.0
k
k
f 3055.000(*  ) P(V2 V30)
s V3076S04 > 0.0 && V2488S03 == 0.0 && V2888S03 == 0.0 
t Anlagenspiegel, ABGAENGE von DAUERKULTUREN, aber keine
t Eintragung in der G.u.V. unter zeitr. fremde Ertraege oder
t Aufwendungen
b V3076S04 == 0.0 || V2488S05 > 0.0 || V2888S05 < 0.0
k
k           /* Pruefung auf Uebertragungsfehler siehe Teil 1 */
f 3070.0##(***) P(V30)
s V2312S02,05 !=  0.0
d ##(10,22,26,32-34,69,76)
t Anlagenspiegel,Betrieb der Kl. Hochsee- und Kuestenfischerei mit
t Eintragungen in Code 30##
b V30##S02-15 ==  0.0
k
f 3078.000(***) P(V30)
s V3078S03 > 0.0 || V3078S15 > 0.0 
t Anlagenspiegel, ANLAGEN IM BAU werden nach Fertigstellung ueber die Spalte 
t UMBUCHUNG den jeweiligen Anlageposten zugeordnet 
b V3078S04 <= 1000.0 
k
k
a 3.1.2.1           DIMENSIONSPRUEFUNGEN
k
k
s V0003S02 < 12E0
z StBodenBew = (( V0044S03 * 4E0 ) * ( V6100,04S02 )) +
z           ( 40000E0 * V6108S02 ) +
z           ( 40000E0 * V6110S02 ) + (  40000E0 * V6111S02 ) +
z           ( 40000E0 * V6112S02 ) + (  40000E0 * V6113S02 ) +
z           ( 40000E0 * V6114S02 ) + ( 50000E0 * V6116S02 ) +
z           ( 10000E0 * V6118S02 ) + (  10000E0 * V6121S02 ) +
z           ( 10000E0 * V6122S02 ) + (  25000E0 * V6128S02 );
k
a 3.1.2.1.01                                    BEWERTUNG BODEN, ALTE BUNDESL.
k
f 3100.000(***) P(V30 V60)
s V0003S02 < 12E0
s    V6129S02 > 0.0 && V3020S14 >0
t Anlagenspiegel, Boden im Vergleich mit den Saetzen der
t Ausfuehrungsanweisung (StBodenBew) zu niedrig bewertet
b #( V3020,21S14 ) >= #( StBodenBew ) * 0.5
k
f 3101.000(***) P(V30 V60)
s V0003S02 < 12E0
s    V6129S02 > 0.0 && V3020S14 >0
t Anlagenspiegel, Boden im Vergleich mit den Saetzen der
t Ausfuehrungsanweisung (StBodenBew) ueberbewertet
b #( V3020,21S14 ) < #( StBodenBew ) * 6.0
k
s V0003S02 >= 12E0
z StBodenBew = (( V0044S03 * 1.25 ) * ( V6100,04S02 )) +
z           ( 10000E0 * V6108S02 ) +
z           ( 10000E0 * V6110S02 ) + (  10000E0 * V6111S02 ) +
z           ( 10000E0 * V6112S02 ) + (  10000E0 * V6113S02 ) +
z           ( 10000E0 * V6114S02 ) + (  12500E0 * V6116S02 ) +
z           (  2500E0 * V6118S02 ) + (   2500E0 * V6121S02 ) +
z           (  2500E0 * V6122S02 ) + (   6250E0 * V6128S02 );
k
k
a 3.1.2.1.02                                    BEWERTUNG BODEN, NEUE BUNDESL.
k
f 3102.000(***) P(V30 V60)
s V0003S02 >= 12E0
s    V6129S02 > 0.0 && V3020S14 > 0.0
t Anlagenspiegel, Boden im Vergleich mit den Saetzen der
t Ausfuehrungsanweisung (StBodenBew) zu niedrig bewertet
b #( V3020,21S14 ) >= #( StBodenBew ) * 0.5
k
f 3103.000(***) P(V30 V60)
s V0003S02 >= 12E0
s    V6129S02 > 0.0 && V3020S14 > 0.0
t Anlagenspiegel, Boden im Vergleich mit den Saetzen der
t Ausfuehrungsanweisung (StBodenBew) ueberbewertet
b ( V3020,21S14 ) < #( StBodenBew ) * 6.0
k
k
a 3.1.2.1.03                                      HOEHE DER ABSCHREIBUNGEN
k
k
f 3114.000(*  ) P(V30)
s V3014S02,03 !=  0.0
t Anlagenspiegel, Abschreibungsquote fuer sonst. KONZESSIONEN etc. ist
t groezser als 25%
b V3014S08 / (V3014S02,03) #IN( 0.00 , 0.251 )
k
f 3115.000(*  ) P(V30)
s V3015S02,03 !=  0.0
t Anlagenspiegel, Abschreibungsquote fuer GESCHAEFTS- und FIRMENWERT
t ist groezser als 25%
b V3015S08 / (V3015S02,03) #IN( 0.00 , 0.251 )
k
f 3122.000(*  ) P(V30)
s V3029S02,03 !=  0.0
s    V3022S02,03 !=  0.0
t Anlagenspiegel, Abschreibungsquote fuer BODENVERBESSERUNGEN ist
t groezser als 10%
b V3022S08 / ( V3022S02 + ( V3022S03,05 ) * 0.5 ) #IN( 0.00 , 0.101 )
k
f 3123.000(*  ) P(V30)
s V3029S02,03 !=  0.0
s    V3023S02,03 !=  0.0
t Anlagenspiegel, Abschreibungsquote fuer BAULICHE ANLAGEN ist
t groezser als 25%
b V3023S08 / ( V3023S02 + ( V3023S03,05 ) * 0.5 ) #IN( 0.00 , 0.251 )
k
f 3124.000(*  ) P(V30)
s V3029S02,03 !=  0.0
s    V3024S02,03 !=  0.0
t Anlagenspiegel, Abschreibungsquote fuer WOHNGEBAUDE ist
t groezser als 10%
b V3024S08 / ( V3024S02 + ( V3024S03,05 ) * 0.5 ) #IN( 0.00 , 0.101 )
k
f 3125.000(*  ) P(V30)
s V3029S02,03 !=  0.0
s    V3025S02,03 !=  0.0
t Anlagenspiegel, Abschreibungsquote fuer WIRTSCHAFTSGEBAUDE ist
t groezser als 10%
b V3025S08 / ( V3025S02 + ( V3025S03,05 ) * 0.5 ) #IN( 0.00 , 0.101 )
k
f 3126.000(*  ) P(V30)
s V3029S02,03 !=  0.0
s    V3026S02,03 !=  0.0
t Anlagenspiegel, Abschreibungsquote fuer GEWAECHSHAEUSER (Geb.) ist
t groezser als 25%
b V3026S08 / ( V3026S02 + ( V3026S03,05 ) * 0.5 ) #IN( 0.00 , 0.251 )
k
f 3130.000(*  ) P(V30)
s V3039S02,03 !=  0.0
s    V3030S02,03 !=  0.0
t Anlagenspiegel, Abschreibungsquote fuer BETRIEBSVORRICHTUNGEN ist
t groezser als 40%
b V3030S08 / ( V3030S02 + ( V3030S03,05 ) * 0.5 ) #IN( 0.00 , 0.40 )
f 3131.000(*  ) P(V30)
s V3039S02,03 !=  0.0
s    V3031S02,03 !=  0.0
t Anlagenspiegel, Abschreibungsquote fuer MASCHINEN UND GERAETE ist
t groezser als 40%
b V3031S08 / ( V3031S02 + ( V3031S03,05 ) * 0.5 ) #IN( 0.00 , 0.40)
k
f 3133.000(*  ) P(V30)
s V3039S02,03 !=  0.0
s    V3033S02,03 !=  0.0
t Anlagenspiegel, Abschreibungsquote fuer HEIZANLAGEN ist
t groezser als 40%
b V3033S08 / ( V3033S02 + ( V3033S03,05 ) * 0.5 ) #IN( 0.00 , 0.40 )
k
f 3134.000(*  ) P(V30)
s V3039S02,03 !=  0.0
s    V3034S02,03 !=  0.0
t Anlagenspiegel, Abschreibungsquote fuer KELLEREIEINRICHTUNG ist
t groezser als 40%
b V3034S08 / ( V3034S02 + ( V3034S03,05 ) * 0.5 ) #IN( 0.00 , 0.40 )
k
f 3135.000(*  ) P(V30)
s V3039S02,03 !=  0.0
s    V3035S02,03 !=  0.0
t Anlagenspiegel, Abschreibungsquote fuer FISCHEREIFAHRZEUGE ist
t groezser als 10 %
b V3035S08 / ( V3035S02 + ( V3035S03,05 ) * 0.5 ) #IN( 0.00 , 0.11 )
k
f 3136.000(*  ) P(V30)
s V3039S02,03 !=  0.0
s    V3036S02,03 !=  0.0
t Anlagenspiegel, Abschreibungsquote fuer FISCHEREIFAHRZEUGMOTOREN ist
t groezser als 25 %
b V3036S08 / ( V3036S02 + ( V3036S03,05 ) * 0.5 ) #IN( 0.00 , 0.26 )
k
f 3137.000(*  ) P(V30)
s V3039S02,03 !=  0.0
s    V3037S02,03 !=  0.0
t Anlagenspiegel, Abschreibungsquote fuer FISCHEREI-UND BORDGERAETE ist
t groezser als 25 %
b V3037S08 / ( V3037S02 + ( V3037S03,05 ) * 0.5 ) #IN( 0.00 , 0.26 )
k
f 3148.000(*  ) P(V30)
s V3069S02 + V3069S03 !=  0.0
t Anlagenspiegel, Abschreibungsquote fuer STEHENDES HOLZ ist
t groezser als 3%
b V3069S08 / ( V3069S02 + ( V3069S03,05 ) * 0.5 ) #IN( 0.00 , 0.031 )
k
f 3149.000(*  ) P(V30)
s V3079S15 + V3079S08 !=  0.0
t Anlagenspiegel, Abschreibungsquote fuer DAUERKULTUREN ist 
t groesser als 12.5%
b V3076S08 / ( V3076S02 + ( V3076S03,05 ) * 0.5 ) #IN( 0.00 , 0.126 )
k
f 3151.000(***) P(V30)
s V3023,24,25,26S15 - V3023,24,25,26S08 !=  0.0
t Anlagenspiegel, Summe der Abschreibungen fuer Gebaeude und
t bauliche Anlagen ist null ?????
b V3023,24,25,26S08 > 0.0

f 3155.000(***) P(V30)
s V3039,49S15 - V3039,49S08 !=  0.0
t Anlagenspiegel, Summe der Abschreibungen fuer Technische Anlagen, Maschinen,
t Betriebs- und Geschaeftsausstattung ist kleiner als 5 % vom Buchwert ?????
b V3039,49S08 > ( V3039,49S14 ) * 0.05
k
m LDWP03B
k
a 3.2.1 TEIL 3.2: BEWERTUNG TIERVERMOEGEN       ZEILEN- UND SPALTENSUMMEN
k
k
k
a 3.2.1.01                                ZEILENSUMME
k
f 3200.0##(***+) P(V31)
d ##(00-07,10-18,20-25,30,31,33-38,40-44,50-57,63-66,72,73,76-78,80,
d    81,90-92,97)
s V31##S02 > 0.0
t Bewertung TierVM, in Code 31## entspricht Sp.02 * Sp.03 nicht Sp.04
b ( V31##S04 / V31##S02 ) #EQ(2.0) V31##S03
k
f 3201.0##(***+) P(V31)
d ##(00-07,10-18,20-25,30,31,33-38,40-44,50-57,63-66,72,73,76-78,80,
d    81,90-92,97)
s V31##S05 > 0.0
t Bewertung TierVM, in Code 31## entspricht Sp.05 * Sp.06 nicht Sp.07
b ( V31##S07 / V31##S05 ) #EQ(2.0) V31##S06
k
f 3202.0##(***+) P(V31)
d ##(00-07,10-18,20-25,30,31,33-38,40-44,50-57,63-66,72,73,76-78,80,
d    81,90-92,97)
t Bewertung TierVM, in Code 31## entspricht Sp.07 - Sp.04 nicht Sp.08
b ( V31##S07 - V31##S04 ) #EQ(2.0) V31##S08
k
m LDWP03C
k
a 3.2.1.02                    SPALTENSUMMEN
k
k
f 3203.0##(***+) P(V31)
d ##(02,04,05,07-09)
t Bewertung TierVM, Summenwert in Code 3109 Sp.## (Pferde) entspricht
t nicht der Summe der Einzelpositionen
b ( V3100-07S## ) #EQ(2.0) V3109S##
k
f 3204.0##(***+) P(V31)
d ##(02,04,05,07-09)
t Bewertung TierVM, Summenwert in Code 3129 Sp.## (Rinder) entspricht
t nicht der Summe der Einzelpositionen
b ( V3110-25S## ) #EQ(2.0) V3129S##
k
f 3205.0##(***+) P(V31)
d ##(02,04,05,07-09)
t Bewertung TierVM, Summenwert in Code 3139 Sp.## (Schweine) entspricht
t nicht der Summe der Einzelpositionen
b ( V3130-38S## ) #EQ(2.0) V3139S##
k
f 3206.0##(***+) P(V31)
d ##(02,04,05,07-09)
t Bewertung TierVM, Summenwert in Code 3149 Sp.## (Schafe) entspricht
t nicht der Summe der Einzelpositionen
b ( V3140-44S## ) #EQ(2.0) V3149S##
k
f 3207.0##(***+) P(V31)
d ##(02,04,05,07-09)
t Bewertung TierVM, Summenwert in Code 3160 Sp.## (Gefluegel)
t entspricht nicht der Summe der Einzelpositionen
b ( V3150-57,59S## ) #EQ(2.0) V3160S##
k
f 3208.0##(***+) P(V31)
d ##(02,04,05,07-09)
t Bewertung TierVM, Summenwert in Code 3169 Sp.## (Damtiere) entspricht
t nicht der Summe der Einzelpositionen
b ( V3163-66S## ) #EQ(2.0) V3169S##
k
f 3209.0##(***+) P(V31)
d ##(04,07,08)
t Bewertung TierVM, Summenwert in Code 3198 Sp.## (sonst. Tiere)
t entspricht nicht der Summe der Einzelpositionen
b ( V3172-97S## ) #EQ(2.0) V3198S##
k
f 3210.0##(***+) P(V31)
d ##(04,07,08)
t Bewertung TierVM, Summenwert in Code 3199 Sp.## (Tiervermoegen insg.)
t entspricht nicht der Summe der Einzelpositionen
b ( V3109S## + V3129S## + V3139S## + V3149S## + V3160S## + V3169S## +
b   V3198S## ) #EQ(2.0) V3199S##
k
k
k
a 3.2.2 TEIL 3.2: BEWERTUNG TIERVERMOEGEN                  KONTROLLFRAGEN
k
a 3.2.2.1             UEBETRAGUNGSFEHLER
a 3.2.2.1.01         ABGLEICH MIT ANGABEN IM NATURALBERICHT
k
z BetrTyp= V9801 ;
f 3215.0##(***+) P(V31 V5 )
s BetrTyp < 5
d ##(09,29,39,49,60,69,72,73,76-78,81,90-92,97)
t Bewertung TierVM, Anfangsbestand an Tieren Code 31## Sp.02 ist
t unstimmig mit Code 51## Sp.02 (Naturalbericht)
b V31##S02 #EQ(2.0) V51##S02
k
k
f 3216.0##(***+) P(V31 V5 )
s BetrTyp < 5
d ##(09,29,39,49,60,69,72,73,76-78,81,90-92,97)
t Bewertung TierVM, Endbestand an Tieren Code 31## Sp.05 ist
t unstimmig mit Code 51## Sp.10 (Naturalbericht)
b V31##S05 #EQ(2.0) V51##S10
k
a 3.2.2.1.02                        DURCHSCHNITTSBESTAND TIERE
k
f 3230.0##(*  ) P(V31 V5 )
d ##(01-03,05-07,13-18,22-25,30,31,33-38,42-44,50-57,64-66,72,73,76-78,
d    80,81)
t Bewertung TierVM, DURCHSCHNITTSBESTAND Code 31## Spalte 09 ist zu
t niedrig ausgewiesen
b V31##S09 >= ( V31##S02 + ( V31##S02 + V51##S03-05 - ( V51##S06-09 ))) / 3E0
k
f 3232.0##(*  ) P(V31 V5 )
d ##(01-03,05-07,13-18,22-25,30,31,33-38,42-44,50-57,64-66,72,73,76-78,
d    80,81,90-92,97)
t Bewertung TierVM, DURCHSCHNITTSBESTAND Code 31## Spalte 09 ist zu
t hoch ausgewiesen
b V31##S09 <= ( V31##S02 + V51##S03-05 )
k
f 3233.000 (*) (PV21 V31 V51)
t Ertrag aus Sonst. tierischen Erzeugnissen in Code 2184S05  aber keinen Durchschnittsbestand an 
t Tieren in Code 3199S09 und kein Anfangsbestand in Code 5699S02
b V2184S05 == 0.0 || V3199S09 > 0.0 || V5699S02 > 0.0
m LDWP03D
k
k
k                                      /* Jungtiere unter 1 Jahr */
f 3234.0##(*  ) P(V31 V5 )
d ##(00,04,63)
t Bewertung TierVM, DURCHSCHNITTSBESTAND Code 31## Spalte 09 ist zu
t niedrig ausgewiesen
b V31##S09 >= ( V31##S02 + V51##S03 + V51##S04 + V51##S05 ) * 1E0 / 12E0
k
f 3235.0##(*  ) P(V31 V5 )
d ##(00,04,63)
t Bewertung TierVM, DURCHSCHNITTSBESTAND Code 31## Spalte 09 ist zu
t hoch ausgewiesen
b V31##S09 <= ( V31##S02 + V51##S03 + V51##S04 + V51##S05 )
k
f 3236.0##(*  ) P(V31 V5 )
s V0003S02 < 17E0
d ##(10,12,21,40,41)
t Bewertung TierVM, DURCHSCHNITTSBESTAND Code 31## Spalte 09 ist zu
t niedrig ausgewiesen
b V31##S09 >= ( V31##S02 + V51##S03 + V51##S04 + V51##S05 ) * 1E0 / 12E0
k
f 3237.0##(*  ) P(V31 V5 )
d ##(10,11,12,20,21,40,41)
t Bewertung TierVM, DURCHSCHNITTSBESTAND Code 31## Spalte 09 ist zu
t hoch ausgewiesen
b V31##S09 <= ( V31##S02 + V51##S03 + V51##S04 + V51##S05 )
k
k
a										/*Regelung fuer Luxemburg*/
f 3238.0##(*  ) P(V31 V5 )
s V0003S02 > 17E0
d ##(10,12,21,40,41)
t Bewertung TierVM, DURCHSCHNITTSBESTAND Code 31## Spalte 09 ist zu
t niedrig ausgewiesen
b V31##S09 >= ( V31##S02 + V51##S03 + V51##S04 + V51##S05 ) * 1E0 / 12E0
k
k
a 3.2.2.2      DIMENSIONSPRUEFUNG
k
k                     /* Ueberpruefung der Viehbewertung anhand der   */
k                     /* steuerl. Richtwerte fuer Anschaffungs- und   */
k                     /* Herstellungskosten von Tieren vom 14.11.2001   */
k                     /* (vergl. auch Ausfuehrungsanweisung)          */
k   /* Unterer Faktor bei Anf-Bestand ist 2002 von 0.3 auf 0.6 angehoben worden*/
k
a 3.2.2.2.01                                 BEWERTUNG PFERDE
k
z VIEHPFA = V3100S02 * 400E0 + V3101S02 * 700E0 + V3102S02 * 1000E0 +
z           V3103S02 * 750E0 + V3104S02 * 800E0 + V3105S02 * 1400E0 +
z           V3106S02 * 2000E0 + V3107S02 * 1500E0 ;
k
f 3250.100(*  ) P(V31)
t Bewertung TierVM, Anfangsbestand PFERDE im Vergleich mit den Saetzen
t der Ausfuehrungsanweisung zu niedrig bewertet
b  #( VIEHPFA ) * 0.6 <= V3109S04
k
f 3250.200(*  ) P(V31)
t Bewertung TierVM, Anfangsbestand PFERDE im Vergleich mit den Saetzen
t der Ausfuehrungsanweisung zu hoch bewertet
b  #( VIEHPFA ) * 1.5 >= V3109S04
k
z VIEHPFE = V3100S05 * 400E0 + V3101S05 * 700E0 + V3102S05 * 1000E0 +
z           V3103S05 * 750E0 + V3104S05 * 800E0 + V3105S05 * 1400E0 +
z           V3106S05 * 2000E0 + V3107S05 * 1500E0 ;
k
f 3251.100(*  ) P(V31)
t Bewertung TierVM, Endbestand PFERDE im Vergleich mit den Saetzen
t der Ausfuehrungsanweisung zu niedrig bewertet
b  #( VIEHPFE ) * 0.6 <= V3109S07
k
f 3251.200(*  ) P(V31)
t Bewertung TierVM, Endbestand PFERDE im Vergleich mit den Saetzen
t der Ausfuehrungsanweisung zu hoch bewertet
b  #( VIEHPFE ) * 1.5 >= V3109S07
k
k
a 3.2.2.2.02                                 BEWERTUNG RINDER
k
z VIEHRIA = V3110S02 * 275E0 + V3111S02 * 180E0 + V3112S02 *  300E0 +
z           V3113S02 * 500E0 + V3114S02 * 750E0 + V3115S02 *  750E0 +
z           V3116S02 * 675E0 + V3117S02 * 675E0 + V3118S02 *  675E0 +
z           V3120S02 * 200E0 + V3121S02 * 335E0 + V3122S02 *  500E0 +
z           V3123S02 * 700E0 + V3124S02 * 700E0 + V3125S02 * 1250E0 ;
k
f 3255.100(*  ) P(V31)
t Bewertung TierVM, Anfangsbestand RINDER im Vergleich mit den Saetzen
t der Ausfuehrungsanweisung zu niedrig bewertet
b  #( VIEHRIA ) * 0.6 <= V3129S04
k
f 3255.200(*  ) P(V31)
t Bewertung TierVM, Anfangsbestand RINDER im Vergleich mit den Saetzen
t der Ausfuehrungsanweisung zu hoch bewertet
b  #( VIEHRIA ) * 1.5 >= V3129S04
k
z VIEHRIE = V3110S05 * 275E0 + V3111S05 * 180E0 + V3112S05 *  300E0 +
z           V3113S05 * 500E0 + V3114S05 * 750E0 + V3115S05 *  750E0 +
z           V3116S05 * 675E0 + V3117S05 * 675E0 + V3118S05 *  675E0 +
z           V3120S05 * 200E0 + V3121S05 * 335E0 + V3122S05 *  500E0 +
z           V3123S05 * 700E0 + V3124S05 * 700E0 + V3125S05 * 1250E0 ;
k
f 3256.100(*  ) P(V31)
t Bewertung TierVM, Endbestand RINDER im Vergleich mit den
t Saetzen der Ausfuehrungsanweisung zu niedrig bewertet
b  #( VIEHRIE ) * 0.6 <= V3129S07
k
f 3256.200(*  ) P(V31)
t Bewertung TierVM, Endbestand RINDER  im Vergleich mit den
t Saetzen der Ausfuehrungsanweisung zu hoch bewertet
b  #( VIEHRIE ) * 1.5 >= V3129S07
k
k
a 3.2.2.2.03                                 BEWERTUNG SCHWEINE
k
k            /* Sonderbeh. Z-Schweine wg. steuerl. Abschr.moeglichkeit
k                                 im Anschaffungsjahr              */
k
z VIEHSWA = V3130S02 * 20E0 + V3131S02 *  30E0 + V3133S02 *  50E0 + V3134S02 * 80E0 +
z           V3135S02 * 200E0                    + V3137S02 * 90E0 +
z           V3138S02 * 305E0 ;
k
s V3136S04 > 0.0
z VIEHSWA = VIEHSWA          + V3136S02 * 180E0 ;
k
f 3260.100(*  ) P(V31)
t Bewertung TierVM, Anfangsbestand SCHWEINE im Vergleich mit den
t Saetzen der Ausfuehrungsanweisung zu niedrig bewertet
b  #( VIEHSWA ) * 0.6 <= V3139S04
k
f 3260.200(*  ) P(V31)
t Bewertung TierVM, Anfangsbestand SCHWEINE im Vergleich mit den
t Saetzen der Ausfuehrungsanweisung zu hoch bewertet
b  #( VIEHSWA ) * 1.5 >= V3139S04
k
z VIEHSWE = V3130S05 * 20E0 + V3131S05 *  30E0 + V3133S05 *  50E0 + V3134S05 * 80E0 +
z           V3135S05 * 200E0                    + V3137S05 * 90E0 +
z           V3138S05 * 305E0 ;
s V3136S07 > 0.0
z VIEHSWE = VIEHSWE          + V3136S05 * 180E0 ;
k
f 3261.100(*  ) P(V31)
t Bewertung TierVM, Endbestand SCHWEINE im Vergleich mit den
t Saetzen der Ausfuehrungsanweisung zu niedrig bewertet
b  #( VIEHSWE ) * 0.6 <= V3139S07
k
f 3261.200(*  ) P(V31)
t Bewertung TierVM, Endbestand SCHWEINE im Vergleich mit den Saetzen
t der Ausfuehrungsanweisung zu hoch bewertet
b  #( VIEHSWE ) * 1.5 >= V3139S07
k
k
a 3.2.2.2.04                                BEWERTUNG SCHAFE
k
z  VIEHSFA4 = V3140S02 *  30E0 + V3141S02 *  50E0 + V3142S02 *  70E0 +
z             V3143S02 *  50E0 + V3144S02 * 100E0 ;
k
f 3265.100(*  ) P(V31)
t Bewertung TierVM, Anfangsbestand SCHAFE im Vergleich mit den Saetzen
t der Ausfuehrungsanweisung zu niedrig bewertet
b  #( VIEHSFA4 ) * 0.6 <= V3149S04
k
f 3265.200(*  ) P(V31)
t Bewertung TierVM, Anfangsbestand SCHAFE im Vergleich mit den Saetzen
t der Ausfuehrungsanweisung zu hoch bewertet
b  #( VIEHSFA4 ) * 1.5 >= V3149S04
k
z  VIEHSFE4 = V3140S05 *  30E0 + V3141S05 *  50E0 + V3142S05*  70E0 +
z             V3143S05 *  50E0 + V3144S05 * 100E0 ;
k
f 3266.100(*  ) P(V31)
t Bewertung TierVM, Endbestand SCHAFE im Vergleich mit den Saetzen
t der Ausfuehrungsanweisung zu niedrig bewertet
b  #( VIEHSFE4 ) * 0.6 <= V3149S07
k
f 3266.200(*  ) P(V31)
t Bewertung TierVM, Endbestand SCHAFE im Vergleich mit den Saetzen
t der Ausfuehrungsanweisung zu hoch bewertet
b  #( VIEHSFE4 ) * 1.5 >= V3149S07
k
k
a 3.2.2.2.05                                 BEWERTUNG GEFLUEGEL
k
z VIEHGFA = V3150S02 * 1.00 + V3151S02 * 2.95 + V3152S02 * 2.95 +
z           V3153S02 * 0.65 + V3154S02 * 2.25 + V3155S02 * 7.25 +
z           V3156S02 * 5.30 + V3157S02 * 5.00 + V3159S02 * 2.50;
k
f 3270.100(*  ) P(V31)
t Bewertung TierVM, Anfangsbestand GEFLUEGEL im Vergleich mit den
t Saetzen der Ausfuehrungsanweisung zu niedrig bewertet
b  #( VIEHGFA ) * 0.6 <= V3160S04
k
k
f 3270.200(*  ) P(V31)
t Bewertung TierVM, Anfangsbestand GEFLUEGEL im Vergleich mit den
t Saetzen der Ausfuehrungsanweisung zu hoch bewertet
b  #( VIEHGFA ) * 1.5 >= V3160S04
k
z VIEHGFE = V3150S05 * 1.00 + V3151S05 * 2.95 + V3152S05 * 2.95 +
z           V3153S05 * 0.65 + V3154S05 * 2.25 + V3155S05 * 7.25 +
z           V3156S05 * 5.30 + V3157S05 * 5.00 + V3159S05 * 2.50;
k
f 3271.100(*  ) P(V31)
t Bewertung TierVM, Endbestand GEFLUEGEL im Vergleich mit den Saetzen
t der Ausfuehrungsanweisung zu niedrig bewertet
b  #( VIEHGFE ) * 0.6 <= V3160S07
k
f 3271.200(*  ) P(V31)
t Bewertung TierVM, Endbestand GEFLUEGEL im Vergleich mit den Saetzen
t der Ausfuehrungsanweisung zu hoch bewertet
b  #( VIEHGFE ) * 1.5 >= V3160S07
k
k
a 3.2.2.2.06                                 BEWERTUNG DAMTIERE
k
z VIEHDWA = V3163S02 *  45E0 + V3164S02 *  80E0 + V3165S02 * 130E0 +
z           V3166S02 * 275E0 ;
k
f 3275.100(*  ) P(V31)
t Bewertung TierVM, Anfangsbestand DAMTIERE im Vergleich mit den
t Saetzen der Ausfuehrungsanweisung zu niedrig bewertet
b  #( VIEHDWA ) * 0.6 <= V3169S04
k
f 3275.200(*  ) P(V31)
t Bewertung TierVM, Anfangsbestand DAMTIERE im Vergleich mit den
t Saetzen der Ausfuehrungsanweisung zu hoch bewertet
b  #( VIEHDWA ) * 1.5 >= V3169S04
k
z VIEHDWE = V3163S05 *  45E0 + V3164S05 *  80E0 + V3165S05 * 130E0 +
z           V3166S05 * 275E0 ;
k
f 3276.100(*  ) P(V31)
t Bewertung TierVM, Endbestand DAMTIERE im Vergleich mit den
t Saetzen der Ausfuehrungsanweisung zu niedrig bewertet
b  #( VIEHDWE ) * 0.6 <= V3169S07
k
f 3276.200(*  ) P(V31)
t Bewertung TierVM, Endbestand DAMTIERE im Vergleich mit den
t Saetzen der Ausfuehrungsanweisung zu hoch bewertet
b  #( VIEHDWE ) * 1.5 >= V3169S07
k
k
a 3.2.2.2.07                                                UMFANG DER BESTAENDE
k              /* Ueberpruefung der Durchschnittsbestaende Tier anhand  */
k              /* der Vieheinheitenschluessel gem.  51 BewG (Stand 1992)*/
k
k
z VE = ( ( V3100-06S09 ) * 0.70 ) + ( V3107S09 * 1.10 ) +
z      ( ( V3110-12,20,21S09 ) * 0.30 ) + ( ( V3113,22,23S09 ) * 0.70 ) +
z      ( ( V3114-18,24S09 ) * 1.00 ) + ( V3125S09 * 1.20 ) +
z      ( V3131S09 * 0.0233 ) + ( V3133S09 * 0.08 ) +
z      ( V3134S09 * 0.16 ) + ( ( V3135,36S09 ) * 0.33 ) +
z      ( V3137S09 * 0.225 ) + ( V3138S09 * 0.33 ) +
z      ( ( V3140,41S09 ) * 0.05 ) + ( ( V3142-44S09 ) * 0.1 ) +
z      ( V3151S09 * 0.0017 ) + ( V3152S09 * 0.0195 ) +
z      ( V3153S09 * 0.0015 ) + ( V3154S09 * 0.0033 ) +
z      ( V3155S09 * 0.006 ) + ( V3156S09 * 0.0067 ) +
z      ( ( V3157,59S09 ) * 0.04 ) + ( V3163S09 * 0.04 ) +
z      ( ( V3164-66S09 ) * 0.08 ) + ( V3172S09 * 0.08 ) +
z      ( V3173S09 * 0.08 ) + ( V3176S09 * 0.0025 ) +
z      ( V3177S09 * 0.025 ) + ( V3180S09 * 0.08 ) ;
k
f 3280.000(*  ) P(V31 V60)
s VE > 300E0
t Bewertung TierVM, unplausibel hohe Durchschnittsbestaende Tier
b VE <= 300E0 + 2.0 * V6119S07
k
a 3.2.2.2.08
k                                              Kontrollfragen
k
k              /* Ueberpruefung der Tierhaltung mit Aufwand Futtermittel in der GuV  */
k
f 3291.000(*  ) P(V2  V31)
s V3129S09 > 20.0
t Bewertung TierVM, Durchschnittsbestand Rinder angegeben aber keinen FUTTERZUKAUF in der GuV (Code 2705,06)
b V3129S09 == 0.0 || V2705,06S05 < 0.0
k
f 3292.000(*  ) P(V2  V32)
s V3139S09 > 20.0
t Bewertung TierVM, Durchschnittsbestand Schweine angegeben, aber keinen FUTTERZUKAUFin der GuV (Code 2709)
b V3139S09 == 0.0 || V2709S05 < 0.0
f 3293.000(*  ) P(V2  V32)
s V3160S09 > 100.0 
t Bewertung TierVM, Durchschnittsbestand Gefluegel angegeben, aber keinen FUTTERZUKAUF in der GuV (Code 2712)
b V3160S09 == 0.0 || V2712S05 < 0.0
k
f 3294.000(*  ) P(V2  V32)
s (V3149S09 > 100.0) || (V3172,73S09 > 100.0)
t Bewertung TierVM, Durchschnittsbestand Schafe oder Ziegen angegeben, aber keinen FUTTERZUKAUF in der GuV (Code 2714,15)
b V3149S09 == 0.0 && V3172,73S09 == 0.0 || V2714,15S05 < 0.0
k
f 3295.000(*  ) P(V2  V32)
s ( V3163-66,76-78,80,81S09 ) > 0.0 || ( V3190-97S09 ) > 0.0 
t Bewertung TierVM, Durchschnittsbestand SONSTIGE TIERE (auszer Ziegen) angegeben,
t aber keinen FUTTERZUKAUF in der GuV (Code 2718),
b ( V3163-66,76-78,80,81S09 ) == 0.0 && ( V3190-97S09 ) == 0.0 || V2718S05 !=  0.0
k
k
k
a 3.3.1 TEIL 3.3: BEWERTUNG DER VORRAETE        ZEILEN- UND SPALTENSUMMEN
a 3.3.1.01 ZEILENSUMME
k
k
k   /*---Teil 3300. Anfang ---                              ZEILENSUMME */
k
k
f 3300.###(***+) P(V32)
d ###(210-234,237-240,301-312,317,320-335,339,340,359-376,378-380,388,396-398,400-408,
d     419,429,439,449,460,466,467)
s V3###S02 > 0.0
t Bewertung Vorraete, in Code 3### ist Sp.02 * Sp.03 nicht Sp.04
b ( V3###S04 / V3###S02 ) #EQ(10.0) V3###S03
k
m LDWP03E
k
k
f 3300.###(***+) P(V32)
d ###(601-612,620-629,639,640,648,659-664,666,668-670,672-674,676-680,
d     688-708,729,739,749,759,760,766,767,776,779,785,788-798)
s V3###S02 > 0.0
t Bewertung Vorraete, in Code 3### ist Sp.02 * Sp.03 nicht Sp.04
b ( V3###S04 / V3###S02 ) #EQ(10.0) V3###S03
k
k   /*---Teil 3300. Ende --- ---Teil 3301. Anfang ---*/
k
f 3301.###(***+) P(V32)
d ###(210-234,237-240,301-312,317,320-335,339,340,359-376,378-380,388,396-398,400-408,
d     419,429,439,449,460,466,467)
s V3###S05 > 0.0
t Bewertung Vorraete, in Code 3### ist Sp.05 * Sp.06 nicht Sp.07
b ( V3###S07 / V3###S05 ) #EQ(10.0) V3###S06
k
m LDWP03F
k
k
f 3301.###(***+) P(V32)
d ###(601-612,620-629,639,640,648,659-664,666,668-670,672-674,676-680,
d     688-708,729,739,749,759,760,766,767,776,779,785,788-798)
s V3###S05 > 0.0
t Bewertung Vorraete, in Code 3### ist Sp.05 * Sp.06 nicht Sp.07
b ( V3###S07 / V3###S05 ) #EQ(10.0) V3###S06
k
k   /*---Teil 3301. Ende --- ---Teil 3302. Anfang ---*/
k
f 3302.###(***+) P(V32)
d ###(210-234,237-240,299,301-312,317,320-335,339,340,359-376,378-380,388,396-398,400-408,
d     419,429,439,449,460,466,467,499,599,
d     601-612,620-629,639,640,648,659-664,666,668-670,672-674,676-680)
t Bewertung Vorraete, in Code 3### ist Sp.07 - Sp.04 nicht Sp.08
b ( V3###S07 - V3###S04 ) #EQ(5.0) V3###S08
k
m LDWP03G
k
f 3302.###(***+) P(V32)
d ###(688-708,729,739,749,759,760,766,767,776,779,785,788-799,899)
t Bewertung Vorraete, in Code 3### ist Sp.07 - Sp.04 nicht Sp.08
b ( V3###S07 - V3###S04 ) #EQ(5.0) V3###S08
k
a 3.3.1.02                               SPALTENSUMME
k
f 3303.0##(***+) P(V32)
d ##(04,07,08)
t Bewertung Vorraete, Summenwert in Code 3299 Sp.## (Roh-, Hilfs- und Betriebsstoffe) 
t entspricht nicht der Summe der Einzelpositionen 
b (V3210-34,37-40,98S##) #EQ(2.0) V3299S##
k
f 3304.0##(***+) P(V32)
d ##(02,05)
z X1 = V3301-12,17,20-35,39,40,59-62S## ;
z X2 = V3363-76,78-80,88,96-98S## ;
z X3 = V3400-08,19,29,39,49,60,66,67,90,91,95,97,98S## ;
z EINZELWERTE=X1+X2+X3;
t Bewertung Vorraete, Summenwert in Code 3499 Sp.## (Feldinventar)
t entspricht nicht der Summe der Einzelpositionen
b EINZELWERTE #EQ(10.0 ) V3499S##
k
f 3305.0##(***+) P(V32)
d ##(04,07,08)
z X1 = V3301-12,17,20-35,39,40,59-62S## ;
z X2 = V3363-76,78-80,88,96-98S## ;
z X3 = V3400-08,19,29,39,49,60,66,67,90,91,95,97,98S## ;
z EINZELWERTE=X1+X2+X3;
t Bewertung Vorraete, Summenwert in Code 3499 Sp.## (Feldinventar)
t entspricht nicht der Summe der Einzelpositionen
b EINZELWERTE #EQ(10.0) V3499S##
k
k                      /* 3306 ist nicht aktiv */
k
k F 3306.0##(***+) P(V32)
k T Bewertung Vorraete, Summenwert in Code 3599 Sp.## (sonst. unfertige
k T Erzeugnisse) entspricht nicht der Summe der Einzelpositionen
k B ( V 3501-98 S## ) #EQ(5.0) V 3599 S##
k
k
f 3307.0##(***+) P(V32)
d ##(04,07,08)
z X1 = V3601-12,17,18,20-27S## ;
z X2 = V3628-30,39,40,48,59-74S## ;
z X3 = V3676-80,88,89-99S## + V3700-04S## ;
z X4 = V3705-08,29,39,49,59,60,66,67,76,79,85,88-98S## ;
z EINZELWERTE=X1+X2+X3+X4;
t Bewertung Vorraete, Summenwert in Code 3799 Sp.## (selbsterz. fertige
t Erzeugnisse) entspricht nicht der Summe der Einzelpositionen
b EINZELWERTE #EQ(5.0) V3799S##
k
k                      /* 3308 ist nicht aktiv */
k F 3308.0##(***+) P(V32)
k T Bewertung Vorraete, Summenwert in Code 3899 Sp.## (zugekaufte Waren)
k T entspricht nicht der Summe der Einzelpositionen
k B ( V 3800-98 S## ) #EQ(5.0) V 3899 S##
k
k
a 3.3.2. TEIL 3.3: BEWERTUNG DER VORRAETE                   KONTROLLFRAGEN
a 3.3.2.1 UEBERTRAGUNGSFEHLER
a 3.3.2.1.01                                     ABGLEICH MIT DEM NATURALBERICHT
k
f 3309.100(***+) P(V32 V5 )
s BetrTyp < 3
t Bewertung Vorraete, Anfangsbestand selbsterzeugte fertige Erzeugnisse
t Energiepflanzen Code 3664Sp.02 ist unstimmig mit Code 5631-35,64 Sp.2 (Naturalbericht)
b V3664S02 #EQ(2.0) (V5631-35,64S02)
k
f 3309.200(***+) P(V32 V5 )
s BetrTyp < 3
t Bewertung Vorraete, Endbestand selbsterzeugte fertige Erzeugnisse
t Energiepflanzen Code 3664Sp.05 ist unstimmig mit Code 5631-35,64 Sp.10 (Naturalbericht)
b V3664S05 #EQ(2.0) (V5631-35,64S10)
k
z BetrTyp= V9801;
f 3310.###(***+) P(V32 V5 )
s BetrTyp < 3
d ###(210-234,237-240,601-612,617,620-630,639,640,659-663,666,669,670,680,776,779,785,788,789)
t Bewertung Vorraete, Anfangsbestand selbsterzeugte fertige Erzeugnisse
t Code 3### Sp.02 ist unstimmig mit Code 5### Sp.02 (Naturalbericht)
b V3###S02 #EQ(2.0) V5###S02
k
f 3311.###(***+) P(V32 V5 )
s BetrTyp < 3
d ###(210-234,237-240,601-612,617,620-630,639,640,659-663,666,669,670,680,776,779,785,788,789)
t Bewertung Vorraete, Endbestand selbsterzeugte fertige Erzeugnisse
t Code 3### Sp.05 ist unstimmig mit Code 5### Sp.10 (Naturalbericht)
b V3###S05 #EQ(2.0) V5###S10
k
a 3.3.2.1.02                       ABGLEICH MIT BETRIEBSFLAECHE AM ENDE D. GJ
k
f 3312.100(***+) P(V32 V60)
t Bewertung Vorraete, Endbestand Feldinventar(ha) Code 3499 Sp.05 ist
t groeszer (ohne Zwischenfruechte) als die bewirtschaftete LF am Ende des GJ (Code 6119 Sp.07)
b ( V3499S05 - V3374S05 ) <= V6119S07 + 1.0
k
f 3312.200(***) P(V32  V60)
t Bewertung Vorraete, Endbestand Feldinventar(ha) Code 3499 Sp.05 ist um 
t mehr als 10% kleiner als die bewirtschafteten LF am Ende des GJ (Code 6119 Sp.07)
b V3499S05 >= (V6119S07) * 0.9
k
f 3313.100(***+) P(V32)
s BetrTyp < 5E0
t Betrieb ohne Feldinventar (ha) am Ende des Wirtschaftsjahres in Code
t 3499 Spalte 5                                      ? ? ?
b V3499S05 > 0.0 || V6100,04,11-14S07 == 0.0
k
f 3313.200(***+) P(V32)
s BetrTyp < 5E0
z X1 = ( V6200,04,11-14S02 )+( V6200,04,11-14S06 );
z X2 = ( V6200,04,11-14S03 )+( V6200,04,11-14S07 );
t Betrieb ohne Feldinventar (ha) am Anfang des Wirtschaftsjahres in Code
t 3499 Spalte 2 (X1=Zu-, X2=Abgang)                  ? ? ?
b V3499S02 > 0.0 || (V6100,04,11-14S07) - X1 + X2 == 0.0
k
f 3314.000(***) P(V32 V60)
t Bewertung Vorraete, Angaben zu den gartenbaulich genutzten Flaechen stimmt
t nicht mit den Betriebsflaechen am Ende des GJ (Code 6111-14) ueberein.
b ( V3419,29,39,49,60,66,67S05 ) #EQ(0.1) V6111-14S07
k
k
k
a 3.3.2.2 TEIL 3.3: BEWERTUNG DER VORRAETE                      DIMENSIONSPRUEFUNG
k
a 3.3.2.2.01                             -- BEWERTUNG FELDINVENTAR  (FAKULTATIV)
k
k
k   /* Abfrage auf das Feld 1110: Bewertung Feldinventar ist fakultativ
k    * Vorl. Ansaetze nach neuen Rechenschema ohne Ust, Zinsansatz ...
k    * (zum sachl. Wertansatz in der Bilanz siehe Abfragen 1063.x00)
k          Beisp.:    Abschluszstichtag der 30. April (+/- 30Tage) */
k
z AbschlMonat = V9803 ;
k
k                                               /* Stichtag 30.4   */
f 3330.000(***) P(V32)
s V1110S02 > 0.0 && ( AbschlMonat ==  4E0 || AbschlMonat ==  5E0 )
k
z      X1  = V3301S02 *  345E0 + V3302S02 *  336E0 + V3303S02 *  425E0 +
z            V3304S02 *  367E0 + V3305S02 *  360E0 + V3306S02 *  284E0 +
z            V3307S02 *  311E0 + V3308S02 *  300E0 + V3309S02 *  361E0 +
z            V3310S02 *  414E0 + V3311S02 *  414E0 + V3312S02 *  331E0 +
z            V3317S02 *  354E0 + V3320S02 *  417E0 + V3321S02 *  360E0 ;
z      X2  = V3322S02 *  389E0 + V3323S02 *  389E0 + V3324S02 *  463E0 +
z            V3325S02 *  367E0 + V3326S02 *  300E0 + V3327S02 *  270E0 +
z            V3328S02 *  342E0 + V3329S02 *  411E0 + V3330S02 *  342E0 +
z            V3331S02 *  354E0 + V3332S02 *  414E0 + V3333S02 *  389E0 +
z            V3334S02 *  342E0 + V3335S02 *  545E0 + V3339s02 * 1185E0 +
z            V3340S02 *  545E0 + V3360S02 * 1498E0 + V3361S02 *  298E0 ;
z      X3  = V3369S02 *  371E0 +
z            V3370S02 *  414E0 + V3372S02 *  545E0 +
z            V3373S02 *  225E0 + V3375S02 *  253E0 + V3376S02 *  151E0 +
z            V3378S02 *  367E0 + V3379S02 *  326E0 ;
z FELDINVA4 = X1+X2+X3;
k
t Bewertung Vorraete, Abschluss zum 30.04. d. Jahres: FELDINVENTAR am
t Anfang ist im Vergleich zu den Saetzen der Ausfuehrungsanweisung zu
t NIEDRIG bewertet
b  #( FELDINVA4 ) * 0.6 <= V3499S04 - ( V3359,62-64,66,68,74,80,88,96-98S04 +
b V3400-08,19,29,39,49,60,66,67,90,91,95-98S04 )
k
k                                               /* Stichtag 30.4   */
f 3331.000(***) P(V32)
s V1110S02 > 0.0 && ( AbschlMonat ==  4E0 || AbschlMonat ==  5E0 )
t Bewertung Vorraete, Abschluss zum 30.04. d. Jahres: FELDINVENTAR am
t Anfang ist im Vergleich zu den Saetzen der Ausfuehrungsanweisung zu
t HOCH bewertet
b  #( FELDINVA4 ) * 1.5 >= V3499S04 - ( V3359,62-64,66,68,74,80,88,96-98S04 +
b V3400-08,19,29,39,49,60,66,67,90,91,95-98S04 )
k
k
z      X1  = V3301S05 *  345E0 + V3302S05 *  336E0 + V3303S05 *  425E0 +
z            V3304S05 *  367E0 + V3305S05 *  360E0 + V3306S05 *  284E0 +
z            V3307S05 *  311E0 + V3308S05 *  300E0 + V3309S05 *  361E0 +
z            V3310S05 *  414E0 + V3311S05 *  414E0 + V3312S05 *  331E0 +
z            V3317S05 *  354E0 + V3320S05 *  417E0 + V3321S05 *  360E0 ;
z      X2  = V3322S05 *  389E0 + V3323S05 *  389E0 + V3324S05 *  463E0 +
z            V3325S05 *  367E0 + V3326S05 *  300E0 + V3327S05 *  270E0 +
z            V3328S05 *  342E0 + V3329S05 *  411E0 + V3330S05 *  342E0 +
z            V3331S05 *  354E0 + V3332S05 *  414E0 + V3333S05 *  389E0 +
z            V3334S05 *  342E0 + V3335S05 *  545E0 + V3339S05 * 1185E0 +
z            V3340S05 *  545E0 + V3360S05 * 1498E0 + V3361S05 *  298E0 ;
z      X3  = V3369S05 *  371E0 +
z            V3370S05 *  414E0 + V3372S05 *  545E0 +
z            V3373S05 *  225E0 + V3375S05 *  253E0 + V3376S05 *  151E0 +
z            V3378S05 *  367E0 + V3379S05 *  326E0 ;
z FELDINVE4 = X1+X2+X3;
z 
k
k                                               /* Stichtag 30.4   */
f 3334.000(***) P(V32)
s V1110S02 > 0.0 && ( AbschlMonat ==  4E0 || AbschlMonat ==  5E0 )
t Bewertung Vorraete, Abschluss zum 30.04. d. Jahres: FELDINVENTAR am
t Ende ist im Vergleich zu den Saetzen der Ausfuehrungsanweisung zu
t NIEDRIG bewertet
b  #( FELDINVE4 ) * 0.6 <= V3499S07 - ( V3359,62-64,66,68,74,80,88,96-98S07 +
b V3400-08,19,29,39,49,60,66,67,90,91,95-98S07 )
k
k                                               /* Stichtag 30.4   */
f 3335.000(***) P(V32)
s V1110S02 > 0.0 && ( AbschlMonat ==  4E0 || AbschlMonat ==  5E0 )
t Bewertung Vorraete, Abschluss zum 30.04. d. Jahres: FELDINVENTAR am
t Ende ist im Vergleich zu den Saetzen der Ausfuehrungsanweisung zu
t HOCH bewertet
b  #( FELDINVE4 ) * 1.5 >= V3499S07 - ( V3359,62-64,66,68,74,80,88,96-98S07 +
b V3400-08,19,29,39,49,60,66,67,90,91,95-98S07 )
k
m LDWP03H
k                           /* -- BEWERTUNG FELDINVENTAR  (fakultativ) */
k   /* Abfrage auf das Feld 1110: Bewertung Feldinventar ist fakultativ
k    * Vorl. Ansaetze nach neuen Rechenschema ohne Ust, Zinsansatz ...
k    * (zum sachl. Wertansatz in der Bilanz siehe Abfragen 1063.x00)
k          Beisp.:    Abschluszstichtag der 30. April (+/- 30Tage) */
k
z AbschlMonat = V9803 ;
k
k                                               /* Stichtag 30.6   */
f 3338.000(***) P(V32)
s V1110S02 > 0.0 && (AbschlMonat ==  6E0 || AbschlMonat ==  7E0 || AbschlMonat ==  8E0)
z      X1  = V3301S02 *  499E0 + V3302S02 *  506E0 + V3303S02 *  586E0 +
z            V3304S02 *  419E0 + V3305S02 *  463E0 + V3306S02 *  403E0 +
z            V3307S02 *  359E0 + V3308S02 *  383E0 + V3309S02 *  449E0 +
z            V3310S02 *  535E0 + V3311S02 *  535E0 + V3312S02 *  429E0 +
z            V3317S02 *  464E0 + V3320S02 *  446E0 + V3321S02 *  389E0 ;
z      X2  = V3322S02 *  417E0 + V3323S02 *  417E0 + V3324S02 *  463E0 +
z            V3325S02 *  380E0 + V3326S02 *  313E0 + V3327S02 *  253E0 +
z            V3328S02 *  352E0 + V3329S02 *  411E0 + V3330S02 *  352E0 +
z            V3331S02 *  464E0 + V3332S02 *  535E0 + V3333S02 *  417E0 +
z            V3334S02 *  352E0 + V3335S02 *  605E0 + V3339S02 * 1312E0 +
z            V3340S02 *  605E0 + V3360S02 * 1569E0 + V3361S02 *  298E0 ;
z      X3  = V3369S02 *  360E0 +
z            V3370S02 *  535E0 + V3372S02 *  605E0 +
z            V3373S02 *  106E0 + V3375S02 *  132E0 + V3376S02 *   97E0 +
z            V3378S02 *    0.0 + V3379S02 *  246E0 ;
z FELDINVA6 = X1+X2+X3;
k
t Bewertung Vorraete, Abschluss zum 30.06. d. Jahres: FELDINVENTAR am
t Anfang ist im Vergleich zu den Saetzen der Ausfuehrungsanweisung zu
t NIEDRIG bewertet
b  #( FELDINVA6 ) * 0.6 <= V3499S04 - ( V3359,62-64,66,68,74,80,88,96-98S04 +
b V3400-08,19,29,39,49,60,66,67,90,91,95-98S04 ) +1.0
k
k                                               /* Stichtag 30.6   */
f 3339.000(***) P(V32)
s V1110S02 > 0.0 && (AbschlMonat ==  6E0 || AbschlMonat ==  7E0 || AbschlMonat ==  8E0)
t Bewertung Vorraete, Abschluss zum 30.06. d. Jahres: FELDINVENTAR am
t Anfang ist im Vergleich zu den Saetzen der Ausfuehrungsanweisung zu
t HOCH bewertet
b  #( FELDINVA6 ) * 1.5 >= V3499S04 - ( V3359,62-64,66,68,74,80,88,96-98S04 +
b V3400-08,19,29,39,49,60,66,67,90,91,95-98S04 ) -1.0
k
k
z      X1  = V3301S05 *  499E0 + V3302S05 *  506E0 + V3303S05 *  586E0 +
z            V3304S05 *  419E0 + V3305S05 *  463E0 + V3306S05 *  403E0 +
z            V3307S05 *  359E0 + V3308S05 *  383E0 + V3309S05 *  449E0 +
z            V3310S05 *  535E0 + V3311S05 *  535E0 + V3312S05 *  429E0 +
z            V3317S05 *  464E0 + V3320S05 *  446E0 + V3321S05 *  389E0 ;
z      X2  = V3322S05 *  417E0 + V3323S05 *  417E0 + V3324S05 *  463E0 +
z            V3325S05 *  380E0 + V3326S05 *  313E0 + V3327S05 *  253E0 +
z            V3328S05 *  352E0 + V3329S05 *  411E0 + V3330S05 *  352E0 +
z            V3331S05 *  464E0 + V3332S05 *  535E0 + V3333S05 *  417E0 + 
z            V3334S05 *  352E0 + V3335S05 *  605E0 + V3339S05 * 1312E0 +
z            V3340S05 *  605E0 + V3360S05 * 1569E0 + V3361S05 *  298E0 ;
z      X3  = V3369S05 *  360E0 +
z            V3370S05 *  535E0 + V3372S05 *  605E0 +
z            V3373S05 *  106E0 + V3375S05 *  132E0 + V3376S05 *   97E0 +
z            V3378S05 *    0.0 + V3379S05 *  246E0 ;
z FELDINVE6 = X1+X2+X3;
k
f 3342.000(***) P(V32)
s V1110S02 > 0.0 && (AbschlMonat ==  6E0 || AbschlMonat ==  7E0 || AbschlMonat ==  8E0)
t Bewertung Vorraete, Abschluss zum 30.06. d. Jahres: FELDINVENTAR am
t Ende ist im Vergleich zu den Saetzen der Ausfuehrungsanweisung zu
t NIEDRIG bewertet
b  #( FELDINVE6 ) * 0.6 <= V3499S07 - ( V3359,62-64,66,68,74,80,88,96-98S07 +
b V3400-08,19,29,39,49,60,66,67,90,91,95-98S07 ) +1.0
k
f 3343.000(***) P(V32)
s V1110S02 > 0.0 && (AbschlMonat ==  6E0 || AbschlMonat ==  7E0 || AbschlMonat ==  8E0)
t Bewertung Vorraete, Abschluss zum 30.06. d. Jahres: FELDINVENTAR am
t Ende ist im Vergleich zu den Saetzen der Ausfuehrungsanweisung zu
t HOCH bewertet
b  #( FELDINVE6 ) * 1.5 >= V3499S07 - ( V3359,62-64,66,68,74,80,88,96-98S07 +
b V3400-08,19,29,39,49,60,66,67,90,91,95-98S07 ) -1.0
k
k
k
k                                               /* Stichtag 31.12. */
f 3345.000(***) P(V32)
s V0003S02 < 17E0
s V1110S02 > 0.0 && AbschlMonat ==  12E0
k
z      X1  = V3301S02 *  236E0 + V3302S02 *   61E0 + V3303S02 *   61E0 +
z            V3304S02 *  167E0 + V3305S02 *  278E0 + V3306S02 *   61E0 +
z            V3307S02 *   61E0 + V3308S02 *   61E0 + V3309S02 *  193E0 +
z            V3310S02 *   61E0 + V3311S02 *   61E0 + V3312S02 *  185E0 +
z            V3317S02 *  124E0 + V3320S02 *   61E0 + V3321S02 *   61E0 ;
z      X2  = V3322S02 *   61E0 + V3323S02 *   61E0 + V3324S02 *  230E0 +
z            V3325S02 *   61E0 + V3326S02 *   61E0 + V3327S02 *   61E0 +
z            V3328S02 *  103E0 + V3329S02 *   61E0 + V3330S02 *  103E0 +
z            V3331S02 *  124E0 + V3332S02 *   61E0 + V3333S02 *   61E0 +
z            V3334S02 *  103E0 + V3335S02 *   61E0 + V3339S02 *   90E0 +
z            V3340S02 *   61E0 + V3360S02 *   61E0 + V3361S02 *   61E0 ;
z      X3  = V3369S02 *   61E0 +
z            V3370S02 *   61E0 + V3372S02 *   61E0 +
z            V3373S02 *   83E0 + V3375S02 *   93E0 + V3376S02 *    0.0 +
z            V3378S02 *  167E0 + V3379S02 *   78E0 ;
z FELDINVA1 = X1+X2+X3;
k
t Bewertung Vorraete, Abschluss zum 31.12. d. Jahres: FELDINVENTAR am
t Anfang ist im Vergleich zu den Saetzen der Ausfuehrungsanweisung zu
t NIEDRIG bewertet
b  #( FELDINVA1 ) * 0.6 <= V3499S04 - ( V3359,62-64,66,68,74,80,88,96-98S04 +
b V3400-08,19,29,39,49,60,66,67,90,91,95-98S04 )
k
k
k
a								/*Regelung fuer Luxemburg*/
k
f 3345.001(***) P(V32)
s V0003S02 > 17E0
s V1110S02 > 0.0 && AbschlMonat ==  12E0
k
z      X1  = V3301S02 *  224E0 + V3303S02 *  224E0 +
z	     V3304S02 *  192E0 + V3305S02 *  168E0 + V3309S02 *  192E0 +
z            V3311S02 *   61E0 + V3312S02 *  192E0 + V3317S02 *  192E0 ;
z      X2  = V3322S02 *   61E0 + V3323S02 *   52E0 + V3324S02 *  277E0 +
z            V3326S02 *   61E0 + V3328S02 *   52E0 + V3329S02 *   61E0 + 
z            V3330S02 *  103E0 + V3339S02 *   91E0 + V3340S02 *   61E0 +  
z            V3361S02 *  148E0 ;
z      X3  = V3369S02 *   61E0 + 
z	     V3370S02 *   61E0 + V3372S02 *   61E0 +
z            V3373S02 *   87E0 + V3375S02 *   50E0 + V3376S02 *   50E0 +
z            V3378S02 *  192E0 + V3379S02 *   50E0 ;
z FELDINVA2 = X1+X2+X3;
k
t Bewertung Vorraete, Abschluss zum 31.12. d. Jahres: FELDINVENTAR am
t Anfang ist im Vergleich zu den Saetzen der Ausfuehrungsanweisung zu
t NIEDRIG bewertet
b  #( FELDINVA2 ) * 0.6 <= V3499S04 - ( V3359,62-64,66,68,74,80,88,96-98S04 +
b V3400-08,19,29,39,49,60,66,67,90,91,95-98S04 )
k
f 3346.000(***) P(V32)
s V0003S02 < 17E0
s V1110S02 > 0.0 && AbschlMonat ==  12E0
t Bewertung Vorraete, Abschluss zum 31.12. d. Jahres: FELDINVENTAR am
t Anfang ist im Vergleich zu den Saetzen der Ausfuehrungsanweisung zu
t HOCH bewertet
b  #( FELDINVA1 ) * 1.5 >= V3499S04 - ( V3359,62-64,66,68,74,80,88,96-98S04 +
b V3400-08,19,29,39,49,60,66,67,90,91,95-98S04 )
k
k
z      X1  = V3301S05 *  236E0 + V3302S05 *   61E0 + V3303S05 *   61E0 +
z            V3304S05 *  167E0 + V3305S05 *  278E0 + V3306S05 *   61E0 +
z            V3307S05 *   61E0 + V3308S05 *   61E0 + V3309S05 *  193E0 +
z            V3310S05 *   61E0 + V3311S05 *   61E0 + V3312S05 *  185E0 +
z            V3317S05 *  124E0 + V3320S05 *   61E0 + V3321S05 *   61E0 ;
z      X2  = V3322S05 *   61E0 + V3323S05 *   61E0 + V3324S05 *  230E0 +
z            V3325S05 *   61E0 + V3326S05 *   61E0 + V3327S05 *   61E0 +
z            V3328S05 *  103E0 + V3329S05 *   61E0 + V3330S05 *  103E0 +
z            V3331S05 *  124E0 + V3332S05 *   61E0 + V3333S05 *   61E0 +
z            V3334S05 *  103E0 + V3335S05 *   61E0 + V3339S05 *   91E0 + 
z            V3340S05 *   61E0 + V3360S05 *   61E0 + V3361S05 *   61E0 ;
z      X3  = V3369S05 *   61E0 +
z            V3370S05 *   61E0 + V3372S05 *   61E0 +
z            V3373S05 *   83E0 + V3375S05 *   93E0 + V3376S05 *    0.0 +
z            V3378S05 *  167E0 + V3379S05 *   78E0 ;
k
z FELDINVE1 = X1+X2+X3;
k
k
a						/*Regelung fuer Luxemburg*/
k
f 3346.001(***) P(V32)
s V0003S02 > 17E0
s V1110S02 > 0.0 && AbschlMonat ==  12E0
t Bewertung Vorraete, Abschluss zum 31.12. d. Jahres: FELDINVENTAR am
t Anfang ist im Vergleich zu den Saetzen der Ausfuehrungsanweisung zu
t HOCH bewertet
b  #( FELDINVA2 ) * 1.5 >= V3499S04 - ( V3359,62-64,66,68,74,80,88,96-98S04 +
b V3400-08,19,29,39,49,60,66,67,90,91,95-98S04 )
k						/* Stichtag 31.12. */
f 3347.000(***) P(V32)
s V0003S02 < 17E0
s V1110S02 > 0.0 && AbschlMonat ==  12E0
t Bewertung Vorraete, Abschluss zum 31.12. d. Jahres: FELDINVENTAR am
t Ende ist im Vergleich zu den Saetzen der Ausfuehrungsanweisung zu
t NIEDRIG bewertet
b  #( FELDINVE1 ) * 0.6 <= V3499S07 - ( V3359,62-64,66,68,74,80,88,96-98S07 +
b V3400-08,19,29,39,49,60,66,67,90,91,95-98S07 )
k
z      X1  = V3301S05 *  224E0 + V3303S05 *  224E0 +
z	     V3304S05 *  192E0 + V3305S05 *  168E0 + V3305S05 *  192E0 +
z            V3311S05 *   61E0 + V3312S05 *  192E0 + V3317S05 *  192E0 ;
z      X2  = V3322S05 *   61E0 + V3323S05 *   52E0 + V3324S05 *  277E0 +
z            V3326S05 *   61E0 + V3328S05 *   52E0 + V3329S05 *   61E0 + 
z            V3330S05 *  103E0 + V3339S05 *   91E0 + V3340S05 *   61E0 +  
z            V3361S05 *  148E0 ;
z      X3  = V3369S05 *   61E0 + 
z	     V3370S05 *   61E0 + V3372S05 *   61E0 +
z            V3373S05 *   87E0 + V3375S05 *   50E0 + V3376S05 *   50E0 +
z            V3378S05 *  192E0 + V3379S05 *   50E0 ;
k
z FELDINVE2 = X1+X2+X3;
k
k
k
k
a										/*Regelung fuer Luxemburg*/
k						/* Stichtag 31.12. */
f 3347.001(***) P(V32)
s V0003S02 > 17E0
s V1110S02 > 0.0 && AbschlMonat ==  12E0
t Bewertung Vorraete, Abschluss zum 31.12. d. Jahres: FELDINVENTAR am
t Ende ist im Vergleich zu den Saetzen der Ausfuehrungsanweisung zu
t NIEDRIG bewertet
b  #( FELDINVE2 ) * 0.6 <= V3499S07 - ( V3359,62-64,66,68,74,80,88,96-98S07 +
b V3400-08,19,29,39,49,60,66,67,90,91,95-98S07 )
k
f 3348.000(***) P(V32)
s V0003S02 < 17E0
s V1110S02 > 0.0 && AbschlMonat ==  12E0
t Bewertung Vorraete, Abschluss zum 31.12. d. Jahres: FELDINVENTAR am
t Ende ist im Vergleich zu den Saetzen der Ausfuehrungsanweisung zu
t HOCH bewertet
b  #( FELDINVE1 ) * 1.5 >= V3499S07 - ( V3359,62-64,66,68,74,80,88,96-98S07 +
b V3400-08,19,29,39,49,60,66,67,90,91,95-98S07 ) 
k
k
k
k
a										/*Regelung fuer Luxemburg*/
k
f 3348.001(***) P(V32)
s V0003S02 > 17E0
s V1110S02 > 0.0 && AbschlMonat ==  12E0
t Bewertung Vorraete, Abschluss zum 31.12. d. Jahres: FELDINVENTAR am
t Ende ist im Vergleich zu den Saetzen der Ausfuehrungsanweisung zu
t HOCH bewertet
b  #( FELDINVE2 ) * 1.5 >= V3499S07 - ( V3359,62-64,66,68,74,80,88,96-98S07 +
b V3400-08,19,29,39,49,60,66,67,90,91,95-98S07 ) 
k
a 3.3.2.2.02             -- BEWERTUNG SELBSTERZ. FERTIGE ERZEUGNISSE --
k
z    X1 = V3601S02 *  13E0 + V3602S02 *  14E0 + V3603S02 *  12E0 +
z         V3604S02 *  12E0 + V3605S02 *  13E0 + V3606S02 *  14E0 +
z         V3607S02 *  12E0 + V3608S02 *  12E0 + V3609S02 *  12E0 +
z         V3610S02 *  14E0 + V3611S02 *  7E0 + V3612S02 *   12E0 +
z         V3617S02 *  12E0 + V3618S02 *   3E0 + V3620S02 *  13E0 +
z         V3621S02 *  18E0 + V3622S02 *  18E0 ;
z    X2 = V3623S02 *  18E0 +
z         V3624S02 *  19E0 + V3625S02 *  17E0 + V3626S02 *  17E0 +
z         V3627S02 *  17E0 + V3628S02 *  17E0 + V3629S02 *  27E0 +
z         V3639S02 *  12E0 + V3640S02 *   5E0 + V3648S02 *   0.0 +
z         V3659S02 *  25E0 + V3660S02 * 200E0 + V3661S02 *  75E0 +
z         V3662S02 *  75E0 + V3663S02 * 150E0 ;
z    X3 = V3664S02 *   4E0 +
z         V3666S02 *   4E0 + V3668S02 *   0.0 + V3669S02 *  10E0 +
z         V3670S02 *   2E0 + V3672S02 *  1.75 + V3673S02 *   2E0 +
z         V3674S02 *   2E0 + V3676S02 *   2E0 + V3677S02 *   9E0 +
z         V3678S02 *   2E0 + V3679S02 *   2E0 + V3680S02 * 350E0 +
z         V3688S02 *  30E0 + V3689S02 *  30E0 + V3690S02 * 300E0 ;
z    X4 = V3691S02 * 100E0 + V3692S02 *  50E0 + V3693S02 * 300E0 +
z         V3694S02 *   7E0 + V3695S02 *  17E0 + V3696S02 *  50E0 +
z         V3697S02 * 300E0 + V3698S02 * 300E0 + V3699S02 *  50E0 +
z         V3700S02 *  20E0 + V3701S02 *  20E0 + V3702S02 *  75E0 +
z         V3703S02 *  50E0 + V3704S02 *  50E0 + V3705S02 *  50E0 +
z         V3706S02 *  40E0 + V3707S02 * 100E0 ;
z    X5 = V3708S02 * 175E0 +
z         V3729S02 *  25E0 + V3739S02 *  25E0 + V3766S02 * 450E0 +
z                          V3776S02 * 50E0 + V3779S02 *  50E0 +
z         V3785S02 * 1.00 + V3788S02 * 1.00 + V3789S02 * 2.75 +
z         V3790S02 * 65E0 +                  V3792S02 *  40E0 +
z         V3793S02 *  40E0 + V3794S02 *  40E0 + V3795S02 *  40E0 ;
k
z SFERZA = X1+X2+X3+X4+X5;
k
z    X1 = V3601S02 *  12.5 + V3602S02 *  12.5 + V3603S02 *  12.5 +
z         V3604S02 *  12.5 + V3605S02 *  12.5 + V3606S02 *  12.5 +
z         V3607S02 *  12.5 + V3608S02 *  12.5 + V3609S02 *  12.5 +
z         V3610S02 *  12.5 + V3611S02 *  12.5 + V3612S02 *  12.5 +
z         V3617S02 *  12.5 + V3618S02 *   3E0 + V3620S02 *  13E0 +
z         V3621S02 *  13E0 + V3622S02 *  13E0 ;
z    X2 = V3623S02 *  13E0 +
z         V3624S02 *  21E0 + V3625S02 *  21E0 + V3626S02 *  21E0 +
z         V3627S02 *  21E0 + V3628S02 *  21E0 + V3629S02 *  21E0 +
z         V3639S02 *  9E0 + V3640S02 *   5E0 + V3648S02 *   0.0 +
z         V3659S02 *  25E0 + V3660S02 * 200E0 + V3661S02 *  75E0 +
z         V3662S02 *  75E0 + V3663S02 * 150E0 ;
z    X3 = V3664S02 *   2E0 +
z         V3666S02 *   4E0 + V3668S02 *   0.0 + V3669S02 *  10E0 +
z         V3670S02 *   2E0 + V3672S02 *  1.75 + V3673S02 *   2E0 +
z         V3674S02 *   2E0 + V3676S02 *   2E0 + V3677S02 *   9E0 +
z         V3678S02 *   2E0 + V3679S02 *   2E0 + V3680S02 * 350E0 +
z         V3688S02 *  30E0 + V3689S02 *  30E0 + V3690S02 * 300E0 ;
z    X4 = V3691S02 * 100E0 + V3692S02 *  50E0 + V3693S02 * 300E0 +
z         V3694S02 *   7E0 + V3695S02 *  17E0 + V3696S02 *  50E0 +
z         V3697S02 * 300E0 + V3698S02 * 300E0 + V3699S02 *  50E0 +
z         V3700S02 *  20E0 + V3701S02 *  20E0 + V3702S02 *  75E0 +
z         V3703S02 *  50E0 + V3704S02 *  50E0 + V3705S02 *  50E0 +
z         V3706S02 *  40E0 + V3707S02 * 100E0 ;
z    X5 = V3708S02 * 175E0 +
z         V3729S02 *  25E0 + V3739S02 *  25E0 + V3766S02 * 450E0 +
z                          V3776S02 * 50E0 + V3779S02 *  50E0 +
z         V3785S02 * 1.00 + V3788S02 * 1.00 + V3789S02 * 2.75 +
z         V3790S02 * 65E0 +                  V3792S02 *  40E0 +
z         V3793S02 *  40E0 + V3794S02 *  40E0 + V3795S02 *  40E0 ;
k
z SFERZA1 = X1+X2+X3+X4+X5;
f 3350.000(***) P(V32)
s V0003S02 < 17E0
t Bewertung Vorraete, SELBSTERZ. FERTIGE ERZEUGNISSE am Anfang sind
t sehr NIEDRIG bewertet
b  #( SFERZA ) * 0.4 <= V3799S04 - ( V3648,68,69S04 +
b                                    V3749,59,60,67,91,96-98S04 )
k
a										/*Regelung fuer Luxemburg*/
k
f 3350.001(***) P(V32)
s V0003S02 > 17E0
t Bewertung Vorraete, SELBSTERZ. FERTIGE ERZEUGNISSE am Anfang sind
t sehr NIEDRIG bewertet
b  #( SFERZA1 ) * 0.4 <= V3799S04 - ( V3648,68,69S04 +
b                                    V3749,59,60,67,91,96-98S04 )
k
f 3351.000(***) P(V32)
s V0003S02 < 17E0
t Bewertung Vorraete, SELBSTERZ. FERTIGE ERZEUGNISSE am Anfang sind
t sehr HOCH bewertet
b   #( SFERZA ) * 3.0 >= V3799S04 - ( V3648,68,69S04 +
b                                    V3749,59,60,67,91,96-98S04 )
k
a										/*Regelung fuer Luxemburg*/
k
f 3351.000(***) P(V32)
s V0003S02 > 17E0
t Bewertung Vorraete, SELBSTERZ. FERTIGE ERZEUGNISSE am Anfang sind
t sehr HOCH bewertet
b   #( SFERZA1 ) * 3.0 >= V3799S04 - ( V3648,68,69S04 +
b                                    V3749,59,60,67,91,96-98S04 )
k
z    X1 = V3601S05 *  13E0 + V3602S05 *  14E0 + V3603S05 *  12E0 +
z         V3604S05 *  12E0 + V3605S05 *  13E0 + V3606S05 *  14E0 +
z         V3607S05 *  12E0 + V3608S05 *  12E0 + V3609S05 *  12E0 +
z         V3610S05 *  14E0 + V3611S05 *   7E0 + V3612S05 *  12E0 +
z         V3617S05 *  12E0 + V3618S05 *   3E0 + V3620S05 *  13E0 +
z         V3621S05 *  18E0 + V3622S05 *  18E0 ;
z    X2 = V3623S05 *  18E0 +
z         V3624S05 *  19E0 + V3625S05 *  18E0 + V3626S05 *  18E0 +
z         V3627S05 *  18E0 + V3628S05 *  18E0 + V3629S05 *  28E0 +
z         V3639S05 *  13E0 + V3640S05 *   5E0 + V3648S05 *   0.0 +
z         V3659S05 *  25E0 + V3660S05 * 200E0 + V3661S05 *  75E0 +
z         V3662S05 *  75E0 + V3663S05 * 150E0 ;
z    X3 = V3664S05 *   4E0 +
z         V3666S05 *   4E0 + V3668S05 *   0.0 + V3669S05 *  10E0 +
z         V3670S05 *   3E0 + V3672S05 *  1.75 + V3673S05 *   2E0 +
z         V3674S05 *   2E0 + V3676S05 *   2E0 + V3677S05 *   9E0 +
z         V3678S05 *   2E0 + V3679S05 *   2E0 + V3680S05 * 350E0 +
z         V3688S05 *  30E0 + V3689S05 *  30E0 + V3690S05 * 300E0 ;
z    X4 = V3691S05 * 100E0 + V3692S05 *  50E0 + V3693S05 * 300E0 +
z         V3694S05 *   8E0 + V3695S05 *  13E0 + V3696S05 *  50E0 +
z         V3697S05 * 300E0 + V3698S05 * 300E0 + V3699S05 *  50E0 +
z         V3700S05 *  20E0 + V3701S05 *  20E0 + V3702S05 *  75E0 +
z         V3703S05 *  50E0 + V3704S05 *  50E0 + V3705S05 *  50E0 +
z         V3706S05 *  40E0 + V3707S05 * 100E0 ;
z    X5 = V3708S05 * 175E0 +
z         V3729S05 *  25E0 + V3739S05 *  25E0 + V3766S05 * 450E0 +
z                            V3776S05 * 105E0 + V3779S05 * 105E0 +
z         V3785S05 *  1.00 + V3788S05 *  1.00 + V3789S05 *  2.75 +
z         V3790S05 *  65E0 +                    V3792S05 *  40E0 +
z         V3793S05 *  40E0 + V3794S05 *  40E0 + V3795S05 *  40E0 ;
k
z SFERZE = X1+X2+X3+X4+X5;
k
k
z    X1 = V3601S05 *  12.5 + V3602S05 *  12.5 + V3603S05 *  12.5 +
z         V3604S05 *  12.5 + V3605S05 *  12.5 + V3606S05 *  12.5 +
z         V3607S05 *  12.5 + V3608S05 *  12.5 + V3609S05 *  12.5 +
z         V3610S05 *  12.5 + V3611S05 *  12.5 + V3612S05 *  12.5 +
z         V3617S05 *  12.5 + V3618S05 *   3E0 + V3620S05 *  13E0 +
z         V3621S05 *  13E0 + V3622S05 *  13E0 ;
z    X2 = V3623S05 *  13E0 +
z         V3624S05 *  21E0 + V3625S05 *  21E0 + V3626S05 *  21E0 +
z         V3627S05 *  21E0 + V3628S05 *  21E0 + V3629S05 *  21E0 +
z         V3639S05 *  9E0 + V3640S05 *   5E0 + V3648S05 *   0.0 +
z         V3659S05 *  25E0 + V3660S05 * 200E0 + V3661S05 *  75E0 +
z         V3662S05 *  75E0 + V3663S05 * 150E0 ;
z    X3 = V3664S05 *   2E0 +
z         V3666S05 *   4E0 + V3668S05 *   0.0 + V3669S05 *  10E0 +
z         V3670S05 *   2E0 + V3672S05 *  1.75 + V3673S05 *   2E0 +
z         V3674S05 *   2E0 + V3676S05 *   2E0 + V3677S05 *   9E0 +
z         V3678S05 *   2E0 + V3679S05 *   2E0 + V3680S05 * 350E0 +
z         V3688S05 *  30E0 + V3689S05 *  30E0 + V3690S05 * 300E0 ;
z    X4 = V3691S05 * 100E0 + V3692S05 *  50E0 + V3693S05 * 300E0 +
z         V3694S05 *   7E0 + V3695S05 *  17E0 + V3696S05 *  50E0 +
z         V3697S05 * 300E0 + V3698S05 * 300E0 + V3699S05 *  50E0 +
z         V3700S05 *  20E0 + V3701S05 *  20E0 + V3702S05 *  75E0 +
z         V3703S05 *  50E0 + V3704S05 *  50E0 + V3705S05 *  50E0 +
z         V3706S05 *  40E0 + V3707S05 * 100E0 ;
z    X5 = V3708S05 * 175E0 +
z         V3729S05 *  25E0 + V3739S05 *  25E0 + V3766S05 * 450E0 +
z                          V3776S05 * 50E0 + V3779S05 *  50E0 +
z         V3785S05 * 1.00 + V3788S05 * 1.00 + V3789S05 * 2.75 +
z         V3790S05 * 65E0 +                  V3792S05 *  40E0 +
z         V3793S05 *  40E0 + V3794S05 *  40E0 + V3795S05 *  40E0 ;
k
z SFERZE1 = X1+X2+X3+X4+X5;
f 3355.000(***) P(V32)
s V0003S02 < 17E0
t Bewertung Vorraete, SELBSTERZ. FERTIGE ERZEUGNISSE am Ende sind
t sehr NIEDRIG bewertet
b  #( SFERZE * 0.4 ) <= V3799S07 - ( V3648,68,69S07 +
b                                    V3749,59,60,67,91,96-98S07 )
k
a										/*Regelung fuer Luxemburg*/
k
f 3355.001(***) P(V32)
s V0003S02 > 17E0
t Bewertung Vorraete, SELBSTERZ. FERTIGE ERZEUGNISSE am Ende sind
t sehr NIEDRIG bewertet
b  #( SFERZE1 * 0.4 ) <= V3799S07 - ( V3648,68,69S07 +
b                                    V3749,59,60,67,91,96-98S07 )
f 3356.000(***) P(V32)
s V0003S02 < 17E0
t Bewertung Vorraete, SELBSTERZ. FERTIGE ERZEUGNISSE am Ende sind
t sehr HOCH bewertet
b  #( SFERZE * 3.0 ) >= V3799S07 - ( V3648,68,69S07 +
b                                    V3749,59,60,67,91,96-98S07 )
k
k
k
a										/*Regelung fuer Luxemburg*/
k
f 3356.001(***) P(V32)
s V0003S02 > 17E0
t Bewertung Vorraete, SELBSTERZ. FERTIGE ERZEUGNISSE am Ende sind
t sehr HOCH bewertet
b  #( SFERZE1 * 3.0 ) >= V3799S07 - ( V3648,68,69S07 +
b                                    V3749,59,60,67,91,96-98S07 )
k
k
k
a 3.4.1 TEIL 3.4: FORDERUNGENSPIEGEL
a 3.4.1.01                                 ZEILENSUMME
k
f 3400.0##(***+) P(V33)
d ##(00-04,08-09)
t Forderungenspiegel, in Code 39## entspricht Sp.02 + Sp.03
t nicht Sp.04
b ( V39##S02 + V39##S03 ) #EQ(2.0) V39##S04
k
f 3401.0##(***+) P(V33)
d ##(00-04,08-09)
t Forderungenspiegel, in Code 39## entspricht Sp.05 + Sp.06
t nicht Sp.07
b ( V39##S05 + V39##S06 ) #EQ(2.0) V39##S07
a 3.4.1.02                                 SPALTENSUMME
k
f 3402.0##(***+) P(V33)
d ##(02-07)
t Forderungenspiegel, Summenwert in Code 3909 Spalte ## entspricht
t nicht der Summe der Einzelpositionen
b ( V3900-08S## ) #EQ(2.0) V3909S##
k
a 3.4.2                                   KONTROLLFRAGEN
k
f 3405.000(***) P(V33)
s V0020S02 > 60E0
s    V1159S02 > 0.0
t Forderungenspiegel, Eintragungen im Forderungenspiegel sind fuer
t Unternehmen in der Rechtsform einer GmbH, AG oder Genossenschaft
t obligatorisch
b V3909S04 > 0.0
f 3406.000(***) P(V33)
s V0020S02 > 60E0
s    V1159S03 > 0.0
t Forderungenspiegel, Eintragungen im Forderungenspiegel sind fuer
t Unternehmen in der Rechtsform einer GmbH, AG oder Genossenschaft
t obligatorisch
b V3909S07 > 0.0
k
k    /* Pruefung auf Uebertragungsfehler in die Bilanz vergl. Teil 1 */
k
a 3.5.1 TEIL 3.5: VERBINDLICHKEITENSPIEGEL        ZEILEN- UND SPALTENSUMMEN
a 3.5.1.01                                 SPALTENSUMMEN
k
f 3500.0##(***+) P(V34)
d ##(02-07)
t VERBINDLICHKEITENSPIEGEL, Summenwert in Code 3919 Spalte ##
t entspricht nicht der Summe der Einzelpositionen
b ( V3910-18S## ) #EQ(2.0) V3919S##
k
a 3.5.2                                 KONTROLLFRAGEN
k
f 3501.000(***) P(V34)
s V0020S02 > 60E0
s    V1559S02 > 0.0
t VERBINDLICHKEITENSPIEGEL, Eintragungen im Verbindlichkeitenspiegel
t sind fuer Unternehmen in der Rechtsform einer GmbH, AG oder
t Genossenschaft obligatorisch
b V3919S02-04 > 0.0
k
f 3502.000(***) P(V34)
s V0020S02 > 60E0
s    V1559S03 > 0.0
t VERBINDLICHKEITENSPIEGEL, Eintragungen im Verbindlichkeitenspiegel
t sind fuer Unternehmen in der Rechtsform einer GmbH, AG oder
t Genossenschaft obligatorisch
b V3919S05-07 > 0.0
k
f 3503.000(***+) P(V34)
s V0020S02 > 60E0
t VERBINDLICHKEITENSPIEGEL, die Summe der Verbindlichkeiten gegenueber
t Kreditinstituten im Geschaeftsjahr entspricht nicht Code 1540 Sp.02
b V3910S02-04 #EQ(2.0) V1540S02
k
f 3504.000(***+) P(V34)
s V0020S02 > 16E0
t VERBINDLICHKEITENSPIEGEL, die Summe der Verbindlichkeiten gegenueber
t Kreditinstituten im Vorjahr entspricht nicht Code 1540 Sp.03
b V3910S05-07 #EQ(2.0) V1540S03
k
f 3505.000(***) P(V34  V80)
s V0020S02 > 16E0 && BetrTyp < 5
t VERBINDLICHKEITENSPIEGEL, Summe der Tilgungsbetraege (code 8140 bis 8142)
t von Verbindlichkeiten gegenueber Kreditinstituten ist unplausibel hoch
b V3910S05-07 >= (V8140,41,42S02)
k
f 3506.100(*) P(V34  V80)
s V0020S02 > 16E0 && BetrTyp < 5
s V3910S05,06,07 > 0.0
t VERBINDLICHKEITENSPIEGEL, Verbindlichkeiten gegenueber Kreditinstituten (Code 3910,Vorjahr)
t eingetragen, aber keine Tilgungen in Code 8140,41,42 angegeben
b V3910S05,06,07 > 0.0 && V8140,41,42S02 > 0.0

k
f 3600.1##(*) P(39)
d ##(20-95)
s V39##S02 > 0.0
t EINZELAUFSTELLUNG DER VERBINDLICHKEITEN, Oeffentliche Foerderung in Spalte 10 
t ist nicht 1 oder 2 
b V39##S10 == 1E0 || V39##S10 == 2E0

k    /* Pruefung auf Uebertragungsfehler in die Bilanz vergl. Teil 1 */
k
a 3.6.1 TEIL 3.6: EINZELAUFSTEL. D. VERBINDL. GEGEN KREDITINSTITUTEN ZEILEN- UND SPALTENSUMMEN
a 3.6.1.01                                 ZEILENSUMME
a 3.6.1.02                                 SPALTENSUMME
k
f 3601.0##(***+) P(V35)
d ##(02,06-09)
t EINZELAUFSTELLUNG DER VERBINDLICHKEITEN, Summenwert in Code 3996
t Spalte ## entspricht nicht der Summe der Einzelpositionen
b ( V3920-95S## ) #EQ(2.0) V3996S##
k
f 3605.0##(***+) P(V35)
d ##(07-09)
t EINZELAUFSTELLUNG DER VERBINDLICHKEITEN, Summenwert in Code 3996 nicht richtig
t auf unterschiedliche Fristigkeiten aufgeteilt
b ( V3997-99S## ) #EQ(2.0) V3996S##
k
f 3605.100(***) P(V35)
s v3999s07 > 10000.0
t EINZELAUFSTELLUNG DER VERBINDLICHKEITEN, kurzfristige Verbindlichkeiten (Code 3997) sehr hoch
t Kurzfristige Verbindlichkeiten groesser als 70 % der Verbindlichkeiten insgesamt?
b ( V3997s07 < V3996S07*0.7)
k
f 3606.000(***) P(V2  V34)
s V9801 < 5.0
t EINZELAUFSTELLUNG DER VERBINDLICHKEITEN, Verbindlichkeiten gegenueber
t Kreditinstituten (Code 3996 Sp. 07) aber keine Zinsen in der GuV (Code 2914
t Sp. 05)
b V3996S07 <= 0.0 || V2914S05 < 0.0
k
f 3607.100(***) P(V2  V34)
s V9801 < 5.0
s ( V3996S07 - V3997S07 > 10000.0 )
t EINZELAUFSTELLUNG DER VERBINDLICHKEITEN, Verbindlichkeiten gegenueber
t Kreditinstituten (Code 3996 Sp. 07) angegeben, aber keine Tilgung in Spalte9
t eingetragen
b (V3996S07 - V3997S07) <= 10000.0 || V3996S09 > 0.0
k
f 3607.200(*  ) P(V2  V34)
s V9801 < 5.0
s V3996S09 > 250.0
t EINZELAUFSTELLUNG DER VERBINDLICHKEITEN, Tilgungen in Spalte 9, Code 3996 
t eingetragen aber nicht aufgeschluesselt nach unterschiedlichen
t Fristigkeiten (Codes 3997,3998, 3999 Spalte 9) 
b V3996S09 < 250.0 || V3997S09 + V3998S09 + V3999S09 > 0.0
k
f 3608.000(***) P(V34)
s V9801 < 5.0
t EINZELAUFSTELLUNG DER VERBINDLICHKEITEN, Verbindlichkeiten gegenueber
t Kreditinstituten (Code 3996 Sp. 07) aber keine Zinsen eingetragen
t (Code 3996 Sp. 07) 
b V3996S07 <= 5000.0 || V3996S06 > 0.0
k
f 3610.000(***+) P(V2  V34)
s V9801 < 5.0
t EINZELAUFSTELLUNG DER VERBINDLICHKEITEN, Zinsen in der Einzelaufstellung der
t Verbindlichkeiten (Code 3996 Sp. 06) sind groesser als die Zinsen in der GuV
t (Code 2914 Sp.05 + Sp.04)
b V3996S06 - 1 <= ABS( V2914S05 ) + V2914S04
k
a 3.6.2.                         KONTROLLFRAGEN
a 3.6.2.1                       PRUEFUNG AUF UEBERTRAGUNGSFEHLER
a 3.6.2.1.01                  ABGLEICH MIT FELDINVENTAR
k
k
k
k    /* Pruefung auf Uebertragungsfehler in die Bilanz vergl. Teil 1 */
k                           /* Flaechenangaben sind immer erforderlich. */
k
f 3801.000(***) P(V2  V32)
s V2099S05 > 0E0
z   X1 = V3301-51S02 ;
z   X2 = V3353-74S02 ;
z   X3 = V3375-79,88S02 ;
z   EINZELFLAECHEN = X1+X2+X3;
z   X1 = V3301-51S05 ;
z   X2 = V3353-74S05 ;
z   X3 = V3375-79,88S05 ;
z   EINZELFLAECHEN = EINZELFLAECHEN + X1+X2+X3;
k
t Umsatzerloese landwirtschaftl. Pflanzenproduktion in 2099 Sp.05, keine
t Flaechenangaben Zeile 3301 bis 3379 sowie 3388, Sp. 02 und 05
b V2099S05 - V2080S05 == 0.0 || EINZELFLAECHEN > 0.0
k
f 3802.000(***+) P(V2  V32)
s V2269S05 > 0E0
z   X1 = V3419-67S02 ;
z   X2 = V3419-67S05 ;
z   EINZELFLAECHEN = X1+X2;
k
t Umsatzerloese gartenbauliche Pflanzenproduktion in 2269 Sp.05, keine
t Flaechenangaben Zeile 3419 bis 3467, Sp. 02 und 05
b V2269S05 == 0.0 || EINZELFLAECHEN > 0.0
k
a 3.6.2.1.02                    ANBAUFLAECHEN
k
f 3811.000(***) P(V2  V4 )
t Umsatzerloese landwirtschaftl. Pflanzenproduktion in 2099 Sp.05, keine
t Flaechenangabe im Abschn. 4
b V2099S05 == 0.0 || V4099S02 > 0.0
k
f 3812.100(***) P(V2  V4 )
t Ernteflaechen gartenbauliche Pflanzenproduktion im Abschn.4, keine
t Umsatzerloese 2269 Sp.05
b V4269S02 == 0.0 || V2269S05 > 0.0
k
f 3812.200(***) P(V2  V4 )
t Ernteflaechen Gemuese im Freiland im Abschn.4, keine
t Umsatzerloese 2229 Sp.05
b V4220-27S02 == 0.0 || V2229S05 > 0.0
k
f 3812.300(***) P(V2  V4 )
t Ernteflaechen Gemuese aus Gewaechshausern im Abschn.4, keine
t Umsatzerloese 2239 Sp.05
b V4230-38S02 == 0.0 || V2239S05 > 0.0
k
f 3812.400(***) P(V2  V4 )
t Ernteflaechen Zierpflanzen im Freiland im Abschn.4, keine
t Umsatzerloese 2249 Sp.05
b V4240-45S02 == 0.0 || V2249S05 > 0.0
k
f 3812.500(***) P(V2  V4 )
t Ernteflaechen Zierpflanzen aus Gewaechshausern im Abschn.4, keine
t Umsatzerloese 2259 Sp.05
b V4250-55S02 == 0.0 || V2259S05 > 0.0
k
f 3812.600(***) P(V2  V4 )
t Ernteflaechen Baumschulen im Abschn.4, keine
t Umsatzerloese 2260 Sp.05
b V4260S02 == 0.0 || V2260S05 > 0.0
k
f 3813.000(***) P(V2  V4 )
t Umsatzerloese Obstbau in 2209 Sp.05, keine Flaechenangabe im Abschn. 4
b V2209S05 <= 4000.0 || V4209S02 > 0.0
k
f 3814.000(***) P(V2  V4 )
t Umsatzerloese Weinbau in 2299 Sp.05, keine Flaechenangabe im Abschn. 4
b V2299S05 == 0.0 || V4299S02 > 0.0
k
a 3.6.2.1.03                    BETRIEBSFLAECHE
k
f 3820.000(***+) P(V2  V61)
t Umsatzerloese landwirtschaftl. Pflanzenproduktion in 2099 Sp.05, aber keine
t Betriebsflaeche in Zeile 6119 Sp. 07 angegeben
b V2099S05 < 4000.0 || V6119S07 > 0.0
k
f 3821.000(***) P(V2  V61)
t Umsatzerloese Obstbau in 2209 Sp.05, keine
t Betriebsflaeche in Abschn.6, Zeile 6110 Sp. 07
b V2209S05 < 4000.0 || V6110S07 > 0.0
k
f 3822.000(***) P(V2  V61 )
t Umsatzerloese Gartenbau in 2269 Sp.05, aber keine Betriebsflaechen im Abschn.6
b V2269S05 < 500.0 || V6111-14S07 > 0.0
k
f 3823.000(***) P(V2  V61)
t Umsatzerloese Weinbau in 2299 Sp.05, aber keine Betriebsflaeche
t in Abschn.6, Zeile 6116 Sp. 07
b V2299S05 < 500.0 || V6116S07 > 0.0
k
m LDWP04A
k
k
a 4.1.1 TEIL 4.0: ERNTEFLAECHEN, NATURALE ERTRAEGE U. LEISTUNGEN SOWIE DURCHSCHNITTSPREISE    SPALTENSUMMEN
k
k
k
z  X1 = V4001-51S02 ;
z  X2 = V4053-74S02 ;
z  X3 = V4075-98S02 ;
z  EINZELFLAECHEN=X1+X2+X3;
f 4000.000(***+) P(V4 )
t Abschn.4 (Ernteflaechen etc.), Summenwert in Code 4099 Sp.02 (landw.
t PFLANZENPRODUKTION) entspricht nicht der Summe der Einzelpositionen
b EINZELFLAECHEN - ( V4068,74S02 ) #EQ(2.0) V4099S02
k
f 4001.0##(***+) P(V4 )
d ##(05,06)
z  X1 = V4001-51S## ;
z  X2 = V4053-64,66,68-70,72-74S## ;
z  X3 = V4075-98S## ;
z  EINZELWERTE=X1+X2+X3;
t Abschn.4 (Ernteflaechen etc.), Summenwert in Code 4099 Sp.## (landw.
t PFLANZENPRODUKTION) entspricht nicht der Summe der Einzelpositionen
b ( EINZELWERTE ) #EQ(2.0) V4099S##
k
f 4002.0##(***+) P(V4 )
d ##(05,06)
z  X1 = V4101-51S## ;
z  X2 = V4153-74S## ;
z  X3 = V4175-97S## ;
z  EINZELWERTE=X1+X2+X3;
t Abschn.4 (Ernteflaechen etc.), Summenwert in Code 4199 Sp.##
t (TIERPRODUKTION) entspricht nicht der Summe der Einzelpositionen
b ( EINZELWERTE ) #EQ(2.0) V4199S##
k
f 4003.000(***+) P(V4 )
t Abschn.4 (Ernteflaechen etc.), Summenwert in Code 4209 Sp.02
t (OBSTBAU) entspricht nicht der Summe der Einzelpositionen
b ( V4200-08S02 ) #EQ(0.2) V4209S02
k
f 4004.000(***+) P(V4 )
t Abschn.4 (Ernteflaechen etc.), Summenwert in Code 4269 Sp.02
t (GARTENBAU) entspricht nicht der Summe der Einzelpositionen
b ( V4220-67S02 ) #EQ(0.2) V4269S02
k
f 4005.000(***+) P(V4 )
t Abschn.4 (Ernteflaechen etc.), Summenwert in Code 4299 Sp.02
t (WEINBAU) entspricht nicht der Summe der Einzelpositionen
b ( V4291-98S02 ) #EQ(0.2) V4299S02
k
f 4006.000(***+) P(V4 )
t Abschn.4 (Ernteflaechen etc.), Summenwert in Code 4300 Sp.02
t (ERNTEFLAECHE insg.) entspricht nicht der Summe der Einzelpositionen
b ( V4099S02 + V4209S02 + V4269S02 + V4299S02 ) #EQ(2.0) V4300S02
k
k
k
k
a 4.1.2 TEIL 4.1: ERNTEFLAECHEN, NATURALE ERTRAEGE U. LEISTUNGEN SOWIE DURCHSCHNITTSPREISE (PFL.PRODUKTION)         	KONTROLLFRAGEN
a 4.1.2.1 KONSISTENZPRUEFUNG
a 4.1.2.1.01 ERNTEFLAECHE
k
f 4010.0##(***) P(V4 )
s V0003S02 < 17E0
d ##(01-12,17,20-35,39-40,60-61,63)
t Abschn.4 (Pfl.produktion), Angaben sind unvollstaendig, Ernteflaeche
t ohne Erntemenge oder Erntemenge ohne Ernteflaeche (Code 40##, 56## )
b ( V40##S02 ==  0.0 ) == ( V56##S04 == 0.0 )
k
f 4012.000(***) P(V4  V5 )
t Abschn.4 (Pfl.produktion), Angaben sind unvollstaendig, Ernteflaeche
t ohne Erntemenge oder Erntemenge ohne Ernteflaeche ( Sonst. Energiepflanzen )
b ( V4064S02 ==  0.0 ) == ( V5664S04 == 0.0 )
k
f 4013.000(***) P(V4  V5 )
t Abschn.4 (Pfl.produktion), Angaben sind unvollstaendig, Ernteflaeche
t ohne Erntemenge oder Erntemenge ohne Ernteflaeche (Sonst. nachw. Rohstoffe)
b ( V4066S02 ==  0.0 ) == ( V5666S04 == 0.0 )
k
k
f 4020.100(***) P(V4  V61 V62)
s ( V6200-08S08 ==  0.0 ) && ( V6200-08S09 == 0.0 ) && (V4031,32,33,34,35,64S02 == 0.0)
t Abschn.4 (Pfl.produktion ohne Anbau von Energiepflanzen), Ernteflaeche Pfl.produktion (Code 4099)
t ist um mind. 15 % kleiner als die bewirtschaftete landwirtschaftl.
t Nutzflaeche zu Beginn des Geschaeftsjahres
b V4099S02 >= ( V6100,04,08S07 - ( V6200,04,08S02 ) +
b                   ( V6200,04,08S03 )
b                   - ( V6200,04,08S06 ) + V6200,04,08S07 ) * 0.85
k
f 4020.200(***) P(V4  V61 V62)
s ( V6200-08S08 ==  0.0 ) && ( V6200-08S09 == 0.0 ) && (V4031,32,33,34,35,64S02 == 0.0)
t Abschn.4 (Pfl.produktion ohne Anbau von Energiepflanzen), Ernteflaeche Pfl.produktion (Code 4099)
t ist um ueber 15% groesser als die bewirtschaftete landwirtschaftl.
t Nutzflaeche zu Beginn des Geschaeftsjahres
b V4099S02 <= ( V6100,04,08S07 - ( V6200,04,08S02 ) + V6200,04,08S03
b             - ( V6200,04,08S06 )
b             + V6200,04,08S07 ) * 1.15
k
f 4020.300(***) P(V4  V61 V62)
s ( V6200-08S08 ==  0.0 ) && ( V6200-08S09 == 0.0 )
t Abschn.4 (Pfl.produktion, mit Anbau von Energiegpflanzen), Ernteflaeche Pfl.produktion (Code 4099)
t ist um mind. 30 % kleiner als die bewirtschaftete landwirtschaftl.
t Nutzflaeche zu Beginn des Geschaeftsjahres
b V4099S02 >= ( V6100,04,08S07 - ( V6200,04,08S02 ) +
b                   ( V6200,04,08S03 )
b                   - ( V6200,04,08S06 ) + V6200,04,08S07 ) * 0.7
k
f 4020.400(***) P(V4  V61 V62)
s ( V6200-08S08 ==  0.0 ) && ( V6200-08S09 == 0.0 )
t Abschn.4 (Pfl.produktion, mit Anbau von Energiegpflanzen), Ernteflaeche Pfl.produktion (Code 4099)
t ist um ueber 30% groesser als die bewirtschaftete landwirtschaftl.
t Nutzflaeche zu Beginn des Geschaeftsjahres
b V4099S02 <= ( V6100,04,08S07 - ( V6200,04,08S02 ) + V6200,04,08S03
b             - ( V6200,04,08S06 )
b             + V6200,04,08S07 ) * 1.30
k
f 4021.100(*) P(V4  V61 V62)
s ( V6204S08 ==  0.0 ) && ( V6204S09 == 0.0 )
t Abschn.4 (Pfl.produktion), Flaechenangabe zu Dauerwiesen, Weiden und
t Almen (Code 4076, 4077) ist um ueber 20% kleiner als die Dauergruenlandflaeche zu 
t Beginn des Geschaeftsjahres (Code 6104 unter Beruecksichtigung von code 6204)
b V4076,77S02 >= ( V6104S07 - ( V6204S02 ) + V6204S03 - ( V6204S06 )
b             + V6204S07 ) * 0.80
k
f 4021.200(*) P(V4  V61 V62)
s ( V6204S08 ==  0.0 ) && ( V6204S09 == 0.0 )
t Abschn.4 (Pfl.produktion),Flaechenangabe zu Dauerwiesen, Weiden und
t Almen (Code 4076, 4077) ist um ueber 20% groesser als die Dauergruenlandflaeche zu 
t Beginn des Geschaeftsjahres (Code 6104)
b V4076,77S02 <= ( V6104S07 - ( V6204S02 ) + V6204S03 - ( V6204S06 )
b             + V6204S07 ) * 1.20
k
k
f 4022.100 (*) P(V40 V60)
t Ernteflaeche betraegt nur 10 Prozent oder weniger der bewirtschafteten LF am Ende des GJ
b V4300S02 >= V6119S07 * 0.1
k
f 4022.200 (*) P(V40 V60)
t Ernteflaeche ist 10 Mal so gross oder groesser als die bewirtschafteten LF am Ende des GJ
b V4300S02 <= V6119S07 * 10.0
k
a 4.1.2.1.02                                 NATURALE ERTRAEGE SP.3
k
f 4025.0##(***) P(V4 )
d ##(01-12,17,20-35,39-40,60,61,63-64,66,80)
t Abschn.4 (Pfl.produktion), Angabe fuer Ernteflaeche oder naturale
t Ertraege (Code 40## ) fehlt
b ( V40##S02 ==  0.0 ) == ( V40##S03 == 0.0 )
k
f 4026.0##(***) P(V4 )
d ##(01-07,09-12,17,20-35,39-40,60,61,63,80)
s V40##S02 > 0.0
t Abschn.4 (Pfl.produktion), Angabe naturale Ertraege (Code 40## Sp.03)
t ergibt sich nicht aus der erzeugten Menge insg. bezogen auf die
t Ernteflaeche
b ( V56##S04 / V40##S02 ) #EQ(2.0) V40##S03
k
k
k
k
k
a 4.1.2.1.03                                 DURCHSCHNITTSPREIS
k
f 4045.0##(***) P(V4  V5 )
d ##(01-12,17,20-35,39-40,60,61,63,80)
t Abschn.4 (Pfl.produktion), Angabe verk. Menge ( Code 56## Sp.05) oder
t Angabe Durchschnittspreis fehlt
b ( V56##S05 ==  0.0 ) == ( V40##S04 == 0.0 )
k
f 4045.0##(***) P(V4  V5 )
d ##(00,76,79,85,88)
t Abschn.4 (Pfl.produktion, Obst und Wein), Angabe verk. Menge ( Code 57## Sp.05) oder
t Angabe Durchschnittspreis fehlt
b ( V57##S05 ==  0.0 ) == ( V42##S04 == 0.0 )
k
m LDWP04B
k
k
k
f 4046.0##(***) P(V2  V4  V5 )
d ##(01-12,17,20-35,39-40,60,61,63,80)
s V56##S05 !=  0.0 && V20##S02 != 0.0
t Abschn.4 (Pfl.produktion), Verkaufspreis ( Code 40## Sp.04) ergibt
t sich nicht aus Verkaufserloes insg. und verk. Menge
b ( V20##S02 / V56##S05 ) #EQ(2.0) V40##S04
k
f 4046.0##(***) P(V2  V4  V5 )
d ##(00,76,79,85,88)
s V57##S05 !=  0.0 && V22##S02 != 0.0
t Abschn.4 (Pfl.produktion, Obst und Wein), Verkaufspreis ( Code 42## Sp.04) ergibt
t sich nicht aus Verkaufserloes insg. und verk. Menge
b ( V22##S02 / V57##S05 ) #EQ(2.0) V42##S04
k
f 4047.0##(***) P(V2  V4  V5 )
d ##(01-12,17,20-35,39-40,60,61,63,80)
s V56##S05 !=  0.0 && V20##S05 != 0.0 && V0020S02 >  60
t Abschn.4 (Pfl.produktion), Verkaufspreis ( Code 40## Sp.04) ergibt
t sich nicht aus Verkaufserloes insg. und verk. Menge
b ( V20##S05 / V56##S05 ) #EQ(2.0) V40##S04
k
k
a 4.1.2.2 TEIL 4.1: ERNTEFLAECHEN, NATURALE ERTRAEGE U. LEISTUNGEN SOWIE DURCHSCHNITTSPREISE (PFL.PRODUKTION)                  DIMENSIONEN
a
a
a 4.1.2.2.01             ERNTEMENGE WI.WEIZEN, WI. GERSTE, K.MAIS
k
k
f 4105.0##(***) P(V4 )
d ##(01,05,10)
s V40##S02 > 0.0
s  ( V0003S02 < 5E0 || V0003S02 > 10E0)            /* - NORDDTL. - */
s   V0023S02 ==  1E0                                  /* KONV. */
t Abschn.4 (Pfl.produktion), konv.wirt. Betrieb in Norddeutschland,
t geerntete Menge (Code 40##) liegt nicht im Bereich von 30-130 dt/ha
b V40##S03 #IN( 30, 130 )
k
f 4106.0##(***) P(V4 )
d ##(01,05,10)
s V40##S02 > 0.0
s  ( V0003S02 < 5E0 || V0003S02 > 10E0)            /* - NORDDTL. - */
s   V0023S02 != 1E0                               /* OEKOL. */
t Abschn.4 (Pfl.produktion), oekolog.wirt. Betrieb in Norddeutschland,
t geerntete Menge (Code 40##) liegt nicht im Bereich von 20-90 dt/ha
b V40##S03 #IN( 20, 90 )
k
f 4107.0##(***) P(V4 )
d ##(01,05,10)
s V40##S02 > 0.0
s  ( V0003S02 >= 5E0 && V0003S02 <=10)         /* - SUEDDTL. - */
s   V0023S02 ==  1E0                                 /* KONV. */
t Abschn.4 (Pfl.produktion), konv.wirt. Betrieb in Sueddeutschland,
t geerntete Menge (Code 40##) liegt nicht im Bereich von 30-130 dt/ha
b V40##S03 #IN( 30, 130 )
k
f 4108.0##(***) P(V4 )
d ##(01,05,10)
s V40##S02 > 0.0
s ( V0003S02 >= 5E0 && V0003S02 <=10)         /* - SUEDDTL. - */
s V0023S02 !=  1E0                                  /* OEKOL. */
t Abschn.4 (Pfl.produktion), oekolog.wirt. Betrieb in Sueddeutschland,
t geerntete Menge (Code 40##) liegt nicht im Bereich von 20-80 dt/ha
b V40##S03 #IN( 20, 80 )
k
a 4.1.2.2.02             ERNTEMENGE SO.WEIZEN
k
f 4115.000(***) P(V4 )
s V4002S02 > 0.0
s  ( V0003S02 < 5E0 || V0003S02 > 10E0)          /* - NORDDTL. - */
s      V0023S02 ==  1E0                                  /* KONV. */
t Abschn.4 (Pfl.produktion), konv.wirt. Betrieb in Norddeutschland,
t geerntete Menge (Code 4002) liegt nicht im Bereich von 30-120 dt/ha
b V4002S03 #IN( 30.0, 120.0 )
k
f 4116.000(***) P(V4 )
s V4002S02 > 0.0
s  ( V0003S02 < 5E0 || V0003S02 > 10E0)            /* - NORDDTL. - */
s     V0023S02 !=  1E0                                  /* OEKOL. */
t Abschn.4 (Pfl.produktion), oekolog.wirt. Betrieb in Norddeutschland,
t geerntete Menge (Code 4002) liegt nicht im Bereich von 20-75 dt/ha
b V4002S03 #IN( 20.0, 75.0 )
k
f 4117.000(***) P(V4 )
s V4002S02 > 0.0
s  V0003S02 >= 5E0 && V0003S02 <= 10E0              /* - SUEDDTL. - */
s    V0023S02 ==  1E0                                  /* KONV. */
t Abschn.4 (Pfl.produktion), konv.wirt. Betrieb in Sueddeutschland,
t geerntete Menge (Code 4002) liegt nicht im Bereich von 30-110 dt/ha
b V4002S03 #IN( 30.0, 110.0 )
k
f 4118.000(***) P(V4 )
s V4002S02 > 0.0
s  V0003S02 >= 5E0 && V0003S02 <= 10E0              /* - SUEDDTL. - */
s    V0023S02 !=  1E0                                  /* OEKOL. */
t Abschn.4 (Pfl.produktion), oekolog.wirt. Betrieb in Sueddeutschland,
t geerntete Menge (Code 4002) liegt nicht im Bereich von 20-65 dt/ha
b V4002S03 #IN( 20.0, 65.0 )
k
a 4.1.2.2.03 ERNTEM. ROGGEN, SO.GERSTE, HAFER, SO.- U. WI.MENGEGETREIDE
k
f 4125.0##(***) P(V4 )
d ##(04,06,07,08,09)
s V40##S02 > 0.0
s  ( V0003S02 < 5E0 || V0003S02 > 10E0)            /* - NORDDTL. - */
s   V0023S02 ==  1E0                                  /* KONV. */
t Abschn.4 (Pfl.produktion), konv.wirt. Betrieb in Norddeutschland,
t geerntete Menge (Code 40##) liegt nicht im Bereich von 20-120 dt/ha
b V40##S03 #IN( 20.0 , 120.0 )
k
f 4126.0##(***) P(V4 )
d ##(04,06,07,08,09)
s V40##S02 > 0.0
s  ( V0003S02 < 5E0 || V0003S02 > 10E0)           /* - NORDDTL. - */
s   V0023S02 !=  1E0                                  /* OEKOL. */
t Abschn.4 (Pfl.produktion), oekolog.wirt. Betrieb in Norddeutschland,
t geerntete Menge (Code 40##) liegt nicht im Bereich von 15-75 dt/ha
b V40##S03 #IN( 15.0, 75.0 )
k
f 4127.0##(***) P(V4 )
d ##(04,06,07,08,09)
s V40##S02 > 0.0
s  V0003S02 >= 5E0 && V0003S02 <= 10E0              /* - SUEDDTL. - */
s   V0023S02 ==  1E0                                  /* KONV. */
t Abschn.4 (Pfl.produktion), konv.wirt. Betrieb in Sueddeutschland,
t geerntete Menge (Code 40##) liegt nicht im Bereich von 20-110 dt/ha
b V40##S03 #IN( 20.0, 110.0 )
k
f 4128.0##(***) P(V4 )
d ##(04,06,07,08,09)
s V40##S02 > 0.0
s  V0003S02 >= 5E0 && V0003S02 <= 10E0              /* - SUEDDTL. - */
s   V0023S02 !=  1E0                                  /* OEKOL. */
t Abschn.4 (Pfl.produktion), oekolog.wirt. Betrieb in Sueddeutschland,
t geerntete Menge (Code 40##) liegt nicht im Bereich von 15-65 dt/ha
b V40##S03 #IN( 15.0, 65.0 )
k
a 4.1.2.2.04             ERNTEMENGE CCM
k
f 4135.000(***) P(V4 )
s V4011S02 > 0.0
s    V0023S02 ==  1E0
t Abschn.4 (Pfl.produktion), konv.wirt. Betrieb,
t geerntete Menge (Code 4011) liegt nicht im Bereich von 40-150 dt/ha
b V4011S03 #IN( 40.0, 150.0 )
k
f 4136.000(***) P(V4 )
s V4011S02 > 0.0
s    V0023S02 !=  1E0
t Abschn.4 (Pfl.produktion), oekolog.wirt. Betrieb,
t geerntete Menge (Code 4011) liegt nicht im Bereich von 30-120 dt/ha
b V4011S03 #IN( 30.0, 120.0 )
k
a 4.1.2.2.05             ERNTEMENGE TRITICALE
k
f 4140.000(***) P(V4 )
s V4012S02 > 0.0
s  ( V0003S02 < 5E0 || V0003S02 > 10E0)            /* - NORDDTL. - */
s   V0023S02 ==  1E0                                  /* KONV. */
t Abschn.4 (Pfl.produktion), konv.wirt. Betrieb in Norddeutschland,
t geerntete Menge (Code 4012) liegt nicht im Bereich von 20-120 dt/ha
b V4012S03 #IN( 20.0, 120.0 )
k
f 4141.000(***) P(V4 )
s V4012S02 > 0.0
s  ( V0003S02 < 5E0 || V0003S02 > 10E0)            /* - NORDDTL. - */
s   V0023S02 != 1E0                                  /* OEKOL. */
t Abschn.4 (Pfl.produktion), oekolog.wirt. Betrieb in Norddeutschland,
t geerntete Menge (Code 4012) liegt nicht im Bereich von 20-75 dt/ha
b V4012S03 #IN( 20.0, 75.0 )
k
f 4142.000(***) P(V4 )
s V4012S02 > 0.0
s  V0003S02 >= 5E0 && V0003S02 <= 10E0              /* - SUEDDTL. - */
s   V0023S02 ==  1E0                                  /* KONV. */
t Abschn.4 (Pfl.produktion), konv.wirt. Betrieb in Sueddeutschland,
t geerntete Menge (Code 4012) liegt nicht im Bereich von 20-110 dt/ha
b V4012S03 #IN( 20.0, 110.0 )
k
f 4143.000(***) P(V4 )
s V4012S02 > 0.0
s  V0003S02 >= 5E0 && V0003S02 <= 10E0              /* - SUEDDTL. - */
s   V0023S02 !=  1E0                                  /* OEKOL. */
t Abschn.4 (Pfl.produktion), oekolog.wirt. Betrieb in Sueddeutschland,
t geerntete Menge (Code 4012) liegt nicht im Bereich von 20-60 dt/ha
b V4012S03 #IN( 20.0, 60.0 )
k
a 4.1.2.2.06             ERNTEMENGE ACKERBOHNEN
k
f 4145.000(***) P(V4 )
s V4020S02 > 0.0
t Abschn.4 (Pfl.produktion), ACKERBOHNEN, geerntete Menge (Code 4020)
t liegt nicht im Bereich von 15-60 dt/ha
b V4020S03 #IN( 15.0, 60.0 )
k
a 4.1.2.2.07             ERNTEMENGE FUTTERERBSEN
k
f 4147.000(***) P(V4 )
s V4021S02 > 0.0
t Abschn.4 (Pfl.produktion), FUTTERERBSEN, geerntete Menge (Code 4021)
t liegt nicht im Bereich von 15-60 dt/ha
b V4021S03 #IN( 15.0 , 60.0 )
k
a 4.1.2.2.08             ERNTEMENGE WI.RAPS, SO.RAPS, RUEBSEN
k
f 4150.0##(***) P(V4 )
d ##(24,25)
s V40##S02 > 0.0
t Abschn.4 (Pfl.produktion), RAPS, RUEBSEN: geerntete Menge(Code 40##)
t liegt nicht im Bereich von 10-60 dt/ha
b V40##S03 #IN( 10.0, 60.0 )
k
a 4.1.2.2.09             ERNTEMENGE SONNENBLUMEN
k
f 4155.000(***) P(V4 )
s V4026S02 > 0.0
t Abschn.4 (Pfl.produktion), SONNENBLUMEN: geerntete Menge (Code 4026)
t liegt nicht im Bereich von 10-60 dt/ha
b V4026S03 #IN( 10.0, 60.0 )
k
a 4.1.2.2.10             ERNTEMENGE SOJABOHNEN
k
f 4157.000(***) P(V4 )
s V4027S02 > 0.0
t Abschn.4 (Pfl.produktion), SOJABOHNEN: geerntete Menge (Code 4027)
t liegt nicht im Bereich von 20-60 dt/ha
b V4027S03 #IN( 20.0, 60.0 )
k
a 4.1.2.2.12       ERNTEMENGE OELSAATEN
k
f 4159.000(***) P(V4 )
s V4028S02 > 0.0
t Abschn.4 (Pfl.produktion), Andere OELSAATEN: geerntete Menge (Code 4028 Sp.3)
t liegt nicht im Bereich von 20-80 dt/ha
b V4028S03 #IN( 20.0, 80.0 )
k
f 4160.000(***) P(V4 )
s V4030S02 > 0.0
t Abschn.4 (Pfl.produktion), OELLEIN: geerntete Menge (Code 4030 Sp.3)
t liegt nicht im Bereich von 20-80 dt/ha
b V4030S03 #IN( 20.0, 80.0 )
k
k
a 4.1.2.2.13       ERNTEMENGE Energiepflanzen
k
f 4161.001(***) P(V4 )
s V4031S02 > 0.0
t Abschn.4 (Pfl.produktion), Energiegetreide: geerntete Menge (Code 4031 Sp.3)
t liegt nicht im Bereich von 20-170 dt/ha
b V4031S03 #IN( 20.0, 170.0 )
k
f 4161.002(***) P(V4 )
s V4032S02 > 0.0
t Abschn.4 (Pfl.produktion),Energiemais: geerntete Menge (Code 4032 Sp.3)
t liegt nicht im Bereich von 20-700 dt/ha
b V4032S03 #IN( 20.0, 700.0 )
k
f 4161.003(***) P(V4 )
s V4033S02 > 0.0
t Abschn.4 (Pfl.produktion), Energieeiweisspflanzen: geerntete Menge (Code 4033 Sp.3)
t liegt nicht im Bereich von 15-60 dt/ha
b V4033S03 #IN( 15.0, 60.0 )
k
f 4161.004(***) P(V4 )
s V4034S02 > 0.0
t Abschn.4 (Pfl.produktion),Energieoelsaaten: geerntete Menge (Code 4034 Sp.3)
t liegt nicht im Bereich von 20-80 dt/ha
b V4034S03 #IN( 20.0, 80.0 )
k
f 4161.005(***) P(V4 )
s V4035S02 > 0.0
t Abschn.4 (Pfl.produktion),Energierueben: geerntete Menge (Code 4035 Sp.3)
t liegt nicht im Bereich von 200-900 dt/ha
b V4035S03 #IN( 200.0, 900.0 )
k
f 4161.006(*  ) P(V4 )
s V4064S02 > 0.0
t Abschn.4 (Pfl.produktion),Sonstige ENERGIEPFLANZEN: geerntete Menge
t (Code 4064) liegt nicht im Bereich von 10-1000 dt/ha
b V4064S03 #IN(   10.0, 1000.0 )
k
a 4.1.2.2.11                       ERLOESE GETREIDE
k
f 4163.0##(***) P(V4  V2 )
d ##(01-12,17)
s V40##S04 > 0.0
s    V0023S02 ==  1E0
t Abschn.4 (Pfl.produktion), konv.wirt. Betrieb: Verkaufserloes fuer
t Getreide (Code 40##) liegt nicht im Bereich von 9 - 40 Euro je dt
b V40##S04 #IN( 9.0, 40.0 )
k
f 4164.0##(***) P(V4  V2 )
d ##(01-12,17)
s V40##S04 > 0.0
s    V0023S02 !=  1E0
t Abschn.4 (Pfl.produktion), oekolog.wirt. Betrieb: Verkaufserloes fuer
t Getreide (Code 40##) liegt nicht im Bereich von 10-120 Euro je dt
b V40##S04 #IN( 10.0, 120.0 )
k
a 4.1.2.2.12 ERNTEMENGEN UND ERLOESE KARTOFFELN
k
f 4165.000(***) P(V4 )
s V4039S02 > 0.0
t Abschn.4 (Pfl.produktion), KARTOFFELN: geerntete Menge (Code 4039)
t liegt nicht im Bereich von 100-700 dt/ha
b V4039S03 #IN( 100.0, 700.0 )
k
f 4166.000(***) P(V4  V2 )
s V4039S04 > 0.0
s    V0023S02 ==  1E0
t Abschn.4 (Pfl.produktion), KARTOFFELN (konv.): Verkaufserloes
t (Code 4039) liegt nicht im Bereich von 2-55 Euro/dt
b V4039S04 #IN( 2.0, 55.0 )
k
f 4167.000(***) P(V4  V2 )
s V4039S04 > 0.0
s    V0023S02 !=  1E0
t Abschn.4 (Pfl.produktion), KARTOFFELN (oekolog.): Verkaufserloes
t (Code 4039)liegt nicht im Bereich von 2-200 Euro/dt
b V4039S04 #IN( 2.0, 200.0 )
k
a 4.1.2.2.13       ERLOESE HUELSEN- U. OELSAATEN
k
f 4168.0##(***) P(V4 )
d ##(20-23)
s V40##S04 > 0.0
s    V0023S02 ==  1E0
t Abschn.4 (Pfl.produktion), konv.wirt. Betrieb: Verkaufserloes fuer
t Huelsenfruechte (Code 40##) liegt nicht im Bereich von 10-50 Euro je dt
b V40##S04 #IN( 10.0 , 50.0 )
k
f 4168.1##(***) P(V4 )
d ##(24-28,30)
s V40##S04 > 0.0
s    V0023S02 ==  1E0
t Abschn.4 (Pfl.produktion), konv.wirt. Betrieb: Verkaufserloes fuer
t Oelsaaten (Code 40##) liegt nicht im Bereich von 10-60 Euro je dt
b V40##S04 #IN( 10.0 , 60.0 )
k
f 4169.0##(***) P(V4 )
d ##(20-23)
s V40##S04 > 0.0
s    V0023S02 !=  1E0
t Abschn.4 (Pfl.produktion), oekolog.wirt. Betrieb: Verkaufserloes fuer
t Huelsenfruechte (Code 40##) liegt nicht im Bereich von 10-85 Euro
t je dt
b V40##S04 #IN( 10.0, 85.0 )
k
f 4169.1##(***) P(V4 )
d ##(24-28,30)
s V40##S04 > 0.0
s    V0023S02 !=  1E0
t Abschn.4 (Pfl.produktion), oekolog.wirt. Betrieb: Verkaufserloes fuer
t Oelsaaten (Code 40##) liegt nicht im Bereich von 10-100 Euro
t je dt
b V40##S04 #IN( 10.0, 100.0 )

k
a 4.1.2.2.14          ERNTEMENGEN UND ERLOESE ZUCKERRUEBEN
k
f 4170.000(***) P(V4 )
s V4040S02 > 0.0
s   ( V0003S02 < 5E0 || V0003S02 > 10E0)
t Abschn.4 (Pfl.produktion), ZUCKERRUEBEN Norddeutschland: geerntete
t Menge (Code 4040) liegt nicht im Bereich von 200-1500 dt/ha
b V4040S03 #IN( 200.0, 1500.0 )
k
f 4171.000(***) P(V4 )
s V4040S02 > 0.0
s   ( V0003S02 >= 5E0 && V0003S02 <= 10E0)
t Abschn.4 (Pfl.produktion), ZUCKERRUEBEN Sueddeutschland: geerntete
t Menge (Code 4040) liegt nicht im Bereich von 250-1500 dt/ha
b V4040S03 #IN( 250.0, 1500.0 )
k
f 4172.000(***) P(V4  V2 )
s V4040S04 > 0.0
s  ( V0003S02 < 5E0 || V0003S02 > 10E0)
t Abschn.4 (Pfl.produktion), ZUCKERRUEBEN Norddeutschland: Verkaufserloes (Code 4040)
t liegt nicht im Bereich von 4-20 Euro/dt
b V4040S04 #IN( 4.0, 20.0 )
k
f 4172.000(***) P(V4  V2 )
s V4040S04 > 0.0
s ( V0003S02 >= 5E0 && V0003S02 <= 10E0 )
t Abschn.4 (Pfl.produktion), ZUCKERRUEBEN Sueddeutschland: Verkaufserloes (Code 4040)
t liegt nicht im Bereich von 2,2-8,1 Euro/dt
b V4040S04 #IN( 2.2, 8.1 )
k
a 4.1.2.2.15             ERNTEMENGEN UND ERLOESE TABAK
k
f 4191.000(***) P(V4 )
s V4060S02 > 0.0
t Abschn.4 (Pfl.produktion), TABAK: geerntete Menge (Code 4060) liegt
t nicht im Bereich von 10-50 dt/ha
b V4060S03 #IN( 10.0, 50.0 )
f 4192.000(***) P(V4  V2 )
s V4060S04 > 0.0
t Abschn.4 (Pfl.produktion), TABAK: Verkaufserloes (Code 4060) liegt
t nicht im Bereich von 200-500 Euro/dt
b V4060S04 #IN( 200.0, 500.0 )
k
k
a 4.1.2.2.16             ERNTEMENGEN UND ERLOESE GRASSAMEN
k
f 4193.000(***) P(V4 )
s V4061S02 > 0.0
t Abschn.4 (Pfl.produktion), GRASSAMEN: geerntete Menge (Code 4061)
t liegt nicht im Bereich von 3-25 dt/ha
b V4061S03 #IN( 3.0, 25.0 )
k
f 4194.000(***) P(V4  V2 )
s V4061S04 > 0.0
t Abschn.4 (Pfl.produktion), GRASSAMEN: Verkaufserloes (Code 4061)
t liegt nicht im Bereich von 10-125 Euro/dt
b V4061S04 #IN( 10.0, 125.0 )
a 4.1.2.2.17             ERLOESE ENERGIEPFLANZEN
k
f 4200.0##(*  ) P(V4  V2 )
d ##(31-35,64)
s V40##S04 > 0.0
t Abschn.4 (Pfl.produktion), ENERGIEPFLANZEN: Verkaufserloes
t (Code 4031-4035 und 4064) liegen nicht im Bereich von 2-75 Euro/dt
b V40##S04 #IN( 2.0, 75.0 )
a 4.1.2.2.18    ERNTEMENGEN UND ERLOESE SONST. NACHWACHSENDE ROHSTOFFE
k
f 4201.000(*  ) P(V4 )
s V4066S02 > 0.0
t Abschn.4 (Pfl.produktion), SONST. NACHWACHSENDE ROHSTOFFE: geerntete
t Menge (Code 4066) liegt nicht im Bereich von 1-120 dt/ha
b V4066S03 #IN(   1.0, 120.0 )
k
f 4202.000(*  ) P(V4 )
s V4066S04 > 0.0
t Abschn.4 (Pfl.produktion), SONST. NACHWACHSENDE ROHSTOFFE:
t Verkaufserloes (Code 4066) liegt nicht im Bereich von 2-75 Euro/dt
b V4066S04 #IN( 2.0, 75.0 )
k
k
a 4.1.2.2.19             ERNTEMENGEN UND ERLOESE HOPFEN VERKAUFSPREIS SILOMAIS
k
f 4203.000(***) P(V4 )
s V4080S02 > 0.0
t Abschn.4 (Pfl.produktion), HOPFEN: geerntete Menge (Code 4080) liegt
t nicht im Bereich von 10-46 dt/ha
b V4080S03 #IN( 10.0, 46.0 )
k
f 4204.000(***) P(V4  V2 )
s V4080S04 > 0.0
t Abschn.4 (Pfl.produktion), HOPFEN: Verkaufserloes (Code 4080) liegt
t nicht im Bereich von 125-1320 Euro/dt
b V4080S04 #IN( 125.0, 1320.0 )
k
f 4205.000(***) P(V2  V5 )
s V2070s02 !=  0.0 && 5670s05 != 0.0
t Verkaufspreis Silomais aus Einnahmen Abschnitt 2 und Verkaufsmenge Abschnitt 5 ist sehr hoch
b ( V2070S02 / V5670S05 ) <= 10
k
a 4.1.2.2.20             Flaechenstilllegung
k
a 4.2.1 TEIL 4.2: ERNTEFLAECHEN, NATURALE ERTRAEGE U. LEISTUNGEN SOWIE DURCHSCHNITTSPREISE (TIERPRODUKTION)     KONTROLLFRAGEN
a
a 4.2.1.1 VOLLSTAENDIGKEIT NATURALE LEISTUNGEN
k
f 4305.000(***) P(V31 V4 )
s V3116S09 > 1E0
t Abschn.4 (Tierproduktion), MILCHKUEHE im Betrieb, aber keine oder nur
t unvollstaendige Angaben zu naturale Leistungen in Abschn. 4
b ( V4116S02 > 0.0 ) && ( V4128S02 > 0.0 )
f 4306.000(***) P(V31 V4 )
s V3117S09 > 5E0
t Abschn.4 (Tierproduktion), AMMEN- und MUTTERKUEHE im Betrieb, aber
t keine Angaben geb. Kaelber je Kuh in Abschn. 4
b V4128S02 > 0.0
f 4307.000(***) P(V31 V4 )
s V3136S09 > 1E0
t Abschn.4 (Tierproduktion), ZUCHTSAUEN im Betrieb, aber keine Angaben
t zu geborene Ferkel je Sau in Abschn. 4
b V4136S02 > 0.0
f 4307.001(***) P(V31 V4 )
s V3136S09 > 1E0
t Abschn.4 (Tierproduktion), ZUCHTSAUEN, mehr als 32 geborene Ferkel je Sau ??? 
b V4136S02 < 32.0
f 4308.000(***) P(V31 V4 )
s V3143S09 > 10E0
t Abschn.4 (Tierproduktion), MUTTERSCHAFE im Betrieb, aber keine
t Angaben zu Laemmer je Mutterschaf in Abschn. 4
b V4143S02 > 0.0
f 4309.000(***) P(V31 V4 )
s V3149S09 > 100E0
t Abschn.4 (Tierproduktion), SCHAFE im Betrieb, aber keine
t Angaben zu kg Wolle je Schaf in Abschn. 4
b V4146S02 > 0.0
f 4310.000(***) P(V31 V4 )
s V3152S09 > 10E0
t Abschn.4 (Tierproduktion), LEGEHENNEN im Betrieb, aber keine
t Angaben zu Eier je Henne in Abschn. 4
b V4152S02 > 0.0
f 4311.000(***) P(V31 V4 )
s V3165S09 > 0.0
t Abschn.4 (Tierproduktion),Damtiere im Betrieb, aber keine
t Angaben zu geb. Kaelber je Alttier in Abschn. 4
b V4165S02 > 0.0
f 4312.000(***) P(V31 V4 )
s V3172S09 > 5E0
t Abschn.4 (Tierproduktion), MUTTERZIEGEN im Betrieb, aber keine
t Angaben zu geb. Laemmer je Mutterziege in Abschn. 4
b V4172S02 > 0.0
k
m LDWP04C
k
a 4.2.1.2                          VOLLSTAENDIGKEIT ZUKAUF
k
k                                /* Tiere */
f 4325.0##(***) P(V2  V4  V5 )
s V0003S02 < 17E0
d ##(00-07,10-18)
t Abschn.4 (Tierproduktion), unvollstaendige Angaben: keine Ausgaben
t GuV (Code 26##Sp.05) oder kein Durchschnittspreis (Code 41##Sp.03)
t oder keine zugekauften Tiere (Code 51##Sp.03)
b ( V26##S05 ==  0.0 ) == ( V41##S03 == 0.0 ) &&
b ( V26##S05 ==  0.0 ) == ( V51##S03 == 0.0 )
k
f 4325.0##(***) P(V2  V4  V5 )
d ##(20-25,30,31,33-38,40-44,50-57,63-66,72-73,76-78,81,
d    90-92,97)
t Abschn.4 (Tierproduktion), unvollstaendige Angaben: keine Ausgaben
t GuV (Code 26##Sp.05) oder kein Durchschnittspreis (Code 41##Sp.03)
t oder keine zugekauften Tiere (Code 51##Sp.03)
b ( V26##S05 ==  0.0 ) == ( V41##S03 == 0.0 ) &&
b ( V26##S05 ==  0.0 ) == ( V51##S03 == 0.0 )
k
a 4.2.1.3                                        VOLLSTAENDIGKEIT VERKAUF
k
k                                /* Tiere */
f 4326.0##(***) P(V2  V4  V5 )
d ##(00-07,10-18)
t Abschn.4 (Tierproduktion), unvollstaendige Angaben: keine Einnahmen
t GuV (Code 21##Sp.05-Sp.4-Sp.3) oder kein Durchschnittspreis
t (Code 41##Sp.04) oder keine verkauften Tiere (Code 51##Sp.07)
b ( V21##S05 - V21##S04 - V21##S03 ==  0.0 ) == ( V41##S04 == 0.0 ) &&
b ( V21##S05 - V21##S04 - V21##S03 ==  0.0 ) == ( V51##S07 == 0.0 )
k
f 4326.0##(***) P(V2  V4  V5 )
d ##(20-25,30,31,33-38,40-44,50-57,63-66,72-73,76-78,81,
d    90-92,97)
t Abschn.4 (Tierproduktion), unvollstaendige Angaben: keine Einnahmen
t GuV (Code 21##Sp.05-Sp.4-Sp.3) oder kein Durchschnittspreis
t (Code 41##Sp.04) oder keine verkauften Tiere (Code 51##Sp.07)
b ( V21##S05 - V21##S04 - V21##S03 ==  0.0 ) == ( V41##S04 == 0.0 ) &&
b ( V21##S05 - V21##S04 - V21##S03 ==  0.0 ) == ( V51##S07 == 0.0 )
k
m LDWP04D
k
a 4.2.1.4         DIMENSIONSPRUEFUNG
a 4.2.1.4.01    TIERPRODUKTION
k                                                                                                       nur jur. Personen
f 4329.0##(***) P(V2  V4  V5 )
d ##(00-07,10-18,20-25,30,31,33-38,40-44,50-57,63-66,72-73,76-78,81,
d    90-92,97)
s V51##S03 !=  0.0 && V26##S05 != 0.0 && V0020S02 >  60e0
t Abschn.4 (Tierproduktion), Durchsch.preis Zukauf (Code V41##Sp.03)
t ergibt sich nicht aus Ausgaben insg. (Code 26##Sp.05) bezogen auf die
t zugek. Tiere (Code 51##Sp.03)
b (( V26##S05 * (-1E0)) / V51##S03 ) #EQ(2.0) V41##S03
k
f 4330.0##(***) P(V2  V4  V5 )
d ##(00-07,10-18,20-25,30,31,33-38,40-44,50-57,63-66,72-73,76-78,81,
d    90-92,97)
s V51##S03 !=  0.0 && V26##S02 != 0.0
t Abschn.4 (Tierproduktion), Durchsch.preis Zukauf (Code V41##Sp.03)
t ergibt sich nicht aus Ausgaben insg. (Code 26##Sp.02) bezogen auf die
t zugek. Tiere (Code 51##Sp.03)
b (( V26##S02 * (-1E0)) / V51##S03 ) #EQ(2.0) V41##S03
k
m LDWP04E
k
f 4331.0##(***) P(V2  V4  V5 )
d ##(00-07,10-18,20-25,30,31,33-38,40-44,50-57,63-66,72-73,76-78,81,
d    90-92,97)
s V51##S07 !=  0.0 && V21##S02 != 0.0
t Abschn.4 (Tierproduktion), Durchsch.preis Verkauf (Code V41##Sp.04)
t ergibt sich nicht aus Einnahmen insg. (Code 21##Sp.02) bezogen auf
t die verk. Tiere (Code 51##Sp.07)
b ( V21##S02 / V51##S07 ) #EQ(2.0) V41##S04
k                                                                                                       nur jur. Personen
f 4332.0##(***) P(V2  V4  V5 )
d ##(00-07,10-18,20-25,30,31,33-38,40-44,50-57,63-66,72-73,76-78,81)
s V51##S07 !=  0.0 && V21##S05 != 0.0 && V0020S02 >  60e0
t Abschn.4 (Tierproduktion), Durchsch.preis Verkauf (Code V41##Sp.04)
t ergibt sich nicht aus Einnahmen insg. (Code 21##Sp.05) bezogen auf
t die verk. Tiere (Code 51##Sp.07)
b ( V21##S05 / V51##S07 ) #EQ(2.0) V41##S04
k
a 4.2.1.4.02          KUHMILCH
k
f 4335.100(***) P(V2  V4  V5 )
s V2127S05 - V2127S04 > 100.0
t Abschn.4 (Tierproduktion), unvollstaendige Angaben KUHMILCH: keine
t Einnahmen GuV oder kein Durchschnittspreis oder keine verk. Mengen 
b ( V2127S05 ==  0.0 ) == ( V4127S04 == 0.0 ) &&
b ( V2127S05 ==  0.0 ) == ( V5689S05 == 0.0 )
k
k
f 4335.200(***) P(V2  V4  V5 )
s V5689S05 !=  0.0 && V2127S02 != 0.0
t Abschn.4 (Tierproduktion), Durchschnittspreis Verkauf KUHMILCH
t (Code V4127Sp.04) ergibt sich nicht aus Einnahmen (Code 2127Sp.02)
t bezogen auf die verk. Menge (Code 5689Sp.05)
b ( V2127S02 / V5689S05 ) #EQ(2.0) V4127S04
k
k                                                                                    nur jur. Personen
f 4335.300(***) P(V2  V4  V5 )
s V5689S05 !=  0.0 && V2127S05 != 0.0 && V0020S02 >  60e0
t Abschn.4 (Tierproduktion), Durchschnittspreis Verkauf KUHMILCH
t (Code V4127Sp.04) ergibt sich nicht aus Einnahmen (Code 2127Sp.05)
t bezogen auf die verk. Menge (Code 5689Sp.05)
b ( V2127S05 / V5689S05 ) #EQ(2.0) V4127S04
k
k
k
a 4.2.1.4.03         WOLLE
k
f 4336.100(***) P(V2  V4  V5 )
s V2146S05 - V2146S04 > 100.0
t Abschn.4 (Tierproduktion), unvollstaendige Angaben WOLLE: keine
t Einnahmen GuV oder kein Durchschnittspreis oder keine verk. Menge
b ( V2146S05 ==  0.0 ) == ( V4146S04 == 0.0 ) &&
b ( V2146S05 ==  0.0 ) == ( V5691S05 == 0.0 )
k
f 4336.200(***) P(V2  V4  V5 )
s V5691S05 !=  0.0 && V2146S02 != 0.0
t Abschn.4 (Tierproduktion), Durchschnittspreis Verkauf WOLLE
t (Code V4146Sp.04) ergibt sich nicht aus Einnahmen (Code 2146Sp.02)
t bezogen auf die verk. Menge (Code 5691Sp.05)
b ( V2146S02 / V5691S05 ) #EQ(2.0) V4146S04
k
a 4.2.1.4.04                                 SCHAFMILCH
k
f 4337.100(***) P(V2  V4  V5 )
s V2147S05 - V2147S04 > 100.0
t Abschn.4 (Tierproduktion), unvollstaendige Angaben SCHAFMILCH: keine
t Einnahmen GuV oder kein Durchschnittspreis oder keine verk. Menge
b ( V2147S05 ==  0.0 ) == ( V4147S04 == 0.0 ) &&
b ( V2147S05 ==  0.0 ) == ( V5692S05 == 0.0 )
k
f 4337.200(***) P(V2  V4  V5 )
s V5692S05 !=  0.0 && V2147S02 != 0.0
t Abschn.4 (Tierproduktion), Durchschnittspreis Verkauf SCHAFMILCH
t (Code V4147Sp.04) ergibt sich nicht aus Einnahmen (Code 2147Sp.02)
t bezogen auf die verk. Menge (Code 5692Sp.05)
b ( V2147S02 / V5692S05 ) #EQ(2.0) V4147S04
k
a 4.2.1.4.05                                EIER
k
f 4338.100(***) P(V2  V4  V5 )
s V2158S05 - V2158S04 > 100.0
t Abschn.4 (Tierproduktion), unvollstaendige Angaben: keine
t Einnahmen GuV oder kein Durchschnittspreis oder keine verk. Menge
b ( V2158S05 ==  0.0 ) == ( V4158S04 == 0.0 ) &&
b ( V2158S05 ==  0.0 ) == ( V5694S05 == 0.0 )
k
f 4338.200(***) P(V2  V4  V5 )
s V5694S05 !=  0.0 && V2158S02 != 0.0
t Abschn.4 (Tierproduktion), Durchschnittspreis Verkauf
t (Code V4158Sp.04) ergibt sich nicht aus Einnahmen (Code 2158Sp.02)
t bezogen auf die verk. Menge (Code 5694Sp.05)
b ( V2158S02 / V5694S05 ) #EQ(2.0) V4158S04
k                                                             nur jur. Personen
f 4338.300(***) P(V2  V4  V5 )
s V5694S05 !=  0.0 && V2158S05 != 0.0 && V0020S02 >  60e0
t Abschn.4 (Tierproduktion), Durchschnittspreis Verkauf
t (Code V4158Sp.04) ergibt sich nicht aus Einnahmen (Code 2158Sp.05)
t bezogen auf die verk. Menge (Code 5694Sp.05)
b ( V2158S05 / V5694S05 ) #EQ(2.0) V4158S04
k
k
k
k
a 4.2.1.4.06                                 ZIEGENMILCH
k
f 4340.100(***) P(V2  V4  V5 )
s V2174S05 - V2174S04 > 100.0
t Abschn.4 (Tierproduktion), unvollstaendige Angaben: keine
t Einnahmen GuV oder kein Durchschnittspreis oder keine verk. Menge
b ( V2174S05 ==  0.0 ) == ( V4174S04 == 0.0 ) &&
b ( V2174S05 ==  0.0 ) == ( V5696S05 == 0.0 )
k
f 4340.200(***) P(V2  V4  V5 )
s V5696S05 !=  0.0 && V2174S02 != 0.0
t Abschn.4 (Tierproduktion), Durchschnittspreis Verkauf
t (Code V4174Sp.04) ergibt sich nicht aus Einnahmen (Code 2174Sp.02)
t bezogen auf die verk. Menge (Code 5696Sp.05)
b ( V2174S02 / V5696S05 ) #EQ(2.0) V4174S04
k
k
k
k
a 4.2.1.4.07                                                   PFERDE
k
k                                /* Ponys und Fohlen */
f 4405.0##(***) P(V2  V4  V5 )
d ##(00-04)
s V41##S03 > 0.0
t Abschn.4 (Tierproduktion), ZUKAUFSPREIS fuer PONYS und FOHLEN liegt
t nicht im Bereich von 150-3.000 Euro/Tier
b V41##S03 #IN( 150, 3000 )
k
f 4406.0##(***) P(V2  V4  V5 )
d ##(00-04)
s V41##S04 > 0.0 && V51##S07 > 3
t Abschn.4 (Tierproduktion), VERKAUFSPREIS fuer PONYS und FOHLEN liegt
t nicht im Bereich von 150-3.000 Euro/Tier
b V41##S04 #IN( 150, 3000 )
k                                /* Pferde */
f 4409.0##(***) P(V2  V4  V5 )
d ##(05-07)
s V41##S03 > 0.0
t Abschn.4 (Tierproduktion), ZUKAUFSPREIS fuer PFERDE liegt nicht im
t Bereich von 500-10.000 Euro/Tier
b V41##S03 #IN( 500, 10000 )
k
f 4410.0##(***) P(V2  V4  V5 )
d ##(05-07)
s V41##S04 > 0.0 && V51##S07 > 3
t Abschn.4 (Tierproduktion), VERKAUFSPREIS fuer PFERDE liegt nicht im
t Bereich von 500-20.000 Euro/Tier
b V41##S04 #IN( 500, 20000 )
k
a 4.2.1.4.08                                                        RINDER
k
k                                /* Mastkaelber */
f 4435.000(***) P(V2  V4  V5 )
s V4110S03 > 0.0
t Abschn.4 (Tierproduktion), ZUKAUFSPREIS fuer MASTKAELBER liegt nicht
t im Bereich von 10-400 Euro/Tier
b V4110S03 #IN( 10.0, 400.0 )
k
f 4436.000(***) P(V2  V4  V5 )
s V4110S04 > 0.0 && V5110S07 > 3
t Abschn.4 (Tierproduktion), VERKAUFSPREIS fuer MASTKAELBER liegt nicht
t im Bereich von 10-400 Euro/Tier
b V4110S04 #IN( 10.0, 400.0 )
k
m LDWP04F
k
k
k                                /* weibl. u. maennl. Kaelber bis 6 M. */
f 4440.0##(***) P(V2  V4  V5 )
d ##(11,20)
s   V0023S02 ==  1E0                                  /* KONV. */
s V41##S03 > 0.0
t Abschn.4 (Tierproduktion), konv.wirt. Betrieb: ZUKAUFSPREIS fuer KAELBER liegt nicht im
t Bereich von 30-1000 Euro/Tier
b V41##S03 #IN( 30.0, 1000.0 )
k
f 4440.1##(***) P(V2  V4  V5 )
d ##(11,20)
s   V0023S02 != 1E0                               /* OEKOL. */
s V41##S03 > 0.0
t Abschn.4 (Tierproduktion), oekol.wirt. Betrieb: ZUKAUFSPREIS fuer KAELBER liegt nicht im
t Bereich von 30-1300 Euro/Tier
b V41##S03 #IN( 30.0, 1300.0 )
k                                /* weibl. u. maennl. Kaelber bis 6 M. */
f 4441.0##(***) P(V2  V4  V5 )
d ##(11,20)
s   V0023S02 ==  1E0                                  /* KONV. */
s V41##S04 > 0.0 && V51##S07 > 3
t Abschn.4 (Tierproduktion), konv.wirt. Betrieb: VERKAUFSPREIS fuer KAELBER liegt nicht im
t Bereich von 50-1100 Euro/Tier
b V41##S04 #IN( 50.0, 1100.0 )
k                                /* weibl. u. maennl. Kaelber bis 6 M. */
f 4441.1##(***) P(V2  V4  V5 )
d ##(11,20)
s   V0023S02 != 1E0                               /* OEKOL. */
s V41##S04 > 0.0 && V51##S07 > 3
t Abschn.4 (Tierproduktion), oekol.wirt. Betrieb: VERKAUFSPREIS fuer KAELBER liegt nicht im
t Bereich von 50-1200 Euro/Tier
b V41##S04 #IN( 50.0, 1200.0 )                               
k								 /* weibl. Jungrinder (6-12 M.) */
f 4445.000(***) P(V2  V4  V5 )
s   V0023S02 ==  1E0                                  /* KONV. */
s V4112S03 > 0.0
t Abschn.4(Tierproduktion), konv.wirt. Betrieb: ZUKAUFSPREIS f. weibl. JUNGRINDER (6-12 M.)
t liegt nicht im Bereich von 200-1200 Euro/Tier
b V4112S03 #IN( 200.0, 1200.0 )
k
f 4445.100(***) P(V2  V4  V5 )
s   V0023S02 != 1E0                               /* OEKOL. */
s V4112S03 > 0.0
t Abschn.4(Tierproduktion), oekol.wirt. Betrieb: ZUKAUFSPREIS f. weibl. JUNGRINDER (6-12 M.)
t liegt nicht im Bereich von 200-1500 Euro/Tier
b V4112S03 #IN( 200.0, 1500.0 )
k                                /* weibl. Jungrinder (6-12 M.) */
f 4446.000(***) P(V2  V4  V5 )
s   V0023S02 ==  1E0                                  /* KONV. */
s V4112S04 > 0.0 && V5112S07 > 3
t Abschn.4(Tierproduktion), konv.wirt. Betrieb: VERKAUFSPREIS f. weibl. JUNGRINDER(6-12 M.)
t liegt nicht im Bereich von 200-1200 Euro/Tier
b V4112S04 #IN( 200.0, 1200.0 )
k
f 4446.100(***) P(V2  V4  V5 )
s   V0023S02 != 1E0                               /* OEKOL. */
s V4112S04 > 0.0 && V5112S07 > 3
t Abschn.4(Tierproduktion), oekol.wirt. Betrieb: VERKAUFSPREIS f. weibl. JUNGRINDER(6-12 M.)
t liegt nicht im Bereich von 200-1700 Euro/Tier
b V4112S04 #IN( 200.0, 1700.0 )
k                                /* weibl. Jungrinder (12-24 M.) */
f 4450.000(***) P(V2  V4  V5 )
s   V0023S02 ==  1E0                                  /* KONV. */
s V4113S03 > 0.0
t Abschn.4(Tierproduktion), konv.wirt. Betrieb: ZUKAUFSPREIS f. weibl. JUNGRINDER(12-24 M.)
t liegt nicht im Bereich von 300-1.700 Euro/Tier
b V4113S03 #IN( 300.0, 1700.0 )
k
f 4450.100(***) P(V2  V4  V5 )
s   V0023S02 != 1E0                               /* OEKOL. */
s V4113S03 > 0.0
t Abschn.4(Tierproduktion), oekol.wirt. Betrieb: ZUKAUFSPREIS f. weibl. JUNGRINDER(12-24 M.)
t liegt nicht im Bereich von 300-2.000 Euro/Tier
b V4113S03 #IN( 300.0, 2000.0 )
k                                /* weibl. Jungrinder (12-24 M.) */
f 4451.000(***) P(V2  V4  V5 )
s   V0023S02 ==  1E0                                  /* KONV. */
s V4113S04 > 0.0 && V5113S07 > 3
t Abschn.4(Tierproduktion), konv.wirt. Betrieb: VERKAUFSPREIS f. weibl. JUNGRINDER(12-24 M.)
t liegt nicht im Bereich von 350-2.200 Euro/Tier
b V4113S04 #IN( 350.0, 2200.0 )
k
f 4451.100(***) P(V2  V4  V5 )
s   V0023S02 != 1E0                               /* OEKOL. */
s V4113S04 > 0.0 && V5113S07 > 3
t Abschn.4(Tierproduktion), oekol.wirt. Betrieb: VERKAUFSPREIS f. weibl. JUNGRINDER(12-24 M.)
t liegt nicht im Bereich von 300-2.500 Euro/Tier
b V4113S04 #IN( 300.0, 2500.0 )
k                                /* Zuchtfaersen */
f 4455.000(***) P(V2  V4  V5 )
s   V0023S02 ==  1E0                                  /* KONV. */
s V4114S03 > 0.0
t Abschn.4 (Tierproduktion), konv.wirt. Betrieb: ZUKAUFSPREIS fuer ZUCHTFAERSEN liegt
t nicht im Bereich von 300-2.600 Euro/Tier
b V4114S03 #IN( 300.0, 2600.0 )
k
f 4455.100(***) P(V2  V4  V5 )
s   V0023S02 != 1E0                               /* OEKOL. */
s V4114S03 > 0.0
t Abschn.4 (Tierproduktion), oekol.wirt. Betrieb: ZUKAUFSPREIS fuer ZUCHTFAERSEN liegt
t nicht im Bereich von 300-2.800 Euro/Tier
b V4114S03 #IN( 300.0, 2800.0 )
k                                /* Zuchtfaersen */
f 4456.000(***) P(V2  V4  V5 )
s   V0023S02 ==  1E0                                  /* KONV. */
s V4114S04 > 0.0 && V5114S07 > 3
t Abschn.4 (Tierproduktion), konv.wirt. Betrieb: VERKAUFSPREIS fuer ZUCHTFAERSEN liegt
t nicht im Bereich von 400-2.600 Euro/Tier
b V4114S04 #IN( 400.0, 2600.0 )
k
f 4456.100(***) P(V2  V4  V5 )
s   V0023S02 != 1E0                               /* OEKOL. */
s V4114S04 > 0.0 && V5114S07 > 3
t Abschn.4 (Tierproduktion), oekol.wirt. Betrieb: VERKAUFSPREIS fuer ZUCHTFAERSEN liegt
t nicht im Bereich von 400-3.000 Euro/Tier
b V4114S04 #IN( 400.0, 3000.0 )
k
k                                /* Mastfaersen */
f 4460.000(***) P(V2  V4  V5 )
s V4115S03 > 0.0
t Abschn.4 (Tierproduktion), ZUKAUFSPREIS fuer MASTFAERSE liegt nicht
t im Bereich von 400-1.700 Euro/Tier
b V4115S03 #IN( 400.0, 1700.0 )
k
k
k                                /* Mastfaersen */
f 4461.000(***) P(V2  V4  V5 )
s   V0023S02 ==  1E0                                  /* KONV. */
s V4115S04 > 0.0 && V5115S07 > 3
t Abschn.4 (Tierproduktion), konv.wirt. Betrieb: VERKAUFSPREIS fuer MASTFAERSE liegt nicht
t im Bereich von 400-1.500 Euro/Tier
b V4115S04 #IN( 400.0, 1500.0 )
k
f 4461.100(***) P(V2  V4  V5 )
s   V0023S02 != 1E0                               /* OEKOL. */
s V4115S04 > 0.0 && V5115S07 > 3
t Abschn.4 (Tierproduktion), oekol.wirt. Betrieb: VERKAUFSPREIS fuer MASTFAERSE liegt nicht
t im Bereich von 400-3.000 Euro/Tier
b V4115S04 #IN( 400.0, 3000.0 )
k
k                                /* Milchkuehe */
f 4464.000(***) P(V2  V4  V5 )
s V3116S09 > 1E0
t Abschn.4 (Tierproduktion), MILCHLEISTUNG je KUH in Code 4116 ergibt sich
t nicht aus der erzeugten Milchmenge und dem Durchschnittsbestand an
t Milchkuehen
b ( V5689S04 * 100 ) / V3116S09 #EQ(10.0) V4116S02
k
k                                /* Milch- und Ammenkuehe */
f 4465.000(***) P(V2  V4  V5 )
s V3116S09 > 1E0 || V5690S05 > 15E0
t Abschn.4 (Tierproduktion), MILCHLEISTUNG je KUH liegt nicht im
t Bereich von 2.000-12.500 kg Milch/Milchkuh
b V4116S02 #IN( 2000.0, 12500.0 )
k
k                                /* Milch- und Ammenkuehe */
f 4466.0##(***) P(V2  V4  V5 )
d ##(16-17)
s   V0023S02 ==  1E0                                  /* KONV. */
s V41##S03 > 0.0
t Abschn.4 (Tierproduktion), konv.wirt. Betrieb: ZUKAUFSPREIS fuer MILCH- oder AMMENKUEHE-
t liegt nicht im Bereich von 350-2.500 Euro/Tier
b V41##S03 #IN( 350.0, 2500.0 )
k
f 4466.1##(***) P(V2  V4  V5 )
s   V0023S02 != 1E0                               /* OEKOL. */
d ##(16-17)
s V41##S03 > 0.0
t Abschn.4 (Tierproduktion), oekol.wirt. Betrieb: ZUKAUFSPREIS fuer MILCH- oder AMMENKUEHE-
t liegt nicht im Bereich von 350-2.800 Euro/Tier
b V41##S03 #IN( 350.0, 2800.0 )
k                                /* Milchkuehe */
f 4467.000(***) P(V2  V4  V5 )
s   V0023S02 ==  1E0                                  /* KONV. */
s V4116S04 > 0.0 && V5116S07 > 3
t Abschn.4 (Tierproduktion), konv.wirt. Betrieb: VERKAUFSPREIS fuer MILCHKUEHE
t liegt nicht im Bereich von 200-2.000 Euro/Tier
b V4116S04 #IN( 200.0, 2000.0 )
k
f 4467.100(***) P(V2  V4  V5 )
s   V0023S02 != 1E0                               /* OEKOL. */
s V4116S04 > 0.0 && V5116S07 > 3
t Abschn.4 (Tierproduktion), oekol.wirt. Betrieb: VERKAUFSPREIS fuer MILCHKUEHE
t liegt nicht im Bereich von 200-2.500 Euro/Tier
b V4116S04 #IN( 200.0, 2500.0 )
k
k                                /* Ammenkuehe */
f 4468.000(***) P(V2  V4  V5 )
s   V0023S02 ==  1E0                                  /* KONV. */
s V4117S04 > 0.0 && V5117S07 > 3
t Abschn.4 (Tierproduktion), konv.wirt. Betrieb: VERKAUFSPREIS fuer AMMENKUEHE
t liegt nicht im Bereich von 200-2.400 Euro/Tier
b V4117S04 #IN( 200.0, 2400.0 )
k
f 4468.100(***) P(V2  V4  V5 )
s   V0023S02 != 1E0                               /* OEKOL. */
s V4117S04 > 0.0 && V5117S07 > 3
t Abschn.4 (Tierproduktion), oekol.wirt. Betrieb: VERKAUFSPREIS fuer AMMENKUEHE
t liegt nicht im Bereich von 200-2.800 Euro/Tier
b V4117S04 #IN( 200.0, 2800.0 )

k                                /* Schlachtkuehe */
f 4470.000(***) P(V2  V4  V5 )
s V4118S03 > 0.0
t Abschn.4 (Tierproduktion), ZUKAUFSPREIS fuer SCHLACHTKUEHE liegt
t nicht im Bereich von 350-1.250 Euro/Tier
b V4118S03 #IN( 350.0, 1250.0 )
k                                /* Schlachtkuehe */
f 4471.000(***) P(V2  V4  V5 )
s   V0023S02 ==  1E0                                  /* KONV. */
s V4118S04 > 0.0 && V5118S07 > 3
t Abschn.4 (Tierproduktion), konv.wirt. Betrieb: VERKAUFSPREIS fuer SCHLACHTKUEHE liegt
t nicht im Bereich von 350-1.250 Euro/Tier
b V4118S04 #IN( 350.0, 1250.0 )
k
f 4471.100(***) P(V2  V4  V5 )
s   V0023S02 != 1E0                               /* OEKOL. */
s V4118S04 > 0.0 && V5118S07 > 3
t Abschn.4 (Tierproduktion), oekol.wirt. Betrieb: VERKAUFSPREIS fuer SCHLACHTKUEHE liegt
t nicht im Bereich von 350-2.200 Euro/Tier
b V4118S04 #IN( 350.0, 2200.0 )
k
k                                /* maennl. Jungrinder (6-12 M.) */
f 4475.000(***) P(V2  V4  V5 )
s   V0023S02 ==  1E0                                  /* KONV. */
s V4121S03 > 0.0
t Abschn.4(Tierproduktion), konv.wirt. Betrieb: ZUKAUFSPREIS f. maennl. JUNGRINDER (6-12
t M.) liegt nicht im Bereich von 100-1300 Euro/Tier
b V4121S03 #IN( 100.0, 1300.0 )
k
f 4475.100(***) P(V2  V4  V5 )
s   V0023S02 != 1E0                               /* OEKOL. */
s V4121S03 > 0.0
t Abschn.4(Tierproduktion), oekol.wirt. Betrieb: ZUKAUFSPREIS f. maennl. JUNGRINDER (6-12
t M.) liegt nicht im Bereich von 100-1800 Euro/Tier
b V4121S03 #IN( 100.0, 1800.0 )
k                                /* maennl. Jungrinder (6-12 M.) */
f 4476.000(***) P(V2  V4  V5 )
s   V0023S02 ==  1E0                                  /* KONV. */
s V4121S04 > 0.0 && V5121S07 > 3
t Abschn.4(Tierproduktion), konv.wirt. Betrieb: VERKAUFSPREIS f.maennl. JUNGRINDER(6-12 M.)
t  liegt nicht im Bereich von 100-1500 Euro/Tier
b V4121S04 #IN( 100.0, 1500.0 )
k 
f 4476.100(***) P(V2  V4  V5 )
s   V0023S02 != 1E0                               /* OEKOL. */
s V4121S04 > 0.0 && V5121S07 > 3
t Abschn.4(Tierproduktion), oekol.wirt. Betrieb: VERKAUFSPREIS f.maennl. JUNGRINDER(6-12 M.)
t  liegt nicht im Bereich von 100-1900 Euro/Tier
b V4121S04 #IN( 100.0, 1900.0 )
k
k                               /* maennl. Jungrinder (12-18 M.) */
f 4478.000(***) P(V2  V4  V5 )
s   V0023S02 ==  1E0                                  /* KONV. */
s V4122S03 > 0.0
t Abschn.4(Tierproduktion), konv.wirt. Betrieb: ZUKAUFSPREIS f.maennl. JUNGRINDER(12-24 M.)
t liegt nicht im Bereich von 400-1.650 Euro/Tier
b V4122S03 #IN( 400.0, 1650.0 )
k 
f 4478.100(***) P(V2  V4  V5 )
s   V0023S02 != 1E0                               /* OEKOL. */
s V4122S03 > 0.0
t Abschn.4(Tierproduktion), oekol.wirt. Betrieb: ZUKAUFSPREIS f.maennl. JUNGRINDER(12-24 M.)
t liegt nicht im Bereich von 400-3.000 Euro/Tier
b V4122S03 #IN( 400.0, 3000.0 )
k
f 4479.000(***) P(V2  V4  V5 )
s   V0023S02 ==  1E0                                  /* KONV. */
s V4122S04 > 0.0 && V51##S07 > 3
t Abschn.4(Tierproduktion), konv.wirt. Betrieb: VERKAUFSPREIS f.maennl. JUNGRINDER(12-24 M.)
t liegt nicht im Bereich von 400-2.400 Euro/Tier
b V4122S04 #IN( 400.0, 2400.0 )
f 4479.100(***) P(V2  V4  V5 )
s   V0023S02 != 1E0                               /* OEKOL. */
s V4122S04 > 0.0 && V51##S07 > 3
t Abschn.4(Tierproduktion), oekol.wirt. Betrieb: VERKAUFSPREIS f.maennl. JUNGRINDER(12-24 M.)
t liegt nicht im Bereich von 400-3.000 Euro/Tier
b V4122S04 #IN( 400.0, 3000.0 )
k                               /* maennl. Jungrinder (18-24 M.) */
f 4480.000(***) P(V2  V4  V5 )
s V4123S03 > 0.0
t Abschn.4(Tierproduktion), ZUKAUFSPREIS f.maennl. JUNGRINDER(12-24 M.)
t liegt nicht im Bereich von 400-2.600 Euro/Tier
b V4123S03 #IN( 400.0, 2600.0 )
k                               /* maennl. Jungrinder (18-24 M.) */
f 4481.000(***) P(V2  V4  V5 )
s   V0023S02 ==  1E0                                  /* KONV. */
s V4123S04 > 0.0 && V51##S07 > 3
t Abschn.4(Tierproduktion), konv.wirt. Betrieb: VERKAUFSPREIS f.maennl. JUNGRINDER(12-24 M.)
t liegt nicht im Bereich von 400-2.400 Euro/Tier
b V4123S04 #IN( 400.0, 2400.0 )
k
f 4481.100(***) P(V2  V4  V5 )
s   V0023S02 != 1E0                               /* OEKOL. */
s V4123S04 > 0.0 && V51##S07 > 3
t Abschn.4(Tierproduktion), oekol.wirt. Betrieb: VERKAUFSPREIS f.maennl. JUNGRINDER(12-24 M.)
t liegt nicht im Bereich von 400-3.500 Euro/Tier
b V4123S04 #IN( 400.0, 3500.0 )
k                               /* sonst. maennl.Rinder ueber 24 Monate */
f 4485.000(***) P(V2  V4  V5 )
s V4124S03 > 0.0
t Abschn.4 (Tierproduktion), ZUKAUFSPREIS fuer m. RINDER ueber 24 Monate liegt
t nicht im Bereich von 400-.2.600 Euro/Tier
b V4124S03 #IN( 400.0, 2600.0 )
k
k
k                               /* sonst. maennl.Rinder ueber 24 Monate */
f 4486.000(***) P(V2  V4  V5 )
s   V0023S02 ==  1E0                                  /* KONV. */
s V4124S04 > 0.0 && V5124S07 > 3
t Abschn.4 (Tierproduktion), konv.wirt. Betrieb: VERKAUFSPREIS m. RINDER ueber 24 Monate liegt
t nicht im Bereich von 600-2.600 Euro/Tier
b V4124S04 #IN( 600.0, 2600.0 )
k
f 4486.100(***) P(V2  V4  V5 )
s   V0023S02 != 1E0                               /* OEKOL. */
s V4124S04 > 0.0 && V5124S07 > 3
t Abschn.4 (Tierproduktion), oekol.wirt. Betrieb: VERKAUFSPREIS m. RINDER ueber 24 Monate liegt
t nicht im Bereich von 600-3.600 Euro/Tier
b V4124S04 #IN( 600.0, 3600.0 )
k
k                                /* Zuchtbullen */
f 4490.000(***) P(V2  V4  V5 )
s   V0023S02 ==  1E0                                  /* KONV. */
s V4125S03 > 0.0
t Abschn.4 (Tierproduktion), konv.wirt. Betrieb: ZUKAUFSPREIS fuer ZUCHTBULLEN liegt nicht
t im Bereich von 600-3.500 Euro/Tier
b V4125S03 #IN( 600.0, 3500.0 )
k
f 4490.100(***) P(V2  V4  V5 )
s   V0023S02 != 1E0                               /* OEKOL. */
s V4125S03 > 0.0
t Abschn.4 (Tierproduktion), oekol.wirt. Betrieb: ZUKAUFSPREIS fuer ZUCHTBULLEN liegt nicht
t im Bereich von 600-4.500 Euro/Tier
b V4125S03 #IN( 600.0, 4500.0 )
k                                /* Zuchtbullen */
f 4491.000(***) P(V2  V4  V5 )
s   V0023S02 ==  1E0                                  /* KONV. */
s V4125S04 > 0.0
t Abschn.4 (Tierproduktion), konv.wirt. Betrieb: VERKAUFSPREIS fuer ZUCHTBULLEN liegt nicht
t im Bereich von 600-4.200 Euro/Tier
b V4125S04 #IN( 600.0, 4200.0 )
k
f 4491.100(***) P(V2  V4  V5 )
s   V0023S02 != 1E0                               /* OEKOL. */
s V4125S04 > 0.0
t Abschn.4 (Tierproduktion), oekol.wirt. Betrieb: VERKAUFSPREIS fuer ZUCHTBULLEN liegt nicht
t im Bereich von 600-5.000 Euro/Tier
b V4125S04 #IN( 600.0, 5000.0 )
k
k                                /* Kuhmilch */
f 4495.000(***) P(V2  V4  V5 )
s V4127S04 > 0.0
s    V0023S02 ==  1E0
t Abschn.4 (Tierproduktion), konv.wirt. Betrieb: VERKAUFSPREIS fuer
t KUHMILCH liegt nicht im Bereich von 20-40 Euro/dt Kuhmilch
b V4127S04 #IN( 20.0, 40.0 )
k                                /* Kuhmilch */
f 4496.000(***) P(V2  V4  V5 )
s V4127S04 > 0.0
s    V0023S02 !=  1E0
t Abschn.4 (Tierproduktion), oekol.wirt. Betrieb: VERKAUFSPREIS fuer
t KUHMILCH liegt nicht im Bereich von 20-120 Euro/dt Kuhmilch
b V4127S04 #IN( 20.0, 120.0 )
k
k
k                                /* geb. Kaelber */
f 4499.000(***) P(V2  V4  V5 )
s ( V3116S09 > 1E0 || V3117S09 > 1E0)
t Abschn.4 (Tierproduktion), Angabe GEBORENE KAELBER je KUH liegt
t nicht im Bereich von 0.1 bis 2
b V4128S02 #IN( 0.1, 2.0 )
k
a 4.2.1.4.09                                                     SCHWEINE
k                                /* Ferkel bis 10 kg */
k
f 4501.000(***) P(V2  V4  V5 )
s V4130S03 > 0.0
s    V5130S03 < 11E0
t Abschn.4 (Tierproduktion), Zukauf von max. 10 Ferkeln: ZUKAUFSPREIS
t fuer FERKEL (Code 4130) liegt nicht im Bereich von 10-70 Euro/Tier
b V4130S03 #IN( 10.0, 70.0 )
k                                /* Ferkel bis 10 kg */
f 4502.000(***) P(V2  V4  V5 )
s V4130S03 > 0.0
s    V5130S03 >= 11E0
t Abschn.4 (Tierproduktion), ZUKAUFSPREIS fuer FERKEL (Code 4130)
t liegt nicht im Bereich von 10-70 Euro/Tier
b V4130S03 #IN( 10.0, 70.0 )
k                                /* Ferkel bis 10 kg */
f 4503.000(***) P(V2  V4  V5 )
s V4130S04 > 0.0
s    V5130S07 < 11E0
t Abschn.4 (Tierproduktion), Verkauf von max. 10 Ferkeln: VERKAUFSPREIS
t fuer FERKEL (Code 4130) liegt nicht im Bereich von 10-80 Euro/Tier
b V4130S04 #IN( 10.0, 80.0 )
k                                /* Ferkel bis 10 kg */
f 4504.000(***) P(V2  V4  V5 )
s V4130S04 > 0.0
s    V5130S07 >= 11E0
t Abschn.4 (Tierproduktion), VERKAUFSPREIS fuer FERKEL (Code 4130)
t liegt nicht im Bereich von 10-80 Euro/Tier
b V4130S04 #IN( 10.0, 80.0 )
k                                /* Ferkel bis 30 kg */
f 4505.000(***) P(V2  V4  V5 )
s   V0023S02 ==  1E0                                  /* KONV. */
s V4131S03 > 0.0
s    V5131S03 < 11E0
t Abschn.4 (Tierproduktion), konv.wirt. Betrieb: Zukauf von max. 10 Ferkeln: ZUKAUFSPREIS
t fuer FERKEL (Code 4131) liegt nicht im Bereich von 10-100 Euro/Tier
b V4131S03 #IN( 10.0, 100.0 )
k
f 4505.100(***) P(V2  V4  V5 )
s   V0023S02 != 1E0                               /* OEKOL. */
s V4131S03 > 0.0
s    V5131S03 < 11E0
t Abschn.4 (Tierproduktion), oekol.wirt. Betrieb: Zukauf von max. 10 Ferkeln: ZUKAUFSPREIS
t fuer FERKEL (Code 4131) liegt nicht im Bereich von 10-160 Euro/Tier
b V4131S03 #IN( 10.0, 160.0 )
k                                /* Ferkel bis 30 kg */
f 4506.000(***) P(V2  V4  V5 )
s   V0023S02 ==  1E0                                  /* KONV. */
s V4131S03 > 0.0
s    V5131S03 >= 11E0
t Abschn.4 (Tierproduktion), konv.wirt. Betrieb: ZUKAUFSPREIS fuer FERKEL (Code 4131)
t liegt nicht im Bereich von 15-90 Euro/Tier
b V4131S03 #IN( 15.0, 90.0 )
k
f 4506.100(***) P(V2  V4  V5 )
s   V0023S02 != 1E0                               /* OEKOL. */
s V4131S03 > 0.0
s    V5131S03 >= 11E0
t Abschn.4 (Tierproduktion), oekol.wirt. Betrieb: ZUKAUFSPREIS fuer FERKEL (Code 4131)
t liegt nicht im Bereich von 15-160 Euro/Tier
b V4131S03 #IN( 15.0, 160.0 )
k                                /* Ferkel bis 30 kg */
f 4507.000(***) P(V2  V4  V5 )
s   V0023S02 ==  1E0                                  /* KONV. */
s V4131S04 > 0.0
s    V5131S07 < 11E0
t Abschn.4 (Tierproduktion), konv.wirt. Betrieb: Verkauf von max. 10 Ferkeln: VERKAUFSPREIS
t fuer FERKEL (Code 4131) liegt nicht im Bereich von 15-100 Euro/Tier
b V4131S04 #IN( 15.0, 100.0 )
k
f 4507.100(***) P(V2  V4  V5 )
s   V0023S02 != 1E0                               /* OEKOL. */
s V4131S04 > 0.0
s    V5131S07 < 11E0
t Abschn.4 (Tierproduktion), oekol.wirt. Betrieb: Verkauf von max. 10 Ferkeln: VERKAUFSPREIS
t fuer FERKEL (Code 4131) liegt nicht im Bereich von 15-160 Euro/Tier
b V4131S04 #IN( 15.0, 160.0 )
k                                /* Ferkel bis 30 kg */
f 4508.000(***) P(V2  V4  V5 )
s   V0023S02 ==  1E0                                  /* KONV. */
s V4131S04 > 0.0
s    V5131S07 >= 11E0
t Abschn.4 (Tierproduktion), konv.wirt. Betrieb: VERKAUFSPREIS fuer FERKEL (Code 4131)
t liegt nicht im Bereich von 15-90 Euro/Tier
b V4131S04 #IN( 15.0, 90.0 )
k
f 4508.100(***) P(V2  V4  V5 )
s   V0023S02 != 1E0                               /* OEKOL. */
s V4131S04 > 0.0
s    V5131S07 >= 11E0
t Abschn.4 (Tierproduktion), oekol.wirt. Betrieb: VERKAUFSPREIS fuer FERKEL (Code 4131)
t liegt nicht im Bereich von 15-160 Euro/Tier
b V4131S04 #IN( 15.0, 160.0 )
k
k
k                                /* Laeufer bis 50 kg */
f 4515.000(***) P(V2  V4  V5 )
s   V0023S02 ==  1E0                                  /* KONV. */
s V4133S03 > 0.0
s    V5133S03 < 11E0
t Abschn.4 (Tierproduktion), konv.wirt. Betrieb: Zukauf von max. 10 Tieren: ZUKAUFSPREIS
t fuer LAEUFER (Code 4133) liegt nicht im Bereich von 20-150 Euro/Tier
b V4133S03 #IN( 20.0, 150.0 )
k
f 4515.100(***) P(V2  V4  V5 )
s   V0023S02 != 1E0                               /* OEKOL. */
s V4133S03 > 0.0
s    V5133S03 < 11E0
t Abschn.4 (Tierproduktion), oekol.wirt. Betrieb: Zukauf von max. 10 Tieren: ZUKAUFSPREIS
t fuer LAEUFER (Code 4133) liegt nicht im Bereich von 20-170 Euro/Tier
b V4133S03 #IN( 20.0, 170.0 )
k                                /* Laeufer bis 50 kg */
f 4516.000(***) P(V2  V4  V5 )
s   V0023S02 ==  1E0                                  /* KONV. */
s V4133S03 > 0.0
s    V5133S03 >= 11E0
t Abschn.4(Tierproduktion), konv.wirt. Betrieb: ZUKAUFSPREIS fuer LAEUFER (Code 4133) liegt
t nicht im Bereich von 20-150 Euro/Tier
b V4133S03 #IN( 20.0, 150.0 )
k
f 4516.100(***) P(V2  V4  V5 )
s   V0023S02 != 1E0                               /* OEKOL. */
s V4133S03 > 0.0
s    V5133S03 >= 11E0
t Abschn.4(Tierproduktion), oekol.wirt. Betrieb: ZUKAUFSPREIS fuer LAEUFER (Code 4133) liegt
t nicht im Bereich von 20-200 Euro/Tier
b V4133S03 #IN( 20.0, 200.0 )
k                                /* Laeufer bis 50 kg */
f 4517.000(***) P(V2  V4  V5 )
s   V0023S02 ==  1E0                                  /* KONV. */
s V4133S04 > 0.0
s    V5133S07 < 11E0
t Abschn.4 (Tierproduktion), konv.wirt. Betrieb: Verkauf von max. 10 Tieren: VERKAUFSPREIS
t fuer LAEUFER (Code 4133) liegt nicht im Bereich von 5-150 Euro/Tier
b V4133S04 #IN( 5.0, 150.0 )
k
f 4517.100(***) P(V2  V4  V5 )
s   V0023S02 != 1E0                               /* OEKOL. */
s V4133S04 > 0.0
s    V5133S07 < 11E0
t Abschn.4 (Tierproduktion), oekol.wirt. Betrieb: Verkauf von max. 10 Tieren: VERKAUFSPREIS
t fuer LAEUFER (Code 4133) liegt nicht im Bereich von 20-200 Euro/Tier
b V4133S04 #IN( 20.0, 200.0 )
k                                /* Laeufer bis 50 kg */
f 4518.000(***) P(V2  V4  V5 )
s   V0023S02 ==  1E0                                  /* KONV. */
s V4133S04 > 0.0
s    V5133S07 >= 11E0
t Abschn.4 (Tierproduktion), konv.wirt. Betrieb: VERKAUFSPREIS f. LAEUFER (Code 4133) liegt
t nicht im Bereich von 30-100 Euro/Tier
b V4133S04 #IN( 30.0, 100.0 )
k
f 4518.100(***) P(V2  V4  V5 )
s   V0023S02 != 1E0                               /* OEKOL. */
s V4133S04 > 0.0
s    V5133S07 >= 11E0
t Abschn.4 (Tierproduktion), oekol.wirt. Betrieb: VERKAUFSPREIS f. LAEUFER (Code 4133) liegt
t nicht im Bereich von 20-200 Euro/Tier
b V4133S04 #IN( 20.0, 200.0 )
k
k                                /* Mastschweine */
f 4525.000(***) P(V2  V4  V5 )
s V4134S03 > 0.0
t Abschn.4(Tierproduktion), ZUKAUFSPREIS fuer MASTSCHWEINE (Code 4134)
t liegt nicht im Bereich von 40-220 Euro/Tier
b V4134S03 #IN( 40.0, 220.0 )
k                                /* Mastschweine */
f 4526.100(***) P(V2  V4  V5 )
s V4134S04 > 0.0
s v0023S02 == 1E0
t Abschn.4 (Tierproduktion),konvent. wirtsch. Betrieb, VERKAUFSPREIS f. 
t MASTSCHWEINE (Code 4134) liegt nicht im Bereich von 50-220 Euro/Tier
b V4134S04 #IN( 50.0, 220.0 )
k
f 4526.200(***) P(V2  V4  V5 )
s V4134S04 > 0.0
s V0023S02 != 1E0
t Abschn.4 (Tierproduktion), oekolog.wirt. Betrieb, VERKAUFSPREIS f. 
t MASTSCHWEINE (Code 4134) liegt nicht im Bereich von 50-1000 Euro/Tier
b V4134S04 #IN( 50.0, 1000.0 )
k
k                                /* Jungsauen */
f 4530.000(***) P(V2  V4  V5 )
s V4135S03 > 0.0
s    V5136S03 < 4E0
t Abschn.4(Tierproduktion), Zukauf von max. 3 Tieren: ZUKAUFSPREIS fuer
t JUNGSAUEN (Code 4135) liegt nicht im Bereich von 100-1.000 Euro/Tier
b V4135S03 #IN( 100.0, 1000.0 )
k                                /* Jungsauen */
f 4531.000(***) P(V2  V4  V5 )
s V4135S03 > 0.0
s    V5136S03 >= 4E0
t Abschn.4(Tierproduktion), ZUKAUFSPREIS fuer JUNGSAUEN (Code 4135)
t liegt nicht im Bereich von 100-700 Euro/Tier
b V4135S03 #IN( 100.0, 700.0 )
k                                /* Jungsauen */
f 4532.000(***) P(V2  V4  V5 )
s V4135S04 > 0.0
s    V5136S07 < 4E0
t Abschn.4 (Tierproduktion), Verkauf von max. 3 Tieren: VERKAUFSPREIS
t f. JUNGSAUEN (Code 4135) liegt nicht im Bereich von 100-1.000 Euro/Tier
b V4135S04 #IN( 100.0, 1000.0 )
k                                /* Jungsauen */
f 4533.000(***) P(V2  V4  V5 )
s V4135S04 > 0.0
s    V5136S07 >= 4E0
t Abschn.4 (Tierproduktion), VERKAUFSPREIS fuer JUNGSAUEN (Code 4135)
t liegt nicht im Bereich von 100-700 Euro/Tier
b V4135S04 #IN( 100.0, 700.0 )
k
k                                /* Zuchtsauen */
f 4535.000(***) P(V2  V4  V5 )
s V3136S09 > 1E0
t Abschn.4 (Tierproduktion), Angabe GEBORENE FERKEL je SAU liegt nicht
t im Bereich von 10 bis 38
b V4136S02 #IN( 10.0, 38.0 )
k                                /* Zuchtsauen */
f 4536.000(***) P(V2  V4  V5 )
s V4136S03 > 0.0
s    V5137S03 < 4E0
t Abschn.4(Tierproduktion), Zukauf von max. 3 Tieren: ZUKAUFSPREIS fuer
t ZUCHTSAUEN (Code 4136) liegt nicht im Bereich von 100-1.000 Euro/Tier
b V4136S03 #IN( 100.0, 1000.0 )
k                                /* Zuchtsauen */
f 4537.000(***) P(V2  V4  V5 )
s V4136S03 > 0.0
s    V5137S03 >= 4E0
t Abschn.4(Tierproduktion), ZUKAUFSPREIS ZUCHTSAUEN (Code 4136) liegt
t nicht im Bereich von 75-500 Euro/Tier
b V4136S03 #IN( 75.0, 500.0 )
k                                /* Zuchtsauen */
f 4538.000(***) P(V2  V4  V5 )
s   V0023S02 ==  1E0                                  /* KONV. */
s V4136S04 > 0.0
s    V5136S07 < 4E0
t Abschn.4 (Tierproduktion), konv.wirt. Betrieb: Verkauf von max. 3 Tieren: VERKAUFSPREIS
t fuer ZUCHTSAUEN (Code 4136) liegt nicht im Bereich
t von 75-1.000 Euro/Tier
b V4136S04 #IN( 75.0, 1000.0 )
k
f 4538.100(***) P(V2  V4  V5 )
s   V0023S02 != 1E0                               /* OEKOL. */
s V4136S04 > 0.0
s    V5136S07 < 4E0
t Abschn.4 (Tierproduktion), oekol.wirt. Betrieb: Verkauf von max. 3 Tieren: VERKAUFSPREIS
t fuer ZUCHTSAUEN (Code 4136) liegt nicht im Bereich
t von 75-1.200 Euro/Tier
b V4136S04 #IN( 75.0, 1200.0 )
k                                /* Zuchtsauen */
f 4539.000(***) P(V2  V4  V5 )
s   V0023S02 ==  1E0                                  /* KONV. */
s V4136S04 > 0.0
s    V5136S07 >= 4E0
t Abschn.4 (Tierproduktion), konv.wirt. Betrieb: VERKAUFSPREIS fuer ZUCHTSAUEN (Code 4136)
t liegt nicht im Bereich von 75-500 Euro/Tier
b V4136S04 #IN( 75.0, 500.0 )
k
f 4539.100(***) P(V2  V4  V5 )
s   V0023S02 != 1E0                               /* OEKOL. */
s V4136S04 > 0.0
s    V5136S07 >= 4E0
t Abschn.4 (Tierproduktion), oekol.wirt. Betrieb: VERKAUFSPREIS fuer ZUCHTSAUEN (Code 4136)
t liegt nicht im Bereich von 75-1200 Euro/Tier
b V4136S04 #IN( 75.0, 1200.0 )
k                                /* Jungeber */
f 4540.000(***) P(V2  V4  V5 )
s V4137S03 > 0.0
s    V5137S03 < 4E0
t Abschn.4(Tierproduktion), Zukauf von max. 3 Tieren: ZUKAUFSPREIS fuer
t JUNGEBER (Code 4137) liegt nicht im Bereich von 75-1.000 Euro/Tier
b V4137S03 #IN( 75.0, 1000.0 )
k                                /* Jungeber */
f 4541.000(***) P(V2  V4  V5 )
s V4137S03 > 0.0
s    V5137S03 >= 4E0
t Abschn.4(Tierproduktion), ZUKAUFSPREIS fuer JUNGEBER (Code 4137)
t liegt nicht im Bereich von 75-700 Euro/Tier
b V4137S03 #IN( 75.0, 700.0 )
k                                /* Jungeber */
f 4542.000(***) P(V2  V4  V5 )
s V4137S04 > 0.0
s    V5137S07 < 4E0
t Abschn.4 (Tierproduktion), Verkauf von max. 3 Tieren: VERKAUFSPREIS
t f. JUNGEBER (Code 4137) liegt nicht im Bereich von 75-1.000 Euro/Tier
b V4137S04 #IN( 75.0, 1000.0 )
k                                /* Jungeber */
f 4543.000(***) P(V2  V4  V5 )
s V4137S04 > 0.0
s    V5137S07 >= 4E0
t Abschn.4 (Tierproduktion), VERKAUFSPREIS fuer JUNGEBER (Code 4137)
t liegt nicht im Bereich von 75-700 Euro/Tier
b V4137S04 #IN( 75.0, 700.0 )
k                                /* Zuchteber */
f 4545.000(***) P(V2  V4  V5 )
s V4138S03 > 0.0
s    V5138S03 < 4E0
t Abschn.4(Tierproduktion), Zukauf von max. 3 Tieren: ZUKAUFSPREIS fuer
t ZUCHTEBER (Code 4138) liegt nicht im Bereich von 200-2.400 Euro/Tier
b V4138S03 #IN( 200.0, 2400.0 )
k                                /* Zuchteber */
f 4546.000(***) P(V2  V4  V5 )
s V4138S03 > 0.0
s    V5138S03 >= 4E0
t Abschn.4(Tierproduktion), ZUKAUFSPREIS fuer ZUCHTEBER (Code 4138)
t liegt nicht im Bereich von 200-1.000 Euro/Tier
b V4138S03 #IN( 200.0, 1000.0 )
k                                /* Zuchteber */
k
f 4547.000(***) P(V2  V4  V5 )
s   V0023S02 ==  1E0                                  /* KONV. */
s V4138S04 > 0.0
s    V5138S07 < 4E0
t Abschn.4 (Tierproduktion), konv.wirt. Betrieb: Verkauf von max. 3 Tieren: VERKAUFSPREIS
t fuer ZUCHTEBER (Code 4138) liegt nicht im Bereich
t von 100-3.000 Euro/Tier
b V4138S04 #IN( 100.0, 3000.0 )
k
f 4547.100(***) P(V2  V4  V5 )
s   V0023S02 != 1E0                               /* OEKOL. */
s V4138S04 > 0.0
s    V5138S07 < 4E0
t Abschn.4 (Tierproduktion), oekol.wirt. Betrieb: Verkauf von max. 3 Tieren: VERKAUFSPREIS
t fuer ZUCHTEBER (Code 4138) liegt nicht im Bereich
t von 100-3.500 Euro/Tier
b V4138S04 #IN( 100.0, 3500.0 )
k                                /* Zuchteber */
f 4548.000(***) P(V2  V4  V5 )
s   V0023S02 ==  1E0                                  /* KONV. */
s V4138S04 > 0.0
s    V5138S07 >= 4E0
t Abschn.4 (Tierproduktion), konv.wirt. Betrieb: VERKAUFSPREIS fuer fuer ZUCHTEBER
t (Code 4138) liegt nicht im Bereich von 100-1.000 Euro/Tier
b V4138S04 #IN( 100.0, 1000.0 )
k
f 4548.100(***) P(V2  V4  V5 )
s   V0023S02 != 1E0                               /* OEKOL. */
s V4138S04 > 0.0
s    V5138S07 >= 4E0
t Abschn.4 (Tierproduktion), oekol.wirt. Betrieb: VERKAUFSPREIS fuer fuer ZUCHTEBER
t (Code 4138) liegt nicht im Bereich von 100-3.500 Euro/Tier
b V4138S04 #IN( 100.0, 3500.0 )
k
k
a 4.2.1.4.10                                                       SCHAFE
k
k                                /* Laemmer unter 6 M. */
f 4555.000(***) P(V2  V4  V5 )
s V4140S03 > 0.0
t Abschn.4 (Tierproduktion), ZUKAUFSPREIS fuer LAEMMER liegt nicht im
t Bereich von 20-200 Euro/Tier
b V4140S03 #IN( 20.0, 200.0 )
k                                /* Laemmer unter 6 M. */
f 4556.000(***) P(V2  V4  V5 )
s V4140S04 > 0.0
t Abschn.4 (Tierproduktion), VERKAUFSPREIS fuer LAEMMER liegt nicht im
t Bereich von 20-200 Euro/Tier
b V4140S04 #IN( 20.0, 200.0 )
k                                /* Jungschafe (6-12 M.) */
f 4560.000(***) P(V2  V4  V5 )
s V4141S03 > 0.0
t Abschn.4 (Tierproduktion), ZUKAUFSPREIS fuer JUNGSCHAFE (unter 1 J.)
t liegt nicht im Bereich von 20-250 Euro/Tier
b V4141S03 #IN( 20.0, 250.0 )
k                                /* Jungschafe (6-12 M.) */
f 4561.000(***) P(V2  V4  V5 )
s V4141S04 > 0.0
t Abschn.4(Tierproduktion), VERKAUFSPREIS fuer JUNGSCHAFE (unter 1 J.)
t liegt nicht im Bereich von 20-250 Euro/Tier
b V4141S04 #IN( 20.0, 250.0 )
k                                /* Jungschafe (12-20 M.) */
f 4565.000(***) P(V2  V4  V5 )
s V4142S03 > 0.0
t Abschn.4 (Tierproduktion), ZUKAUFSPREIS fuer JUNGSCHAFE (12-20 M.)
t  liegt nicht im Bereich von 20-500 Euro/Tier
b V4142S03 #IN( 20.0, 500.0 )
k                                /* Jungschafe (12-20 M.) */
f 4566.000(***) P(V2  V4  V5 )
s V4142S04 > 0.0
t Abschn.4(Tierproduktion), VERKAUFSPREIS fuer JUNGSCHAFE (12-20 M.)
t  liegt nicht im Bereich von 20-500 Euro/Tier
b V4142S04 #IN( 20.0, 500.0 )
k
k
k                                /* Mutterschafe */
f 4570.000(***) P(V2  V4  V5 )
s V3143S09 > 10E0
t Abschn.4 (Tierproduktion), Angabe GEBORENE LAEMMER je MUTTERSCHAF
t liegt nicht im Bereich von 0.5 bis 5
b V4143S02 #IN( 0.5 ,  5.0 )
k                                /* Mutterschafe */
f 4571.000(***) P(V2  V4  V5 )
s V4143S03 > 0.0
t Abschn.4 (Tierproduktion), ZUKAUFSPREIS fuer MUTTERSCHAFE liegt nicht
t im Bereich von 20-250 Euro/Tier
b V4143S03 #IN( 20.0, 250.0 )
k                                /* Mutterschafe */
f 4572.000(***) P(V2  V4  V5 )
s V4143S04 > 0.0
t Abschn.4 (Tierproduktion), VERKAUFSPREIS fuer MUTTERSCHAFE liegt
t nicht im Bereich von 20-250 Euro/Tier
b V4143S04 #IN( 20.0, 250.0 )
k                                /* Zuchtboecke */
f 4575.000(*  ) P(V2  V4  V5 )
s V4144S03 > 0.0
t Abschn.4 (Tierproduktion), ZUKAUFSPREIS fuer ZUCHTBOECKE liegt nicht
t im Bereich von 100-1500 Euro/Tier
b V4144S03 #IN( 100.0, 1500.0 )
k                                /* Zuchtboecke */
f 4576.000(*  ) P(V2  V4  V5 )
s V4144S04 > 0.0
t Abschn.4 (Tierproduktion), VERKAUFSPREIS fuer ZUCHTBOECKE liegt
t nicht im Bereich von 100-1500 Euro/Tier
b V4144S04 #IN(  100, 1500 )
k                                /* Wolle */
f 4580.000(***) P(V2  V4  V5 )
s V4146S02 > 0.0 && V5691S05 > 1E0
t Abschn.4 (Tierproduktion), Angabe kg WOLLE je SCHAF liegt nicht
t im Bereich von 1 bis 8,5
b V4146S02 #IN( 1, 8.5 )
k
k
k                                /* Wolle */
f 4581.000(***) P(V2  V4  V5 )
s V4146S04 > 0.0
t Abschn.4 (Tierproduktion), VERKAUFSPREIS fuer WOLLE liegt nicht
t im Bereich von  35-250 Euro/dt
b V4146S04 #IN(  35, 250 )
k
f 4582.000(***+) P(V2 V4 V5)
s (V3142-44S09) > 0.0
t Abschn.4 (Tierproduktion), WOLLE/SCHAF in KG ergibt sich nicht aus V5691s04 und V3142-44s09
b V5691S04 / (V3142-44S09)*100 #EQ(0.1) V4146S02
k
k                                /* Schafmilch */
f 4585.000(***) P(V2  V4  V5 )
s V4147S04 > 0.0
t Abschn.4 (Tierproduktion), VERKAUFSPREIS fuer SCHAFMILCH liegt
t nicht im Bereich von 25-180 Euro/dt
b V4147S04 #IN( 25, 180 )
k
a 4.2.1.4.11                                                    GEFLUEGEL
k
k                                /* Kueken */
f 4595.000(***) P(V2  V4  V5 )
s   V0023S02 ==  1E0                                  /* KONV. */
s V4150S03 > 0.0
t Abschn.4 (Tierproduktion), konv.wirt. Betrieb: ZUKAUFSPREIS fuer KUEKEN liegt nicht
t im Bereich von 0.1 bis 5 Euro/Tier
b V4150S03 #IN( 0.1, 5 )
k
f 4595.100(***) P(V2  V4  V5 )
s   V0023S02 != 1E0                               /* OEKOL. */
s V4150S03 > 0.0
t Abschn.4 (Tierproduktion), oekol.wirt. Betrieb: ZUKAUFSPREIS fuer KUEKEN liegt nicht
t im Bereich von 0.1 bis 7 Euro/Tier
b V4150S03 #IN( 0.1, 7 )
k                                /* Kueken */
f 4596.000(***) P(V2  V4  V5 )
s V4150S04 > 0.0
t Abschn.4 (Tierproduktion), VERKAUFSPREIS fuer KUEKEN liegt nicht
t im Bereich von 1 bis 5 Euro/Tier
b V4150S04 #IN( 1, 5 )
k
k                                /* Junghennen */
f 4600.000(***) P(V2  V4  V5 )
s   V0023S02 ==  1E0                                  /* KONV. */
s V4151S03 > 0.0
t Abschn.4 (Tierproduktion), konv.wirt. Betrieb: ZUKAUFSPREIS fuer JUNGHENNEN liegt nicht
t im Bereich von 0.3 bis 10 Euro/Tier
b V4151S03 #IN( 0.3, 10 )
k
f 4600.100(***) P(V2  V4  V5 )
s   V0023S02 != 1E0                               /* OEKOL. */
s V4151S03 > 0.0
t Abschn.4 (Tierproduktion), oekol.wirt. Betrieb: ZUKAUFSPREIS fuer JUNGHENNEN liegt nicht
t im Bereich von 0.3 bis 15 Euro/Tier
b V4151S03 #IN( 0.3, 15 )
k                                /* Junghennen */
f 4601.000(***) P(V2  V4  V5 )
s   V0023S02 ==  1E0                                  /* KONV. */
s V4151S04 > 0.0
t Abschn.4 (Tierproduktion), konv.wirt. Betrieb: VERKAUFSPREIS fuer JUNGHENNEN liegt nicht
t im Bereich von 0.3 bis 10 Euro/Tier
b V4151S04 #IN( 0.3, 10 )
k
f 4601.100(***) P(V2  V4  V5 )
s   V0023S02 != 1E0                               /* OEKOL. */
s V4151S04 > 0.0
t Abschn.4 (Tierproduktion), oekol.wirt. Betrieb: VERKAUFSPREIS fuer JUNGHENNEN liegt nicht
t im Bereich von 0.3 bis 20 Euro/Tier
b V4151S04 #IN( 0.3, 20 )
k
k
k                                /* Legehennen */
f 4605.000(***) P(V2  V4  V5 )
s V3152S09 > 100E0
t Abschn.4 (Tierproduktion), Angabe EIER je LEGEHENNE liegt nicht im
t Bereich von 150 bis 350 Eiern je Henne
b V4152S02 #IN( 150, 350 )
k                                /* Legehennen */
f 4606.000(***) P(V2  V4  V5 )
s   V0023S02 ==  1E0                                  /* KONV. */
s V4152S03 > 0.0
t Abschn.4 (Tierproduktion), konv.wirt. Betrieb: ZUKAUFSPREIS fuer LEGEHENNEN liegt nicht
t im Bereich von 3 bis 10 Euro/Tier
b V4152S03 #IN( 3, 10 )
k
f 4606.100(***) P(V2  V4  V5 )
s   V0023S02 != 1E0                               /* OEKOL. */
s V4152S03 > 0.0
t Abschn.4 (Tierproduktion), oekol.wirt. Betrieb: ZUKAUFSPREIS fuer LEGEHENNEN liegt nicht
t im Bereich von 3 bis 15 Euro/Tier
b V4152S03 #IN( 3, 15 )
k                                /* Legehennen */
f 4607.000(***) P(V2  V4  V5 )
s   V0023S02 ==  1E0                                  /* KONV. */
s V4152S04 > 0.0
t Abschn.4 (Tierproduktion), konv.wirt. Betrieb: VERKAUFSPREIS fuer LEGEHENNEN liegt nicht
t im Bereich von 0.20 bis 10 Euro/Tier
b V4152S04 #IN( 0.2, 10 )
k
f 4607.100(***) P(V2  V4  V5 )
s   V0023S02 != 1E0                               /* OEKOL. */
s V4152S04 > 0.0
t Abschn.4 (Tierproduktion), oekol.wirt. Betrieb: VERKAUFSPREIS fuer LEGEHENNEN liegt nicht
t im Bereich von 0.20 bis 20 Euro/Tier
b V4152S04 #IN( 0.2, 20 )

k                                /* Jungmasthuehner */
f 4615.000(***) P(V2  V4  V5 )
s   V0023S02 ==  1E0                                  /* KONV. */
s V4153S03 > 0.0
t Abschn.4 (Tierproduktion), konv.wirt. Betrieb: ZUKAUFSPREIS fuer JUNGMASTHUEHNER liegt
t nicht im Bereich von 0.28 bis 0.75 Euro/Tier
b V4153S03 #IN( 0.28, 0.75 )
k
f 4615.100(***) P(V2  V4  V5 )
s   V0023S02 != 1E0                               /* OEKOL. */
s V4153S03 > 0.0
t Abschn.4 (Tierproduktion), oekol.wirt. Betrieb: ZUKAUFSPREIS fuer JUNGMASTHUEHNER liegt
t nicht im Bereich von 0.28 bis 6 Euro/Tier
b V4153S03 #IN( 0.28, 6 )
k                                /* Jungmasthuehner */
f 4616.000(***) P(V2  V4  V5 )
s   V0023S02 ==  1E0                                  /* KONV. */
s V4153S04 > 0.0
t Abschn.4 (Tierproduktion), konv.wirt. Betrieb: VERKAUFSPREIS fuer JUNGMASTHUEHNER liegt
t nicht im Bereich von 0.75 bis 2.70 Euro/Tier
b V4153S04 #IN( 0.75, 2.70 )
k
f 4616.100(***) P(V2  V4  V5 )
s   V0023S02 != 1E0                               /* OEKOL. */
s V4153S04 > 0.0
t Abschn.4 (Tierproduktion), oekol.wirt. Betrieb: VERKAUFSPREIS fuer JUNGMASTHUEHNER liegt
t nicht im Bereich von 0.75 bis 25 Euro/Tier
b V4153S04 #IN( 0.75, 25.0 )
k
k                                /* Mastenten */
f 4620.000(***) P(V2  V4  V5 )
s V4154S03 > 0.0
t Abschn.4 (Tierproduktion), ZUKAUFSPREIS fuer MASTENTEN liegt nicht
t im Bereich von 0.50 bis 10 Euro/Tier
b V4154S03 #IN( 0.50, 10 )
k                                /* Mastenten */
f 4621.000(***) P(V2  V4  V5 )
s V4154S04 > 0.0
t Abschn.4 (Tierproduktion), VERKAUFSPREIS fuer MASTENTEN liegt nicht
t im Bereich von 3 bis  35 Euro/Tier
b V4154S04 #IN( 3,  35 )
k
k                                /* Mastputen */
f 4625.000(***) P(V2  V4  V5 )
s V4155S03 > 0.0
t Abschn.4 (Tierproduktion), ZUKAUFSPREIS fuer MASTPUTEN liegt nicht
t im Bereich von 0.50 bis 10 Euro/Tier
b V4155S03 #IN( 0.50, 10 )
k                                /* Mastputen */
f 4626.000(***) P(V2  V4  V5 )
s V4155S04 > 0.0
t Abschn.4 (Tierproduktion), VERKAUFSPREIS fuer MASTPUTEN liegt nicht
t im Bereich von 2.50 bis 90 Euro/Tier
b V4155S04 #IN( 2.50, 90 )
k
k                                /* Mastgaense */
f 4630.000(***) P(V2  V4  V5 )
s V4156S03 > 0.0
t Abschn.4 (Tierproduktion), ZUKAUFSPREIS fuer MASTGAENSE liegt nicht
t im Bereich von 0.50 bis 13 Euro/Tier
b V4156S03 #IN( 0.50, 13 )
k                                /* Mastgaense */
f 4631.000(***) P(V2  V4  V5 )
s V4156S04 > 0.0
t Abschn.4 (Tierproduktion), VERKAUFSPREIS fuer MASTGAENSE liegt nicht
t im Bereich von 4 bis 75 Euro/Tier
b V4156S04 #IN( 4, 75 )
k
k                                /* Zuchtputen, -enten, -gaense */
f 4635.000(***) P(V2  V4  V5 )
s V4157S03 > 0.0
t Abschn.4 (Tierproduktion), ZUKAUFSPREIS fuer ZUCHTPUTEN, -ENTEN oder
t -GAENSE liegt nicht im Bereich von 3 bis 30 Euro/Tier
b V4157S03 #IN( 3, 30 )
k                                /* Zuchtputen, -enten, -gaense */
f 4636.000(***) P(V2  V4  V5 )
s V4157S04 > 0.0
t Abschn.4 (Tierproduktion), VERKAUFSPREIS fuer ZUCHTPUTEN, -ENTEN oder
t -GAENSE liegt nicht im Bereich von 3 bis 30 Euro/Tier
b V4157S04 #IN( 3, 30 )
k                                /*   Eier   */
f 4640.000(***) P(V2  V4  V5 )
s V4158S04 > 0.0
s    V0023S02 ==  1E0
t Abschn.4 (Tierproduktion), konv.wirt. Betrieb: VERKAUFSPREIS f. EIER
t liegt nicht im Bereich von 5 bis 25 Euro je 100 Eier
b V4158S04 #IN( 5, 25 )
k                                /*   Eier   */
f 4641.000(***) P(V2  V4  V5 )
s V4158S04 > 0.0
s    V0023S02 !=  1E0
t Abschn.4(Tierproduktion), oekol.wirt. Betrieb: VERKAUFSPREIS f. EIER
t liegt nicht im Bereich von 5 bis 60 Euro je 100 Eier
b V4158S04 #IN( 5, 60 )
a 4.2.1.4.12                                                       DAMWILD
k
k                                /* Damkaelber unter 1 J. */
f 4655.000(***) P(V2  V4  V5 )
s V4163S03 > 0.0
t Abschn.4 (Tierproduktion), ZUKAUFSPREIS fuer DAMKAELBER (unter 1 J.)
t liegt nicht im Bereich von 50 bis 500 Euro/Tier
b V4163S03 #IN( 50, 500 )
k
k
k                                /* Damkaelber unter 1 J. */
f 4656.000(***) P(V2  V4  V5 )
s V4163S04 > 0.0
t Abschn.4 (Tierproduktion), VERKAUFSPREIS fuer DAMKAELBER (unter 1 J.)
t liegt nicht im Bereich von 50 bis 500 Euro/Tier
b V4163S04 #IN( 50, 500 )
k                                /* Damschmaltiere, Damspiesser */
f 4660.000(***) P(V2  V4  V5 )
s V4164S03 > 0.0
t Abschn.4 (Tierproduktion), ZUKAUFSPREIS fuer DAMWILD (Code 4164)
t liegt nicht im Bereich von 25 bis 250 Euro/Tier
b V4164S03 #IN( 25, 250 )
k                                /* Damschmaltiere, Damspiesser */
f 4661.000(***) P(V2  V4  V5 )
s V4164S04 > 0.0
t Abschn.4(Tierproduktion), VERKAUFSPREIS fuer DAMWILD (Code 4164)
t liegt nicht im Bereich von 50 bis 500 Euro/Tier
b V4164S04 #IN( 50, 500 )
k                                /* Damalttiere */
f 4665.000(***) P(V2  V4  V5 )
s V4165S03 > 0.0
t Abschn.4 (Tierproduktion), ZUKAUFSPREIS fuer DAMALTTIERE (Code 4165)
t liegt nicht im Bereich von 50 bis 1.000 Euro/Tier
b V4165S03 #IN( 50, 1000 )
k                                /* Damalttiere */
f 4666.000(***) P(V2  V4  V5 )
s V4165S04 > 0.0
t Abschn.4(Tierproduktion), VERKAUFSPREIS fuer DAMALTTIERE (Code 4165)
t liegt nicht im Bereich von 50 bis 1.000 Euro/Tier
b V4165S04 #IN( 50, 1000 )
k                                /* Damhirsche */
f 4670.000(***) P(V2  V4  V5 )
s V4166S03 > 0.0
t Abschn.4 (Tierproduktion), ZUKAUFSPREIS fuer DAMHIRSCHE (Code 4166)
t liegt nicht im Bereich von 50 bis 1.000 Euro/Tier
b V4166S03 #IN( 50, 1000 )
k
k
k                                /* Damhirsche */
f 4671.000(***) P(V2  V4  V5 )
s V4166S04 > 0.0
t Abschn.4(Tierproduktion), VERKAUFSPREIS fuer DAMHIRSCHE (Code 4166)
t liegt nicht im Bereich von 50 bis 1.000 Euro/Tier
b V4166S04 #IN( 50, 1000 )
k
a 4.2.1.4.13                                                        ZIEGEN
k
k                                /* Mutterziegen */
f 4675.000(***) P(V2  V4  V5 )
s V3172S09 > 5E0
t Abschn.4 (Tierproduktion), Angabe GEBORENE LAEMMER je MUTTERZIEGEN
t liegt nicht im Bereich von 0.5 bis 5
b V4172S02 #IN( 0.5, 5 )
k                                /* Mutterziegen */
f 4676.000(***) P(V2  V4  V5 )
s V4172S03 > 0.0
t Abschn.4 (Tierproduktion), ZUKAUFSPREIS fuer MUTTERZIEGEN liegt
t nicht im Bereich von 10 bis 500 Euro/Tier
b V4172S03 #IN( 10, 500 )
k                                /* Mutterziegen */
f 4677.000(***) P(V2  V4  V5 )
s V4172S04 > 0.0
t Abschn.4 (Tierproduktion), VERKAUFSPREIS fuer MUTTERZIEGEN liegt
t nicht im Bereich von 10 bis 500 Euro/Tier
b V4172S04 #IN( 10, 500 )
k
k                                /* sonstige Ziegen */
f 4680.000(***) P(V2  V4  V5 )
s V4173S03 > 0.0
t Abschn.4 (Tierproduktion), ZUKAUFSPREIS fuer SONSTIGE ZIEGEN liegt
t nicht im Bereich von 10 bis 500 Euro/Tier
b V4173S03 #IN( 10, 500 )
k                                /* sonstige Ziegen */
f 4681.000(***) P(V2  V4  V5 )
s V4173S04 > 0.0
t Abschn.4(Tierproduktion), VERKAUFSPREIS fuer SONSTIGE ZIEGEN liegt
t nicht im Bereich von 10 bis500 Euro/Tier
b V4173S04 #IN( 10, 500 )
k                                /* Ziegenmilch */
f 4685.000(***) P(V2  V4  V5 )
s V4174S04 > 0.0
t Abschn.4(Tierproduktion), VERKAUFSPREIS fuer ZIEGENMILCH liegt
t nicht im Bereich von 25 bis 150 Euro/dt
b V4174S04 #IN( 25, 150 )
k
a 4.2.1.4.14                                                     SONSTIGE
k
k                                /* Mastkaninchen */
f 4686.000(***) P(V2  V4  V5 )
s V4176S03 > 0.0
t Abschn.4 (Tierproduktion), ZUKAUFSPREIS fuer MASTKANINCHEN liegt
t nicht im Bereich von 1 bis 25 Euro/Tier
b V4176S03 #IN( 1, 25 )
k                                /* Mastkaninchen */
f 4687.000(***) P(V2  V4  V5 )
s V4176S04 > 0.0
t Abschn.4 (Tierproduktion), VERKAUFSPREIS fuer MASTKANINCHEN liegt
t nicht im Bereich von 2 bis 25 Euro/Tier
b V4176S04 #IN( 2, 25 )
k
k                                /* Zucht- u. Angorakaninchen */
f 4691.000(***) P(V2  V4  V5 )
s V4177S03 > 0.0
t Abschn.4 (Tierproduktion), ZUKAUFSPREIS f. ZUCHT- u. ANGORAKANINCHEN
t liegt nicht im Bereich von 3 bis 40 Euro/Tier
b V4177S03 #IN( 3, 40 )
k                                /* Zucht- u. Angorakaninchen */
f 4692.000(***) P(V2  V4  V5 )
s V4177S04 > 0.0
t Abschn.4 (Tierproduktion), VERKAUFSPREIS f. ZUCHT- u. ANGORAKANINCHEN
t nicht im Bereich von 3 bis 40 Euro/Tier
b V4177S04 #IN( 3, 40 )
k
k                                /* Pelztiere */
f 4696.000(*  ) P(V2  V4  V5 )
s V4178S03 > 0.0
t Abschn.4 (Tierproduktion), ZUKAUFSPREIS fuer PELZTIERE liegt nicht
t im Bereich von 0.5 bis 700 Euro/Tier
b V4178S03 #IN(    0.5, 700 )
k                                /* Pelztiere */
f 4697.000(*  ) P(V2  V4  V5 )
s V4178S04 > 0.0
t Abschn.4 (Tierproduktion), VERKAUFSPREIS fuer PELZTIERE liegt nicht
t im Bereich von 0.5 bis 700 Euro/Tier
b V4178S04 #IN(   0.5 , 700 )
k
k                                /* Bienenstoecke */
f 4701.000(*  ) P(V2  V4  V5 )
s V4181S03 > 0.0
t Abschn.4 (Tierproduktion), ZUKAUFSPREIS fuer BIENENSTOECKE liegt
t im Bereich von 0.5  bis 700 Euro/Stock
b V4181S03 #IN(   0.5, 700 )
k                                /* Bienenstoecke */
f 4702.000(*  ) P(V2  V4  V5 )
s V4181S04 > 0.0
t Abschn.4 (Tierproduktion), VERKAUFSPREIS fuer BIENENSTOECKE liegt
t im Bereich von 0.5  bis 700 Euro/Stock
b V4181S04 #IN(   0.5, 700 )
k             /* Forellen, Karpfen, Hechte und sonst. Suesswasserfische */
f 4706.0##(***) P(V2  V4  V5 )
d ##(90-92,97)
s V41##S03 > 0.0
t Abschn.4 (Tierproduktion), ZUKAUFSPREIS fuer FISCHE liegt nicht
t im Bereich von 200 bis 1.500 Euro/dt
b V41##S03 #IN( 200, 1500 )
k             /* Forellen, Karpfen, Hechte und sonst. Suesswasserfische */
f 4707.0##(***) P(V2  V4  V5 )
d ##(90-92,97)
s V41##S04 > 0.0
t Abschn.4 (Tierproduktion), VERKAUFSPREIS fuer FISCHE liegt nicht
t im Bereich von 200 bis 1.500 Euro/dt
b V41##S04 #IN( 200, 1500 )
k
k
k
a 4.3.1 TEIL 4.3: ERNTEFLAECHEN, NATURALE ERTRAEGE U. LEISTUNGEN SOWIE DURCHSCHNITTSPREISE (OBST-, GARTEN-, WEINBAU)      KONTROLLFRAGEN
a
a 4.3.1.1          KONSISTENZPRUEFUNG
a
a 4.3.1.1.01                  OBSTBAU
k
z          BetrTyp  = V9801 ;
k
f 4805.0##(***) P(V2  V4  V5 )
s BetrTyp < 3  &&  V0020S02 < 60E0
d ##(00-07)
t Abschn.4 (Obstbau), Angaben sind unvollstaendig: Einnahme in GuV
t (Code 22##) oder Angabe Durchschnittspreis (Code 42##) fehlt
b ( V22##S02 ==  0.0 ) == ( V42##S04 == 0.0 )
k
f 4806.0##(***) P(V2  V4  V5 )
s BetrTyp < 3  &&  V0020S02 < 60E0
d ##(00-07)
t Abschn.4 (Obstbau), Angaben sind unvollstaendig: Angabe fuer
t Ernteflaeche oder naturale Ertraege fehlt (Code 42##)
b ( V42##S02 ==  0.0 ) == ( V42##S03 == 0.0 )
k
f 4807.0##(***) P(V2  V4  V5 )
s BetrTyp < 3  &&  V0020S02 < 60E0
d ##(00-07)
t Abschn.4 (Obstbau), Angaben sind unvollstaendig: verkaufte Menge laut
t Naturalbericht (Code 57##), aber keine Einnahme G.u.V (Code 22##)
b V57##S05 ==  0.0 || V22##S02 > 0.0
k
f 4808.0##(***) P(V2  V4  V5 )
s BetrTyp < 3  &&  V0020S02 < 60E0
d ##(00-07)
s    V57##S05 !=  0.0
t Abschn.4 (Obstbau), Durchschn.preis (Code 42##) ergibt sich nicht aus
t Verkaufserloes insg. und verk. Menge
b ( V22##S02 / V57##S05 ) #EQ(2.0) V42##S04
k
f 4809.000(***) P(V2  V4  V5 )
s V6210S08 ==  0.0 && V6210S09 == 0.0
t Abschn.4 (Obstbau), Ernteflaeche Obstbau (Code 4209) ist ungleich
t der bewirtschafteten Obstflaeche zu Beginn des Geschaeftsjahres
b V6110S07 - V6210S02 + V6210S03 - V6210S06 + V6210S07 #EQ(0.5) V4209S02
k
a 4.3.1.1.02                                           WEINBAU
k
f 4825.000(***) P(V2  V4  V5 )
s V6216S08 ==  0.0 && V6216S09 == 0.0
t Abschn.4 (Weinbau), Ernteflaeche Weinbau (Code 4299) ist ungleich der
t bewirtschafteten Weinbauflaeche zu Beginn des Geschaeftsjahres
b V6116S07 - V6216S02 + V6216S03 - V6216S06 + V6216S07 #EQ(0.5) V4299S02
k
k
k
a 4.3.1.2            DIMENSIONEN
k
k                                /* Aepfel */
f 4855.000(***) P(V4  V5 )
s V4200S02 > 0.0
t Abschn.4 (Obstbau), AEPFEL: geerntete Menge (Code 4200) liegt nicht
t im Bereich von  80-550 dt/ha
b V4200S03 #IN(  80, 550 )
k                                /* Aepfel */
f 4856.000(***) P(V2  V4  V5 )
s V4200S04 > 0.0
t Abschn.4 (Obstbau), AEPFEL: Verkaufserloes (Code 4200) liegt nicht
t im Bereich von 10-150 Euro/dt
b V4200S04 #IN( 10, 150 )
k                                /* sonst. Kernobst */
f 4860.000(***) P(V4  V5 )
s V4201S02 > 0.0
t Abschn.4 (Obstbau), SONST. KERNOBST: geerntete Menge (Code 4201)
t liegt nicht im Bereich von  80-300 dt/ha
b V4201S03 #IN(  80, 300 )
k                                /* sonst. Kernobst */
f 4861.000(***) P(V2  V4  V5 )
s V4201S04 > 0.0
t Abschn.4 (Obstbau), SONST. KERNOBST: Verkaufserloes (Code 4201)
t liegt nicht im Bereich von 10-150 Euro/dt
b V4201S04 #IN( 10, 150 )
k                                /* Suesskirschen */
f 4862.000(***) P(V4  V5 )
s V4202S02 > 0.0
t Abschn.4 (Obstbau), SUESSKIRSCHEN: geerntete Menge (Code 4202) liegt
t nicht im Bereich von 30-200 dt/ha
b V4202S03 #IN( 30, 200 )
k
k
k                                /* Suesskirschen */
f 4863.000(***) P(V2  V4  V5 )
s V4202S04 > 0.0
t Abschn.4 (Obstbau), SUESSKIRSCHEN: Verkaufserloes (Code 4202) liegt
t nicht im Bereich von 50-300 Euro/dt
b V4202S04 #IN( 50, 300 )
k                                /* Sauerkirschen, Schattenmorellen */
f 4867.000(***) P(V4  V5 )
s V4203S02 > 0.0
t Abschn.4 (Obstbau), SAUERKIRSCHEN, SCHATTENMORELLEN: geerntete Menge
t (Code 4203) liegt nicht im Bereich von  30-300 dt/ha
b V4203S03 #IN(  30, 300 )
k                                /* Sauerkirschen, Schattenmorellen */
f 4868.000(***) P(V2  V4  V5 )
s V4203S04 > 0.0
t Abschn.4 (Obstbau), SAUERKIRSCHEN, SCHATTENMORELLEN: Verkaufserloes
t (Code 4203) liegt nicht im Bereich von 25-150 Euro/dt
b V4203S04 #IN( 25, 150 )
k                                /* Pflaumen und Zwetschen */
f 4872.000(***) P(V4  V5 )
s V4204S02 > 0.0
t Abschn.4 (Obstbau), PFLAUMEN und ZWETSCHEN: geerntete Menge
t (Code 4204) liegt nicht im Bereich von 30-230 dt/ha
b V4204S03 #IN( 30, 230 )
k                                /* Pflaumen und Zwetschen */
f 4873.000(***) P(V2  V4  V5 )
s V4204S04 > 0.0
t Abschn.4 (Obstbau), PFLAUMEN und ZWETSCHEN: Verkaufserloes
t (Code 4204) liegt nicht im Bereich von 25-150 Euro/dt
b V4204S04 #IN( 25, 150 )
k
k                                /* sonst. Steinobst */
f 4877.000(***) P(V4  V5 )
s V4205S02 > 0.0
t Abschn.4 (Obstbau), sonst. STEINOBST: geerntete Menge (Code 4205)
t liegt nicht im Bereich von 30-300 dt/ha
b V4205S03 #IN(  30, 300 )
k
k
k                                /* sonst. Steinobst */
f 4878.000(***) P(V2  V4  V5 )
s V4205S04 > 0.0
t Abschn.4 (Obstbau), sonst. STEINOBST: Verkaufserloes (Code 4205)
t liegt nicht im Bereich von 25-125 Euro/dt
b V4205S04 #IN( 25, 125 )
k                                /* Schalenobst */
f 4882.000(*  ) P(V4  V5 )
s V4206S02 > 0.0
t Abschn.4 (Obstbau), SCHALENOBST: geerntete Menge (Code 4206) liegt
t nicht im Bereich von 1-500 dt/ha
b V4206S03 #IN(  1, 500 )
k                                /* Schalenobst */
f 4883.000(*  ) P(V2  V4  V5 )
s V4206S04 > 0.0
t Abschn.4 (Obstbau), SCHALENOBST: Verkaufserloes (Code 4206) liegt
t nicht im Bereich von 0.5-250 Euro/dt
b V4206S04 #IN(  0.5, 250 )
k                                /* Erdbeeren */
f 4887.000(***) P(V4  V5 )
s V4207S02 > 0.0
t Abschn.4 (Obstbau), ERDBEEREN: geerntete Menge (Code 4207) liegt
t nicht im Bereich von 50-300 dt/ha
b V4207S03 #IN( 50, 300 )
k
k
k                                /* Erdbeeren */
f 4888.000(***) P(V2  V4  V5 )
s V4207S04 > 0.0
t Abschn.4 (Obstbau), ERDBEEREN: Verkaufserloes (Code 4207) liegt
t nicht im Bereich von  25-400 Euro/dt
b V4207S04 #IN(  25, 400 )
k
k
k                                /* Weinbau */
f 4889.000(***) P(V4  V5 )
s V4291S03 > 0.0
t Abschn.4 (Weinbau), geerntete Menge (Code 4291) liegt
t nicht im Bereich von 40-150 hl/haERF
b V4291S03 #IN( 40, 150 )
f 4895.1##(***) P(V2  V4  V5 )
d ##(71-72)
s V42##S04 > 0.0
t Abschn.4 (Weinbau), Keltertrauben, Maische fuer Wein: Verkaufserloes
t (Code 4271,72) liegt nicht im Bereich von 50-300 Euro/dt
b V42##S04 #IN( 50, 300 )
f 4895.2##(***) P(V2  V4  V5 )
d ##(76-79)
s V42##S04 > 0.0
t Abschn.4 (Weinbau), Fasswein : Verkaufserloes
t (Code 4276,79) liegt nicht im Bereich von 25-200 Euro/hl
b V42##S04 #IN( 25, 200 )
f 4895.3##(***) P(V2  V4  V5 )
d ##(85-88)
s V42##S04 > 0.0
t Abschn.4 (Weinbau), Flaschenwein : Verkaufserloes
t (Code 4285,88) liegt nicht im Bereich von 1,50-20,00 Euro/l
b V42##S04 #IN( 1.50, 20.00 )
k
m LDWP05A
k
k
a 5.0.1 TEIL 5.0: NATURALBERICHT                ZEILEN- UND SPALTENSUMMEN
a
a 5.0.1.01                    TIERE, ZEILENSUMME
k
f 5000.0##(***+) P(V5 )
d ##(00-07,10-18,20-25,30,31,33-38,40-44,50-59,63-66,72,73,76-78,80,90,
d    91,92,97)
t Naturalbericht (Tiere), in Code 51## entspricht die Summe der
t Spalten 02 bis 09 nicht dem Wert in Spalte 10
b V51##S02-05 - ( V51##S06-09 ) #EQ(2.0) V51##S10
k
a 5.0.1.1.02                      TIERE, SPALTENSUMME
k
f 5001.0##(***+) P(V5 )
d ##(02-10)
t Naturalbericht (Tiere), Summenwert in Code 5109 Sp.## (Pferde)
t entspricht nicht der Summe der Einzelpositionen
b ( V5100-07S## ) #EQ(2.0) V5109S##
k
f 5002.0##(***+) P(V5 )
d ##(02-10)
t Naturalbericht (Tiere), Summenwert in Code 5129 Sp.## (Rinder)
t entspricht nicht der Summe der Einzelpositionen
b ( V5110-25S## ) #EQ(2.0) V5129S##
k
f 5003.0##(***+) P(V5 )
d ##(02-10)
t Naturalbericht (Tiere), Summenwert in Code 5139 Sp.## (Schweine)
t entspricht nicht der Summe der Einzelpositionen
b ( V5130-38S## ) #EQ(2.0) V5139S##
k
f 5004.0##(***+) P(V5 )
d ##(02-10)
t Naturalbericht (Tiere), Summenwert in Code 5149 Sp.## (Schafe)
t entspricht nicht der Summe der Einzelpositionen
b ( V5140-44S## ) #EQ(2.0) V5149S##
k
f 5005.0##(***+) P(V5 )
d ##(02-10)
t Naturalbericht (Tiere), Summenwert in Code 5160 Sp.## (Gefluegel)
t entspricht nicht der Summe der Einzelpositionen
b ( V5150-59S## ) #EQ(2.0) V5160S##
k
f 5006.0##(***+) P(V5 )
d ##(02-10)
t Naturalbericht (Tiere), Summenwert in Code 5169 Sp.## (Damtiere)
t entspricht nicht der Summe der Einzelpositionen
b ( V5163-66S## ) #EQ(2.0) V5169S##
k
a 5.0.1.03                VORRAETE, ZEILENSUMME
k
f 5007.5##(***+) P(V5 )
s V0003s02 < 17E0
d ##(10-34,37-40)
t Naturalbericht (Vorraete), in Code 52## entspricht die Summe der
t Spalten 02 bis 09 nicht dem Wert in Spalte 10
b ( V52##S02-04 ) - ( V52##S05-09 ) #EQ(2.0) V52##S10
k
f 5008.5##(***+) P(V5 )
d ##(01,02)
t Naturalbericht (Vorraete), in Code 55## entspricht die Summe der
t Spalten 02 bis 09 nicht dem Wert in Spalte 10
b ( V55##S02-04 ) - ( V55##S05-09 ) #EQ(2.0) V55##S10
k
m LDWP05B
k
f 5008.6##(***+) P(V5 )
d ##(01-12,17,20-29,30-35,39,40,48)
t Naturalbericht (Vorraete), in Code 56## entspricht die Summe der
t Spalten 02 bis 09 nicht dem Wert in Spalte 10
b ( V56##S02-04 ) - ( V56##S05-09 ) #EQ(2.0) V56##S10
k
k
f 5008.6##(***+) P(V5 )
d ##(59-64,66,68-70,72-74,76-80,88-99)
t Naturalbericht (Vorraete), in Code 56## entspricht die Summe der
t Spalten 02 bis 09 nicht dem Wert in Spalte 10
b ( V56##S02-04 ) - ( V56##S05-09 ) #EQ(2.0) V56##S10
k
f 5007.7##(***+) P(V5 )
d ##(00-08,76,79,85,88,89)
t Naturalbericht (Vorraete), in Code 57## entspricht die Summe der
t Spalten 02 bis 09 nicht dem Wert in Spalte 10
b ( V57##S02-04 ) - ( V57##S05-09 ) #EQ(2.0) V57##S10
k
m LDWP05C
k
a 5.1.2 TEIL 5.1: NATURALBERICHT (TIERE)                   KONTROLLFRAGEN */
a
a 5.1.2.01                            ALLGEMEIN
k
f 5050.0##(***+) P(V5 )
d ##(00-07,10-18,20-25,30,31,33-38,40-44,50-57,63-66,72,73,76-78,80,90,
d    91,92,97)
t Naturalbericht (Tiere), Code 51##: in den Spalten 02 bis 10
t duerfen NUR POSITIVE WERTE eingetragen werden
b ( V51##S02 >= 0.0 ) && ( V51##S03 >= 0.0 ) && ( V51##S04 >= 0.0 ) &&
b ( V51##S05 >= 0.0 ) && ( V51##S06 >= 0.0 ) && ( V51##S07 >= 0.0 ) &&
b ( V51##S08 >= 0.0 ) && ( V51##S09 >= 0.0 ) && ( V51##S10 >= 0.0 )
k
f 5060.0##(***+) P(V5 )
d ##(01-03,05-07,10,12-18,21-25,33-38,41-44,51-57,64-66,72,81)
t Naturalbericht (Tiere), Eintragungen in Code 51## Sp.04 (Geburt)
t sind nicht zu laessig
b V51##S04 ==  0.0
k
f 5070.0##(***) P(V5 )
d ##(09,29,39,49,60,69)
t NATURALBERICHT (TIERE), Summe der Eintragungen in Code 51## Sp.05
t (Versetzung, Zugang ) muss gleich der Summe der Eintragungen in Code 51## 
t Sp. 06 (Versetzung, Abgang) sein
b V51##S05 #EQ V51##S06
k
f 5075.0##(***) P(V21 V51 )
d ##(09,10,11,12,13,14,15,16,17,18,20,21,22,23,24,25,39,49,60,64,66,69,)
t NATURALBERICHT (TIERE), Verkaufte Mengen in Code 51## Sp. 07 eingetragen,
t aber keine Umsatzerloese in der G.u.V. Code 21## Sp. 05 angegeben
b V51##S07 == 0.0 || V21##S05 > 0.0
k
a 5.1.2.02                              TIERBESTANDSVERLUSTE, BESTAND KLEINER 10
k
f 5100.0##(*  ) P(V31 V5 )
d ##(09,29,39,49,60,69)
s V31##S09 < 10E0
t Naturalbericht (Tiere), Durchschnittsbestand kleiner 10 Tiere:
t Tierbestandsverluste (Code 51##) von ueber 50% sind unplausibel hoch
b V51##S08 <= ( V31##S09 * 0.5 )
k
f 5120.000(*  ) P(V31 V5 )
s V3172,73S09 < 10E0
t Naturalbericht (Tiere), Durchschnittsbestand kleiner 10 Tiere:
t Tierbestandsverluste ZIEGEN von ueber 50% sind unplausibel hoch
b V5172,73S08 <= ( V3172,73S09 ) * 0.5
k
f 5130.000(*  ) P(V31 V5 )
s V3176,77S09 < 10E0
t Naturalbericht (Tiere), Durchschnittsbestand kleiner 10 Tiere:
t Tierbestandsverluste KANINCHEN von ueber 50% sind unplausibel hoch
b V5176,77S08 <= ( V3176,77S09 ) * 0.5
k
k
a 5.1.2.03                       TIERBESTANDSVERLUSTE, BESTAND ZWISCHEN 10 UND 50
k
f 5200.0##(*  ) P(V31 V5 )
d ##(09,29,49,69)
s V31##S09 > 10E0 && V31##S09 < 50E0
t Naturalbericht (Tiere), Durchschnittsbestand zw. 10 und 50 Tieren:
t Tierbestandsverluste (Code 51##) von ueber 20% sind sehr hoch
b V51##S08 <= ( V31##S09 * 0.2 )
f 5200.0##(*  ) P(V31 V5 )
d ##(39)
s V31##S09 > 10E0 && V31##S09 < 50E0
t Naturalbericht (Tiere), Durchschnittsbestand zw. 10 und 50 Tieren:
t Bestandsverluste bei Schweinen (Code 5139) von ueber 30% sind sehr hoch
b V51##S08 <= ( V31##S09 * 0.3 )
f 5200.0##(*  ) P(V31 V5 )
d ##(60)
s V31##S09 > 10E0 && V31##S09 < 50E0
t Naturalbericht (Tiere), Durchschnittsbestand zw. 10 und 50 Tieren:
t Bestandsverluste bei Gefluegel (Code 5160) von ueber 50% sind sehr hoch
b V51##S08 <= ( V31##S09 * 0.5 )
k
f 5210.000(*  ) P(V31 V5 )
s V3172,73S09 > 10E0 && V3172,73S09 < 50E0
t Naturalbericht (Tiere), Durchschnittsbestand zw. 10 und 50 Tieren:
t Tierbestandsverluste ZIEGEN von ueber 20% sind sehr hoch
b V5172,73S08 <= ( V3172,73S09 ) * 0.2
k
f 5220.000(*  ) P(V31 V5 )
s V3176,77S09 > 10E0 && V3176,77S09 < 50E0
t Naturalbericht (Tiere), Durchschnittsbestand zw. 10 und 50 Tieren:
t Tierbestandsverluste KANINCHEN von ueber 20% sind sehr hoch
b V5176,77S08 <= ( V3176,77S09 ) * 0.2
a 5.1.2.04          TIERBESTANDSVERLUSTE, BESTAND GROESSER 50   PFERDE
k
f 5300.000(*  ) P(V31 V5 )
s V3109S09 > 50E0
t Naturalbericht (Tiere), Durchschnittsbestand groeszer 50 Tiere:
t Tierbestandsverluste bei PFERDEN von ueber 5% sind sehr hoch
b V5109S08 <= ( V3109S09 * 0.05 )
a 5.1.2.05           TIERBESTANDSVERLUSTE RINDER
k
f 5305.000(*  ) P(V31 V5 )
s V3129S09 > 50E0
t Naturalbericht (Tiere), Durchschnittsbestand groeszer 50 Tiere:
t Tierbestandsverluste bei RINDERN von ueber 10% sind sehr hoch
b V5129S08 <= ( V3129S09 * 0.10 )
a 5.1.2.06            TIERBESTANDSVERLUSTE SCHWEINE
k
f 5310.000(*  ) P(V5 )
s V5130,31S03,04 > 50E0
t Naturalbericht (Tiere), zugkaufte und geborene Ferkel:
t Tierbestandsverluste bei FERKELN von ueber 20% sind sehr hoch
b V5130,31S08 <= ( V5130,31S03,04 ) * 0.2
k
f 5311.000(*  ) P(V31 V5 )
s ( V3139S09 - V3130S09 - v3131s09 ) > 50E0
t Naturalbericht (Tiere), Durchschnittsbestand groeszer 50 Tiere:
t Tierbestandsverluste bei SCHWEINEN ohne Ferkel von ueber 15% sind
t sehr hoch
b ( V5139S08 - ( V5130,31S08 )) <= (( V3139S09 - ( V3130,31S09 )) * 0.15 )
k
a 5.1.2.07                       TIERBESTANDSVERLUSTE SCHAFE
k
f 5320.000(*  ) P(V31 V5 )
s V3149S09 > 50E0
t Naturalbericht (Tiere), Durchschnittsbestand groeszer 50 Tiere:
t Tierbestandsverluste bei SCHAFEN von ueber 10% sind sehr hoch
b V5149S08 <= ( V3149S09 * 0.10 )
k
a 5.1.2.07                       TIERBESTANDSVERLUSTE GEFLUEGEL
k
f 5325.000(*  ) P(V31 V5 )
s V3160S09 > 50E0
t Naturalbericht (Tiere), Durchschnittsbestand groeszer 50 Tiere:
t Tierbestandsverluste bei GEFLUEGEL von ueber 50% (bezogen aud den 
t Durchschnittsbestand) sind sehr hoch
b V5160S08 <= ( V3160S09 * 0.50 )
a 5.1.2.09                                  TIERBESTANDSVERLUSTE DAMTIERE
k
f 5330.000(*  ) P(V31 V5 )
s V3169S09 > 50E0
t Naturalbericht (Tiere), Durchschnittsbestand groeszer 50 Tiere:
t Tierbestandsverluste bei DAMWILD von ueber 10% sind sehr
t hoch
b V5169S08 <= ( V3169S09 * 0.1 )
a 5.1.2.10                                   TIERBESTANDSVERLUSTE  SONST. TIERE
k
f 5335.000(*  ) P(V31 V5 )
s V3172,73S09 > 50E0
t Naturalbericht (Tiere), Durchschnittsbestand groeszer 50 Tiere:
t Tierbestandsverluste bei ZIEGEN von ueber 10% sind sehr hoch
b V5172,73S08 <= ( V3172,73S09 ) * 0.1
k
f 5340.000(*  ) P(V31 V5 )
s V3176,77S09 > 50E0
t Naturalbericht (Tiere), Durchschnittsbestand groeszer 50 Tiere:
t Tierbestandsverluste bei KANINCHEN von ueber 10% sind sehr
t hoch
b V5176,77S08 <= ( V3176,77S09 ) * 0.1
k
f 5350.000(*  ) P(V31 V5 )
s V3190-97S09 > 50E0
t Naturalbericht (Tiere), Durchschnittsbestand groeszer 50 Tiere:
t Tierbestandsverluste bei FISCHEN von ueber 10% sind sehr hoch
b V5190-97S08 <= ( V3190-97S09 ) * 0.1
k
k
k
a 5.2.1 TEIL 5.2: NATURALBERICHT (VORRAETE)                KONTROLLFRAGEN
a 5.2.1.01                  ALLGEMEIN
k
f 5360.5##(***+) P(V51)
d ##(10-34,37-40)
t Naturalbericht (Vorraete), Code 52##: in den Spalten 02 bis 10
t duerfen NUR POSITIVE WERTE eingetragen werden
b ( V52##S02 >= 0.0 ) && ( V52##S03 >= 0.0 ) && ( V52##S04 >= 0.0 ) &&
b ( V52##S05 >= 0.0 ) && ( V52##S06 >= 0.0 ) && ( V52##S07 >= 0.0 ) &&
b ( V52##S08 >= 0.0 ) && ( V52##S09 >= 0.0 ) && ( V52##S10 >= 0.0 )
k
f 5365.5##(***+) P(V51)
d ##(01-02)
t Naturalbericht (Vorraete), Code 55##: in den Spalten 02 bis 10
t duerfen NUR POSITIVE WERTE eingetragen werden
b ( V55##S02 >= 0.0 ) && ( V55##S03 >= 0.0 ) && ( V55##S04 >= 0.0 ) &&
b ( V55##S05 >= 0.0 ) && ( V55##S06 >= 0.0 ) && ( V55##S07 >= 0.0 ) &&
b ( V55##S08 >= 0.0 ) && ( V55##S09 >= 0.0 ) && ( V55##S10 >= 0.0 )
k
m LDWP05D
k
f 5366.6##(***+) P(V51)
d ##(01-12,20-35,39,40,48,59-64,66,68-70,72-74,76-80,88-99)
t Naturalbericht (Vorraete), Code 56##: in den Spalten 02 bis 10
t duerfen NUR POSITIVE WERTE eingetragen werden
b ( V56##S02 >= -0.1 ) && ( V56##S03 >= -0.1 ) && ( V56##S04 >= -0.1 ) &&
b ( V56##S05 >= -0.1 ) && ( V56##S06 >= -0.1 ) && ( V56##S07 >= -0.1 ) &&
b ( V56##S08 >= -0.1 ) && ( V56##S09 >= -0.1 ) && ( V56##S10 >= -0.1 )
k
f 5368.7##(***+) P(V51)
d ##(00-08,76,79,85,88,89)
t Naturalbericht (Vorraete), Code 57##: in den Spalten 02 bis 10
t duerfen NUR POSITIVE WERTE eingetragen werden
b ( V57##S02 >= 0.0 ) && ( V57##S03 >= 0.0 ) && ( V57##S04 >= 0.0 ) &&
b ( V57##S05 >= 0.0 ) && ( V57##S06 >= 0.0 ) && ( V57##S07 >= 0.0 ) &&
b ( V57##S08 >= 0.0 ) && ( V57##S09 >= 0.0 ) && ( V57##S10 >= 0.0 )
k
k
k                               
f 5369.6##(***) P(V51)
d ##(01-12,17,18,20-40,48,59-64,66,68-70,72-80,88-99)
t Naturalbericht (Vorraete), SELBSTERZEUGTE FERTIGE ERZEUGNISSE, in den 
t Codes 56## sind in der Spalte Zukauf (03) keine Eintragungen zulaessig
b ( V56##S03 == 0.0 )
k
f 5370.7##(***) P(V51)
d ##(00-08,76,79,85,88,89)
t Naturalbericht (Vorraete), SELBSTERZEUGTE FERTIGE ERZEUGNISSE, in den 
t Codes 57## sind in der Spalte Zukauf (03) keine Eintragungen zulaessig
b ( V57##S03 == 0.0 )
k
f 5371.0##(***+) P(V31 V51)
d ##(09,29,39,49,60,69,72,73,76-78,80)
t Naturalbericht (Vorraete), Verbrauch Tierproduktion (Code 51##) von
t selbsterzeugten fertigen Erzeugnissen, aber kein Durchschnittsbestand
t Tiere (Code 31## Sp.09)
b ( V51##S09 ==  0.0 ) || ( V31##S09 > 0.0 )
k
f 5372.0##(***+) P(V21 V51)
d ##(01,02,03,04,05,06,07,08,09,10,11,12,17,18,20,21,22,23,24,
d 25,26,27,28,29,30-35,39,40,80)
t Naturalbericht (Vorraete), Verkaufte Mengen in Code 56## Sp. 05
t gegeben, aber keine Verkaufserloese in der G.u.V. Code 20## Sp.05 eingetragen
b ( V56##S05 ==  0.0 ) || ( V20##S05 > 0.0 )
k
f 5373.0##(***) P(V21 V51)
d ##(01,02,03,04,05,06,07,08,09,10,11,12,17,20,21,22,23,24,
d 25,26,27,28,29,30-35,39,40,80)
t Naturalbericht (Vorraete), Verkaufserloese in der G.u.V. Code 20## Sp.05 eingetragen,
t aber keine Verkaufte Mengen in Code 56## Sp. 05 gegeben 
b ( V20##S05 ==  0.0 ) || ( V56##S05,09 > 0.0 )
k
f 5374.000(***+) P(V21 V51)
t Naturalbericht (Vorraete), Verkaufte Kuhmilch in Code 5689 Sp. 05 
t gegeben, aber keine Verkafserloese in der G.u.V. Code 2127 Sp.05 eingetragen
b ( V5689S05 ==  0.0 ) || ( V2127S05 > 0.0 )
k
k
a 5.2.1.02			Kontrollfragen Duengemittel 
k
k
k				Duengemittel /* Spalte 7 (Verbrauch) */
k
f 5380.100(***) P(V51)
t Naturalbericht (Roh-, Hilfs-,Betriebsstoffe), Code 5210, ausgebrachte 
t Duengemenge je ha ueberhoeht. Mehr als 11 dt Kalkammonsalpeter je ha LF.
b (( V5210S07 / V6119S07 ) <= 11 )
k
f 5381.000(***) P(V51)
t Naturalbericht (Roh-, Hilfs-,Betriebsstoffe), Code 5211, ausgebrachte 
t Duengemenge je ha ueberhoeht. Mehr als 7 dt Harnstoff je ha LF.
b (( V5211S07 / V6119S07 ) <= 7 )
k
f 5382.000(***) P(V51)
t Naturalbericht (Roh-, Hilfs-,Betriebsstoffe), Code 5212, ausgebrachte 
t Duengemenge je ha ueberhoeht. Mehr als 12 dt Ammonsulfatsalpeter, AHL oder Sulfan je ha LF.
b (( V5212S07 / V6119S07 ) <= 12 )
k
f 5384.000(***) P(V51)
t Naturalbericht (Roh-, Hilfs-,Betriebsstoffe), Code 5213, ausgebrachte 
t Duengemenge je ha ueberhoeht. Mehr als 11 dt Ammoniumnitrat-Harnstoff-Lsung oder Alzon fluessig je ha LF.
b (( V5213S07 / V6119S07 ) <= 11 )
k
f 5386.000(***) P(V51)
t Naturalbericht (Roh-, Hilfs-,Betriebsstoffe), Code 5214, ausgebrachte 
t Duengemenge je ha ueberhoeht. Mehr als 14 dt Schwefelsaures Ammoniak oder Ammoniumnitrat je ha LF.
b (( V5214S07 / V6119S07 ) <= 14 )
k
f 5387.000(***) P(V51)
t Naturalbericht (Roh-, Hilfs-,Betriebsstoffe), Code 5215, ausgebrachte 
t Duengemenge je ha ueberhoeht. Mehr als 15 dt Harnstoff-Ammonsulfat-Lsung oder Kalkstickstoff je ha LF.
b (( V5215S07 / V6119S07 ) <= 15 )
k
f 5388.000(***) P(V51)
t Naturalbericht (Roh-, Hilfs-,Betriebsstoffe), Code 5217, ausgebrachte 
t Duengemenge je ha ueberhoeht. Mehr als 25 dt Supersphosphat je ha LF.
b (( V5217S07 / V6119S07 ) <= 25 )
k
f 5389.000(***) P(V51)
t Naturalbericht (Roh-, Hilfs-,Betriebsstoffe), Code 5218, ausgebrachte 
t Duengemenge je ha ueberhoeht. Mehr als 9 dt Triple-Supersphosphat je ha LF.
b (( V5218S07 / V6119S07 ) <= 9 )
k
f 5390.000(***) P(V51)
t Naturalbericht (Roh-, Hilfs-,Betriebsstoffe), Code 5219, ausgebrachte 
t Duengemenge je ha ueberhoeht. Mehr als 15 dt Kali 40 % je ha LF.
b (( V5219S07 / V6119S07 ) <= 15 )
k
f 5391.000(***) P(V51)
t Naturalbericht (Roh-, Hilfs-,Betriebsstoffe), Code 5220, ausgebrachte 
t Duengemenge je ha ueberhoeht. Mehr als 12 dt Kali 50 % je ha LF.
b (( V5220S07 / V6119S07 ) <= 12 )
k
f 5392.000(***) P(V51)
t Naturalbericht (Roh-, Hilfs-,Betriebsstoffe), Code 5221, ausgebrachte 
t Duengemenge je ha ueberhoeht. Mehr als 10 dt Kali 60 % je ha LF.
b (( V5221S07 / V6119S07 ) <= 10 )
k
f 5392.100(***) P(V51)
t Naturalbericht (Roh-, Hilfs-,Betriebsstoffe), Code 5222, ausgebrachte 
t Duengemenge je ha ueberhoeht. Mehr als 10 dt Patentkali je ha LF.
b (( V5222S07 / V6119S07 ) <= 10 )
k
f 5393.000(***) P(V51)
t Naturalbericht (Roh-, Hilfs-,Betriebsstoffe), Code 5224, ausgebrachte 
t Duengemenge je ha ueberhoeht. Mehr als 17 dt Diammonsphosphat (18/46) je ha LF.
b (( V5224S07 / V6119S07 ) <= 17 )
k
f 5394.000(***) P(V51)
t Naturalbericht (Roh-, Hilfs-,Betriebsstoffe), Code 5225, ausgebrachte 
t Duengemenge je ha ueberhoeht. Mehr als 15 dt NP-Duenger (20/20) je ha LF.
b (( V5225S07 / V6119S07 ) <= 15 )
k
f 5395.000(***) P(V51)
t Naturalbericht (Roh-, Hilfs-,Betriebsstoffe), Code 5227, ausgebrachte 
t Duengemenge je ha ueberhoeht. Mehr als 24 dt PK-Duenger je ha LF.
b (( V5227S07 / V6119S07 ) <= 24 )
k
f 5395.100(***) P(V51)
t Naturalbericht (Roh-, Hilfs-,Betriebsstoffe), Code 5228, ausgebrachte 
t Duengemenge je ha ueberhoeht. Mehr als 24 dt NK-Duenger je ha LF.
b (( V5228S07 / V6119S07 ) <= 24 )
k
f 5396.000(***) P(V51)
t Naturalbericht (Roh-, Hilfs-,Betriebsstoffe), Code 5229, ausgebrachte 
t Duengemenge je ha ueberhoeht. Mehr als 25 dt NPK 12/12/17 je ha LF.
b (( V5229S07 / V6119S07 ) <= 25 )
k
f 5397.000(***) P(V51)
t Naturalbericht (Roh-, Hilfs-,Betriebsstoffe), Code 5230, ausgebrachte 
t Duengemenge je ha ueberhoeht. Mehr als 23 dt NPK 13/13/21 je ha LF.
b (( V5230S07 / V6119S07 ) <= 23 )
k
f 5398.000(***) P(V51)
t Naturalbericht (Roh-, Hilfs-,Betriebsstoffe), Code 5231, ausgebrachte 
t Duengemenge je ha ueberhoeht. Mehr als 21 dt NPK 14/10/20 je ha LF.
b (( V5231S07 / V6119S07 ) <= 21 )
k
f 5399.000(***) P(V51)
t Naturalbericht (Roh-, Hilfs-,Betriebsstoffe), Code 5232, ausgebrachte 
t Duengemenge je ha ueberhoeht. Mehr als 20 dt NPK 15/15/15 je ha LF.
b (( V5232S07 / V6119S07 ) <= 20 )
k
f 5400.000(***) P(V51)
t Naturalbericht (Roh-, Hilfs-,Betriebsstoffe), Code 5233, ausgebrachte 
t Duengemenge je ha ueberhoeht. Mehr als 15 dt NPK 20/8/8 je ha LF.
b (( V5233S07 / V6119S07 ) <= 15 )
k
f 5401.000(***) P(V51)
t Naturalbericht (Roh-, Hilfs-,Betriebsstoffe), Code 5234, ausgebrachte 
t Duengemenge je ha ueberhoeht. Mehr als 13 dt NPK 24/8/8 je ha LF.
b (( V5234S07 / V6119S07 ) <= 13 )
k
f 5402.000(***) P(V51)
t Naturalbericht (Roh-, Hilfs-,Betriebsstoffe), Codes 5210 bis 5216, 
t 5224 bis 5226 und 5228 bis 5237, ausgebrachte Duengemenge je ha erscheint 
t ueberhoeht. Mehr als 30 dt stickstoffhaltige Duengemittel je ha LF ausgebracht.
b ((( V5210-16,24,25,26,28-34,37S07 ) / V6119S07 ) <= 30 )
k
f 5403.000(***) P(V51)
t Naturalbericht (Roh-, Hilfs-,Betriebsstoffe), Codes 5217, 5218, 5224 bis 5237, 
t ausgebrachte Duengemenge je ha erscheint 
t ueberhoeht. Mehr als 60 dt phospathaltige Duengemittel je ha LF ausgebracht.
b ((( V5217,18,24-27,29-34,37S07 ) / V6119S07 ) <= 60 )
k
f 5404.000(***) P(V51)
t Naturalbericht (Roh-, Hilfs-,Betriebsstoffe), Codes 5219 bis 5223, 
t 5227 bis 5237, ausgebrachte Duengemenge je ha erscheint 
t ueberhoeht. Mehr als 60 dt kalihaltige Duengemittel je ha LF ausgebracht.
b ((( V5219-23,27-34,37S07 ) / V6119S07 ) <= 60 )
k
k                             /* Getreide */
f 5420.0##(***) P(V51)
d ##(01-10,12,17, 31)
t Naturalbericht (Vorraete), Code 56##: Erzeugte Menge je ha ueberhoeht. 
t Mehr als 200dt je ha Ernteflaeche.
b (( V56##S04 / V40##S02 ) <= 200 )
k
k                                /* Energierueben/ Zuckerueben */
f 5421.0##(***) P(V51)
d ##(35,40)
t Naturalbericht (Vorraete), Code 56##: Erzeugte Menge je ha ueberhoeht. 
t Mehr als 1500dt je ha Ernteflaeche.
b (( V56##S04 / V40##S02 ) <= 1500 )
k
k                                /* Kartoffeln */
f 5422.0##(***) P(V51)
d ##(39)
t Naturalbericht (Vorraete), Code 56##: Erzeugte Menge je ha ueberhoeht. 
t Mehr als 1000dt je ha Ernteflaeche.
b (( V56##S04 / V40##S02 ) <= 1000 )
k
k                                /*  Silomais */
f 5423.0##(***) P(V51)
d ##(70)
t Naturalbericht (Vorraete), Code 56##: Erzeugte Menge je ha ueberhoeht.
t Mehr als 1 1000dt je ha Ernteflaeche.
b (( V56##S04 / V40##S02 ) <= 11000 )
k
k
k                                /* andere Produkte Ackerbau */
f 5424.0##(***) P(V51)
d ##(20-28)
t Naturalbericht (Vorraete), Code 56##: Erzeugte Menge je ha ueberhoeht.
t Mehr als 100dt je ha Ernteflaeche.
b (( V56##S04 / V40##S02 ) <= 100 )
k
k
k
a 5.2.1.03                                                   Sonstiger Verbrauch Spalte 7
k
k									f 5430 nicht aktiv
k 5430.0##(***) P(V51)
k ##(01-10,12,17,18,20-40,48,59-64,66,68-70,72,80,89-99)
k Naturalbericht (Vorraete), Code 56##: SONSTIGER VERBRAUCH von 50% und mehr des 
k Zukaufs und der Erzeugung sind sehr hoch
k V56##S07 <= (( V56##S03,04 ) * 0.5 )
k
a 5.2.1.04                                                     VERLUSTE Spalte 8
k
k                                /* Getreide */
f 5450.0##(***) P(V51)
d ##(01-10,12,17,18,20-28)
t Naturalbericht (Vorraete), Code 56##: VERLUSTE von ueber 10% sind
t sehr hoch
b V56##S08 <= (( V56##S02,03,04 ) * 0.1 )
k
k                                /*  CCM  */
f 5460.000(***) P(V51)
t Naturalbericht (Vorraete), Code 5611: VERLUSTE von ueber 30% sind
t sind bei CCM sehr hoch
b V5611S08 <= (( V5611S02,03,04 ) * 0.3 )
k
k
k                                /* andere Produkte Ackerbau */
f 5470.0##(***) P(V51)
d ##(29,30-35,39,40,48,59-64,66,68-70,72,80,)
t Naturalbericht (Vorraete), Code 56##: VERLUSTE von ueber 25% sind
t sehr hoch
b V56##S08 <= (( V56##S02,03,04 ) * 0.25 )
k
k                                /* tierische Produkte */
f 5480.0##(***) P(V5 )
d ##(89-99)
t Naturalbericht (Vorraete), Code 56##: VERLUSTE von ueber 10% sind
t sehr hoch
b V56##S08 <= (( V56##S02,03,04 ) * 0.1 )
k
k                                /* Obst */
f 5490.0##(***) P(V51)
d ##(00-08)
t Naturalbericht (Vorraete), Code 57##: VERLUSTE von ueber 10% sind
t bei OBST sehr hoch
b V57##S08 <= (( V57##S02,03,04 ) * 0.1 )
k
k                                /* Wein */
f 5500.0##(***) P(V51)
d ##(76,79,85,88-89)
t Naturalbericht (Vorraete), Code 56##: VERLUSTE von ueber 10% sind
t bei WEIN sehr hoch
b V57##S08 <= (( V57##S02,03,04 ) * 0.1 )
k
k                                /* Milch */
f 5689.100(***) P(V51)
t Naturalbericht (Vorraete), erzeugte Milchmenge Code 5689,90 ist sehr hoch
b V5689,90S04 <= V3116S09 * 120.0
k
f 5689.200(***) P(V51)
t Naturalbericht (Vorraete), erzeugte Milchmenge Code 5689,90 ist sehr niedrig
b V5689,90S04 >= V3116S09 * 20.0
k
k
k
k
k
a 5.2.1.05                                                Naturalentnahmen Spalte 9
k
k					/*Tiere*/
k
k                                
f 5700.0##(***) P(v51)
s V0020S02 > 16E0
d ##(09,29,39,49,60,69,72,73,76-78,80,81,90-92,97)
t Naturalbericht (Tiere), Code 51##: Naturalentnahmen sind
t fuer juristische Personen nicht moeglich 
b (V51##S09 == 0.0 )
m LDWP06A
k
a 6.1.1 TEIL 6.1: BETRIEBSFLAECHE               ZEILEN- UND SPALTENSUMMEN
a 6.1.1.1              BETRIEBSFLAECHE AM ENDE DES GESCHAEFTSJAHRES
k
k                                /* Zeilensumme */
f 6000.0##(***+) P(V60 V61)
d ##(00,04,08,10-14,16,18,19,21,22,28,29)
t Abschn.6.1 (Betriebsflaeche), in Code 61## entspricht Sp.02 -
t Sp.03 - Sp.04 + Sp.05 + Sp.06 nicht Sp.07
b V61##S02 - V61##S03 - V61##S04 + V61##S05 + V61##S06 #EQ(2.0) V61##S07
k                                /* Spaltensumme LF */
f 6001.0##(***+) P(V60 V61)
d ##(02-07)
t Abschn.6.1 (Betriebsflaeche), Summenwert in Code 6119 Spalte ##
t entspricht nicht der Summe der Einzelpositionen
b V6100-18S## #EQ(2.0) V6119S##
k
k                                /* Spaltensumme Betriebsflaeche */
f 6002.0##(***+) P(V60 V61)
d ##(02-07)
t Abschn.6.1 (Betriebsflaeche), Summenwert in Code 6129 Spalte ##
t entspricht nicht der Summe der Einzelpositionen
b V6119-28S## #EQ(2.0) V6129S##
k
a 6.1.1.2                BETRIEBSFLAECHENVERAENDERUNG IM GESCHAEFTSJAHR
k
k                                /* Spaltensumme LF */
f 6005.0##(***+) P(V61)
d ##(02-09)
t Abschn.6.2 (Betriebsflaechenveraenderung), Summenwert in Code 6219
t Spalte ## entspricht nicht der Summe der Einzelpositionen
b V6200-18S## #EQ(2.0) V6219S##
k
k                                /* Spaltensumme Betriebsflaeche */
f 6006.0##(***+) P(V61)
d ##(02-09)
t Abschn.6.2 (Betriebsflaechenveraenderung), Summenwert in Code 6229
t Spalte ## entspricht nicht der Summe der Einzelpositionen
b V6219-28S## #EQ(2.0) V6229S##
k
k
k
a 6.1.2 TEIL 6.1.: BETRIEBSFLAECHE AM ENDE DES GJ.           KONTROLLFRAGEN
k
k
k
f 6100.0##(***+) P(V60)
d ##(00,04,08,10-14,16,18,19,21,22,28,29)
t Abschn.6.1 (Betriebsflaeche), in den Spalten 02 bis 07 duerfen
t NUR POSITIVE WERTE stehen
b ( V61##S02 >= 0.0 ) && ( V61##S03 >= 0.0 ) && ( V61##S04 >= 0.0 ) &&
b ( V61##S05 >= 0.0 ) && ( V61##S06 >= 0.0 ) && ( V61##S07 >= 0.0 )
k
f 6101.100(***+) P(V60)
s V9801 !=  3.0
s V2312S05 ==  0.0
t Abschn.6.1 (Betriebsflaeche), Landwirtschaftlicher Betrieb (kein Gartenbau-
t bzw. Fischereibetrieb) mit keiner oder zu geringer landwirtschaftlich genutzten Flaeche!
b V6119S07 > 0.1
k
f 6101.200(***+) P(V60)
s V2312S05 ==  0.0
t Abschn.6.1 (Betriebsflaeche), Landwirtschaftlicher Betrieb (kein Fischereibetrieb)
t ohne bewirtschaftete Flaeche!
b V6129S07 > 0.0
k
f 6102.000(*  ) P(V60)
s V0020S02 ==  11E0
t Abschn.6.1 (Betriebsflaeche), Einzelunternehmen mit einer
t bewirtschafteten Flaeche von ueber 1500 ha
b V6129S07 <= 1500.0
k
f 6103.000(*  ) P(V60)
s V0020S02 !=  11E0
t Abschn.6.1 (Betriebsflaeche), Unternehmen mit einer bewirtschafteten
t Flaeche von ueber 6500 ha
b V6129S07 <= 6500.0
k
f 6104.000(***+) P(V10 V60)
t Abschn.6.1 (BETRIEBSFLAECHE), Eigentumsflaeche in Code 6129, aber
t kein Boden in der Bilanz
b ( V6129S02 ==  0.0 ) || ( V1020,21S02 > 0.0 )
k
f 6105.0##(***) P(V60 V61)
d ##(00,04,08,10-14,16,18,21,22,28)
s V61##S03,04 > 0.0
t Abschn.6.1 (BETRIEBSFLAECHE), VERPACHTETE FLAECHE am Ende des GJ, aber
t keine oder zu geringe Eigentums- bzw. Zupachtflaeche in Code 61##
b V61##S03,04 - 0.01 <= V61##S02,05,06
k
f 6105.100(***) P(V60 V61)
t Abschn.6.1 (BETRIEBSFLAECHE), ZUGEPACHTETE LF am Ende des GJ, aber
t keine Pachtzahlungen in der GuV, Code 2840
b V6119S05 == 0.0 || V2840S05 < 0.0
k
f 6106.100(***) P(V60 V61)
t Abschn.6.1 (BETRIEBSFLAECHE), VERPACHTETE LF am Ende des GJ, aber
t keine Pachtzahlungen in der GuV, Code 2325
b V6119S03 == 0.0 || V2325S05 > 0.0
k
f 6106.200(***) P(V32 V60)
t Abschn.6.1 (BETRIEBSFLAECHE), Obstflaeche am Ende des Wirtschaftsjahres
t (Code 6110), aber kein Umsatzerloese aus Obstbau (Code 2209) angegeben
b ( V6110S07 < 0.5 ) || V2209S05 > 0.0
k
f 6106.300(***) P(V32 V60)
t Abschn.6.1 (Betriebsflaeche), Baumschulflaeche am Ende des
t Wirtschaftsjahres (Code 6111), aber kein Umsatzerloese aus Baumschulen
t (Code 2260) angegeben
b ( V6111S07 == 0.0 ) || V2260S05 > 0.0
k
f 6106.400(***) P(V32 V60)
t Abschn.6.1 (Betriebsflaeche), gartenbaul. genutzte Flaeche am Anfang des
t Gesch.jahres, aber keine Feldinventarflaeche (Code 3419-67 Spalte 2) angegeben
b (( V6111-14S07 ) - ( V6211-14S02 ) + ( V6211-14S03 ) - ( V6211-14S06 )
b + ( V6211-14S07 ) == 0.0 ) || V3419,29,39,49,60,66,67S02 > 0.0
k
f 6106.500(***) P(V32 V60)
t Abschn.6.1 (Betriebsflaeche), gartenbaul. genutzte Flaeche am Ende des
t Gesch.jahres, aber kein Feldinventarflaeche (Code 3419-67 Spalte 5) angegeben
b ( V6111-14S07 == 0.0 ) || V3419,29,39,49,60,66,67S05 > 0.0
k
f 6106.600(***) P(V32 V60)
t Abschn.6.1 (Betriebsflaeche), gartenbaul. genutzte Flaeche im Freiland (Code
t 6112), aber kein Umsatzerloese aus Gemuese oder Zierpflanzen im Freiland (Code
t 2229 bzw. 2249) angegeben
b ( V6112S07 == 0.0 ) || V2229,49S05 > 0.0
k
f 6106.700(***) P(V32 V60)
t Abschn.6.1 (Betriebsflaeche), gartenbaul. genutzte Flaeche im Gewaechshaus
t (Code 6113,6114), aber kein Umsatzerloese aus Gemuese oder Zierpflanzen aus
t Gewaechshausern (Code 2239 bzw. 2259)
t angegeben
b ( V6113,14S07 == 0.0 ) || V2239,59S05 > 0.0
k
f 6106.800(***) P(V32 V60)
t Abschn.6.1 (Betriebsflaeche), Weinbauflaeche am Ende des
t Wirtschaftsjahres (Code 6116), aber kein Umsatzerloese aus Weinbau
t (Code 2299) angegeben
b ( V6116S07 == 0.0 ) || V2299S05 > 0.0
k
f 6107.000(*  ) P(V60)
s V0020S02 > 60E0
t Abschn.6.1 (Betriebsflaeche), weinbaulich genutzte Flaeche ist
t groeszer als 15 ha
b ( V6116S07 ) <= 15.0
k
f 6108.000(*  ) P(V60)
s V0020S02 <= 60E0
t Abschn.6.1 (Betriebsflaeche), weinbaulich genutzte Flaeche ist
t groeszer als 100 ha
b ( V6116S07 ) <= 100.0
k
k
k
a 6.2.1 TEIL 6.2.: BETRIEBSFLAECHENVERAENDERUNG IM GJ.     KONTROLLFRAGEN
a 6.2.1.1                                ALLGEMEIN
k
f 6200.000(***) P(V60 V61)
t Abschn.6.2 (Betriebsflaechenveraenderung), Zugang Eigentumsflaeche,
t aber keine Betriebsflaeche im Eigentum in Abschn.6.1
b V6229S02 ==  0.0 || V6129S02 > 0.0
k
f 6205.000(***) P(V60 V61)
t Abschn.6.2 (Betriebsflaechenveraenderung), Betriebsflaeche im WJ
t abgegeben, aber keine Betriebsflaeche im Eigentum in Abschn.6.1
b V6229S04 ==  0.0 || V6129S02 > 0.0
k
f 6210.000(***) P(V60 V61)
t Abschn.6.2 (Betriebsflaechenveraenderung), Betriebsflaeche zur Pacht
t abgegeben, aber keine Betriebsflaeche entgeltlich oder unentgeltlich
t verpachtet (Abschn.6.1)
b ( V6229S04 ==  0.0 ) || ( V6129S03,04 ) > 0.0
k
f 6215.000(***) P(V60 V61)
t Abschn.6.2 (Betriebsflaechenveraenderung), Betriebsflaeche Zugang an
t Zupachtflaeche, aber keine Betriebsflaeche entgeltlich oder
t unentgeltlich zugepachtet (Abschn.6.1)
b ( V6229S06 ==  0.0 ) || ( V6129S05,06 ) > 0.0
k
f 6220.000(***+) P(V61)
t Abschn.6.2 (Betriebsflaechenveraenderung), Zugang und Abgang
t Flaechenumwandlung ist nicht gleich gross
b V6229S08 #EQ(1.0) V6229S09
k
f 6225.000(***) P(V61)
t Abschn.6.2 (Betriebsflaechenveraenderung), Zugang oder Abgang an LF im WJ
t (Code 6219) aber keine Veraenderung beim Feldinventar (Code 3499)
b ( V6219S02-V6219S03+V6219S06-V6219S07 ) ==  0.0  ||
b ( V3499s02 - v3499s05 != 0.0)
k
k
a 6.2.1.2                               ABGLEICH MIT DEM ANLAGENSPIEGEL
k
k
k 6250.100(***) P(V30 V61)
k V0003S02 < 17E0
k Abschn.6.2(Betriebsflaechenveraenderung), Zugang an Eigentumsflaeche,
k aber kein Bodenzugang im Anlagenspiegel
k (V6229S02,04 == 0.0) || (V3020,21S03 > 0.0)
k
f 6250.200(***) P(V30 V61)
s ( V3020,21S03 ) > 3000E0
s V0003S02 < 17E0
t Abschn.6.2(Betriebsflaechenveraenderung), Bodenzugang im Anlagenspiegel
t aber keinen Zugang an Eigentumsflaeche bei der Betriebsflche
b (V3020,21s03 < 3000.0) || (V6229S02,04 > 0.0)
k
f 6251.000(***) P(V30 V61)
s ( V3020,21S04 ) > 4000E0
s V0003S02 < 17E0
t Abschn.6.2(Betriebsflaechenveraenderung), Abgang an Eigentumsflaeche,
t im Anlagenspiegel, aber kein Bodenabgang
b V6229S03 > 0.0 || V6229S05 > 0.0
k
k
k
m LDWP07A
k
k
a 7.0.1 TEIL 7.0: ARBEITSKRAEFTE                                     SPALTENSUMME
k
k
k
f 7000.000(***+) P(V7 )
t Absch.7 (Arbeitskraefte), Betrieb mit weniger als 0,1 betrieblichen Arbeitskraeften!
b ( V7089S03 + V7098S03 ) > 0.1
k
f 7001.0##(***+) P(V7 )
d ##(02-04,11,13)
t Absch.7 (Arbeitskraefte), Summenwert in Code 7089 Spalte ##
t entspricht nicht der Summe der Einzelpositionen
b ( V7001-15S## + V7081-85S## ) #EQ(0.1) V7089S##
k
f 7002.0##(***+) P(V7 )
d ##(02,03)
t Absch.7 (Arbeitskraefte), Summenwert in Code 7098 Spalte ##
t entspricht nicht der Summe der Einzelpositionen
b ( V7090-96S## ) #EQ(0.1) V7098S##
k
f 7003.0##(***+) P(V7 )
d ##(02,03)
s V0020S02 < 60E0
t Absch.7 (Arbeitskraefte), Summenwert in Code 7099 Spalte ##
t entspricht nicht der Summe der Einzelpositionen
b ( V7089,98S## ) #EQ(0.1) V7099S##
k
f 7005.000(***+) P(V7 )
t Absch.7 (Arbeitskraefte), Summenwert in Code 7098 Spalte 04
t entspricht nicht der Summe der Einzelpositionen
b ( V7090-96S04 ) #EQ(2.0) V7098S04
k
f 7006.000(***+) P(V7 )
s V0020S02 < 60E0
t Absch.7 (Arbeitskraefte), Summenwert in Code 7099 Spalte 04
t entspricht nicht der Summe der Einzelpositionen
b ( V7089,98S04 ) #EQ(2.0) V7099S04
a 7.0.2 TEIL 7.0: ARBEITSKRAEFTE                  KONTROLLFRAGEN
k
f 7007.000(***+) P(V7 )
s V0020S02 < 14E0
s V0018S02 == 1E0
t Absch.7 (Arbeitskraefte), Einzelunternehmen oder GbR im Code 0018 als 
t Haupterwerbsbetrieb geschluesselt, aber weniger als eine betriebliche Arbeitskraft angegeben
b V7099S03 > 0.9
k
k
f 7008.000(***) P(V7 )
s V0020S02 > 11E0 && V0020S02 < 60E0
t Absch.7 (Arbeitskraefte), Bei Personengesellschaft sind in den Feldern
t 7001-7089 nicht entlohnte Ak einzutragen
b V7089S04 ==  0.0
k
f 7009.000(***) P(V7 )
s V7094S03 > 0
t Absch.7 (Arbeitskraefte), Ak- Angabe fuer Auszubildende ist zu hoch, je
t Auszubildenden duerfen hoechstens 0,7 AK angegeben werden
b ( V7094S03 / V7094S02)-0.05 <= 0.7
f 7009.100(***) P(V7)
s V7001S03 > 0
t Absch.7 (Arbeitskraefte), Ak- Angabe fuer Betriebsleiter ist zu hoch, je
t Betriebsleiter darf hoechstens 1 AK angegeben werden
b V7001S03 <= 1
k
k                         /* Art d. Beschaeftigung im Unternehmen Sp.05 */
f 7010.0##(***+) P(V7 )
s V9801 < 5.0
d ##(01-15,81-85)
s V70##S03 > 0.0
t Absch.7 (Arbeitskraefte), ART der BESCHAEFTIGUNG im UNTERNEHMEN
t (Code 70## Sp.05) ist falsch verschluesselt
b ( V70##S05 ==  8E0 ) || ( V70##S05 >= 11E0 && V70##S05 <= 18E0 ) ||
b                    ( V70##S05 >= 21E0 && V70##S05 <= 28E0 )
k                                                   /* Ausbildung Sp.06 */
f 7015.0##(***) P(V7 )
d ##(01-15,81-85)
s V70##S10 > 0E0 && V70##S10 < 3E0
z AUSB1 = ( V70##S06 / 100E0 );
t Absch.7 (Arbeitskraefte), Angaben fuer schulische AUSBILDUNG in
t Code 70## Spalte 06 A ist nicht im Bereich von 1-5
b AUSB1 #IN( 1, 5 )
k
k                                                   /* Ausbildung Sp.06 */
f 7016.0##(***) P(V7 )
d ##(01-15,81-85)
s V70##S10 > 0E0 && V70##S10 < 3E0
z AUSB2 = ( V70##S06 / 10E0 );
z AUSB2 = MOD( AUSB2 , 10 );
t Absch.7 (Arbeitskraefte), Angaben fuer landwirtschaftliche AUSBILDUNG
t in Code 70## Spalte 06 B ist nicht im Bereich von 1-5
b AUSB2 #IN( 1, 5 )
k                                                   /* Ausbildung Sp.06 */
k
f 7017.0##(***) P(V7 )
d ##(01-15,81-85)
s V70##S10 > 0E0 && V70##S10 < 3E0
z AUSB3 = MOD( V70##S06 , 10 );
t Absch.7 (Arbeitskraefte), Angaben fuer nichtlandwirtschaftliche
t AUSBILDUNG in Code 70## Spalte 06 C ist nicht im Bereich von 1-5
b AUSB3 #IN( 1, 5 )
k                                                   /* Geschlecht Sp.09 */
f 7020.0##(***+) P(V7 )
d ##(01-15,81-85)
s ( V70##S03 > 0.0 || V70##S09 > 0.0)
t Absch.7 (Arbeitskraefte), GESCHLECHT fuer FAM-AK in Code 70##
t Spalte 09 ist falsch verschluesselt
b ( V70##S09 ==  1E0 ) || ( V70##S09 ==  2E0 )
k                                               /* Verwandtschaft Sp.10 */
f 7025.0##(***+) P(V7 )
d ##(01-15,81-85)
s V0020S02 == 11 && V70##S03 > 0.0 && V70##S10 > 0.0
t Absch.7 (Arbeitskraefte), Schluessel fuer VERWANDTSCHAFTSVERHAELTNIS
t der Fam-AK in Code 70## ist nicht im Bereich von 1-7
b V70##S10 #IN( 1, 7 )
k               /* Art d. Beschaeftigung auszerh. d. Unternehmens Sp.12 */
f 7030.0##(***+) P(V7 )
d ##(01-15,81-85)
s V70##S11 > 0.0
t Absch.7 (Arbeitskraefte), ART der BESCHAEFTIGUNG AUSZERHALB des
t UNTERNEHMENS in Code 70## Spalte 12 ist falsch verschluesselt
b ( V70##S12 >= 11E0 && V70##S12 <= 26E0 ) &&
b ( MOD( V70##S12 , 10 ) > 0.0 && MOD( V70##S12 ,10 ) <= 6E0 )
k
k
f 7040.000(***+) P(V7 )
s V9801 < 5.0
s V0020S02 < 14
t Absch.7 (Arbeitskraefte), in Code 7001 darf nur der Betriebsleiter
t eingetragen werden
b MOD( V7001S05 , 10 ) ==  1E0
k                                                                            / -- AK-EINHEITEN--/
f 7045.000(***+) P(V7 )
s V0020S02 < 14
t Absch.7 (Arbeitskraefte), in Einzelunternehmung oder GbR sind
t Lohnzahlungen an den Betriebsleiter nicht zulaessig
b V7001S04 ==  0E0
k                                /* -- AK-EINHEITEN -- */
f 7049.0##(***+) P(V7 )
d ##(01-15,81-85)
s V0020S02 <= 16E0 && V70##S05 > 0.0
t Absch.7 (Arbeitskraefte), in Code 70## duerfen nur Angaben zu einer
t Person gemacht werden
b V70##S02 ==  1E0
k
m LDWP07B
k
f 7051.0##(***+) P(V7 )
d ##(01-15,81-85)
s V9801 < 5.0
s V0020S02 <= 16 && V70##S02 > 0.0
t Absch.7 (Arbeitskraefte), AK in Code 70## ist insg. mit mehr als
t einer AK bewertet.
b ( V70##S03 + V70##S11 + V70##S13 ) <= 1.01
k
f 7052.0##(***+) P(V7 )
d ##(01-15,81-85)
s V9801 < 5.0
s V0020S02 <= 16 && V70##S02 > 0.0
s    V70##S05 < 10E0
t Absch.7 (Arbeitskraefte), AK in Code 70## arbeitet nach Sp.05
t nicht im Unternehmen, ist aber in Sp.03 als AK ausgewiesen
b V70##S03 ==  0.0
k                         			
z AbschlJahr =  V9804 ;
k
s    V7001S05 > 10E0
z    ALTER = AbschlJahr - V7001S08 ;
k    V7001S05 > 10E0
k      ALTER < 0.0	nur bei 2 stell.
k         ALTER = 100E0 + AbschlJahr - V7001S08 ;   nur bei 2 stell.
s    V7001S05 > 10E0
s      ALTER < 15E0
z         AltSa = 0.00;
s    V7001S05 > 10E0
s      ALTER >= 15E0
s         ALTER <= 18E0
z            AltSa = 0.70;
s    V7001S05 > 10E0
s        ALTER > 18E0
z            AltSa = 1.00;
s    V7001S05 > 10E0
k
f 7060.001(***+) P(V7 )
s V9801 < 5.0
t Absch.7 (Arbeitskraefte), fuer den Betriebsleiter im Code 7001
t sind zu hohe AK-Einheiten in Sp.03 ausgewiesen
b (( 100E0 - V7001S07 ) / 100E0 * AltSa )+0.01 >= V7001S03
k
f 7060.0##(***+) P(V7)
d ##(02-15,81-85)
s  V70##S05 > 10E0
z  ALTER = AbschlJahr - V70##S08 ;
k  if (ALTER < 0.0) {
k    ALTER = 100E0 + AbschlJahr - V70##S08 ;	nur bei 2stell. datum
k  }
z  if (ALTER < 15E0) {
z       AltSa = 0.00;
z  } else
z  if (ALTER >= 15E0 && ALTER <= 18E0) {
z       AltSa = 0.70;
z  } else
z  if (ALTER > 18E0 && ALTER < 68E0) {
z       AltSa = 1.00;
z  } else
z  if (ALTER >= 68E0) {
z       AltSa = 0.50;
z  }
t Absch.7 (Arbeitskraefte), fuer die Arbeitskraft in Code 70##
t sind zu hohe AK-Einheiten in Sp.03 ausgewiesen
b (( 100E0 - V70##S07 ) / 100E0 * AltSa )+0.01 >= V70##S03
k
f 7061.0##(***+) P(V7 )
d ##(90-96)
s V70##S02 !=  0.0
t Absch.7 (Arbeitskraefte), entlohnte AK in Code 70## ist im
t Durchschnitt mit mehr als einer AK bewertet
b ( V70##S03 / V70##S02 ) <= 1.01
k
f 7070.0##(***+) P(V7 )
d ##(01-15,81-85)
s V0020S02 ==  11E0
s    V70##S10 > 0E0 && V70##S10 < 3E0
t Absch.7 (Familien-Arbeitskraefte). In einer der Spalten 02, 05,
t 08, 09 oder 10 fehlen Angaben
b ( V70##S02 ==  0.0 ) == ( V70##S05 == 0.0 ) &&
b ( V70##S02 ==  0.0 ) == ( V70##S08 == 0.0 ) &&
b ( V70##S02 ==  0.0 ) == ( V70##S09 == 0.0 ) &&
b ( V70##S02 ==  0.0 ) == ( V70##S10 == 0.0 )
k
m LDWP07C
k
f 7071.0##(***+) P(V7 )
s V0020S02 > 11E0 && V0020S02 < 18E0
d ##(01-15)
t Absch.7 (Nicht entlohnte Arbeitskraefte einer Personengesellschaft).
t In einer der Spalten 02, 05, 08 oder 09 fehlen Angaben
b ( V70##S02 ==  0.0 ) == ( V70##S05 == 0.0 ) &&
b ( V70##S02 ==  0.0 ) == ( V70##S08 == 0.0 ) &&
b ( V70##S02 ==  0.0 ) == ( V70##S09 == 0.0 )
k
f 7072.0##(***+) P(V7 )
s V0020S02 > 13E0 && V0020S02 < 18E0
d ##(01-15,81-85)
t Absch.7 (Arbeitskraefte), in den Codes 7001-7088 Sp.10-13 sind
t Angaben nur fuer Einzelunternehmen zulaessig
b V70##S10 ==  0.0 && V70##S11 == 0.0 && V70##S12 == 0.0 &&
b V70##S13 == 0.0
k
f 7073.0##(***+) P(V7 )
s V0020S02 > 60E0
d ##(01-15,81-85)
t Absch.7 (Arbeitskraefte), in den Codes 7001-7088 sind Angaben nur
t fuer Einzelunternehmen und Personengesellschaften zulaessig
b V70##S02 ==  0.0 && V70##S03 == 0.0 && V70##S04 == 0.0 && V70##S05 == 0.0 &&
b V70##S06 ==  0.0 && V70##S07 == 0.0 && V70##S08 == 0.0 && V70##S09 == 0.0 &&
b V70##S10 ==  0.0 && V70##S11 == 0.0 && V70##S12 == 0.0 && V70##S13 == 0.0
k
f 7080.0##(***+) P(V7 )
d ##(90-96)
t Absch.7 (Arbeitskraefte), Angaben fuer entlohnte AK in Code 70## sind
t unvollstaendig
b ( V70##S02 ==  0.0 ) == ( V70##S03 == 0.0 ) &&
b ( V70##S02 ==  0.0 ) == ( V70##S04 == 0.0 )
k
k                                                   /* -- BRUTTOLOHN -- */
k
f 7100.0##(***+) P(V7 )
s V0020S02 ==  11E0
d ##(01-15,81-85)
t Absch.7 (Arbeitskraefte), Fam-AK in Code 70## ist nach Sp. 03
t nicht beschaeftigt, erhaelt aber nach Spalte 04 Bruttolohn
b ( V70##S04 ==  0.0 ) || ( V70##S03 > 0.0 )
k                                                   /* -- BRUTTOLOHN -- */
f 7110.0##(***+) P(V7 )
d ##(90-96)
t Absch.7 (Arbeitskraefte), entlohnte AK in Code 70## ist nach Sp.03
t nicht beschaeftigt, erhaelt aber nach Spalte 04 Bruttolohn
b ( V70##S04 ==  0.0 ) || ( V70##S03 > 0.0 )
k
f 7115.0##(***) P(V7 )
d ##(01-04,81-84)
s V70##S03 !=  0.0 && V70##S04 !=  0.0 
t Absch.7 (Arbeitskraefte), BRUTTOLOHN fuer entlohnte AK in Code 70##
t liegt im Durchschnitt nicht zwischen 5000-50000 Euro/Jahr
b ( V70##S04 / V70##S03 ) #IN( 5000.0 , 50000.0 )
k
k                                /* Leitung und Verwaltung */
f 7118.000(***) P(V7)
s V0020S02 > 60
t Abschn. 7 (Arbeitskraefte), Unternehmen in der Rechtsform einer juristischen Person (Code 0020),
t aber keine Angaben zu den Arbeitskraeften in Leitungsfunktion (Code 7090)
b V7090S02 > 0.0
k
f 7120.0##(***) P(V7 )
d ##(90-91)
s V70##S03 !=  0.0
t Absch.7 (Arbeitskraefte), BRUTTOLOHN fuer entlohnte AK in Code 70##
t liegt im Durchschnitt nicht zwischen 15000-100000 Euro/Jahr
b ( V70##S04 / V70##S03 ) #IN( 15000.0 , 100000.0 )
k
k              /* Pfl.- und Tierproduktion, sonst. staendige Fremd-AK */
f 7121.0##(***) P(V7 )
d ##(92-93,95)
s V70##S03 !=  0.0
t Absch.7 (Arbeitskraefte), BRUTTOLOHN fuer entlohnte AK in Code 70##
t liegt im Durchschnitt nicht zwischen 4500-40000 Euro/Jahr
b ( V70##S04 / V70##S03 ) #IN( 4500.0 , 40000.0 )
k
k                                                      /* Auszubildende */
f 7122.000(***) P(V7 )
s V7094S03 !=  0.0
t Absch.7 (Arbeitskraefte), BRUTTOLOHN fuer entlohnte AK in Code 7094
t liegt im Durchschnitt nicht zwischen 4000-12000 Euro/Jahr
b ( V7094S04 / V7094S03 ) #IN( 4000.0 , 12000.0 )
k                                                    /* Aushilfskraefte */
f 7123.000(***) P(V7 )
s V7096S03 !=  0.0 && V7096S04 > 200
t Absch.7 (Arbeitskraefte), BRUTTOLOHN f. AUSHILFSKRAEFTE in Code 7096
t liegt im Durchschnitt nicht zwischen 5000-28500 Euro/Jahr
b ( V7096S04 / V7096S03 ) #IN( 5000.0 , 28500.0 )
k
k                        /* -- ART der BESCHAEFTIGUNG im UNTERNEHMEN -- */
k
f 7140.0##(***+) P(V7 )
d ##(01-15,81-85)
s MOD( V70##S05 ,10 ) ==  8E0
t Absch.7 (Arbeitskraefte), eine nicht beschaeftigte Person
t (V70##Sp.05 A = 0) kann keine Funktion im Betrieb (Sp.05 B = 8) haben
b V70##S05 ==  8E0
k                        ART der BESCHAEFTIGUNG im UNTERNEHMEN
f 7141.0##(***+) P(V7 )
d ##(01-15,81-85)
s V70##S05 > 10E0
t Absch.7 (Arbeitskraefte), beschaeftigte Person (V70##Sp.05 A > 0),
t aber keine Funktion im Betrieb
b MOD( V70##S05 ,10 ) < 8E0
k                                             /* -- GEBURTSJAHR Sp.08 -- */
k
z AbschlJahr  = V9804 ;
f 7150.0##(***) P(V7 )
d ##(01-15,81-85)
s V0020S02 <= 16E0 && V70##S05 > 0.0
t Absch.7 (Arbeitskraefte), Geburtsjahr falsch angegeben
b V70##S08 > (AbschlJahr - 90)  && V70##S08 <= AbschlJahr
k
k
k
k  /* -- AK-BESATZ je ha LF --                                         */
k  /* AUFBAU DER FORMEL:                                               */
k  /* VE = Ermittlung Tierbestand anhand des Vieheinheitenschluessel   */
k  /* AKBODEN = Ermittlung Standardarbeitskraeftebesatz des Betriebes  */
k  /* (Faktor ist durchschnittl. AK je ha aus der Statistik)           */
k  /* AKTIER = Ermittlung Standardarbeitskraeftebedarf des Betriebes   */
k  /* fuer die Tierhaltung  (eine Ak je 40 Vieheinheiten)              */
k  /* AK100  = Berechnung Arbeitskraeftebesatz des Betriebes           */
k  /* je 100 ha auf der Grundlage von Standardwerten                   */
k
z  VE = ( V3100-06S09 ) * 0.70       + ( V3107S09 * 1.10 )   +
z       ( V3110-12,20,21S09 ) * 0.30 + ( V3113,22,23S09 ) * 0.70 +
z       ( V3114-18,24S09 ) * 1.00    + ( V3125S09 * 1.20 )   +
z       ( V3130,31S09 ) * 0.0233     + ( V3133S09 * 0.08 )   +
z       ( V3134S09 * 0.16 )          + ( V3135,36S09 ) * 0.33 +
z       ( V3137S09 * 0.225 )         + ( V3138S09 * 0.33 )   +
z       ( V3140,41S09 ) * 0.05       + ( V3142-44S09 ) * 0.10 +
z       ( V3150,51S09 ) * 0.0017     + ( V3152S09 * 0.0195 ) +
z       ( V3153S09 * 0.0015 )        + ( V3154S09 * 0.0033 ) +
z       ( V3155S09 * 0.006 )         + ( V3156S09 * 0.0067 ) +
z       ( V3157S09 * 0.04 )          + ( V3163S09 * 0.04 )   +
z       ( V3164-66S09 ) * 0.08       + ( V3172S09 * 0.08 )   +
z       ( V3173S09 * 0.08 )          + ( V3176S09 * 0.0025 ) +
z       ( V3177S09 * 0.025 )         + ( V3180S09 * 0.08 );
k
k
z  AKBODEN = ( V6100,04S07 ) * 0.02 + V6108S07 * 0.60 +
z              V6118S07 * 0.95 + V6110s07 * 0.60 + ( V6111,12S07 ) * 1.00 +
z              V6113S07 * 6.00 + V6114S07 * 8.00 + V6116S07 * 0.60 +
z              V6121S07 * 0.20 + V6122S07 * 0.0006 - (V2782s05*-1/35000) +
z              V2337s05/40000;
z   AKTIER = VE / 40E0;
k
f 7200.100(*  ) P(V60 V7 )
s BetrTyp != 3E0  
s v0023S02 == 1E0
s ( V6129S07 - V6128S07 ) !=  0.0
z    AK100 = (( AKBODEN + AKTIER ) / ( V6129S07 - V6128S07 )) * 100E0;
t Absch.7 (Arbeitskraefte),konv. Wirtsch. Betrieb, AK-BESATZ je 100 ha
t bewirtschafteter Flaeche erscheint sehr hoch
b (( V7089,98S03 ) / ( V6129S07 - V6128S07 )) * 100E0 <= AK100 * 2.50
k
f 7200.200(*  ) P(V60 V7 )
s v0023S02 != 1E0
s ( V6129S07 - V6128S07 ) !=  0.0
z    AK100 = (( AKBODEN + AKTIER ) / ( V6129S07 - V6128S07 )) * 100E0;
t Absch.7 (Arbeitskraefte),oekol. wirtsch. Betrieb, AK-BESATZ je 100 ha
t bewirtschafteter Flaeche erscheint sehr hoch
b (( V7089,98S03 ) / ( V6129S07 - V6128S07 )) * 100E0 <= AK100 * 3.50
k
f 7201.000(*  ) P(V60 V7 )
s ( V6129S07 - V6128S07 ) !=  0.0
t Absch.7 (Arbeitskraefte), AK-BESATZ je 100 ha bewirtschafteter
t Flaeche erscheint zu niedrig
b (( V7089,98S03) / ( V6129S07 - V6128S07 )) * 100E0 >= AK100 * 0.20
k
k
m LDWP08A
k
a 8.1.1 TEIL 8.1: ERGAENZENDE ANGABEN Z. UNTERNEHMEN KONTROLLFRAGEN
a 8.1.1.1                          Allgemeines, QUOTEN
k
f 8000.000(***) P(V80)
s V0020S02 > 60
t Abschn. 8 (Allgemeines), Unternehmen in der Rechtsform einer juristischen Person (Code 0020),
t aber keine Angaben zu den Codes 8001 bis 8003
b V8001,02,03S02 > 0.0
k
f 8005.000(***) P(V80)
s V0020S02 > 60
t Abschn. 8 (Allgemeines), Unternehmen in der Rechtsform einer juristischen Person (Code 0020),
t Angabe zum Geburtsjahr des Geschaeftsfuehrers/hauptamtlichen Vorstandsvorsitzenden (Codes 8000)
t ist zwingend erforderlich
b V8000S02 > 1900.0
k
f 8019.000(***) P(V2  V80)
s V2170s05 > 500
t Abschn. 8 (Organisation), Einnahmen Pensionspferde von mehr als 500 Euro in der GuV
t aber keine Angaben ueber Zahl der Pferde im Abschnitt 8, Code 8019
b V8019S02 > 0.0
k
k
f 8040.000(***) P(V21  V80)
s WJ > 2006E0
s (V2446S05 >  0.0)
t Abschn.8. (QUOTEN UND LIEFERRECHTE) Betriebspraemie (Code 2446) eingetragen, aber keine Angabe
t zu den aktivierten (genutzten) Zahlungsanspruechen (Code 8040)
b V8040S02 > 0.0
k
f 8042.000(***) P(V21  V80)
s WJ > 2006E0
s (V2446S05 >  0.0)
t Abschn.8. (QUOTEN UND LIEFERRECHTE) Anzahl der insgesamt aktiv genutzten Zahlungsanspruechen (Code 8040)
t kann nicht groesser sein als die landwirtschaftliche Ernteflaeche
t einschliesslich der sonstigen LF (Code 4099,4209,4299,8099,6118) 
b (v8040s02 * 0.95) <= (v4099s02 + v4209s02 + v4299s02 + v8099s02 + v6118s07)
k
f 8045.000(***) P(V21  V80)
s WJ > 2006E0
s (V2446S05 >  0.0)
t Abschn.8. (QUOTEN UND LIEFERRECHTE) Ausgezahlte Betriebspaemie (Code 2446) und eingetragene Anzahl 
t der aktivierten (genutzten) Zahlungsanspruechen (Code 8040) stehen in unplausiblen Verhaeltnis zu einander
t Wert eines einzelnen Zahlungsanspruchs nicht in den Grenzen von 80 bis 2000 EURO 
b (V2446s05 / v8040S02) > 80.0 && (V2446s05 / v8040S02) < 2000.0
k
k
a 8.1.1.2                   UMSATZANTEILE in OEKOBETRIEBEN SOWIE im GARTEN- oder WEINBAU -- */
k
k
f 8080.000(***+) P(V80)
s V0003S02 < 17E0
s V8080-89S02 > 0.0
s V0025S02 < 8E0
t Abschn.8. (Umsatzanteile in Oekobetrieben sowie im Garten- oder Weinbau), die
t Einzelpositionen summieren sich nicht zu 100 v.H. auf
b V8080-89S02 #EQ(1.0) 100.0
k
f 8081.000(***) P(V80)
s V0003S02 < 17E0
s V2269S05 > 0.0 || V0023S02 == 3E0
s V0025S02 < 8E0
t Abschn.8. (Umsatzanteile in Oekobetrieben sowie im Garten- oder Weinbau), Gartenbau-
t oder Oekobetrieb, aber keine Aufteilung der Umsaetze nach Absatzwegen (Codes 8080 bis 8089)
b V8080-89S02 !=  0.0
k
f 8082.000(***) P(V80)
s V0003S02 < 17E0
s V2269S05 > 0.0
t Abschn.8. (Umsatzanteile im Gartenbau)
t Umsatzerloese aus Gartenbau aber keine Aufteilung der Umsaetze nach Absatzwegen (Codes 8080 bis 8089)
b V8080-89S02 #EQ(1.0) 100.0
k
f 8083.000(***) P(V80)
s V0003S02 < 17E0
s V2299S05 > 0.0 || V0023S02 == 3E0
t Abschn.8. (Umsatzanteile in Weinbau bzw. Oekobetrieben), Weinbau-
t oder Oekobetrieb, aber keine Aufteilung der Umsaetze nach Absatzwegen (Codes 8080 bis 8089)
b V8080-89S02 #EQ(1.0) 100.0
k
a 8.1.1.3                ALLGEMEINES
k
z          BetrTyp  = V9801 ;
f 8101.000(***) P(V80)
s V0020S02 > 17E0 
s V0025S02 < 8E0
t Abschn.8. (ALLGEMEINES), Gesellschaft bzw. Genossenschaft unvollst.
t Angaben
b V8000S02 > 0.0 && V8001S02 > 0.0
k
a 8.1.1.4                    NATUERLICHE VERHAELTNISSE und ORGANISATION
k
f 8105.000(***) P(V80)
s V2312S05 ==  0.0
s V0025S02 < 8E0
t Abschn.8. (ORGANISATION), VERSCHLUESSELUNG der HOEHENLAGE ist falsch
b V8010S02 #IN( 1 , 3 )
k
f 8106.000(***) P(V80)
s V0025S02 < 8E0
t Abschn.8. (ORGANISATION), Betrieb mit weinbaulicher Flaeche hat
t HANGNEIGUNG (1 oder 2) einzutragen
b V6116S07 ==  0.0 || V8011S02 == 1E0 || V8011S02 == 2E0
k
f 8107.000(***+) P(V80)
s V0025S02 < 8E0
t Abschn.8. (ORGANISATION), Betrieb mit bewaesserter LF)
t BEWAESSERTE LF ist groesser als die LF insgesamt
b V6119S07 >= V8014S02
k
k 8108.000(*  ) P(V00)		 /* Abfrage ausgeschaltet */
k V0003S02 < 17E0
k BetrTyp == 1 
k V0025S02 < 8E0
k Abschn.8. (ORGANISATION) Landwirtschaftlicher Betrieb, aber keine Angabe
k zur Zahl der Schlaege(Code 8018)
k V8018S02 > 0.0
k
a 8.1.1.5     QUOTEN, LIEFERRECHTE UND SONSTIGES
k
k
f 8131.000(***) P(V80)
s V0003S02 < 17E0
s V2127s05 > 0.0
t Abschn.8. (SONSTIGES), der NATUERLICHE FETTGEHALT der produzierten Milch liegt
t nicht im Bereich von 3 - 7%
b V8025S02 #IN( 3.0 , 7.0 )
k
k							 /* Abfrage ausgeschaltet */
k 8135.000(*  ) P(V10 v80)
k V8053S02 > 0.0
k Abschn.8.,AUSSERBILANZIELLE GEWINNAENDERUNG 
k Angabe zur Inanspruchnahme eines Investitionsabzugsbetrag (Code 8053), 
k aber keinen Einstellung in den Sonderposten mit Ruecklageanteil (Code 1521)
k V1521S04 > 0.0
k
a 8.1.1.6                GARTENBAU
k
f 8140.100(***) P(V60  V80)
s V0025S02 < 8E0
t Abschn.8. (GARTENBAU), Summe der Gartenbauflaechen (Code 8099)
t weicht mit mehr als 10% von den Angaben zur gartenbaulich genutzten
t Flaeche im Abschnitt 6 (Betriebsflaeche am Ende des Geschaeftsjahres) ab
b V8099S02 <= (V6111-14S07) * 1.1 && V8099S02 >= (V6111-14S07) * 0.9
k
f 8140.200(***) P(V60  V80)
s V0025S02 < 8E0
t Abschn.8. (GARTENBAU), Summe der Gartenbauflaechen (Code 8099)
t nicht Summe der Einzelposten
b V8099S02 #EQ(1.0) (V8094-98S02)
k
f 8141.000(***+) P(V2  V80)
s V2260S02 > 0.0
s V0025S02 < 8E0
t Abschn.8. (GARTENBAU), Einnahmen aus Baumschulen,
t aber keine Flaechen im Code 8098 eingetragen
b V8098S02 > 0.0
k
f 8142.000(***+) P(V2  V80)
s V2229S02 > 0.0
s V0025S02 < 8E0
t Abschn.8. (GARTENBAU), Einnahmen aus dem Verkauf von GEMUESE
t AUS FREILANDANBAU, aber keine Flaechen im Code 8094 eingetragen
b V8094S02 > 0.0
k
f 8143.000(***+) P(V2  V80)
s V2239S02 > 0.0
s V0025S02 < 8E0
t Abschn.8. (GARTENBAU), Einnahmen aus dem Verkauf von GEMUESE
t AUS GEWAECHSHAEUSERN, aber keine Flaechen im Code 8095 eingetragen
b V8095S02 > 0.0
k
f 8144.000(***+) P(V2  V80)
s V2249S02 > 0.0
s V0025S02 < 8E0
t Abschn.8.(GARTENBAU), Einnahmen aus dem Verkauf von ZIERPFL.
t AUS FREILANDANBAU, aber keine Flaechen im Code 8096 eingetragen
b V8096S02 > 0.0
k
f 8145.000(***+) P(V2  V80)
s V2259S02 > 0.0
s V0025S02 < 8E0
t Abschn.8.(GARTENBAU), Einnahmen aus dem Verkauf von ZIERPFL.
t AUS GEWAECHSHAEUSERN, aber keine Flaechen im Code 8097 eingetragen
b V8097S02 > 0.0
k                UMSATZANTEILE IM GARTEN- ODER WEINBAU IN V.H
f 8146.000(***) P(V32 V80)
s V3439,49S02 > 0.0
s V0025S02 < 8E0
t Abschn.8.(GEMUESE, ZIERPFL.), Anbau von Zierpflanzen, aber keine bzw.
t falsche Angaben zu den Umsatzanteilen in den Codes 8090 bis 8092
b V8090-92S02 #EQ(0.02) 100E0
k                      UMSATZANTEILE IM GARTEN- ODER WEINBAU IN V.H.
f 8160.000(***) P(V2  V80)
s V2269S02 > ( V2339S02 * 0.02 )
s V0025S02 < 8E0
t Abschn.8. (GARTEN-/WEINBAU), Einnahmen aus dem Verkauf von
t Gartenbauprodukten, aber keine Angaben ueber Umsatzanteile in
t Abschn. 8.
b V8080-89S02 > 0.0
k                      UMSATZANTEILE IM GARTEN- ODER WEINBAU IN V.H.
f 8161.000(***) P(V2  V80)
s V0003S02 < 17E0
s V2299S02 > ( V2339S02 * 0.02 )
s V0025S02 < 8E0
t Abschn.8. (GARTEN-/WEINBAU), Einnahmen aus dem Verkauf von
t Weinbauprodukten, aber keine Angaben ueber Umsatzanteile Abschn. 8.
b V8080-89S02 > 0.0
k
k
a 8.1.1.7          KLEINE HOCHSEE- UND KUESTENFISCHEREI
k
f 8170.000(***) P(V80)
s V2312S05 > 0.0
s V0025S02 < 8E0
t Abschn.8.1 (FISCHEREI), Einahmen in der G.u.V. Kleine Hochsee- und
t Kuestenfischerei,aber kein Treibstoffverbrauch in CODE 8107 eingetragen
b V8107S02 > 0.0
k
k
a 8.1.1.8               UMSATZSTEUER BEI REGELBESTEUERUNG
k 
f 8190.000(***+) P(V80)
s V9801 < 5.0
s V0028S02 ==  2E0
t Abschn.8.  (Umsatzsteuer), Betrieb unterliegt der Regelbesteuerung
t (Code 0028), aber keine Angaben in den Codes 8120,24,28
b V8120S02 > 0.0 || V8124,28S02 > 0.0
k
k
z ERTRAG07 = V2339S05 - (V2060,80s05 + V2163-66s05 + V2170S02 + v2177,78,89s05 + V2276,79,85,88,89,95,97S05
z + V2307,13-17,20,21,23,29-36S02 + V2313-17,20,21,23,29-36S04) + V2454s05 + V2487,88S02;
k
z ERTRAG19 = V2060,80s05 + V2163-66s05 + V2170S02 + V2177,78,89s05 + V2276,79,85,88,89,95,97S05 + 
z V2307s02 + v2313-17,23,29-34,36S02 + V2313-17,23,29-34,36S04 + V2455S05 + V2462,63S02 + V2871-73S02;
k
z ERTRAG12 = v2320s05 + V2321S05 + V2335S05;
k
z USTSOLL = ERTRAG07 * 0.07 + ERTRAG19 * 0.19 + ERTRAG12 * 0.12;
k
f 8191.000(***) P(V2  V80)
s V0028S02 ==  2E0
t Abschn.8.1 (Umsatzsteuer bei Regelbesteuerung),
t vereinnahmte Umsatzsteuer ist sehr hoch
b V8120S02 <= #( USTSOLL ) * 1.40
k
f 8192.000(***) P(V2  V80)
s V0028S02 ==  2E0
s V9801 < 5.0
t Abschn.8.1 (Umsatzsteuer bei Regelbesteuerung),
t vereinnahmte Umsatzsteuer ist sehr niedrig
b V8120S02 >= #( USTSOLL ) * 0.70
k
k
f 8193.100(***) P(V2  V80)
s V0028S02 ==  2E0
s V9801 < 5.0
s  ( V1079S02 - V1020S02 - V1021S02 + V3079S09 )-( V1079S03 - V1020S03 - V1021S03 ) > 1000
t Abschn.8.1 (Umsatzsteuer bei Regelbesteuerung),
t Vorsteuer auf Investitionen ist sehr hoch
b V8124S02 <= ( V3079S03 + V3019S03 - V3020S03 - V3021S03 ) * 0.20
k
f 8193.200(***) P(V2  V80)
s V0028S02 ==  2E0
s V9801 < 5.0
s  ( V1079S02 - V1020S02 - V1021S02 + V3079S09 )-( V1079S03 - V1020S03 - V1021S03 ) > 1000.0
t Abschn.8.1 (Umsatzsteuer bei Regelbesteuerung),
t Vorsteuer auf Investitionen ist unplausibel niedrig
b V8124S02 >= ( V3079S03 + V3019S03 - v3010s03 - V3020S03 - V3021S03 ) * 0.10
k
a 8.1.1.9              ERGAENZENDE ANGABEN FUER EINZELUNTERNEHMEN

f 8219.000(* ) P(V81)
s V8219s02 > 0.0
t Summe der positiven Einkuenfte ist sehr hoch 
b V8219s02 <= 1000000.0
k
a 8.1.1.10              ANGABEN ZU DEN AUSGEBRACHTEN NAEHRSTOFFEN AUS MINERALDUENGEMITTELN
k
f 8220.000(***) P(V80)
s BetrTyp < 5 && V0023S02 < 2E0
s V2239,49,59s05 == 0.0
t Abschn.8.1 (ANGABEN ZU DEN AUSGEBRACHTEN NAEHRSTOFFEN AUS MINERALDUENGEMITTELN), konventioneller
t landwirtschaftlicher Betrieb, aber keine Angaben zu den ausgebrachten Naehrstoffen aus 
t Mineralduengemitteln und keine differenzierte Erfassung nach Duengemittelsorte in der GuV
b V8150,53,56S02 > 0.0 || V2510-34,37,38s05 < 0.0
k
f 8221.000(***) P( V80)
t Abschn.8.1 (ANGABEN ZU DEN AUSGEBRACHTEN NAEHRSTOFFEN AUS MINERALDUENGEMITTELN), die Angabe
t zu der ausgebrachten Naehrstoffmenge N (Stickstoff) je kg ha LF erscheint zu hoch
b V8150S02 < 300.0
k
f 8222.000(***) P(V80)
t Abschn.8.1 (ANGABEN ZU DEN AUSGEBRACHTEN NAEHRSTOFFEN AUS MINERALDUENGEMITTELN), die Angabe
t zu der ausgebrachten Naehrstoffmenge P2O5 je kg ha LF erscheint zu hoch
b V8153S02 < 150.0 
k
f 8223.000(***) P(V80)
t Abschn.8.1 (ANGABEN ZU DEN AUSGEBRACHTEN NAEHRSTOFFEN AUS MINERALDUENGEMITTELN), die Angabe
t zu der ausgebrachten Naehrstoffmenge K2O je kg ha LF erscheint zu hoch
b V8156S02 < 600.0 
k
f 8224.00#(***+) P(V80)
d # (0,3,6)
t Aschn. 8.1 (ANGABEN ZU DEN AUSGEBRACHTEN NAEHRSTOFFEN AUS MINERALDUENGEMITTELN),
t drfen nicht negativ sein
b V815#S02 >= 0.0
k
a 8.2.1 TEIL 8.2: PERSOEN. ANGABEN FUER EINZELUNTERN.   SPALTENSUMMEN
k
k                                            /* Spaltensumme Einkuenfte */
k
f 8250.000(***+) P(V80)
s V0025S02 < 8E0
t Abschn.8.  (Persoenl. Angaben), Summenwert in Code 8218 entspricht
t nicht der Summe der Einzelpositionen
b V8160,62s02+v8212-16S02 #EQ(2.0) V8218S02
k
k
z  PosEink = 0;
k
k                                      /* Summe der positven Einkuenfte */
d ###(160,162,212-216)
s V8###S02 > 0.0
z  PosEink = PosEink + V8###S02;
k
f 8261.000(***+) P(V80)
s V9801 < 5.0
s V0025S02 < 8E0
t Abschn.8.  (Persoenl. Angaben), Positive Einkuenfte (Code 8219)
t entsprechen nicht der Summe der positiven Einzelpositionen
b V8219S02 #EQ(2.0) PosEink
k
k
k           /* Summe erhaltene Einkommens- und Vermoegensuebertragungen */
f 8262.000(***+) P(V80)
s V0025S02 < 8E0
t Abschn.8.  (Persoenl. Angaben), Wert in Code 8229 entspricht nicht
t der Summe der Einzelpositionen
b ( V8220-25,28S02 ) #EQ(2.0) V8229S02
k
k
k
k          /* Summe geleistete Einkommens- und Vermoegensuebertragungen */
f 8264.000(***+) P(V80)
s V0025S02 < 8E0
t Abschn.8.  (Persoenl. Angaben), Wert in Code 8239 entspricht nicht
t der Summe der Einzelpositionen
b ( V8230-38S02 ) #EQ(2.0) V8239S02
k
k                                              /* Summe private Steuern */
f 8265.000(***+) P(V80)
s V0025S02 < 8E0
t Abschn.8.  (Persoenl. Angaben), Wert in Code 8249 entspricht nicht
t der Summe der Einzelpositionen
b ( V8240-48S02 ) #EQ(2.0) V8249S02
k
k                                       /* Summe private Versicherungen */
f 8266.000(***+) P(V80)
s V0025S02 < 8E0
t Abschn.8.  (Persoenl. Angaben), Wert in Code 8269 entspricht nicht
t der Summe der Einzelpositionen
b ( V8250-68S02 ) #EQ(2.0) V8269S02
k
f 8267.000(***) P(V80)
s V8219S02 > 40000.0
s V9801 < 5.0
s V0025S02 < 8E0
t Abschnitt 8 (persoenliche Angaben), es fehlen die Angaben zu den gezahlten privaten Steuern im
t Abschnitt 8
b V0020S02 != 11E0 || V8249S02 > 0.0
k
f 8268.000(***) P(V80)
s V9801 < 5.0
s V0025S02 < 8E0
t Abschnitt 8 (persoenliche Angaben), es fehlen die Angaben zu den gezahlten
t privaten Versicherungen im Abschnitt 8
b V0020S02 != 11E0 || V8269S02 > 0.0
k
k
a 8.2.2 TEIL 8.2: PERSOEN. ANGABEN FUER EINZELUNTERN KONTROLLFRAGEN
k
f 8278.000(*  ) P(V80)
s V0020S02 >   13E0
s V0025S02 < 8E0
t Abschn.8.  (Persoenl. Angaben), Eintragungen in Codes 82.. sind
t nur fuer Einzelunternehmen und GbR zulaessig
b V8218,29,39,49,69S02 ==  0.0
k
f 8279.000(***) P(V80)
s V9801 < 5.0
s V0020S02 ==  11E0
s V0025S02 < 8E0
s V0003S02 < 17E0
t Abschn.8.  (Persoenl. Angaben), Angaben ueber die Einkuenfte im
t Sinne des EStG fehlen
b V8218S02 !=  0.0
k
f 8280.000(***+) P(V80)
s V9801 < 5.0
s V0025S02 < 8E0
s V0003S02 < 17E0
t Abschnitt 8 (Persoenliche Angaben) Landwirtschaftlicher bzw. gewerblicher
t Betrieb, aber keine Einkuenfte aus Land- und Forstwirtschaft bzw.
t Gewerbebetrieb im Abschnitt 8 (Code 8160,8162) eingetragen.
b V0020S02 != 11E0 || V8160,62S02 !=  0.0
k
f 8281.000(***+) P(V80)
s V0020S02 ==  11E0
s V0025S02 < 8E0
t Einkuenfte aus Gewerbebetrieb im Abschnitt 8 (Code 8162) eingetragen,
t aber keine Aufteilung der Einkuenfte nach Art des Gewerbes vorgenommen
b V8162S02 == 0.0 || V8163-68S02 !=  0.0
k
f 8282.000(*  ) P(V80)
s V9801 < 5.0
s V0025S02 < 8E0
t Abschnitt 8 (Persoenliche Angaben) sonstige erhaltene Einkommensuebertragungen
t groesser als 25.000 Euro
b V8228S02 <  25000.0
k
f 8283.000(*  ) P(V80)
s V9801 < 5.0
s V0020S02 ==  11E0 && V8218S02 > 0.0
s V0025S02 < 8E0
t Abschn.8. (Persoenl. Angaben), PRIVATE STEUERN, Einkommensteuer
t ist mit mehr als 55% der Einkuenfte sehr hoch
b V8240S02 <= 0.55 * ( V8160,62s02 + V8212-16S02 )
k
f 8284.000(***) P(V80)
s V9801 < 5.0
s V0020S02 ==  11E0 && V2824S04 > 0.0
s V0025S02 < 8E0
s V0003S02 < 17E0
t Abschn.8.  (Persoenl. Angaben), keine Angabe fuer priv. Kfz-Steuer
b V8244S02 > 0.0
k
f 8285.000(***) P(V80)
s V0020S02 ==  11E0
s V0025S02 < 8E0
t Abschn.8. (Persoenl. Angaben), PRIVATE VERSICHERUNGEN, Beitraege
t fuer private Versicherungen sind sehr hoch (groesser 30.000 EURO) 
b V8269S02 < 30000.0
k
f 8286.000(***) P(V80)
s V0018S02 == 1E0
s V9801 < 5.0
s V0020S02 ==  11E0
s V0025S02 < 8E0
t Abschn.8.  (Persoenl. Angaben), keine Angaben ueber Betraege zur
t Krankenversicherung
b V8250S02 > 0.0 || V8251S02 > 0.0 || V8252S02 > 0.0
k
k                             
s V0020S02 ==  11E0
z X1=0E0;
z AbschlJahr = V9804 ;
d ##(02-15,81-84)
s AbschlJahr - V70##S08 <= 18E0 && AbschlJahr - V70##S08 >= 0e0
z   X1=1E0;
k
k
k
k
k
f 8287.000(***) P(V80)
s V9801 < 5.0
s V0020S02 ==  11E0
s v7001s08 > AbschlJahr - 65 
s V0025S02 < 8E0
t Abschn.8.  (Persoenl. Angaben),  keine Angaben ueber Betraege zur
t Rentenversicherung
b V8253S02 > 0.0 || V8254S02 > 0.0 || V8255S02 > 0.0
k
k
k
m LDWP08B
z SWV85F=SWOFF;
1